/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: module.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description:	Wireshark module

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: 4 $


\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/
#ifndef __MODULE_H__
#define __MODULE_H__

/*****************************  INCLUDE FILES  *******************************/
#include <epan/packet.h>
#include "ws_util.h"


/*****************************  INCLUDES *************************************/
/*****************************  DEFINES **************************************/

typedef struct
{
	const char *pszModuleName;
	const value_string *apCodeIdValueString;
	const value_string *apEvtIdValueString;
	const value_string *apSupIdValueString;
	tregister_dissector_fnc	Register_fnc;
	tmodule_dissector_fnc	Dissector_fnc;
	const value_string *apPrivateCodeIdValueString;
	const value_string *apPrivateEvtIdValueString;
}tModuleColInfo;

extern const value_string vals_OCTVC1_module_UID[];
extern tModuleColInfo aOCTVC1ModuleColInfo[];
extern int proto_octvc1_ctrl;

/*****************************  PROTO **************************************/
void ws_register_dissector_module(void);


#endif /* __MODULE_H__ */
