/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_cid_eid_value_string.c

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contain the wireshark value_string of all CID and EID

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

/*****************************  INCLUDE FILES  *******************************/

#include <config.h>
#include <epan/packet.h>
#include "../../../include/oct_ws_macro.h"
#include "../include/module.h"
#include "../include/octvc1_common.h"

#include <main/octvc1_main_evt.h>
#include <ctrl/octvc1_ctrl_api.h>
#include <gsm/octvc1_gsm_evt.h>


/****************************************************************************
	Module unique entry
 ****************************************************************************/
const value_string vals_OCTVC1_module_UID[] =
{
	{ (cOCTVC1_MAIN_UID),                                        "MAIN" },
	{ (cOCTVC1_CTRL_UID),                                        "CTRL" },	
	{ (cOCTVC1_GSM_UID),                                         "GSM" },
	{ 0,		NULL },
};

/****************************************************************************
	CID arrays
 ****************************************************************************/
const value_string vals_OCTVC1_MAIN_CID[] =
{
	{ (cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID& 0x00000FFF),               "MODULE_MODIFY_EVT" },
	{ (cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID& 0x00000FFF),                 "MODULE_INFO_EVT" },
	{ (cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID& 0x00000FFF),            "MODULE_START_TRACING" },
	{ (cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID& 0x00000FFF),             "MODULE_STOP_TRACING" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID& 0x00000FFF),                     "BUFFER_OPEN" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID& 0x00000FFF),                    "BUFFER_CLOSE" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_INFO_CID& 0x00000FFF),                     "BUFFER_INFO" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_LIST_CID& 0x00000FFF),                     "BUFFER_LIST" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID& 0x00000FFF),                   "BUFFER_MODIFY" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID& 0x00000FFF),                    "BUFFER_WRITE" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_READ_CID& 0x00000FFF),                     "BUFFER_READ" },
	{ (cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID& 0x00000FFF),             "BUFFER_INFO_BY_NAME" },
	{ (cOCTVC1_MAIN_MSG_DEVICE_INFO_CID& 0x00000FFF),                     "DEVICE_INFO" },
	{ (cOCTVC1_MAIN_MSG_DEVICE_RESET_CID& 0x00000FFF),                    "DEVICE_RESET" },
	{ (cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID& 0x00000FFF),         "DEVICE_STATUS_OPUS_CORE" },
	{ (cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID& 0x00000FFF),           "DEVICE_INFO_OPUS_CORE" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_INFO_CID& 0x00000FFF),                    "OCT1010_INFO" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_RESET_CID& 0x00000FFF),                   "OCT1010_RESET" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_STATS_CID& 0x00000FFF),                   "OCT1010_STATS" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID& 0x00000FFF),             "OCT1010_STATUS_CORE" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID& 0x00000FFF),               "OCT1010_INFO_CORE" },
	{ (cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID& 0x00000FFF),          "OCT1010_INFO_OCT1010ID" },
	{ (cOCTVC1_MAIN_MSG_ETH_STATS_CID& 0x00000FFF),                       "ETH_STATS" },	
	{ (cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID& 0x00000FFF),          "ETH_MODIFY_PORT_CONFIG" },
	{ (cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID& 0x00000FFF),            "ETH_INFO_PORT_CONFIG" },
	{ (cOCTVC1_MAIN_MSG_REGISTER_READ_CID& 0x00000FFF),                   "REGISTER_READ" },
	{ (cOCTVC1_MAIN_MSG_FILE_OPEN_CID& 0x00000FFF),                       "FILE_OPEN" },
	{ (cOCTVC1_MAIN_MSG_FILE_CLOSE_CID& 0x00000FFF),                      "FILE_CLOSE" },
	{ (cOCTVC1_MAIN_MSG_FILE_WRITE_CID& 0x00000FFF),                      "FILE_WRITE" },
	{ (cOCTVC1_MAIN_MSG_FILE_READ_CID& 0x00000FFF),                       "FILE_READ" },
	{ (cOCTVC1_MAIN_MSG_FILE_INFO_CID& 0x00000FFF),                       "FILE_INFO" },
	{ (cOCTVC1_MAIN_MSG_FILE_LIST_CID& 0x00000FFF),                       "FILE_LIST" },
	{ (cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID& 0x00000FFF),                "FILE_SYSTEM_INFO" },
	{ (cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID& 0x00000FFF),           "FILE_SYSTEM_INFO_FILE" },
	{ (cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID& 0x00000FFF),         "FILE_SYSTEM_DELETE_FILE" },
	{ (cOCTVC1_MAIN_MSG_LOG_ERASE_CID& 0x00000FFF),                       "LOG_ERASE" },	
	{ (cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID& 0x00000FFF),                  "LOG_READ_ENTRY" },
	{ (cOCTVC1_MAIN_MSG_LICENSING_INFO_CID& 0x00000FFF),                  "LICENSING_INFO" },
	{ (cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID& 0x00000FFF),                  "GPIO_READ_BANK" },
	{ (cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID& 0x00000FFF),                 "GPIO_WRITE_BANK" },
	{ (cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID& 0x00000FFF),               "GPIO_MONITOR_BANK" },
	{ (cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID& 0x00000FFF),         "GPIO_MODIFY_BANK_CONFIG" },
	{ (cOCTVC1_MAIN_MSG_SPI_ACCESS_CID& 0x00000FFF),                      "SPI_ACCESS" },
	{ (cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID& 0x00000FFF),                   "MDIO_READ_PHY" },
	{ (cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID& 0x00000FFF),                  "MDIO_WRITE_PHY" },
	{ (cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID& 0x00000FFF),                "MDIO_MONITOR_PHY" },
	{ (cOCTVC1_MAIN_MSG_PROCESS_INFO_CID& 0x00000FFF),                    "PROCESS_INFO" },
	{ (cOCTVC1_MAIN_MSG_PROCESS_LIST_CID& 0x00000FFF),                    "PROCESS_LIST" },
	{ (cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID& 0x00000FFF),       "PROCESS_MONITOR_CPU_USAGE" },
	{ (cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID& 0x00000FFF),          "PROCESS_INFO_CPU_USAGE" },	
	{ (cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID& 0x00000FFF),              "DEBUG_FORWARD_OPEN" },
	{ (cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID& 0x00000FFF),             "DEBUG_FORWARD_CLOSE" },
	{ (cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID& 0x00000FFF),              "DEBUG_FORWARD_INFO" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID& 0x00000FFF),         "REDUNDANCY_SERVER_START" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID& 0x00000FFF),          "REDUNDANCY_SERVER_STOP" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID& 0x00000FFF),          "REDUNDANCY_SERVER_INFO" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID& 0x00000FFF),       "REDUNDANCY_SERVER_ADD_MGW" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID& 0x00000FFF),    "REDUNDANCY_SERVER_REMOVE_MGW" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID& 0x00000FFF),      "REDUNDANCY_SERVER_LIST_MGW" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID& 0x00000FFF),      "REDUNDANCY_SERVER_INFO_MGW" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID& 0x00000FFF), "REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER" },
	{ (cOCTVC1_MAIN_MSG_OCT2200_STATS_CID& 0x00000FFF),                   "OCT2200_STATS" },
	{ 0,		NULL },
};
const value_string vals_OCTVC1_MAIN_CID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_CTRL_CID[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_CTRL_CID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_GSM_CID[] =
{
	{ (cOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CID& 0x00000FFF),             "MODULE_INFO_HARDWARE" },
	{ (cOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CID& 0x00000FFF),                "MODULE_MODIFY_EVT" },
	{ (cOCTVC1_GSM_MSG_MODULE_INFO_EVT_CID& 0x00000FFF),                  "MODULE_INFO_EVT" },
	{ (cOCTVC1_GSM_MSG_MODULE_INFO_CID& 0x00000FFF),                      "MODULE_INFO" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CID& 0x00000FFF),          "PROCESS_UNIT_MODIFY_EVT" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CID& 0x00000FFF),            "PROCESS_UNIT_INFO_EVT" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CID& 0x00000FFF),                "PROCESS_UNIT_LIST" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CID& 0x00000FFF),                "PROCESS_UNIT_INFO" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CID& 0x00000FFF),               "PROCESS_UNIT_STATS" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CID& 0x00000FFF), "PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CID& 0x00000FFF),    "PHYSICAL_CHANNEL_REQUEST_DATA" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CID& 0x00000FFF), "PHYSICAL_CHANNEL_CONFIGURE_CIPHERING" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CID& 0x00000FFF),         "PHYSICAL_CHANNEL_CONNECT" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CID& 0x00000FFF),      "PHYSICAL_CHANNEL_DISCONNECT" },
	{ (cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CID& 0x00000FFF),           "PHYSICAL_CHANNEL_RESET" },
	{ (cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CID& 0x00000FFF),         "LOGICAL_CHANNEL_ACTIVATE" },
	{ (cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CID& 0x00000FFF),       "LOGICAL_CHANNEL_DEACTIVATE" },
	{ (cOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CID& 0x00000FFF),              "TRX_STATUS_TIMESLOT" },
	{ (cOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CID& 0x00000FFF), "TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT" },
	{ (cOCTVC1_GSM_MSG_TRX_RESET_CID& 0x00000FFF),                        "TRX_RESET" },
	{ (cOCTVC1_GSM_MSG_TRX_STATUS_CID& 0x00000FFF),                       "TRX_STATUS" },
	{ (cOCTVC1_GSM_MSG_TRX_CONFIGURE_CID& 0x00000FFF),                    "TRX_CONFIGURE" },
	{ (cOCTVC1_GSM_MSG_TEST_START_ETSI_CID& 0x00000FFF),                  "TEST_START_ETSI" },
	{ (cOCTVC1_GSM_MSG_TEST_END_ETSI_CID& 0x00000FFF),                    "TEST_END_ETSI" },
	{ (cOCTVC1_GSM_MSG_TEST_START_FCC_CID& 0x00000FFF),                   "TEST_START_FCC" },
	{ (cOCTVC1_GSM_MSG_TEST_END_FCC_CID& 0x00000FFF),                     "TEST_END_FCC" },
	{ 0,		NULL },
};
const value_string vals_OCTVC1_GSM_CID_PRIV[] =
{
	{ 0,		NULL },
};

/****************************************************************************
	EID arrays
 ****************************************************************************/
const value_string vals_OCTVC1_MAIN_EID[] =
{
	{ (cOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EID& 0x0000FFFF),      "MODULE_TRACING_BUFFER_FULL" },
	{ (cOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EID& 0x0000FFFF),             "MODULE_TRACING_STOP" },
	{ (cOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EID& 0x0000FFFF),    "DEVICE_OPUS_CORE_EXEC_REPORT" },
	{ (cOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EID& 0x0000FFFF),                "GPIO_BANK_CHANGE" },
	{ (cOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EID& 0x0000FFFF),                 "MDIO_PHY_CHANGE" },
	{ (cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID& 0x0000FFFF),        "PROCESS_CPU_USAGE_REPORT" },
	{ (cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EID& 0x0000FFFF), "REDUNDANCY_SERVER_MGW_FAILOVER_DONE" },
	{ 0,		NULL },
};

const value_string vals_OCTVC1_MAIN_EID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_CTRL_EID[] =
{
	{ 0,		NULL },
};

const value_string vals_OCTVC1_CTRL_EID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_GSM_EID[] =
{
	{ (cOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EID& 0x0000FFFF),           "MODULE_TIME_INDICATION" },
	{ (cOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EID& 0x0000FFFF),           "MODULE_DATA_INDICATION" },
	{ (cOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EID& 0x0000FFFF),           "MODULE_TRX_RADIO_READY" },
	{ (cOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EID& 0x0000FFFF),  "MODULE_READY_TO_SEND_INDICATION" },
	{ (cOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EID& 0x0000FFFF),           "MODULE_RACH_INDICATION" },
	{ (cOCTVC1_GSM_MSG_MODULE_ERROR_EID& 0x0000FFFF),                     "MODULE_ERROR" },
	{ (cOCTVC1_GSM_MSG_MODULE_MESSAGE_EID& 0x0000FFFF),                   "MODULE_MESSAGE" },
	{ (cOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EID& 0x0000FFFF),                "MODULE_CHECKPOINT" },
	{ (cOCTVC1_GSM_MSG_MODULE_TRACING_EID& 0x0000FFFF),                   "MODULE_TRACING" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EID& 0x0000FFFF),               "PROCESS_UNIT_ERROR" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EID& 0x0000FFFF),             "PROCESS_UNIT_MESSAGE" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EID& 0x0000FFFF),          "PROCESS_UNIT_CHECKPOINT" },
	{ (cOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EID& 0x0000FFFF),             "PROCESS_UNIT_TRACING" },
	{ (cOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EID& 0x0000FFFF),            "TEST_ETSI_TEST_REPORT" },
	{ 0,		NULL },
};

const value_string vals_OCTVC1_GSM_EID_PRIV[] =
{
	{ 0,		NULL },
};

/****************************************************************************
	SID arrays
 ****************************************************************************/
const value_string vals_OCTVC1_MAIN_SID[] =
{
	{ 0,		NULL },
};

const value_string vals_OCTVC1_MAIN_SID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_CTRL_SID[] =
{
	{ (cOCTVC1_CTRL_MSG_MODULE_REJECT_SID& 0x00000FFF),                   "MODULE_REJECT" },
	{ 0,		NULL },
};

const value_string vals_OCTVC1_CTRL_SID_PRIV[] =
{
	{ 0,		NULL },
};
const value_string vals_OCTVC1_GSM_SID[] =
{
	{ 0,		NULL },
};

const value_string vals_OCTVC1_GSM_SID_PRIV[] =
{
	{ 0,		NULL },
};

/****************************************************************************
	typedef struct tModuleColInfo
 ****************************************************************************/
extern void ws_register_OCTVC1_MAIN(void);
extern int ws_dissect_OCTVC1_MAIN( guint8 message_type, guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree );
extern void ws_register_OCTVC1_CTRL(void);
extern int ws_dissect_OCTVC1_CTRL( guint8 message_type, guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree );
extern void ws_register_OCTVC1_GSM(void);
extern int ws_dissect_OCTVC1_GSM( guint8 message_type, guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree );
;
tModuleColInfo aOCTVC1ModuleColInfo[] =
{
	{ "MAIN", vals_OCTVC1_MAIN_CID,vals_OCTVC1_MAIN_EID,vals_OCTVC1_MAIN_SID, ws_register_OCTVC1_MAIN, ws_dissect_OCTVC1_MAIN,vals_OCTVC1_MAIN_CID_PRIV,vals_OCTVC1_MAIN_EID_PRIV },
	{ "CTRL", vals_OCTVC1_CTRL_CID,vals_OCTVC1_CTRL_EID,vals_OCTVC1_CTRL_SID, ws_register_OCTVC1_CTRL, ws_dissect_OCTVC1_CTRL,vals_OCTVC1_CTRL_CID_PRIV,vals_OCTVC1_CTRL_EID_PRIV },	
	{ "GSM", vals_OCTVC1_GSM_CID,vals_OCTVC1_GSM_EID,vals_OCTVC1_GSM_SID, ws_register_OCTVC1_GSM, ws_dissect_OCTVC1_GSM,vals_OCTVC1_GSM_CID_PRIV,vals_OCTVC1_GSM_EID_PRIV },

};


/*************************************************************************
  Registered dissector module 
**************************************************************************/
void ws_register_dissector_module(void)
{
  /* Register all modules */
  unsigned int i;
  for( i=0; i<mWS_COUNTOF(aOCTVC1ModuleColInfo); i++ )
		aOCTVC1ModuleColInfo[i].Register_fnc();

	ws_register_OCTVC1_common();
}
