/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_CPP_RC.h

$Octasic_Copyright: $

Description: Contains the return codes for the CPP API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef OCTVC1_CPP_RC_H__
#define OCTVC1_CPP_RC_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"

/****************************************************************************
	CPP return codes
 ****************************************************************************/
#define cOCTVC1_CPP_RC_UTIL_INVALID_PORT							 ( 0x0100 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_INVALID_IP_ADDRESS							 ( 0x0101 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_DEACTIVATE_CNCT_NOT_ACTIVE		 ( 0x0600 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_CNCT_ID					 ( 0x0601 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_CNCT_ALREADY_ACTIVE		 ( 0x0602 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_INVALID_PROFILE_INDEX	 ( 0x0603 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_STATS_INVALID_CNCT_ID			 ( 0x0604 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_PORT_ALREADY_OPEN		 ( 0x0605 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_PROFILE_PORT_INDEX		 ( 0x0606 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_ALL_CNCT_ACTIVATED		 ( 0x0607 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_MAX_OBJECTS_REACHED		 ( 0x0608 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_CNCT_ACTIVATE_REMOTE_PORT				 ( 0x0609 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_DEACTIVATE_CNCT_NOT_ACTIVE		 ( 0x0700 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_CNCT_ID					 ( 0x0701 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_CNCT_ALREADY_ACTIVE		 ( 0x0702 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_STATS_INVALID_CNCT_ID			 ( 0x0703 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_PORT_ALREADY_OPEN		 ( 0x0704 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_ALL_CNCT_ACTIVATED		 ( 0x0705 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_MAX_OBJECTS_REACHED		 ( 0x0706 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_CNCT_ACTIVATE_REMOTE_PORT				 ( 0x0707 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_REMOVE_INVALID_HANDLE					 ( 0x0800 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_REMOVE_ENTRY_NOT_FOUND					 ( 0x0801 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_INVALID_PKT_PORT					 ( 0x0802 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_REMOVE_PORT_NOT_FOUND					 ( 0x0803 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_REMOVE_MODE								 ( 0x0804 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_INFO_ENTRY_NOT_FOUND					 ( 0x0805 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_INVALID_CPP_OBJ						 ( 0x0806 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_INVALID_SOURCE_MAC_ADDRESS			 ( 0x0807 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_MAX_OBJECTS_REACHED					 ( 0x0808 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_FIFO_ID								 ( 0x0809 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ADD_MAX_POOL_ENTRIES					 ( 0x080A + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_OPEN_HDR_TOO_BIG					 ( 0x0900 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_OPEN_RTP_PROFILE_ENTRY			 ( 0x0901 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_MODIFY_RTP_PROFILE_ENTRY			 ( 0x0902 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_MODIFY_HASH_NOT_FOUND			 ( 0x0903 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_INVALID_HEADER					 ( 0x0904 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_INVALID_DEST_SOCKET_ID			 ( 0x0905 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_HEADER_BYTE_SIZE					 ( 0x0906 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_IPV4_MAX_OPTIONS					 ( 0x0907 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_RTP_MAX_EXTENSIONS				 ( 0x0908 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_INVALID_SOURCE_MAC_ADDRESS		 ( 0x0909 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_TX_UDP_CNCT_OPEN_MAX_OBJECTS_REACHED			 ( 0x090A + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_IP_PORT_OPEN_PORT_ALREADY_OPEN			 ( 0x0A00 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_IP_PORT_OPEN_MAX_OBJECTS_REACHED			 ( 0x0A01 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FORWARD_OPEN_SOURCE_MAC_ADDRESS				 ( 0x0B00 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FORWARD_OPEN_MAX_OBJECTS_REACHED				 ( 0x0B01 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_T38_AUTODETECT				 ( 0x0C00 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_PORT_ALREADY_OPEN			 ( 0x0C01 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_ACTIVE_CONNECTIONS				 ( 0x0C02 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_MAX_CNCTS					 ( 0x0C03 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_SEARCH_TYPE_SSRC					 ( 0x0C04 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_MAX_OBJECTS_REACHED			 ( 0x0C05 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_LOCAL_PORT					 ( 0x0C06 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_UDP_PORT_OPEN_ROUTING_TYPE				 ( 0x0C07 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_PORT_OPEN_PORT_ALREADY_OPEN			 ( 0x0D00 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_PORT_ACTIVE_CONNECTIONS				 ( 0x0D01 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_PORT_OPEN_MAX_OBJECTS_REACHED			 ( 0x0D02 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_RX_TCP_PORT_OPEN_LOCAL_PORT					 ( 0x0D03 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ENTRY_TOO_BIG							 ( 0x0E00 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_DEST_ENTRY_NOT_FOUND							 ( 0x0E01 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FWD_INVALID_PKT_PORT							 ( 0x0E02 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FWD_ENTRY_TOO_BIG							 ( 0x0E03 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FWD_ENTRY_ADD_MALLOC							 ( 0x0E04 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_FWD_ENTRY_HASH_ENTRY_TYPE					 ( 0x0E05 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_HNDL_HASH_ENTRY_ALREADY_IN_USE				 ( 0x0E06 + cOCTVC1_CPP_RC_BASE )
#define cOCTVC1_CPP_RC_NO_MORE_ROUTING_ENTRIES						 ( 0x0E07 + cOCTVC1_CPP_RC_BASE )

#endif /* OCTVC1_CPP_RC_H__ */

