/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_gsm_api_swap.h	

Copyright (c) 2014 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.	

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_GSM_API_SWAP_H__
#define __OCTVC1_GSM_API_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_gsm_api.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_tSUBCHANNEL_STATUS_SWAP( _f_pParms ){ 	tOCTVC1_GSM_tSUBCHANNEL_STATUS * pOCTVC1_GSM_tSUBCHANNEL_STATUS = (_f_pParms); \
	((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveUplinkSAPIMapMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveUplinkSAPIMapMSW);  \
	((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveUplinkSAPIMapLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveUplinkSAPIMapLSW);  \
	((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveDownlinkSAPIMapMSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveDownlinkSAPIMapMSW);  \
	((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveDownlinkSAPIMapLSW = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tSUBCHANNEL_STATUS *)pOCTVC1_GSM_tSUBCHANNEL_STATUS)->usActiveDownlinkSAPIMapLSW);  \
}
#else
#define mOCTVC1_GSM_tSUBCHANNEL_STATUS_SWAP( pOCTVC1_GSM_tSUBCHANNEL_STATUS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_tMEASUREMENT_INFO_SWAP( _f_pParms ){ 	tOCTVC1_GSM_tMEASUREMENT_INFO * pOCTVC1_GSM_tMEASUREMENT_INFO = (_f_pParms); \
	((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sRSSI = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sRSSI);  \
	((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sSNR = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sSNR);  \
	((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sBurstTiming = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->sBurstTiming);  \
	((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->usBERCount = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->usBERCount);  \
	((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->usBERTOtalBitCOunt = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_tMEASUREMENT_INFO *)pOCTVC1_GSM_tMEASUREMENT_INFO)->usBERTOtalBitCOunt);  \
}
#else
#define mOCTVC1_GSM_tMEASUREMENT_INFO_SWAP( pOCTVC1_GSM_tMEASUREMENT_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_TIMESLOT_STATUS_SWAP( _f_pParms )
#else
#define mOCTVC1_GSM_TIMESLOT_STATUS_SWAP( pOCTVC1_GSM_TIMESLOT_STATUS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)->usFrameNumberMsb = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)->usFrameNumberMsb);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)->usFrameNumberLsb = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)->usFrameNumberLsb);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usFrameNumberMSB = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usFrameNumberMSB);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usFrameNumberLSB = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usFrameNumberLSB);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usDataLength = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)->usDataLength);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_STATUS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_STATUS_CMD * pOCTVC1_GSM_MSG_TRX_STATUS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_STATUS_CMD *)pOCTVC1_GSM_MSG_TRX_STATUS_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TRX_STATUS_CMD *)pOCTVC1_GSM_MSG_TRX_STATUS_CMD)->usu2Pad_u6TRXId_u8Pad = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TRX_STATUS_CMD *)pOCTVC1_GSM_MSG_TRX_STATUS_CMD)->usu2Pad_u6TRXId_u8Pad);  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_STATUS_CMD_SWAP( pOCTVC1_GSM_MSG_TRX_STATUS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_STATUS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_STATUS_RSP * pOCTVC1_GSM_MSG_TRX_STATUS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_STATUS_RSP *)pOCTVC1_GSM_MSG_TRX_STATUS_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_GSM_MSG_TRX_STATUS_RSP; \
	for( jOCTVC1_GSM_MSG_TRX_STATUS_RSP=0; \
		jOCTVC1_GSM_MSG_TRX_STATUS_RSP<(cOCTVC1_GSM_TRX_NUM_TIMESLOTS);jOCTVC1_GSM_MSG_TRX_STATUS_RSP++ ) \
	{ mOCTVC1_GSM_TIMESLOT_STATUS_SWAP( &((tOCTVC1_GSM_MSG_TRX_STATUS_RSP *)pOCTVC1_GSM_MSG_TRX_STATUS_RSP)->atStatus[jOCTVC1_GSM_MSG_TRX_STATUS_RSP] ); }} \
}
#else
#define mOCTVC1_GSM_MSG_TRX_STATUS_RSP_SWAP( pOCTVC1_GSM_MSG_TRX_STATUS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD * pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD *)pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD_SWAP( pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP * pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP *)pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP_SWAP( pOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_RESET_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_RESET_CMD * pOCTVC1_GSM_MSG_TRX_RESET_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_RESET_CMD *)pOCTVC1_GSM_MSG_TRX_RESET_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TRX_RESET_CMD *)pOCTVC1_GSM_MSG_TRX_RESET_CMD)->usu2Pad_u6TRXId_u8Pad = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TRX_RESET_CMD *)pOCTVC1_GSM_MSG_TRX_RESET_CMD)->usu2Pad_u6TRXId_u8Pad);  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_RESET_CMD_SWAP( pOCTVC1_GSM_MSG_TRX_RESET_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_RESET_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_RESET_RSP * pOCTVC1_GSM_MSG_TRX_RESET_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_RESET_RSP *)pOCTVC1_GSM_MSG_TRX_RESET_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_TRX_RESET_RSP *)pOCTVC1_GSM_MSG_TRX_RESET_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TRX_RESET_RSP *)pOCTVC1_GSM_MSG_TRX_RESET_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_RESET_RSP_SWAP( pOCTVC1_GSM_MSG_TRX_RESET_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD * pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD_SWAP( pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP * pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP_SWAP( pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD * pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD_SWAP( pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP * pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP *)pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP_SWAP( pOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC0 = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC0);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC1 = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC1);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC2 = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC2);  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC3 = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)->usKC3);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP * pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP)->usStatus = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP *)pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP)->usStatus);  \
}
#else
#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP_SWAP( pOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD * pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD *)pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP * pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD * pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD *)pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD_SWAP( pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP * pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP *)pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP_SWAP( pOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_START_ETSI_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD * pOCTVC1_GSM_MSG_TEST_START_ETSI_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_START_ETSI_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_START_ETSI_CMD)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_START_ETSI_CMD)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_START_ETSI_CMD_SWAP( pOCTVC1_GSM_MSG_TEST_START_ETSI_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_START_ETSI_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_START_ETSI_RSP * pOCTVC1_GSM_MSG_TEST_START_ETSI_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_START_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_START_ETSI_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_START_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_START_ETSI_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_START_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_START_ETSI_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_START_ETSI_RSP_SWAP( pOCTVC1_GSM_MSG_TEST_START_ETSI_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_START_FCC_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_START_FCC_CMD * pOCTVC1_GSM_MSG_TEST_START_FCC_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_START_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_START_FCC_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_START_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_START_FCC_CMD)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_START_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_START_FCC_CMD)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_START_FCC_CMD_SWAP( pOCTVC1_GSM_MSG_TEST_START_FCC_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_START_FCC_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_START_FCC_RSP * pOCTVC1_GSM_MSG_TEST_START_FCC_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_START_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_START_FCC_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_START_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_START_FCC_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_START_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_START_FCC_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_START_FCC_RSP_SWAP( pOCTVC1_GSM_MSG_TEST_START_FCC_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_END_ETSI_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD * pOCTVC1_GSM_MSG_TEST_END_ETSI_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_END_ETSI_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_END_ETSI_CMD)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD *)pOCTVC1_GSM_MSG_TEST_END_ETSI_CMD)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_END_ETSI_CMD_SWAP( pOCTVC1_GSM_MSG_TEST_END_ETSI_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_END_ETSI_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_END_ETSI_RSP * pOCTVC1_GSM_MSG_TEST_END_ETSI_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_END_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_END_ETSI_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_END_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_END_ETSI_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_END_ETSI_RSP *)pOCTVC1_GSM_MSG_TEST_END_ETSI_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_END_ETSI_RSP_SWAP( pOCTVC1_GSM_MSG_TEST_END_ETSI_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_END_FCC_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_END_FCC_CMD * pOCTVC1_GSM_MSG_TEST_END_FCC_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_END_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_END_FCC_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_END_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_END_FCC_CMD)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_END_FCC_CMD *)pOCTVC1_GSM_MSG_TEST_END_FCC_CMD)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_END_FCC_CMD_SWAP( pOCTVC1_GSM_MSG_TEST_END_FCC_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TEST_END_FCC_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TEST_END_FCC_RSP * pOCTVC1_GSM_MSG_TEST_END_FCC_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TEST_END_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_END_FCC_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_TEST_END_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_END_FCC_RSP)->usTodo = \
		mOCT_SWAP16_IF_LE(((tOCTVC1_GSM_MSG_TEST_END_FCC_RSP *)pOCTVC1_GSM_MSG_TEST_END_FCC_RSP)->usTodo);  \
}
#else
#define mOCTVC1_GSM_MSG_TEST_END_FCC_RSP_SWAP( pOCTVC1_GSM_MSG_TEST_END_FCC_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD * pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventMask); \
	((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulUserEventId); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->hEventDestObj ); }  \
	((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjPort); \
	((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjFifoId); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD_SWAP( pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP * pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP_SWAP( pOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD * pOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP * pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventMask); \
	((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulUserEventId); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->hEventDestObj ); }  \
	((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjPort); \
	((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjFifoId); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_CMD * pOCTVC1_GSM_MSG_MODULE_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_CMD *)pOCTVC1_GSM_MSG_MODULE_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_CMD_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_MODULE_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_MODULE_INFO_RSP * pOCTVC1_GSM_MSG_MODULE_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_MODULE_INFO_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_MODULE_INFO_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_RSP)->ulDeviceType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_MODULE_INFO_RSP *)pOCTVC1_GSM_MSG_MODULE_INFO_RSP)->ulDeviceType); \
}
#else
#define mOCTVC1_GSM_MSG_MODULE_INFO_RSP_SWAP( pOCTVC1_GSM_MSG_MODULE_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD * pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->hProcessUnit ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulUserEventId); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulEventMask); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulDebugFwdEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)->ulDebugFwdEventMask); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP * pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP)->hProcessUnit ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD * pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD)->hProcessUnit ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP * pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->Header ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventMask); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulUserEventId); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->hEventDestObj ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventDestObjPort); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP)->ulEventDestObjFifoId); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD * pOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD *)pOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD_SWAP( pOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP * pOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP *)pOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP_SWAP( pOCTVC1_GSM_MSG_TRX_CONFIGURE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD * pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP * pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD * pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD)->ObjectGet ); }  \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP * pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ObjectGet ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulProcessType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulProcessType); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulInstance = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulInstance); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulMasterCore = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulMasterCore); \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP)->ulCoreId); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD * pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD)->ObjectGet ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP * pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP)->ObjectGet ); }  \
	((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP)->ulLastFrameIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP *)pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP)->ulLastFrameIndex); \
}
#else
#define mOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP_SWAP( pOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_GSM_API_SWAP_H__ */
