/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_GSM_ID.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contains the identifiers for the GSM API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_GSM_ID_H__
#define __OCTVC1_GSM_ID_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"

/****************************************************************************
	Command IDs
 ****************************************************************************/
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CID    ( ( 0x001 + cOCTVC1_GSM_CID_BASE )| cOCTVC1_MSG_NO_RESPONSE_FLAG  ) 
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CID           ( ( 0x002 + cOCTVC1_GSM_CID_BASE )| cOCTVC1_MSG_NO_RESPONSE_FLAG  ) 
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CID                ( 0x003 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CID             ( 0x004 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TRX_STATUS_CID                              ( 0x005 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CID                     ( 0x006 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TRX_RESET_CID                               ( 0x008 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CID                  ( 0x009 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CID                ( 0x00b + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CID              ( 0x00c + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CID    ( 0x00d + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CID                    ( 0x00f + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CID ( 0x011 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TEST_START_ETSI_CID                         ( 0x012 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TEST_START_FCC_CID                          ( 0x013 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TEST_END_ETSI_CID                           ( 0x014 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TEST_END_FCC_CID                            ( 0x015 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CID                       ( 0x021 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_INFO_EVT_CID                         ( 0x022 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_INFO_CID                             ( 0x023 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CID                 ( 0x024 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CID                   ( 0x025 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_TRX_CONFIGURE_CID                           ( 0x100 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CID                       ( 0x106 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CID                       ( 0x107 + cOCTVC1_GSM_CID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CID                      ( 0x108 + cOCTVC1_GSM_CID_BASE )

#define cOCTVC1_GSM_CID_MAX                                         (( 0x108 + 1 ) & 0xFFF)

/****************************************************************************
	Event IDs
 ****************************************************************************/
#define cOCTVC1_GSM_MSG_MODULE_DATA_INDICATION_EID          ( 0x0001 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_READY_TO_SEND_INDICATION_EID ( 0x0002 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_RACH_INDICATION_EID          ( 0x0007 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_TIME_INDICATION_EID          ( 0x000e + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_TEST_ETSI_TEST_REPORT_EID           ( 0x0016 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_TRX_RADIO_READY_EID          ( 0x0017 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_ERROR_EID                    ( 0x0021 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_MESSAGE_EID                  ( 0x0022 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_CHECKPOINT_EID               ( 0x0023 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_MODULE_TRACING_EID                  ( 0x0024 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_ERROR_EID              ( 0x0025 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_MESSAGE_EID            ( 0x0026 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_CHECKPOINT_EID         ( 0x0027 + cOCTVC1_GSM_EID_BASE )
#define cOCTVC1_GSM_MSG_PROCESS_UNIT_TRACING_EID            ( 0x0028 + cOCTVC1_GSM_EID_BASE )

#define cOCTVC1_GSM_EID_MAX                                 (( 0x0028 + 1 ) & 0xFFFF)


#endif /* __OCTVC1_GSM_ID_H__ */

