/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_MAIN_DEFAULT.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contains the event definition of the MAIN API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_MAIN_DEFAULT_H__
#define __OCTVC1_MAIN_DEFAULT_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_main_api.h"

/*****************************  COMMAND DEFAULT *****************************/

/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hForward */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   }
};

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD buf_tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEVICE_RESET_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEVICE_RESET_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD buf_tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEVICE_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEVICE_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD buf_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD buf_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   2, /* ulMaxNumServerMgw */
   cOCT_FALSE  /* ulForceApiResourceCleanUpFlag */
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hMgw */
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hMgw */
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectCursor */
       0, /* hObject */
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* hMgw */
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_OPEN_CMD buf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* szFileName */
       0, /* szFileName[0..127] */
   },
   cOCTVC1_MAIN_FILE_OPEN_MODE_MASK_READ  /* ulAccessMode */
};

const tOCTVC1_MAIN_MSG_FILE_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD buf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hFile */
};

const tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* szFileName */
       0, /* szFileName[0..127] */
   }
};

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_WRITE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_WRITE_CMD buf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_WRITE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID, /* hFile */
   1, /* ulNumByteToWrite */
   { /* abyData */
       0, /* abyData[0..399] */
   }
};

const tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_WRITE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_READ_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_READ_CMD buf_tOCTVC1_MAIN_MSG_FILE_READ_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_READ_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_READ_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID, /* hFile */
   cOCTVC1_MAIN_FILE_MAX_DATA_BYTE_SIZE  /* ulMaxNumByteToRead */
};

const tOCTVC1_MAIN_MSG_FILE_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_READ_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_READ_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_READ_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_READ_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_READ_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_INFO_CMD buf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hFile */
};

const tOCTVC1_MAIN_MSG_FILE_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_LIST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_LIST_CMD buf_tOCTVC1_MAIN_MSG_FILE_LIST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_LIST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_LIST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectCursor */
       0, /* hObject */
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_FILE_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_LIST_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_LIST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_LIST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_LIST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_LIST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* szFileName */
           0, /* szFileName[0..127] */
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD =
    &buf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD buf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCT_TRUE  /* ulGetNewestFlag */
};

const tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD =
    &buf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_LOG_ERASE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_LOG_ERASE_CMD buf_tOCTVC1_MAIN_MSG_LOG_ERASE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_LOG_ERASE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_LOG_ERASE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_LOG_ERASE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_ERASE_CMD =
    &buf_tOCTVC1_MAIN_MSG_LOG_ERASE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_LOG_ERASE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_ERASE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_LOG_ERASE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_LOG_ERASE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD buf_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_LICENSING_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* szFeatureName */
           0, /* szFeatureName[0..63] */
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_LICENSING_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_RESET_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_RESET_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_ETH_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_ETH_STATS_CMD buf_tOCTVC1_MAIN_MSG_ETH_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_ETH_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_ETH_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCT_FALSE  /* ulResetStatsFlag */
};

const tOCTVC1_MAIN_MSG_ETH_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_STATS_CMD =
    &buf_tOCTVC1_MAIN_MSG_ETH_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_ETH_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_ETH_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_STATS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD buf_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD =
    &buf_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD buf_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* aDynamic */
       { /* aDynamic[0] */
           cOCTVC1_DO_NOT_MODIFY, /* ulEthPortEnableFlag */
           { /* MacAddress */
               { /* abyReserved */
                   0, /* abyReserved[0] */
                   0  /* abyReserved[1] */
               },
               { /* abyMacAddress */
                   0, /* abyMacAddress[0] */
                   0, /* abyMacAddress[1] */
                   0, /* abyMacAddress[2] */
                   0, /* abyMacAddress[3] */
                   0, /* abyMacAddress[4] */
                   0  /* abyMacAddress[5] */
               }
           },
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptAllMacFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptUnicastFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptMulticastFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptBadCrcPktFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptLongPktFormatFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulBroadcastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulMulticastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulUnicastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulRxMirrorForwardPort */
           cOCTVC1_DO_NOT_MODIFY  /* ulRestrictedApiFlag */
       },
       { /* aDynamic[1] */
           cOCTVC1_DO_NOT_MODIFY, /* ulEthPortEnableFlag */
           { /* MacAddress */
               { /* abyReserved */
                   0, /* abyReserved[0] */
                   0  /* abyReserved[1] */
               },
               { /* abyMacAddress */
                   0, /* abyMacAddress[0] */
                   0, /* abyMacAddress[1] */
                   0, /* abyMacAddress[2] */
                   0, /* abyMacAddress[3] */
                   0, /* abyMacAddress[4] */
                   0  /* abyMacAddress[5] */
               }
           },
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptAllMacFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptUnicastFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptMulticastFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptBadCrcPktFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulAcceptLongPktFormatFlag */
           cOCTVC1_DO_NOT_MODIFY, /* ulBroadcastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulMulticastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulUnicastForwardPort */
           cOCTVC1_DO_NOT_MODIFY, /* ulRxMirrorForwardPort */
           cOCTVC1_DO_NOT_MODIFY  /* ulRestrictedApiFlag */
       }
   }
};

const tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD =
    &buf_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REGISTER_READ_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REGISTER_READ_CMD buf_tOCTVC1_MAIN_MSG_REGISTER_READ_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REGISTER_READ_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REGISTER_READ_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_REGISTER_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REGISTER_READ_CMD =
    &buf_tOCTVC1_MAIN_MSG_REGISTER_READ_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REGISTER_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REGISTER_READ_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REGISTER_READ_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REGISTER_READ_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD buf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulBank */
   0, /* ulDirection */
   0  /* ulTriStateHigh */
};

const tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD =
    &buf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD buf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* ulBank */
};

const tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD =
    &buf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD buf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulBank */
   0  /* ulValue */
};

const tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD =
    &buf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD buf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_SPI_ACCESS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0x00000000, /* ulChipSelectPin */
   0x00000000, /* ulClockPin */
   0x00000000, /* ulDataOutPin */
   0x00000000, /* ulDataInPin */
   0x3E, /* ulDivider */
   0, /* ulSlaveSelectId */
   1000000, /* ulClockFrequency */
   cOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM_HIGH, /* ulClockPolarity */
   cOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM_CLOCK_TRANSITION, /* ulClockPhase */
   0, /* ulReadByteCnt */
   0, /* ulWriteByteCnt */
   { /* aulWriteData */
       0, /* aulWriteData[0] */
       0, /* aulWriteData[1] */
       0, /* aulWriteData[2] */
       0, /* aulWriteData[3] */
       0, /* aulWriteData[4] */
       0, /* aulWriteData[5] */
       0, /* aulWriteData[6] */
       0, /* aulWriteData[7] */
       0, /* aulWriteData[8] */
       0, /* aulWriteData[9] */
       0, /* aulWriteData[10] */
       0, /* aulWriteData[11] */
       0, /* aulWriteData[12] */
       0, /* aulWriteData[13] */
       0, /* aulWriteData[14] */
       0  /* aulWriteData[15] */
   }
};

const tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD =
    &buf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_SPI_ACCESS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD buf_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_PROCESS_LIST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectCursor */
       0, /* hObject */
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD =
    &buf_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_PROCESS_LIST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD buf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_PROCESS_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hProcess */
};

const tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD buf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulPhyAddress */
   0  /* ulRegisterAddress */
};

const tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD =
    &buf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD buf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulPhyAddress */
   0, /* ulRegisterAddress */
   0  /* ulWriteData */
};

const tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD =
    &buf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD buf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulEventMask */
   0, /* ulUserEventId */
   { /* hEventDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulEventDestObjPort */
   0  /* ulEventDestObjFifoId */
};

const tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD =
    &buf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD buf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* ulBank */
   0  /* ulMonitor */
};

const tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD =
    &buf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD buf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* aulPhyAddress */
       cOCTVC1_INDEX_INVALID, /* aulPhyAddress[0] */
       cOCTVC1_INDEX_INVALID  /* aulPhyAddress[1] */
   }
};

const tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD =
    &buf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD buf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   1, /* hProcess */
   0, /* ulAlarmThresholdHighPercent */
   0  /* ulAlarmThresholdLowPercent */
};

const tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD =
    &buf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD buf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   1  /* hProcess */
};

const tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD =
    &buf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_BUFFER_FORMAT_ENUM_UNKNOWN, /* ulFormat */
   8192, /* ulByteLength */
   { /* szBufferName */
       0, /* szBufferName[0..127] */
   }
};

const tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* szBufferName */
       0, /* szBufferName[0..127] */
   }
};

const tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hBuffer */
};

const tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hBuffer */
};

const tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_LIST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectCursor */
       0, /* hObject */
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_LIST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID, /* hBuffer */
   cOCTVC1_DO_NOT_MODIFY, /* ulFormat */
   cOCTVC1_DO_NOT_MODIFY  /* ulUsedByteSize */
};

const tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID, /* hBuffer */
   0, /* ulWriteByteLength */
   0, /* ulWriteByteOffset */
   { /* abyWriteData */
       0, /* abyWriteData[0..1023] */
   }
};

const tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_BUFFER_READ_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_BUFFER_READ_CMD buf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_BUFFER_READ_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID, /* hBuffer */
   cOCTVC1_MAIN_BUFFER_MAX_DATA_BYTE_SIZE, /* ulMaxReadByteLength */
   0  /* ulReadByteOffset */
};

const tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD =
    &buf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_BUFFER_READ_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD buf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_MAIN_TRACING_MODE_ENUM_NORMAL, /* ulTracingMode */
   cOCTVC1_MAIN_TRACING_TYPE_ENUM_ALL, /* ulTracingType */
   1, /* ulNumBuffer */
   { /* aBufferId */
       0, /* aBufferId[0] */
       0, /* aBufferId[1] */
       0, /* aBufferId[2] */
       0  /* aBufferId[3] */
   }
};

const tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD =
    &buf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD buf_tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD =
    &buf_tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulDestObjPort */
   cOCTVC1_FIFO_ID_INVALID, /* ulDestObjFifoId */
   { /* DestMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   },
   { /* SrcMacAddress */
       { /* abyReserved */
           0, /* abyReserved[0] */
           0  /* abyReserved[1] */
       },
       { /* abyMacAddress */
           0, /* abyMacAddress[0] */
           0, /* abyMacAddress[1] */
           0, /* abyMacAddress[2] */
           0, /* abyMacAddress[3] */
           0, /* abyMacAddress[4] */
           0  /* abyMacAddress[5] */
       }
   }
};

const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD =
    &buf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD buf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD =
    &buf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCTVC1_HANDLE_INVALID  /* hMgw */
};

const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD =
    &buf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD buf_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT1010_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCT_FALSE  /* ulResetStatsFlag */
};

const tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT1010_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD buf_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_MAIN_MSG_OCT2200_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCT_FALSE  /* ulResetStatsFlag */
};

const tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD =
    &buf_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD *g_pOctDef_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_MAIN_MSG_OCT2200_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD; \
    }


#endif /* __OCTVC1_MAIN_DEFAULT_H__ */

