/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_MAIN_ID.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contains the identifiers for the MAIN API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_MAIN_ID_H__
#define __OCTVC1_MAIN_ID_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"

/****************************************************************************
	Command IDs
 ****************************************************************************/
#define cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID                    ( 0x002 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID                     ( 0x003 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_DEVICE_RESET_CID                           ( ( 0x004 + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_NO_RESPONSE_FLAG  ) 
#define cOCTVC1_MAIN_MSG_DEVICE_INFO_CID                            ( 0x005 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID                ( 0x006 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID                  ( 0x007 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID                ( 0x008 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID                 ( 0x009 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID                 ( 0x00A + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID              ( ( 0x00B + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID           ( 0x00C + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID             ( 0x00D + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID             ( 0x00E + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_FILE_OPEN_CID                              ( ( 0x00F + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_FILE_CLOSE_CID                             ( ( 0x010 + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID                ( ( 0x011 + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_FILE_WRITE_CID                             ( ( 0x012 + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_FILE_READ_CID                              ( 0x013 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_FILE_INFO_CID                              ( 0x014 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_FILE_LIST_CID                              ( 0x015 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID                       ( 0x016 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID                  ( 0x017 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID                         ( 0x018 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_LOG_ERASE_CID                              ( ( 0x019 + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_LONG_PROCESSING_FLAG  ) 
#define cOCTVC1_MAIN_MSG_LICENSING_INFO_CID                         ( 0x01A + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT1010_RESET_CID                          ( ( 0x01C + cOCTVC1_MAIN_CID_BASE )| cOCTVC1_MSG_NO_RESPONSE_FLAG  ) 
#define cOCTVC1_MAIN_MSG_OCT1010_INFO_CID                           ( 0x01D + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_ETH_STATS_CID                              ( 0x01E + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID                   ( 0x01F + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID                 ( 0x020 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REGISTER_READ_CID                          ( 0x021 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID                 ( 0x023 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID                    ( 0x024 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID                      ( 0x025 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID                ( 0x026 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID                         ( 0x027 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID                        ( 0x028 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_SPI_ACCESS_CID                             ( 0x029 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_PROCESS_LIST_CID                           ( 0x02A + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_PROCESS_INFO_CID                           ( 0x02B + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID                          ( 0x02C + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID                         ( 0x02D + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID                      ( 0x02E + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID                      ( 0x02F + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID                       ( 0x030 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID              ( 0x031 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID                 ( 0x032 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID                            ( 0x033 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID                    ( 0x034 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID                           ( 0x035 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_INFO_CID                            ( 0x036 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_LIST_CID                            ( 0x037 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID                          ( 0x038 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID                           ( 0x039 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_BUFFER_READ_CID                            ( 0x03A + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID                   ( 0x03B + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID                    ( 0x03C + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID                     ( 0x03D + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID                        ( 0x03E + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID ( 0x04A + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT1010_STATS_CID                          ( 0x148 + cOCTVC1_MAIN_CID_BASE )
#define cOCTVC1_MAIN_MSG_OCT2200_STATS_CID                          ( 0x14E + cOCTVC1_MAIN_CID_BASE )

#define cOCTVC1_MAIN_CID_MAX                                        (( 0x14E + 1 ) & 0xFFF)

/****************************************************************************
	Event IDs
 ****************************************************************************/
#define cOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EID                    ( 0x0001 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EID                     ( 0x0002 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID            ( 0x0003 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EID ( 0x0005 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EID          ( 0x0006 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EID                 ( 0x0007 + cOCTVC1_MAIN_EID_BASE )
#define cOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EID        ( 0x0008 + cOCTVC1_MAIN_EID_BASE )

#define cOCTVC1_MAIN_EID_MAX                                     (( 0x0009 + 1 ) & 0xFFFF)


#endif /* __OCTVC1_MAIN_ID_H__ */

