/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_NET_DEFAULT.h

$Octasic_Copyright: $

Description: Contains the event definition of the NET API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_NET_DEFAULT_H__
#define __OCTVC1_NET_DEFAULT_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_net_api.h"

/*****************************  COMMAND DEFAULT *****************************/

/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0  /* ulTxRtcpPauseFlag */
};

const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulHighFractionLost */
   0, /* ulHighCumulativePacketLost */
   0, /* ulHighJitter */
   0, /* ulHighRoundTripTime */
   0, /* ulLowFractionLost */
   0, /* ulLowJitter */
   0  /* ulLowRoundTripTime */
};

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* hTerm */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   cOCTVC1_NET_RX_PKT_FILTER_ENUM_SRCIPUDP_SSRC, /* ulRxPktFilter */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortRtp */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortRtcp */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortT38 */
   0, /* ulLocalCnameLength */
   { /* achLocalCname */
       0, /* achLocalCname[0..255] */
   },
   cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE, /* ulLocalForcedRtpParmMask */
   0, /* ulLocalForcedSsrc */
   0, /* ulLocalForcedInitialSeqNumber */
   0, /* ulRemoteAutoDetectFlag */
   { /* RemoteUdpAddressRtp */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   { /* RemoteUdpAddressRtcp */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   { /* RemoteUdpAddressT38 */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   0, /* ulRemoteCnameLength */
   { /* achRemoteCname */
       0, /* achRemoteCname[0..255] */
   },
   cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE, /* ulRemoteForcedRtpParmMask */
   0, /* ulRemoteForcedSsrc */
   0, /* ulRemoteForcedInitialSeqNumber */
   127, /* ulIpv4TimeToLive */
   0, /* ulIpv4TypeOfService */
   0, /* ulIpv6HopLimit */
   0, /* ulIpv6FlowLabel */
   0, /* ulIpv6TrafficClass */
   0, /* ulNumProfEntry */
   { /* aRtpProfEntry */
       { /* aRtpProfEntry[0] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[1] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[2] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[3] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[4] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[5] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[6] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[7] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       }
   },
   { /* SenderSrtp */
       cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM, /* ulCryptoTransform */
       cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1, /* ulAuthTransform */
       80, /* ulAuthTagBitSize */
       0, /* ulMkiByteSize */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulSessionCryptoKeyBitSize */
       112, /* ulSessionSaltKeyBitSize */
       128, /* ulSessionAuthKeyBitSize */
       0, /* ulInitialRoc */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE, /* ulSrtpServiceMask */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE  /* ulSrtcpServiceMask */
   },
   { /* SenderSrtpKey */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
       { /* abyMasterKey */
           0, /* abyMasterKey[0..31] */
       },
       cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
       { /* abyMasterSalt */
           0, /* abyMasterSalt[0..15] */
       },
       0, /* ulKeyDerivationRateLog2 */
       { /* aulRtpMasterKeyMaxLifeTime */
           0, /* aulRtpMasterKeyMaxLifeTime[0] */
           0  /* aulRtpMasterKeyMaxLifeTime[1] */
       },
       { /* aulRtpMasterKeyFromLifeTime */
           0, /* aulRtpMasterKeyFromLifeTime[0] */
           0  /* aulRtpMasterKeyFromLifeTime[1] */
       },
       { /* aulRtpMasterKeyToLifeTime */
           0, /* aulRtpMasterKeyToLifeTime[0] */
           0  /* aulRtpMasterKeyToLifeTime[1] */
       },
       { /* aulRtpReKeyEventThreshold */
           0, /* aulRtpReKeyEventThreshold[0] */
           0  /* aulRtpReKeyEventThreshold[1] */
       },
       0, /* ulRtcpMasterKeyMaxLifeTime */
       0, /* ulRtcpMasterKeyFromLifeTime */
       0, /* ulRtcpMasterKeyToLifeTime */
       0, /* ulRtcpReKeyEventThreshold */
       { /* abyMkiValue */
           0, /* abyMkiValue[0..3] */
       }
   },
   { /* ReceiverSrtp */
       cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM, /* ulCryptoTransform */
       cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1, /* ulAuthTransform */
       80, /* ulAuthTagBitSize */
       0, /* ulMkiByteSize */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulSessionCryptoKeyBitSize */
       112, /* ulSessionSaltKeyBitSize */
       128, /* ulSessionAuthKeyBitSize */
       0, /* ulInitialRoc */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE, /* ulSrtpServiceMask */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE  /* ulSrtcpServiceMask */
   },
   { /* ReceiverSrtpKey */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
       { /* abyMasterKey */
           0, /* abyMasterKey[0..31] */
       },
       cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
       { /* abyMasterSalt */
           0, /* abyMasterSalt[0..15] */
       },
       0, /* ulKeyDerivationRateLog2 */
       { /* aulRtpMasterKeyMaxLifeTime */
           0, /* aulRtpMasterKeyMaxLifeTime[0] */
           0  /* aulRtpMasterKeyMaxLifeTime[1] */
       },
       { /* aulRtpMasterKeyFromLifeTime */
           0, /* aulRtpMasterKeyFromLifeTime[0] */
           0  /* aulRtpMasterKeyFromLifeTime[1] */
       },
       { /* aulRtpMasterKeyToLifeTime */
           0, /* aulRtpMasterKeyToLifeTime[0] */
           0  /* aulRtpMasterKeyToLifeTime[1] */
       },
       { /* aulRtpReKeyEventThreshold */
           0, /* aulRtpReKeyEventThreshold[0] */
           0  /* aulRtpReKeyEventThreshold[1] */
       },
       0, /* ulRtcpMasterKeyMaxLifeTime */
       0, /* ulRtcpMasterKeyFromLifeTime */
       0, /* ulRtcpMasterKeyToLifeTime */
       0, /* ulRtcpReKeyEventThreshold */
       { /* abyMkiValue */
           0, /* abyMkiValue[0..3] */
       }
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0  /* ulLocalMemberId */
};

const tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   0  /* ulTxRtpPauseFlag */
};

const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_NONE, /* ulModifyMask */
   0, /* ulRemoteAutoDetectFlag */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortRtp */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortRtcp */
   cOCTVC1_UDP_PORT_INVALID, /* ulLocalUdpPortT38 */
   { /* RemoteUdpAddressRtp */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   { /* RemoteUdpAddressRtcp */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   { /* RemoteUdpAddressT38 */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTDEV_UDP_PORT_INVALID  /* ulUdpPort */
   },
   0, /* ulRemoteCnameLength */
   { /* achRemoteCname */
       0, /* achRemoteCname[0..255] */
   },
   cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE, /* ulRemoteForcedRtpParmMask */
   0, /* ulRemoteForcedSsrc */
   0, /* ulRemoteForcedInitialSeqNumber */
   { /* SenderSrtp */
       cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM, /* ulCryptoTransform */
       cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1, /* ulAuthTransform */
       80, /* ulAuthTagBitSize */
       0, /* ulMkiByteSize */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulSessionCryptoKeyBitSize */
       112, /* ulSessionSaltKeyBitSize */
       128, /* ulSessionAuthKeyBitSize */
       0, /* ulInitialRoc */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE, /* ulSrtpServiceMask */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE  /* ulSrtcpServiceMask */
   },
   { /* SenderSrtpKey */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
       { /* abyMasterKey */
           0, /* abyMasterKey[0..31] */
       },
       cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
       { /* abyMasterSalt */
           0, /* abyMasterSalt[0..15] */
       },
       0, /* ulKeyDerivationRateLog2 */
       { /* aulRtpMasterKeyMaxLifeTime */
           0, /* aulRtpMasterKeyMaxLifeTime[0] */
           0  /* aulRtpMasterKeyMaxLifeTime[1] */
       },
       { /* aulRtpMasterKeyFromLifeTime */
           0, /* aulRtpMasterKeyFromLifeTime[0] */
           0  /* aulRtpMasterKeyFromLifeTime[1] */
       },
       { /* aulRtpMasterKeyToLifeTime */
           0, /* aulRtpMasterKeyToLifeTime[0] */
           0  /* aulRtpMasterKeyToLifeTime[1] */
       },
       { /* aulRtpReKeyEventThreshold */
           0, /* aulRtpReKeyEventThreshold[0] */
           0  /* aulRtpReKeyEventThreshold[1] */
       },
       0, /* ulRtcpMasterKeyMaxLifeTime */
       0, /* ulRtcpMasterKeyFromLifeTime */
       0, /* ulRtcpMasterKeyToLifeTime */
       0, /* ulRtcpReKeyEventThreshold */
       { /* abyMkiValue */
           0, /* abyMkiValue[0..3] */
       }
   },
   { /* ReceiverSrtp */
       cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM, /* ulCryptoTransform */
       cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1, /* ulAuthTransform */
       80, /* ulAuthTagBitSize */
       0, /* ulMkiByteSize */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulSessionCryptoKeyBitSize */
       112, /* ulSessionSaltKeyBitSize */
       128, /* ulSessionAuthKeyBitSize */
       0, /* ulInitialRoc */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE, /* ulSrtpServiceMask */
       cOCTVC1_NET_SRTP_SERVICE_MASK_NONE  /* ulSrtcpServiceMask */
   },
   { /* ReceiverSrtpKey */
       cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
       { /* abyMasterKey */
           0, /* abyMasterKey[0..31] */
       },
       cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
       { /* abyMasterSalt */
           0, /* abyMasterSalt[0..15] */
       },
       0, /* ulKeyDerivationRateLog2 */
       { /* aulRtpMasterKeyMaxLifeTime */
           0, /* aulRtpMasterKeyMaxLifeTime[0] */
           0  /* aulRtpMasterKeyMaxLifeTime[1] */
       },
       { /* aulRtpMasterKeyFromLifeTime */
           0, /* aulRtpMasterKeyFromLifeTime[0] */
           0  /* aulRtpMasterKeyFromLifeTime[1] */
       },
       { /* aulRtpMasterKeyToLifeTime */
           0, /* aulRtpMasterKeyToLifeTime[0] */
           0  /* aulRtpMasterKeyToLifeTime[1] */
       },
       { /* aulRtpReKeyEventThreshold */
           0, /* aulRtpReKeyEventThreshold[0] */
           0  /* aulRtpReKeyEventThreshold[1] */
       },
       0, /* ulRtcpMasterKeyMaxLifeTime */
       0, /* ulRtcpMasterKeyFromLifeTime */
       0, /* ulRtcpMasterKeyToLifeTime */
       0, /* ulRtcpReKeyEventThreshold */
       { /* abyMkiValue */
           0, /* abyMkiValue[0..3] */
       }
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   cOCT_FALSE, /* ulForceFlag */
   cOCT_FALSE, /* ulRecoverNtpFromRtpTsFlag */
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   { /* hRtpSessionAssociated */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0  /* ulLocalMemberIdAssociated */
};

const tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0  /* ulLocalMemberId */
};

const tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   cOCTVC1_DO_NOT_MODIFY, /* ulSenderSrtpKeyActiveIdx */
   cOCTVC1_DO_NOT_MODIFY, /* ulSenderSrtpKeyNum */
   { /* aSenderSrtpKeyList */
       { /* aSenderSrtpKeyList[0] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aSenderSrtpKeyList[1] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aSenderSrtpKeyList[2] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aSenderSrtpKeyList[3] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       }
   },
   cOCTVC1_DO_NOT_MODIFY, /* ulReceiverSrtpKeyActiveIdx */
   cOCTVC1_DO_NOT_MODIFY, /* ulReceiverSrtpKeyNum */
   { /* aReceiverSrtpKeyList */
       { /* aReceiverSrtpKeyList[0] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aReceiverSrtpKeyList[1] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aReceiverSrtpKeyList[2] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       },
       { /* aReceiverSrtpKeyList[3] */
           cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, /* ulMasterKeyBitSize */
           { /* abyMasterKey */
               0, /* abyMasterKey[0..31] */
           },
           cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, /* ulMasterSaltBitSize */
           { /* abyMasterSalt */
               0, /* abyMasterSalt[0..15] */
           },
           0, /* ulKeyDerivationRateLog2 */
           { /* aulRtpMasterKeyMaxLifeTime */
               0, /* aulRtpMasterKeyMaxLifeTime[0] */
               0  /* aulRtpMasterKeyMaxLifeTime[1] */
           },
           { /* aulRtpMasterKeyFromLifeTime */
               0, /* aulRtpMasterKeyFromLifeTime[0] */
               0  /* aulRtpMasterKeyFromLifeTime[1] */
           },
           { /* aulRtpMasterKeyToLifeTime */
               0, /* aulRtpMasterKeyToLifeTime[0] */
               0  /* aulRtpMasterKeyToLifeTime[1] */
           },
           { /* aulRtpReKeyEventThreshold */
               0, /* aulRtpReKeyEventThreshold[0] */
               0  /* aulRtpReKeyEventThreshold[1] */
           },
           0, /* ulRtcpMasterKeyMaxLifeTime */
           0, /* ulRtcpMasterKeyFromLifeTime */
           0, /* ulRtcpMasterKeyToLifeTime */
           0, /* ulRtcpReKeyEventThreshold */
           { /* abyMkiValue */
               0, /* abyMkiValue[0..3] */
           }
       }
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   0, /* ulNumEntry */
   { /* aEntry */
       { /* aEntry[0] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[1] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[2] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[3] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[4] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[5] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[6] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       },
       { /* aEntry[7] */
           cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, /* ulModifyType */
           { /* Entry */
               0, /* ulRtpPayloadType */
               0  /* ulPktEncodingType */
           }
       }
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* IpAddress */
       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
       { /* aulIpAddress */
           0, /* aulIpAddress[0] */
           0, /* aulIpAddress[1] */
           0, /* aulIpAddress[2] */
           0  /* aulIpAddress[3] */
       }
   },
   { /* NetworkMask */
       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
       { /* aulIpAddress */
           0, /* aulIpAddress[0] */
           0, /* aulIpAddress[1] */
           0, /* aulIpAddress[2] */
           0  /* aulIpAddress[3] */
       }
   },
   cOCT_FALSE, /* ulAddrAutoConfigFlag */
   cOCT_TRUE, /* ulMuteOnAddrExpireFlag */
   { /* hLink */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulUserEventId */
   0, /* ulEventMask */
   0, /* ulEventThrottle */
   { /* hEventDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulEventDestObjPort */
   cOCTVC1_FIFO_ID_INVALID  /* ulEventDestObjFifoId */
};

const tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLocalHost */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   }
};

const tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLocalHost */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* RemoteIpAddress */
       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
       { /* aulIpAddress */
           0, /* aulIpAddress[0] */
           0, /* aulIpAddress[1] */
           0, /* aulIpAddress[2] */
           0  /* aulIpAddress[3] */
       }
   },
   2000, /* ulTimeout */
   8, /* ulTimeToLive */
   0, /* ulUserEventId */
   0, /* ulPayloadLength */
   { /* abyPayload */
       0, /* abyPayload[0..31] */
   }
};

const tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLocalHost */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   500, /* ulProbeIntervalMs */
   3  /* ulNumProbe */
};

const tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD buf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LOCAL_HOST_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   },
   0  /* ulResetStatsFlag */
};

const tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD =
    &buf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD buf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLink */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* IpAddress */
       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
       { /* aulIpAddress */
           0, /* aulIpAddress[0] */
           0, /* aulIpAddress[1] */
           0, /* aulIpAddress[2] */
           0  /* aulIpAddress[3] */
       }
   }
};

const tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD buf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLink */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* IpAddress */
       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
       { /* aulIpAddress */
           0, /* aulIpAddress[0] */
           0, /* aulIpAddress[1] */
           0, /* aulIpAddress[2] */
           0  /* aulIpAddress[3] */
       }
   }
};

const tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD buf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* GatewayGet */
       { /* hLink */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD buf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLink */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* IPv6Prefix */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_6, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       0  /* ulBitLength */
   },
   0, /* ulOnLinkFlag */
   0, /* ulAddrAutoConfigFlag */
   0, /* ulValidLifetimeSec */
   0  /* ulPreferredLifetimeSec */
};

const tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD buf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLink */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* IPv6Prefix */
       { /* IpAddress */
           cOCTVC1_IP_VERSION_ENUM_6, /* ulIpVersion */
           { /* aulIpAddress */
               0, /* aulIpAddress[0] */
               0, /* aulIpAddress[1] */
               0, /* aulIpAddress[2] */
               0  /* aulIpAddress[3] */
           }
       },
       0  /* ulBitLength */
   }
};

const tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD buf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* IPv6PrefixGet */
       { /* hLink */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       { /* IPv6Prefix */
           { /* IpAddress */
               cOCTVC1_IP_VERSION_ENUM_6, /* ulIpVersion */
               { /* aulIpAddress */
                   0, /* aulIpAddress[0] */
                   0, /* aulIpAddress[1] */
                   0, /* aulIpAddress[2] */
                   0  /* aulIpAddress[3] */
               }
           },
           0  /* ulBitLength */
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD =
    &buf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* hTerm */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   { /* aStream */
       { /* aStream[0] */
           cOCT_FALSE, /* ulEnableFlag */
           cOCT_FALSE, /* ulTxPktEnableFlag */
           cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
           { /* Header */
               { /* Ethernet */
                   cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                   0x0800, /* ulEthertype */
                   { /* LocalMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   },
                   { /* RemoteMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   }
               },
               { /* Vlan */
                   0, /* ulNumVlanTag */
                   { /* aVlanTag */
                       { /* aVlanTag[0] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[1] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[2] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[3] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       }
                   }
               },
               { /* Ip */
                   cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                   0, /* ulTypeOfService */
                   127, /* ulTimeToLive */
                   0, /* ulIpv6FlowLabel */
                   { /* LocalIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   },
                   { /* RemoteIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   }
               },
               { /* Udp */
                   0x0000, /* ulLocalUdpPort */
                   0x0000  /* ulRemoteUdpPort */
               }
           }
       },
       { /* aStream[1] */
           cOCT_FALSE, /* ulEnableFlag */
           cOCT_FALSE, /* ulTxPktEnableFlag */
           cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
           { /* Header */
               { /* Ethernet */
                   cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                   0x0800, /* ulEthertype */
                   { /* LocalMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   },
                   { /* RemoteMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   }
               },
               { /* Vlan */
                   0, /* ulNumVlanTag */
                   { /* aVlanTag */
                       { /* aVlanTag[0] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[1] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[2] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[3] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       }
                   }
               },
               { /* Ip */
                   cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                   0, /* ulTypeOfService */
                   127, /* ulTimeToLive */
                   0, /* ulIpv6FlowLabel */
                   { /* LocalIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   },
                   { /* RemoteIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   }
               },
               { /* Udp */
                   0x0000, /* ulLocalUdpPort */
                   0x0000  /* ulRemoteUdpPort */
               }
           }
       },
       { /* aStream[2] */
           cOCT_FALSE, /* ulEnableFlag */
           cOCT_FALSE, /* ulTxPktEnableFlag */
           cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
           { /* Header */
               { /* Ethernet */
                   cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                   0x0800, /* ulEthertype */
                   { /* LocalMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   },
                   { /* RemoteMacAddress */
                       { /* abyReserved */
                           0, /* abyReserved[0] */
                           0  /* abyReserved[1] */
                       },
                       { /* abyMacAddress */
                           0, /* abyMacAddress[0] */
                           0, /* abyMacAddress[1] */
                           0, /* abyMacAddress[2] */
                           0, /* abyMacAddress[3] */
                           0, /* abyMacAddress[4] */
                           0  /* abyMacAddress[5] */
                       }
                   }
               },
               { /* Vlan */
                   0, /* ulNumVlanTag */
                   { /* aVlanTag */
                       { /* aVlanTag[0] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[1] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[2] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       },
                       { /* aVlanTag[3] */
                           5, /* ulPriority */
                           0  /* ulVlanId */
                       }
                   }
               },
               { /* Ip */
                   cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                   0, /* ulTypeOfService */
                   127, /* ulTimeToLive */
                   0, /* ulIpv6FlowLabel */
                   { /* LocalIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   },
                   { /* RemoteIpAddress */
                       cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                       { /* aulIpAddress */
                           0, /* aulIpAddress[0] */
                           0, /* aulIpAddress[1] */
                           0, /* aulIpAddress[2] */
                           0  /* aulIpAddress[3] */
                       }
                   }
               },
               { /* Udp */
                   0x0000, /* ulLocalUdpPort */
                   0x0000  /* ulRemoteUdpPort */
               }
           }
       }
   },
   cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE, /* ulLocalForcedRtpParmMask */
   0, /* ulLocalForcedSsrc */
   0, /* ulLocalForcedInitialSeqNumber */
   1, /* ulNumRtpProfEntry */
   { /* aRtpProfEntry */
       { /* aRtpProfEntry[0] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[1] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[2] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[3] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[4] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[5] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[6] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       },
       { /* aRtpProfEntry[7] */
           0, /* ulRtpPayloadType */
           0  /* ulPktEncodingType */
       }
   },
   0, /* ulLocalCnameByteLength */
   { /* achLocalCname */
       0, /* achLocalCname[0..255] */
   },
   0, /* ulRemoteCnameByteLength */
   { /* achRemoteCname */
       0, /* achRemoteCname[0..255] */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hRtpSession */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulLocalMemberId */
   cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_NONE, /* ulModifyMask */
   { /* aStream */
       { /* aStream[0] */
           0, /* ulModifyMask */
           { /* Modify */
               cOCT_FALSE, /* ulEnableFlag */
               cOCT_FALSE, /* ulTxPktEnableFlag */
               cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
               { /* Header */
                   { /* Ethernet */
                       cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                       0x0800, /* ulEthertype */
                       { /* LocalMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       },
                       { /* RemoteMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       }
                   },
                   { /* Vlan */
                       0, /* ulNumVlanTag */
                       { /* aVlanTag */
                           { /* aVlanTag[0] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[1] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[2] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[3] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           }
                       }
                   },
                   { /* Ip */
                       cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                       0, /* ulTypeOfService */
                       127, /* ulTimeToLive */
                       0, /* ulIpv6FlowLabel */
                       { /* LocalIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       },
                       { /* RemoteIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       }
                   },
                   { /* Udp */
                       0x0000, /* ulLocalUdpPort */
                       0x0000  /* ulRemoteUdpPort */
                   }
               }
           }
       },
       { /* aStream[1] */
           0, /* ulModifyMask */
           { /* Modify */
               cOCT_FALSE, /* ulEnableFlag */
               cOCT_FALSE, /* ulTxPktEnableFlag */
               cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
               { /* Header */
                   { /* Ethernet */
                       cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                       0x0800, /* ulEthertype */
                       { /* LocalMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       },
                       { /* RemoteMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       }
                   },
                   { /* Vlan */
                       0, /* ulNumVlanTag */
                       { /* aVlanTag */
                           { /* aVlanTag[0] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[1] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[2] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[3] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           }
                       }
                   },
                   { /* Ip */
                       cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                       0, /* ulTypeOfService */
                       127, /* ulTimeToLive */
                       0, /* ulIpv6FlowLabel */
                       { /* LocalIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       },
                       { /* RemoteIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       }
                   },
                   { /* Udp */
                       0x0000, /* ulLocalUdpPort */
                       0x0000  /* ulRemoteUdpPort */
                   }
               }
           }
       },
       { /* aStream[2] */
           0, /* ulModifyMask */
           { /* Modify */
               cOCT_FALSE, /* ulEnableFlag */
               cOCT_FALSE, /* ulTxPktEnableFlag */
               cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, /* ulRxPktFilter */
               { /* Header */
                   { /* Ethernet */
                       cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, /* ulEthertypeEncoding */
                       0x0800, /* ulEthertype */
                       { /* LocalMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       },
                       { /* RemoteMacAddress */
                           { /* abyReserved */
                               0, /* abyReserved[0] */
                               0  /* abyReserved[1] */
                           },
                           { /* abyMacAddress */
                               0, /* abyMacAddress[0] */
                               0, /* abyMacAddress[1] */
                               0, /* abyMacAddress[2] */
                               0, /* abyMacAddress[3] */
                               0, /* abyMacAddress[4] */
                               0  /* abyMacAddress[5] */
                           }
                       }
                   },
                   { /* Vlan */
                       0, /* ulNumVlanTag */
                       { /* aVlanTag */
                           { /* aVlanTag[0] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[1] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[2] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           },
                           { /* aVlanTag[3] */
                               5, /* ulPriority */
                               0  /* ulVlanId */
                           }
                       }
                   },
                   { /* Ip */
                       cOCTVC1_IP_VERSION_ENUM_4, /* ulIpVersion */
                       0, /* ulTypeOfService */
                       127, /* ulTimeToLive */
                       0, /* ulIpv6FlowLabel */
                       { /* LocalIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       },
                       { /* RemoteIpAddress */
                           cOCTVC1_IP_VERSION_ENUM_INVALID, /* ulIpVersion */
                           { /* aulIpAddress */
                               0, /* aulIpAddress[0] */
                               0, /* aulIpAddress[1] */
                               0, /* aulIpAddress[2] */
                               0  /* aulIpAddress[3] */
                           }
                       }
                   },
                   { /* Udp */
                       0x0000, /* ulLocalUdpPort */
                       0x0000  /* ulRemoteUdpPort */
                   }
               }
           }
       }
   },
   0, /* ulLocalCnameByteLength */
   { /* achLocalCname */
       0, /* achLocalCname[0..255] */
   },
   0, /* ulRemoteCnameByteLength */
   { /* achRemoteCname */
       0, /* achRemoteCname[0..255] */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* SubObjectIdGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST, /* ulGetMode */
       0  /* ulSubObjectId */
   }
};

const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD buf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_NET_MSG_RTP_SESSION_OPEN_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hLocalHost */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulRtpEventMask */
   0, /* ulRtcpEventMask */
   cOCTVC1_NET_SRTP_EVT_MASK_NONE, /* ulSrtpEventMask */
   0, /* ulUserEventId */
   cOCTVC1_NET_OPERATION_MODE_ENUM_ENDPOINT, /* ulInitialOperationMode */
   0, /* ulSenderMaxPendingTimeSec */
   0, /* ulSenderMaxInactiveTimeSec */
   cOCT_TRUE, /* ulRtcpEnableFlag */
   0, /* ulRtcpVideoFeedbackEnableFlagMask */
   160, /* ulRtpSessionBandwidth */
   0, /* ulHighFractionLost */
   0, /* ulHighCumulativePacketLost */
   0, /* ulHighJitter */
   0, /* ulHighRoundTripTime */
   0, /* ulLowFractionLost */
   0, /* ulLowJitter */
   0, /* ulLowRoundTripTime */
   { /* hEventDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulEventDestObjPort */
   cOCTVC1_FIFO_ID_INVALID  /* ulEventDestObjFifoId */
};

const tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD =
    &buf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD; \
    }


#endif /* __OCTVC1_NET_DEFAULT_H__ */

