/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_NET_ID.h

$Octasic_Copyright: $

Description: Contains the identifiers for the NET API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_NET_ID_H__
#define __OCTVC1_NET_ID_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"

/****************************************************************************
	Command IDs
 ****************************************************************************/
#define cOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CID                           ( 0x001 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_INFO_CID                            ( 0x002 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CID                      ( 0x003 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CID                          ( 0x004 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CID                 ( 0x005 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CID               ( 0x006 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CID                     ( 0x007 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CID                    ( 0x008 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CID                   ( 0x009 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CID                  ( 0x00A + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CID               ( 0x00B + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CID              ( 0x00C + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CID             ( 0x00D + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_STATS_CID                           ( 0x00E + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CID     ( 0x00F + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CID                ( 0x010 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CID               ( 0x011 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CID ( 0x012 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CID                             ( 0x01B + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CID                            ( 0x01C + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_INFO_CID                             ( 0x01D + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CID                   ( 0x01E + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CID              ( 0x01F + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_STATS_CID                            ( 0x020 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CID                            ( 0x028 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CID                         ( 0x029 + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CID                           ( 0x02A + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CID                        ( 0x02B + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CID                     ( 0x02C + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CID                       ( 0x02D + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CID    ( 0x03B + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CID      ( 0x03C + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CID        ( 0x03D + cOCTVC1_NET_CID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_OPEN_CID                            ( 0x0FF + cOCTVC1_NET_CID_BASE )

#define cOCTVC1_NET_CID_MAX                                             (( 0x0FF + 1 ) & 0xFFF)

/****************************************************************************
	Event IDs
 ****************************************************************************/
#define cOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EID                                   ( 0x0001 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EID                                ( 0x0002 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EID                           ( 0x0003 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EID                         ( 0x0004 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EID                   ( 0x0009 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EID                 ( 0x0010 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EID                  ( 0x0011 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EID                     ( 0x0012 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EID             ( 0x0013 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EID                             ( 0x0014 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EID ( 0x0020 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EID              ( 0x0021 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EID      ( 0x0022 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EID          ( 0x0023 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EID             ( 0x0024 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EID            ( 0x0025 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EID         ( 0x0026 + cOCTVC1_NET_EID_BASE )
#define cOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EID                              ( 0x0040 + cOCTVC1_NET_EID_BASE )

#define cOCTVC1_NET_EID_MAX                                                         (( 0x0040 + 1 ) & 0xFFFF)


#endif /* __OCTVC1_NET_ID_H__ */

