/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_NET_RC.h

$Octasic_Copyright: $

Description: Contains the return codes for the NET API.

$Octasic_Confidentiality: $

$Octasic_Release: $

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef OCTVC1_NET_RC_H__
#define OCTVC1_NET_RC_H__


/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_base.h"
#include "../octvc1_generic_rc.h"

/****************************************************************************
	NET return codes
 ****************************************************************************/

/****************************************************************************
	RTP_SESSION return codes
	RTP Session related return code
 ****************************************************************************/
#define cOCTVC1_NET_RTP_SESSION_RC_BASE							 ( 0x0100 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_SESSION_INDEX						 ( 0x0001 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_RTCP_ENABLE_FLAG				 ( 0x0002 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_RTCP_DISABLED				 ( 0x0003 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_OPEN_MAX_REACHED				 ( 0x0004 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_LOW_RTT						 ( 0x0005 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_LOW_JITTER					 ( 0x0006 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_LOW_FRACTION_LOST			 ( 0x0007 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_BANDWIDTH					 ( 0x0008 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_PART_RX_ALREADY_IN_USE		 ( 0x0009 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ID					 ( 0x000A + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MAX_PARTICIPANT				 ( 0x000B + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_LOCAL_HOST_DAD				 ( 0x000C + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_RTCP_FB_MSG_WITHOUT_RTCP		 ( 0x000D + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_OPERATION_MODE				 ( 0x000E + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_REMOTE_IP_INVALID			 ( 0x000F + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MAX_PENDING_TIME				 ( 0x0010 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MAX_INACTIVE_TIME			 ( 0x0011 + cOCTVC1_NET_RTP_SESSION_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_LOCAL_HOST_ADDRESS_INVALID	 ( 0x0012 + cOCTVC1_NET_RTP_SESSION_RC_BASE )

/****************************************************************************
	RTP_MEMBER return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_RC_BASE												 ( 0x0200 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_ACTIVATE_CNAME_LENGTH								 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_ACTIVATE_ALLOC									 ( 0x0002 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_INVALID_DSP_TERM									 ( 0x0003 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_PAUSE_FLAG										 ( 0x0004 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_DSP_TERM_IN_USE									 ( 0x0005 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_ACTIVATE_CPP_MAX_REACHED							 ( 0x0006 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_LOCAL_UDP_PORT_INVALID							 ( 0x0007 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_LOCAL_UDP_PORT_T38								 ( 0x0008 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_DSP_TERM_GROUPED_WITH_T38							 ( 0x0009 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_LOCAL_UDP_PORT_RTP_RTCP_EQUAL						 ( 0x000A + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_REMOTE_RTP_IP_VERSION								 ( 0x000B + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_REMOTE_RTCP_IP_VERSION							 ( 0x000C + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_REMOTE_T38_IP_VERSION								 ( 0x000D + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MODIFY_CNAME_LENGTH								 ( 0x000E + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_UNIDIR_DSP_TERM_IS_GROUPED						 ( 0x000F + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_ALREADY_CONNECTED									 ( 0x0010 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_REMOTE_AUTO_DETECT								 ( 0x0011 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_RTP_PROFILE_NUM_ENTRY								 ( 0x0012 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_RTP_PROFILE_DUPLICATED_ENTRY						 ( 0x0013 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_RTP_PROFILE_ENTRY_NOT_FOUND						 ( 0x0014 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_RTP_PROFILE_ENTRY_MODIFY_TYPE						 ( 0x0015 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_INCOMPATIBLE_WITH_THIS_CMD						 ( 0x0016 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_CUSTOM_LOCAL_HOST_NOT_SUPPORTED					 ( 0x0017 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_SRTP_NOT_ALLOWED					 ( 0x0018 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_VIDEO_NOT_ENABLED_IN_CONFIG_FILE	 ( 0x0019 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_MAX_CONNECTED_REACHED			 ( 0x0020 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_UNSUPPORTED_TERM					 ( 0x0021 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_FORCED_SEQ_NOT_ALLOWED			 ( 0x0022 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_MULTIPLE_UNICAST_RTCP_TRANSLATOR_NOT_ALLOWED		 ( 0x0023 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_CANNOT_MODIFY_DISABLED_STREAM						 ( 0x0024 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_DHCP_PORT_CANNOT_BE_USED							 ( 0x0025 + cOCTVC1_NET_RTP_MEMBER_RC_BASE )

/****************************************************************************
	RTP_MEMBER_SRTP_STREAM return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE									 ( 0x0240 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_CRYPTO_TRANSFORM_INVALID				 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_AUTH_TRANSFORM_INVALID				 ( 0x0002 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_AUTH_TAG_BIT_SIZE_INVALID				 ( 0x0003 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_MKI_BYTE_SIZE_INVALID					 ( 0x0004 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_SESSION_CRYPTO_KEY_BIT_SIZE_INVALID	 ( 0x0005 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_SESSION_SALT_KEY_BIT_SIZE_INVALID		 ( 0x0006 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_SESSION_AUTH_KEY_BIT_SIZE_INVALID		 ( 0x0007 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_SERVICE_MASK_INVALID					 ( 0x0008 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_STREAM_UNSUPORTED_TERMINATION				 ( 0x0009 + cOCTVC1_NET_RTP_MEMBER_SRTP_STREAM_RC_BASE )

/****************************************************************************
	RTP_MEMBER_SRTP_KEY_ENTRY return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE								 ( 0x0250 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_MASTER_KEY_BIT_SIZE_INVALID		 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_MASTER_SALT_KEY_BIT_SIZE_INVALID	 ( 0x0002 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_DERIVATION_RATE_LOG2_INVALID		 ( 0x0003 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTP_MAX_LIFE_TIME_INVALID			 ( 0x0004 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTP_FROM_LIFE_TIME_INVALID			 ( 0x0005 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTP_TO_LIFE_TIME_INVALID			 ( 0x0006 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTP_REKEY_THRESHOLD_INVALID		 ( 0x0007 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTCP_MAX_LIFE_TIME_INVALID			 ( 0x0008 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTCP_FROM_LIFE_TIME_INVALID		 ( 0x0009 + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTCP_TO_LIFE_TIME_INVALID			 ( 0x000A + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_KEY_ENTRY_RTCP_REKEY_THRESHOLD_INVALID		 ( 0x000B + cOCTVC1_NET_RTP_MEMBER_SRTP_KEY_ENTRY_RC_BASE )

/****************************************************************************
	RTP_MEMBER_SRTCP_STREAM return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_SRTCP_STREAM_RC_BASE					 ( 0x0260 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_SRTCP_STREAM_SERVICE_MASK_INVALID	 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_SRTCP_STREAM_RC_BASE )

/****************************************************************************
	RTP_MEMBER_SRTP return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE										 ( 0x0270 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_SENDER_KEY_ENTRY_NUM_INVALID				 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_SENDER_KEY_ENTRY_ACTIVE_IDX_INVALID		 ( 0x0002 + cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_RECEIVER_KEY_ENTRY_NUM_INVALID			 ( 0x0003 + cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_RECEIVER_KEY_ENTRY_ACTIVE_IDX_INVALID	 ( 0x0004 + cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE )
#define cOCTVC1_NET_RC_RTP_MEMBER_SRTP_INACTIVE									 ( 0x0005 + cOCTVC1_NET_RTP_MEMBER_SRTP_RC_BASE )

/****************************************************************************
	RTP_MEMBER_RTCP_STATS return codes
 ****************************************************************************/
#define cOCTVC1_NET_RTP_MEMBER_RTCP_STATS_RC_BASE			 ( 0x0280 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_RTP_MEMBER_RTCP_STATS_NO_MORE_ENTRY	 ( 0x0001 + cOCTVC1_NET_RTP_MEMBER_RTCP_STATS_RC_BASE )

/****************************************************************************
	DEST_SET return codes
 ****************************************************************************/
#define cOCTVC1_NET_DEST_SET_RC_BASE						 ( 0x0300 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_DEST_SET_INVALID_PORT				 ( 0x0001 + cOCTVC1_NET_DEST_SET_RC_BASE )
#define cOCTVC1_NET_RC_DEST_SET_ROUTING_ENTRY_NOT_FOUND		 ( 0x0002 + cOCTVC1_NET_DEST_SET_RC_BASE )
#define cOCTVC1_NET_RC_DEST_SET_RESERVED_PORT				 ( 0x0003 + cOCTVC1_NET_DEST_SET_RC_BASE )

/****************************************************************************
	LOCAL_HOST return codes
 ****************************************************************************/
#define cOCTVC1_NET_LOCAL_HOST_RC_BASE											 ( 0x0400 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_LOCAL_HOST_CREATE_PORT_ALREADY_OPEN						 ( 0x0001 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_CREATE_MAX_OBJECTS_REACHED					 ( 0x0002 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_CREATE_ALLOC									 ( 0x0003 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ACTIVE_DEPENDENCIES							 ( 0x0004 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_IP_VERSION_INVALID							 ( 0x0005 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_IPV4_NOT_ENABLED_ON_LINK						 ( 0x0006 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_IPV6_NOT_ENABLED_ON_LINK						 ( 0x0007 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_EVENT_MASK_INVALID							 ( 0x0008 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_EVENT_THROTTLE_INVALID						 ( 0x0009 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_NOT_FOUND										 ( 0x000A + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_PAUSE_MEMBERS_ON_IPV6_ADDRESS_EXPIRATION		 ( 0x000B + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_PAUSE_MEMBERS_ON_DHCPV4_LEASE_RENEW_FAILURE	 ( 0x000C + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ADDR_AUTO_CONFIG_FLAG_INVALID					 ( 0x000D + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_MUTE_ON_ADDR_EXPIRE_FLAG_INVALID				 ( 0x000E + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ETH_LINK_AUTO_CONFIG_DISABLED					 ( 0x000F + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ADDR_AUTO_CONFIG_MAX_IPV6_PREFIX_REACHED		 ( 0x0010 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ADDR_AUTO_CONFIG_MAX_IPV4_DHCP_REACHED		 ( 0x0011 + cOCTVC1_NET_LOCAL_HOST_RC_BASE )

/****************************************************************************
	ETH_LINK return codes
 ****************************************************************************/
#define cOCTVC1_NET_ETH_LINK_RC_BASE											 ( 0x0500 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_ETH_LINK_CACHE_ENTRY_NOT_FOUND							 ( 0x0001 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CACHE_ENTRY_ALLOC								 ( 0x0002 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CACHE_ENTRY_ALREADY_EXIST						 ( 0x0003 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CACHE_NO_MORE_FREE_ENTRY						 ( 0x0004 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REFRESH_TIME_INVALID					 ( 0x0005 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REPLY_TIME_INVALID						 ( 0x0006 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_UNUSED_TIME_INVALID					 ( 0x0007 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REQ_CREATE_CNT_INVALID					 ( 0x0008 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REFRESH_CNT_INVALID					 ( 0x0009 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REFRESH_BROADCAST_CNT_INVALID			 ( 0x000A + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REFRESH_TOTAL_INVALID					 ( 0x000B + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_GARP_REQUEST_CNT_INVALID					 ( 0x000C + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ENABLE_FLAG_INVALID						 ( 0x000D + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_CREATE_LOOPBACK_ENTRY_FLAG_INVALID			 ( 0x000E + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ADDR_AUTOCONFIG_MODE_INVALID				 ( 0x0010 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_BASE_REACHABLE_TIME_INVALID				 ( 0x0011 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_RETRANS_TIME_INVALID					 ( 0x0012 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_UNUSED_TIME_INVALID						 ( 0x0013 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_CREATE_CNT_INVALID				 ( 0x0014 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_PROBE_CNT_INVALID				 ( 0x0015 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_PROBE_MULTICAST_CNT_INVALID		 ( 0x0016 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_TOTAL_INVALID					 ( 0x0017 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_DUP_ADDR_CNT_INVALID			 ( 0x0018 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ENABLE_FLAG_INVALID						 ( 0x0019 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CLOSE_WITH_ACTIVE_DEPENDENCIES					 ( 0x001A + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_OPEN_ETH_PORT_INVALID							 ( 0x001B + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_ETH_PORT_ALREADY_ACTIVE							 ( 0x001C + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_8021_PQ_DEFAULT_USER_ID_INVALID					 ( 0x001D + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_8021_PQ_VLAN_ID_INVALID							 ( 0x001E + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_8021_PQ_ENABLE_FLAG_INVALID						 ( 0x001F + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IP_VERSION_INVALID								 ( 0x0020 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IP_VERSION_NOT_ENABLED							 ( 0x0021 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_COULD_NOT_OPEN_LINK_LOCAL_HOST					 ( 0x0022 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_COULD_NOT_CLOSE_LINK_LOCAL_HOST					 ( 0x0023 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_COULD_NOT_OPEN_ALL_NODES_LOCAL_HOST				 ( 0x0024 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_COULD_NOT_CLOSE_ALL_NODES_LOCAL_HOST			 ( 0x0025 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_NOT_ENOUGH_FREE_HOSTS						 ( 0x0026 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_ENABLE_LOOPBACK_FLAG_INVALID					 ( 0x0027 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_ENABLE_MAC_ADDR_RESOLUTION_FLAG_INVALID			 ( 0x0028 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_ENABLE_ICMP_REDIRECT_FLAG_INVALID				 ( 0x0029 + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ARP_REQUEST_DUPLPICATE_ADDR_CNT_INVALID	 ( 0x002A + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CACHE_ENTRY_HAS_DEPENDENCIES					 ( 0x002B + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_TX_PAUSE_FLAG_INVALID							 ( 0x002C + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV6_ND_SOLICIT_ROUTER_CNT						 ( 0x002D + cOCTVC1_NET_ETH_LINK_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_IPV4_ADDR_AUTOCONFIG_MODE_INVALID				 ( 0x0034 + cOCTVC1_NET_ETH_LINK_RC_BASE )

/****************************************************************************
	ICMP_PING return codes
 ****************************************************************************/
#define cOCTVC1_NET_ICMP_PING_RC_BASE						 ( 0x0600 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_ICMP_PING_MAX_PENDING_PING_REACHED	 ( 0x0001 + cOCTVC1_NET_ICMP_PING_RC_BASE )
#define cOCTVC1_NET_RC_ICMP_PING_PAYLOAD_LENGTH				 ( 0x0002 + cOCTVC1_NET_ICMP_PING_RC_BASE )
#define cOCTVC1_NET_RC_ICMP_PING_NO_DEFAULT_GTW				 ( 0x0003 + cOCTVC1_NET_ICMP_PING_RC_BASE )
#define cOCTVC1_NET_RC_ICMP_PING_LOCAL_HOST_DAD				 ( 0x0004 + cOCTVC1_NET_ICMP_PING_RC_BASE )
#define cOCTVC1_NET_RC_ICMP_PING_NOT_ALLOWED				 ( 0x0005 + cOCTVC1_NET_ICMP_PING_RC_BASE )
#define cOCTVC1_NET_RC_ICMP_PING_LOCAL_HOST_ADDRESS_INVALID	 ( 0x0006 + cOCTVC1_NET_ICMP_PING_RC_BASE )

/****************************************************************************
	GATEWAY return codes
 ****************************************************************************/
#define cOCTVC1_NET_GATEWAY_RC_BASE							 ( 0x0700 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_GATEWAY_MAX_ADDITIONS_REACHED		 ( 0x0001 + cOCTVC1_NET_GATEWAY_RC_BASE )
#define cOCTVC1_NET_RC_GATEWAY_DELETE_ACTIVE_DEPENDENCIES	 ( 0x0002 + cOCTVC1_NET_GATEWAY_RC_BASE )
#define cOCTVC1_NET_RC_GATEWAY_ALREADY_ADDED				 ( 0x0003 + cOCTVC1_NET_GATEWAY_RC_BASE )
#define cOCTVC1_NET_RC_GATEWAY_NOT_FOUND					 ( 0x0004 + cOCTVC1_NET_GATEWAY_RC_BASE )
#define cOCTVC1_NET_RC_GATEWAY_IP_VERSION_INVALID			 ( 0x0005 + cOCTVC1_NET_GATEWAY_RC_BASE )

/****************************************************************************
	IPV6_PREFIX return codes
 ****************************************************************************/
#define cOCTVC1_NET_IPV6_PREFIX_RC_BASE								 ( 0x0800 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_IPV6_PREFIX_IP_VERSION_INVALID				 ( 0x0001 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_IPV6_NOT_ENABLED_ON_LINK			 ( 0x0002 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_MAX_ADDITIONS_REACHED			 ( 0x0003 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_ALREADY_PRESENT					 ( 0x0004 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_ON_LINK_FLAG_INVALID				 ( 0x0005 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_ON_ADDR_AUTO_CNF_FLAG_INVALID	 ( 0x0006 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_BIT_LENGTH_INVALID				 ( 0x0007 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )
#define cOCTVC1_NET_RC_IPV6_PREFIX_INFO_NOT_FOUND					 ( 0x0008 + cOCTVC1_NET_IPV6_PREFIX_RC_BASE )

/****************************************************************************
	CUSTOM_MEMBER return codes
 ****************************************************************************/
#define cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE									 ( 0x0900 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_CUSTOM_MEMBER_NOT_ENOUGH_PKT_HEADER					 ( 0x0001 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_FIRST_PKT_HEADER_INVALID				 ( 0x0002 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_MISSING_PKT_HEADER						 ( 0x0003 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_RTP_PROFILE_NUM_ENTRY_INVALID			 ( 0x0004 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_RTP_PROFILE_PAYLOAD_TYPE_INVALID		 ( 0x0005 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_CNAME_LENGTH_INVALID				 ( 0x0006 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_REMOTE_CNAME_LENGTH_INVALID			 ( 0x0007 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_TX_PKT_ENABLE_INVALID					 ( 0x0008 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_RX_PKT_FILTER_INVALID					 ( 0x0009 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_DSP_TERM_INVALID						 ( 0x000B + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_CPP_MAX_REACHED						 ( 0x000C + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_HOST_INVALID						 ( 0x000D + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_DSP_TERM_NOT_PKT_BASED					 ( 0x000E + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_DSP_TERM_IN_USE						 ( 0x000F + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_RTP_SESSION_INVALID					 ( 0x0010 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_ACTIVATE_ALLOC							 ( 0x0011 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_PKT_HEADER_SEQUENCE_INVALID			 ( 0x0012 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_TX_PKT_ENABLE_MISSING_FIELDS			 ( 0x0013 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_MEMBER_ID_INVALID				 ( 0x0014 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_ETHERTYPE_ENCODING_INVALID				 ( 0x0015 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_ETHERTYPE_INVALID						 ( 0x0016 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_NUM_VLAN_TAG_INVALID					 ( 0x0017 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_VLAN_TAG_PRIORITY_INVALID				 ( 0x0018 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_VLAN_ID_INVALID						 ( 0x0019 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_STREAM_ENABLE_FLAG_INVALID				 ( 0x001A + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_IP_VERSION_INVALID						 ( 0x001B + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_IP_TYPE_OF_SERVICE_INVALID				 ( 0x001C + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_IP_TIME_TO_LIVE_INVALID				 ( 0x001D + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_IPV6_FLOW_LABEL_INVALID				 ( 0x001E + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_TX_PKT_ENABLE_MISSING_VALID_IP_ADDRESS	 ( 0x001F + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_UDP_PORT_LOCAL_INVALID					 ( 0x0020 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_UDP_PORT_REMOTE_INVALID				 ( 0x0021 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_TX_PKT_ENABLE_MISSING_VALID_UDP_PORT	 ( 0x0022 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_CANNOT_MODIFY_DISABLED_STREAM			 ( 0x0023 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_IP_ADDRESS_INVALID				 ( 0x0024 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_RX_UDP_PORT_CLOSE_ACTIVE_DEPENDENCIES	 ( 0x0025 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_FORCED_RTP_PARM_MASK				 ( 0x0026 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )
#define cOCTVC1_NET_RC_CUSTOM_MEMBER_LOCAL_FORCED_INIT_SEQ_NUM				 ( 0x0027 + cOCTVC1_NET_CUSTOM_MEMBER_RC_BASE )

/****************************************************************************
	Validate return codes
 ****************************************************************************/
#define cOCTVC1_NET_AUTO_VALIDATE_RC_BASE														 ( 0xF000 + cOCTVC1_NET_RC_BASE )

#define cOCTVC1_NET_RC_SRTP_KEY_ENTRY_INVALID_KEY_DERIVATION_RATE_LOG2							 ( 0x1 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_KEY_ENTRY_INVALID_RTCP_MASTER_KEY_MAX_LIFE_TIME						 ( 0x2 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_KEY_ENTRY_INVALID_RTCP_MASTER_KEY_FROM_LIFE_TIME					 ( 0x3 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_KEY_ENTRY_INVALID_RTCP_MASTER_KEY_TO_LIFE_TIME						 ( 0x4 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_KEY_ENTRY_INVALID_RTCP_RE_KEY_EVENT_THRESHOLD						 ( 0x5 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_STREAM_CONFIG_INVALID_AUTH_TAG_BIT_SIZE								 ( 0x6 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_STREAM_CONFIG_INVALID_MKI_BYTE_SIZE									 ( 0x7 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_STREAM_CONFIG_INVALID_SESSION_SALT_KEY_BIT_SIZE						 ( 0x8 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_SRTP_STREAM_CONFIG_INVALID_SESSION_AUTH_KEY_BIT_SIZE						 ( 0x9 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_VLAN_TAG_INVALID_PRIORITY												 ( 0xA + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_VLAN_TAG_INVALID_VLAN_ID													 ( 0xB + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_ETHERNET_INVALID_ETHERTYPE									 ( 0xC + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_VLAN_INVALID_NUM_VLAN_TAG									 ( 0xD + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_IP_INVALID_TYPE_OF_SERVICE									 ( 0xE + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_IP_INVALID_TIME_TO_LIVE										 ( 0xF + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_IP_INVALID_IPV6_FLOW_LABEL									 ( 0x10 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_UDP_INVALID_LOCAL_UDP_PORT									 ( 0x11 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_HEADER_INFO_UDP_INVALID_REMOTE_UDP_PORT									 ( 0x12 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_ETH_LINK_CONFIG_IPV4_INVALID_ARPREQ_DUP_ADDR_CNT							 ( 0x13 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_LOCAL_UDP_PORT_RTP					 ( 0x14 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_LOCAL_UDP_PORT_RTCP					 ( 0x15 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_LOCAL_CNAME_LENGTH					 ( 0x16 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_REMOTE_CNAME_LENGTH					 ( 0x17 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_IPV4_TIME_TO_LIVE					 ( 0x18 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_IPV4_TYPE_OF_SERVICE					 ( 0x19 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_IPV6_HOP_LIMIT						 ( 0x1A + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_IPV6_FLOW_LABEL						 ( 0x1B + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_IPV6_TRAFFIC_CLASS					 ( 0x1C + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_ACTIVATE_INVALID_NUM_PROF_ENTRY						 ( 0x1D + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_MODIFY_INVALID_LOCAL_UDP_PORT_RTP						 ( 0x1E + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_MODIFY_INVALID_LOCAL_UDP_PORT_RTCP					 ( 0x1F + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_MODIFY_INVALID_REMOTE_FORCED_INITIAL_SEQ_NUMBER		 ( 0x20 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_SRTP_KEY_LIST_MODIFY_INVALID_SENDER_SRTP_KEY_NUM		 ( 0x21 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_RTP_SESSION_MEMBER_SRTP_KEY_LIST_MODIFY_INVALID_RECEIVER_SRTP_KEY_NUM	 ( 0x22 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )
#define cOCTVC1_NET_RC_LOCAL_HOST_ADDR_VALIDATE_START_INVALID_NUM_PROBE							 ( 0x23 + cOCTVC1_NET_AUTO_VALIDATE_RC_BASE )

#endif /* OCTVC1_NET_RC_H__ */

