/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_cursor_swap.h	

Copyright (c) 2014 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.	

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_CURSOR_SWAP_H__
#define __OCTVC1_CURSOR_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_swap_hdrs.h"
#include "octvc1_cursor.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_GET_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_GET * pOCTVC1_CURSOR_HANDLE_GET = (_f_pParms); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_CURSOR_HANDLE_GET *)pOCTVC1_CURSOR_HANDLE_GET)->hObject ); }  \
	((tOCTVC1_CURSOR_HANDLE_GET *)pOCTVC1_CURSOR_HANDLE_GET)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET *)pOCTVC1_CURSOR_HANDLE_GET)->ulGetMode); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_GET_SWAP( pOCTVC1_CURSOR_HANDLE_GET )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#define mOCTVC1_OBJECT_CURSOR_SWAP mOCTVC1_CURSOR_HANDLE_GET_SWAP

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_GET_HANDLE_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_GET_HANDLE * pOCTVC1_CURSOR_HANDLE_GET_HANDLE = (_f_pParms); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_CURSOR_HANDLE_GET_HANDLE *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE)->hObject ); }  \
	((tOCTVC1_CURSOR_HANDLE_GET_HANDLE *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET_HANDLE *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE)->ulGetMode); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_CURSOR_HANDLE_GET_HANDLE *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE)->hSubObject ); }  \
}
#else
#define mOCTVC1_CURSOR_HANDLE_GET_HANDLE_SWAP( pOCTVC1_CURSOR_HANDLE_GET_HANDLE )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#define mOCTVC1_SUB_OBJECT_CURSOR_SWAP mOCTVC1_CURSOR_HANDLE_GET_HANDLE_SWAP

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT * pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT = (_f_pParms); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT)->hObject ); }  \
	((tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT)->ulGetMode); \
	((tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT)->hHandleObject = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT)->hHandleObject); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT_SWAP( pOCTVC1_CURSOR_HANDLE_GET_HANDLE_OBJECT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID * pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID = (_f_pParms); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID)->hObject ); }  \
	((tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID)->ulGetMode); \
	((tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID)->ulSubObjectId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID)->ulSubObjectId); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID_SWAP( pOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#define mOCTVC1_SUB_OBJECT_ID_CURSOR_SWAP mOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID_SWAP

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_OBJECT_GET * pOCTVC1_CURSOR_HANDLE_OBJECT_GET = (_f_pParms); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET)->hObject = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET)->hObject); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET)->ulGetMode); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( pOCTVC1_CURSOR_HANDLE_OBJECT_GET )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT * pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT = (_f_pParms); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->hObject = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->hObject); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->ulGetMode); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->hHandleObjectGet = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT)->hHandleObjectGet); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT_SWAP( pOCTVC1_CURSOR_HANDLE_OBJECT_GET_HANDLE_OBJECT )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID * pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID = (_f_pParms); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->hObject = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->hObject); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->ulGetMode); \
	((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->ulSubObjectId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID *)pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID)->ulSubObjectId); \
}
#else
#define mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( pOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_CURSOR_INDEX_GET_SWAP( _f_pParms ){ 	tOCTVC1_CURSOR_INDEX_GET * pOCTVC1_CURSOR_INDEX_GET = (_f_pParms); \
	((tOCTVC1_CURSOR_INDEX_GET *)pOCTVC1_CURSOR_INDEX_GET)->ulIndex = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_INDEX_GET *)pOCTVC1_CURSOR_INDEX_GET)->ulIndex); \
	((tOCTVC1_CURSOR_INDEX_GET *)pOCTVC1_CURSOR_INDEX_GET)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_CURSOR_INDEX_GET *)pOCTVC1_CURSOR_INDEX_GET)->ulGetMode); \
}
#else
#define mOCTVC1_CURSOR_INDEX_GET_SWAP( pOCTVC1_CURSOR_INDEX_GET )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_CURSOR_SWAP_H__ */
