/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_GENERIC_RC.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contains the return codes for the GENERIC API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef OCTVC1_GENERIC_RC_H__
#define OCTVC1_GENERIC_RC_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_base.h"

/****************************************************************************
	GENERIC return codes
 ****************************************************************************/
#define cOCTVC1_RC_OK										 ( 0x0000 )
#define cOCTVC1_GENERIC_RC_NO_MORE_FREE_SESSION				 ( 0x0001 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_INVALID_TRANSACTION_ID			 ( 0x0002 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_NO_MORE_OBJECT					 ( 0x0003 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_GET_MODE_INVALID					 ( 0x0004 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_HANDLE_INVALID					 ( 0x0005 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_NO_MORE_SUB_OBJECT				 ( 0x0006 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_ENTRY_INVALID					 ( 0x0007 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_BAD_SUB_OBJECT					 ( 0x0008 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_NO_TDM_CLOCK						 ( 0x0009 + cOCTVC1_GENERIC_RC_BASE )
#define cOCTVC1_GENERIC_RC_HANDLE_OBJECT_INVALID			 ( 0x000A + cOCTVC1_GENERIC_RC_BASE )

/****************************************************************************
	API return codes
 ****************************************************************************/
#define cOCTVC1_GENERIC_API_RC_BASE							 ( 0x0300 + cOCTVC1_GENERIC_RC_BASE )

#define cOCTVC1_GENERIC_RC_API_INVALID_CMD_LENGTH			 ( 0x0001 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID_BASE			 ( 0x0002 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID				 ( 0x0003 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_INVALID_CMD_TYPE				 ( 0x0004 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_RESTRICTED_CMD_ID			 ( 0x0005 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_INVALID_DEVICE_TYPE			 ( 0x0006 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_OUT_OF_RANGE					 ( 0x0007 + cOCTVC1_GENERIC_API_RC_BASE )
#define cOCTVC1_GENERIC_RC_API_CMD_NOT_IMPLEMENTED			 ( 0x0008 + cOCTVC1_GENERIC_API_RC_BASE )

/****************************************************************************
	OCTSYS return codes
 ****************************************************************************/
#define cOCTVC1_GENERIC_OCTSYS_RC_BASE							 ( 0x0400 + cOCTVC1_GENERIC_RC_BASE )

#define cOCTVC1_GENERIC_RC_OCTSYS_MEM_ALLOC						 ( 0x0001 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_FILE_SYS						 ( 0x0002 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_READ_FAIL				 ( 0x0003 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_WRITE_FAIL			 ( 0x0004 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_IO_READ_FAIL					 ( 0x0005 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_IO_WRITE_FAIL					 ( 0x0006 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_FULL			 ( 0x0007 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_EVENT_NOT_FOUND	 ( 0x0008 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_CREATE_VSP_FIFO				 ( 0x0009 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_CREATE_AF_FIFO				 ( 0x000A + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_MEM_SHARE						 ( 0x000B + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_DIR_LINK_ADD					 ( 0x000C + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_AF_CORE_ALLOC					 ( 0x000D + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_ID_GET						 ( 0x000E + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_PROCESS_CREATE				 ( 0x000F + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_THREAD_CREATE					 ( 0x0010 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_HANDLE_OPEN					 ( 0x0011 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_FIFO_WRITE					 ( 0x0012 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )
#define cOCTVC1_GENERIC_RC_OCTSYS_DUMP_GET						 ( 0x0013 + cOCTVC1_GENERIC_OCTSYS_RC_BASE )

#endif /* OCTVC1_GENERIC_RC_H__ */

