/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_module_main.c

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contain the wireshark module dissector related functions

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

/*****************************  INCLUDE FILES  *******************************/

#include <config.h>
#include <epan/packet.h>
#include "../../../include/oct_ws_macro.h"
#include "../include/module.h"
#include "../include/octvc1_common.h"

#include <main/octvc1_main_evt.h>


/****************************************************************************
	MODULE API ENUMERATION STRING VALUES
 ****************************************************************************/

const value_string  vals_tOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM[] = 
 {
	{ cOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM_LOW, "cOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM_LOW" },
	{ cOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM_HIGH, "cOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM_HIGH" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM_CHIP_SELECT_EDGE, "cOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM_CHIP_SELECT_EDGE" },
	{ cOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM_CLOCK_TRANSITION, "cOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM_CLOCK_TRANSITION" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_FLAG, "cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_FLAG" },
	{ cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_COUNT, "cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_COUNT" },
	{ cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_MIN, "cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_MIN" },
	{ cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_MAX, "cOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM_MAX" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_BOOT_PROGRESS_ENUM[] = 
 {
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_DONE, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_DONE" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_CONTROL, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_CONTROL" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_REMAPPING_CONTROL, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_REMAPPING_CONTROL" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_ALLOCATING_LOCAL_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_ALLOCATING_LOCAL_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_VALIDATING_LICENSE, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_VALIDATING_LICENSE" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_PARSING_CONFIG_FILE, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_PARSING_CONFIG_FILE" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_CONTROL_FIFO, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_CONTROL_FIFO" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_GPIO, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_GPIO" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_MAIN_API, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_MAIN_API" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_CPP_API, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_CPP_API" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_NET_API, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_NET_API" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VOC_MANAGEMENT, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VOC_MANAGEMENT" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VID_MANAGEMENT, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VID_MANAGEMENT" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_TDM_DRIVER_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_TDM_DRIVER_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_AF_SERVER_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_AF_SERVER_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_ALLOCATING_VSPMGR_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_ALLOCATING_VSPMGR_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_ROUTER, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_ROUTER" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_SCHEDULER, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_SCHEDULER" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_VSPMGR, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_STARTING_VSPMGR" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VOC_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VOC_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VID_MEMORY, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_INITIALIZING_VSPMP_VID_MEMORY" },
	{ cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_VALIDATING_SYSTEM_CLOCK, "cOCTVC1_MAIN_BOOT_PROGRESS_ENUM_VALIDATING_SYSTEM_CLOCK" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_SYSLOG_MSG_ENUM[] = 
 {
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_SYSLOG_MSG_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_SYSLOG_MSG_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_ERROR, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_ERROR" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_FIRMWARE_UPDATE_SUCCESSFUL, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_FIRMWARE_UPDATE_SUCCESSFUL" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_VALIDATION_ERROR_LOOPBACK, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_BOOT_IMAGE_VALIDATION_ERROR_LOOPBACK" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_FILE_NOT_FOUND, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_FILE_NOT_FOUND" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_INVALID_XML_VERSION, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_INVALID_XML_VERSION" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_MALFORMED_XML, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_MALFORMED_XML" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_NO_ETHERNET_PORTS, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_NO_ETHERNET_PORTS" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_NO_UNRESTRICTED_ETHERNET_PORTS, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_NO_UNRESTRICTED_ETHERNET_PORTS" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_INVALID_ETHERNET_PORT_INTERFACE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CFG_INVALID_ETHERNET_PORT_INTERFACE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_PORTS_DEFAULT, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_PORTS_DEFAULT" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FATAL_VSP_COMMAND_TIMEOUT, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FATAL_VSP_COMMAND_TIMEOUT" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FATAL_VSP_COMMAND_SEQUENCE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FATAL_VSP_COMMAND_SEQUENCE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_VSP_CORE_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_VSP_CORE_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_RESET, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_RESET" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_INIT_DONE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_INIT_DONE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_EXT_MEM_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_EXT_MEM_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_PROCESS_CREATE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_PROCESS_CREATE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_THREAD_CREATE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_THREAD_CREATE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TOO_MANY_VSP_CHANNELS, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TOO_MANY_VSP_CHANNELS" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_QUEUE_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_QUEUE_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_VSPMGR_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_VSPMGR_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_MAIN_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_MAIN_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_NET_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_NET_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_AF_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_AF_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TDM_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TDM_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FIFO_ALLOC, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FIFO_ALLOC" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_MONITORING, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_MONITORING" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_IO_MONITORING, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_IO_MONITORING" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_PORT_MONITORING, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ETH_PORT_MONITORING" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ROUTER_MONITORING, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ROUTER_MONITORING" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_REMAP, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_REMAP" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ROUTER_RESOURCES, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_ROUTER_RESOURCES" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_SCHED_CREATE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_SCHED_CREATE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TDM_RESET, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_TDM_RESET" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_DIRECTORY_TREE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_DIRECTORY_TREE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILURE_RECOVERED, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILURE_RECOVERED" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILURE_CORE_DISABLED, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILURE_CORE_DISABLED" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CAMERA_DRIVER_CREATE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CAMERA_DRIVER_CREATE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_HALTED_AND_DUMPED, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_CORE_HALTED_AND_DUMPED" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_STARTED, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_STARTED" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_SUCCESS, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_SUCCESS" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_ERROR, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_CTRL_FAILOVER_ERROR" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_BOOT_IMAGE_UPDATE_DONE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_BOOT_IMAGE_UPDATE_DONE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_OCT1010ID_UPDATE_DONE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_OCT1010ID_UPDATE_DONE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_MALFORMED_TARBALL, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_FS_MALFORMED_TARBALL" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LOG_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LOG_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LOG_RESET, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LOG_RESET" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_ARP_MODULE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_ARP_MODULE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_ND_MODULE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_ND_MODULE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_RTCP_TIMER, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_NET_RTCP_TIMER" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_MAX_TSST, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_MAX_TSST" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_NO_CLOCK, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_NO_CLOCK" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_UNSUPPORTED_CLOCK_SPEED_AUTO_DETECT, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_UNSUPPORTED_CLOCK_SPEED_AUTO_DETECT" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_INVALID_MODULE_TYPE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_INVALID_MODULE_TYPE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_TRI_STATE_NOT_SUPPORTED, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_TDM_TRI_STATE_NOT_SUPPORTED" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LICENSING_BASE, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LICENSING_BASE" },
	{ cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LICENSING_FORMAT_ERROR, "cOCTVC1_MAIN_SYSLOG_MSG_ENUM_LICENSING_FORMAT_ERROR" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_EVT_MASK[] = 
 {
	{ cOCTVC1_MAIN_EVT_MASK_NONE, "cOCTVC1_MAIN_EVT_MASK_NONE" },
	{ cOCTVC1_MAIN_EVT_MASK_GPIO_CHANGE, "cOCTVC1_MAIN_EVT_MASK_GPIO_CHANGE" },
	{ cOCTVC1_MAIN_EVT_MASK_PHY_STATUS, "cOCTVC1_MAIN_EVT_MASK_PHY_STATUS" },
	{ cOCTVC1_MAIN_EVT_MASK_CORE_STATUS, "cOCTVC1_MAIN_EVT_MASK_CORE_STATUS" },
	{ cOCTVC1_MAIN_EVT_MASK_PROCESS_CPU_USAGE, "cOCTVC1_MAIN_EVT_MASK_PROCESS_CPU_USAGE" },
	{ cOCTVC1_MAIN_EVT_MASK_TRACING_BUFFER_FULL, "cOCTVC1_MAIN_EVT_MASK_TRACING_BUFFER_FULL" },
	{ cOCTVC1_MAIN_EVT_MASK_TRACING_STOP, "cOCTVC1_MAIN_EVT_MASK_TRACING_STOP" },
	{ cOCTVC1_MAIN_EVT_MASK_REDUNDANCY_SERVER_MGW_FAILOVER_DONE, "cOCTVC1_MAIN_EVT_MASK_REDUNDANCY_SERVER_MGW_FAILOVER_DONE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_INVALID, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_INVALID" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CONTROL, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CONTROL" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_TDM_DRIVER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_TDM_DRIVER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_ROUTER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_ROUTER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_SCHEDULER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_SCHEDULER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_VSPMGR, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_VSPMGR" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_AF_SRV, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_AF_SRV" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CAMERA_DRIVER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CAMERA_DRIVER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_SCHEDULER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_SCHEDULER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_L1C_APAPTATION_LAYER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_L1C_APAPTATION_LAYER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_RACH, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_RACH" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_MASTER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_MASTER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_RFI, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_RFI" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_SLAVE, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_SLAVE" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULOM_MASTER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULOM_MASTER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULOM_SLAVE, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULOM_SLAVE" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLIM_MASTER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLIM_MASTER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLIM_SLAVE, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLIM_SLAVE" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLOM_MASTER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLOM_MASTER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLOM_SLAVE, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_DLOM_SLAVE" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_RFI, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_RFI" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_ETH, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_ETH" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_HSDLOM, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_HSDLOM" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_HSDLIM, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_HSDLIM" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_SSE, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_3G_ULIM_SSE" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CTRL, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_CTRL" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_SCHEDULER, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_SCHEDULER" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_DL, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_DL" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_ULIM, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_ULIM" },
	{ cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_ULOM, "cOCTVC1_MAIN_PROCESS_TYPE_ENUM_2G_ULOM" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM[] = 
 {
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_RESET, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_RESET" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_RUNNING, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_RUNNING" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_HALT, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_HALT" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_TRAP, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_TRAP" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_ACCESS_VIOLATION, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_ACCESS_VIOLATION" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_NOT_PRESENT, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_NOT_PRESENT" },
	{ cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_FAILURE_DETECTED, "cOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM_FAILURE_DETECTED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM[] = 
 {
	{ cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_RESET, "cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_RESET" },
	{ cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_RUNNING, "cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_RUNNING" },
	{ cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_HALT, "cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_HALT" },
	{ cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_TRAP, "cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_TRAP" },
	{ cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_ACCESS_VIOLATION, "cOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM_ACCESS_VIOLATION" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_FAILURE_MASK[] = 
 {
	{ cOCTVC1_MAIN_FAILURE_MASK_NONE, "cOCTVC1_MAIN_FAILURE_MASK_NONE" },
	{ cOCTVC1_MAIN_FAILURE_MASK_MEMORY, "cOCTVC1_MAIN_FAILURE_MASK_MEMORY" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_2MHZ, "cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_2MHZ" },
	{ cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_4MHZ, "cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_4MHZ" },
	{ cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_8MHZ, "cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_8MHZ" },
	{ cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_16MHZ, "cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_16MHZ" },
	{ cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_RESERVED, "cOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM_RESERVED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_INVALID, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_INVALID" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES0, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES0" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES1, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES1" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES2, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES2" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES3, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_SERDES3" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_ETH0, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_ETH0" },
	{ cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_ETH1, "cOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM_ETH1" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_ETH_PORT_MODE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_INVALID, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_INVALID" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_MII_10, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_MII_10" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_MII_100, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_MII_100" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_RMII_100, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_RMII_100" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_GMII_1000, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_GMII_1000" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_RGMII_1000, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_RGMII_1000" },
	{ cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_SGMII_1000, "cOCTVC1_MAIN_ETH_PORT_MODE_ENUM_SGMII_1000" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_ETH_MODE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_INVALID, "cOCTVC1_MAIN_ETH_MODE_ENUM_INVALID" },
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_MII, "cOCTVC1_MAIN_ETH_MODE_ENUM_MII" },
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_RMII, "cOCTVC1_MAIN_ETH_MODE_ENUM_RMII" },
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_GMII, "cOCTVC1_MAIN_ETH_MODE_ENUM_GMII" },
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_RGMII, "cOCTVC1_MAIN_ETH_MODE_ENUM_RGMII" },
	{ cOCTVC1_MAIN_ETH_MODE_ENUM_SGMII, "cOCTVC1_MAIN_ETH_MODE_ENUM_SGMII" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[] = 
 {
	{ cOCTVC1_MAIN_FILE_OPEN_MODE_MASK_READ, "cOCTVC1_MAIN_FILE_OPEN_MODE_MASK_READ" },
	{ cOCTVC1_MAIN_FILE_OPEN_MODE_MASK_WRITE, "cOCTVC1_MAIN_FILE_OPEN_MODE_MASK_WRITE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_OPUS_CORE_MASK[] = 
 {
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_1, "cOCTVC1_MAIN_OPUS_CORE_MASK_1" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_2, "cOCTVC1_MAIN_OPUS_CORE_MASK_2" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_3, "cOCTVC1_MAIN_OPUS_CORE_MASK_3" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_4, "cOCTVC1_MAIN_OPUS_CORE_MASK_4" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_5, "cOCTVC1_MAIN_OPUS_CORE_MASK_5" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_6, "cOCTVC1_MAIN_OPUS_CORE_MASK_6" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_7, "cOCTVC1_MAIN_OPUS_CORE_MASK_7" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_8, "cOCTVC1_MAIN_OPUS_CORE_MASK_8" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_9, "cOCTVC1_MAIN_OPUS_CORE_MASK_9" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_10, "cOCTVC1_MAIN_OPUS_CORE_MASK_10" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_11, "cOCTVC1_MAIN_OPUS_CORE_MASK_11" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_12, "cOCTVC1_MAIN_OPUS_CORE_MASK_12" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_13, "cOCTVC1_MAIN_OPUS_CORE_MASK_13" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_14, "cOCTVC1_MAIN_OPUS_CORE_MASK_14" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_15, "cOCTVC1_MAIN_OPUS_CORE_MASK_15" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_16, "cOCTVC1_MAIN_OPUS_CORE_MASK_16" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_17, "cOCTVC1_MAIN_OPUS_CORE_MASK_17" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_18, "cOCTVC1_MAIN_OPUS_CORE_MASK_18" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_19, "cOCTVC1_MAIN_OPUS_CORE_MASK_19" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_20, "cOCTVC1_MAIN_OPUS_CORE_MASK_20" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_21, "cOCTVC1_MAIN_OPUS_CORE_MASK_21" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_22, "cOCTVC1_MAIN_OPUS_CORE_MASK_22" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_23, "cOCTVC1_MAIN_OPUS_CORE_MASK_23" },
	{ cOCTVC1_MAIN_OPUS_CORE_MASK_24, "cOCTVC1_MAIN_OPUS_CORE_MASK_24" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_OCT1010_CORE_MASK[] = 
 {
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_1, "cOCTVC1_MAIN_OCT1010_CORE_MASK_1" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_2, "cOCTVC1_MAIN_OCT1010_CORE_MASK_2" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_3, "cOCTVC1_MAIN_OCT1010_CORE_MASK_3" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_4, "cOCTVC1_MAIN_OCT1010_CORE_MASK_4" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_5, "cOCTVC1_MAIN_OCT1010_CORE_MASK_5" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_6, "cOCTVC1_MAIN_OCT1010_CORE_MASK_6" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_7, "cOCTVC1_MAIN_OCT1010_CORE_MASK_7" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_8, "cOCTVC1_MAIN_OCT1010_CORE_MASK_8" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_9, "cOCTVC1_MAIN_OCT1010_CORE_MASK_9" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_10, "cOCTVC1_MAIN_OCT1010_CORE_MASK_10" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_11, "cOCTVC1_MAIN_OCT1010_CORE_MASK_11" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_12, "cOCTVC1_MAIN_OCT1010_CORE_MASK_12" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_13, "cOCTVC1_MAIN_OCT1010_CORE_MASK_13" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_14, "cOCTVC1_MAIN_OCT1010_CORE_MASK_14" },
	{ cOCTVC1_MAIN_OCT1010_CORE_MASK_15, "cOCTVC1_MAIN_OCT1010_CORE_MASK_15" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TRACING_MODE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TRACING_MODE_ENUM_NORMAL, "cOCTVC1_MAIN_TRACING_MODE_ENUM_NORMAL" },
	{ cOCTVC1_MAIN_TRACING_MODE_ENUM_WRAP, "cOCTVC1_MAIN_TRACING_MODE_ENUM_WRAP" },
	{ cOCTVC1_MAIN_TRACING_MODE_ENUM_AUTO_WRAP, "cOCTVC1_MAIN_TRACING_MODE_ENUM_AUTO_WRAP" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TRACING_TYPE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TRACING_TYPE_ENUM_CONTROL_ONLY, "cOCTVC1_MAIN_TRACING_TYPE_ENUM_CONTROL_ONLY" },
	{ cOCTVC1_MAIN_TRACING_TYPE_ENUM_HEADER, "cOCTVC1_MAIN_TRACING_TYPE_ENUM_HEADER" },
	{ cOCTVC1_MAIN_TRACING_TYPE_ENUM_ALL, "cOCTVC1_MAIN_TRACING_TYPE_ENUM_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_STOPPED, "cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_STOPPED" },
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_STARTED, "cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_STARTED" },
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_FAILOVER_EXECUTED, "cOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM_FAILOVER_EXECUTED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM[] = 
 {
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_NONE, "cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_NONE" },
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_SUCCESS, "cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_SUCCESS" },
	{ cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_ERROR, "cOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM_ERROR" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_LOG_TRACE_STATE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_LOG_TRACE_STATE_ENUM_STOP, "cOCTVC1_MAIN_LOG_TRACE_STATE_ENUM_STOP" },
	{ cOCTVC1_MAIN_LOG_TRACE_STATE_ENUM_START, "cOCTVC1_MAIN_LOG_TRACE_STATE_ENUM_START" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_FILE_SEEK_ENUM[] = 
 {
	{ cOCTVC1_MAIN_FILE_SEEK_ENUM_SET, "cOCTVC1_MAIN_FILE_SEEK_ENUM_SET" },
	{ cOCTVC1_MAIN_FILE_SEEK_ENUM_CUR, "cOCTVC1_MAIN_FILE_SEEK_ENUM_CUR" },
	{ cOCTVC1_MAIN_FILE_SEEK_ENUM_END, "cOCTVC1_MAIN_FILE_SEEK_ENUM_END" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TDM_FRAME_ACTIVE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TDM_FRAME_ACTIVE_ENUM_LOW, "cOCTVC1_MAIN_TDM_FRAME_ACTIVE_ENUM_LOW" },
	{ cOCTVC1_MAIN_TDM_FRAME_ACTIVE_ENUM_HIGH, "cOCTVC1_MAIN_TDM_FRAME_ACTIVE_ENUM_HIGH" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TDM_SAMPLE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TDM_SAMPLE_ENUM_AT_FALLING_EDGE, "cOCTVC1_MAIN_TDM_SAMPLE_ENUM_AT_FALLING_EDGE" },
	{ cOCTVC1_MAIN_TDM_SAMPLE_ENUM_AT_RISING_EDGE, "cOCTVC1_MAIN_TDM_SAMPLE_ENUM_AT_RISING_EDGE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TDM_DISABLED_FRAME_SOURCE_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TDM_DISABLED_FRAME_SOURCE_ENUM_INTERNAL, "cOCTVC1_MAIN_TDM_DISABLED_FRAME_SOURCE_ENUM_INTERNAL" },
	{ cOCTVC1_MAIN_TDM_DISABLED_FRAME_SOURCE_ENUM_EXTERNAL, "cOCTVC1_MAIN_TDM_DISABLED_FRAME_SOURCE_ENUM_EXTERNAL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_TDM_DATA_RESOLUTION_ENUM[] = 
 {
	{ cOCTVC1_MAIN_TDM_DATA_RESOLUTION_ENUM_8_BITS_PER_SAMPLE, "cOCTVC1_MAIN_TDM_DATA_RESOLUTION_ENUM_8_BITS_PER_SAMPLE" },
	{ cOCTVC1_MAIN_TDM_DATA_RESOLUTION_ENUM_16_BITS_PER_SAMPLE, "cOCTVC1_MAIN_TDM_DATA_RESOLUTION_ENUM_16_BITS_PER_SAMPLE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_MAIN_EVT_PHY_MASK[] = 
 {
	{ cOCTVC1_MAIN_EVT_PHY_MASK_UP, "cOCTVC1_MAIN_EVT_PHY_MASK_UP" },
	{ cOCTVC1_MAIN_EVT_PHY_MASK_DOWN, "cOCTVC1_MAIN_EVT_PHY_MASK_DOWN" },
	{ 0,		NULL }
 };

/****************************************************************************
	COMMON Registered 
 ****************************************************************************/

int ahf_tOCTVC1_MAIN_LICENSING_CURSOR[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_LICENSING_CURSOR;

void  register_tOCTVC1_MAIN_LICENSING_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_LICENSING_CURSOR[0],
			{ "szFeatureName", "octvc1.main.licensing_cursor.szfeaturename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFeatureName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_LICENSING_CURSOR[1],
			{ "ulGetMode", "octvc1.main.licensing_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_LICENSING_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_THREAD_CPU_USAGE;

void  register_tOCTVC1_MAIN_THREAD_CPU_USAGE(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[0],
			{ "hThread", "octvc1.main.thread_cpu_usage.hthread",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hThread",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[1],
			{ "ulCpuUsagePercent", "octvc1.main.thread_cpu_usage.ulcpuusagepercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulCpuUsagePercent",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_THREAD_CPU_USAGE.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_OPUS_CORE_STATUS;

void  register_tOCTVC1_MAIN_OPUS_CORE_STATUS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[0],
			{ "ulCoreStatus", "octvc1.main.opus_core_status.ulcorestatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_OPUS_CORE_STATUS_ENUM), 0x0,
			"ulCoreStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[1],
			{ "ulProgramCounter", "octvc1.main.opus_core_status.ulprogramcounter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulProgramCounter",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[2],
			{ "ulFailureMask", "octvc1.main.opus_core_status.ulfailuremask",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulFailureMask",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[3],
			{ "ulAccessViolationAddress", "octvc1.main.opus_core_status.ulaccessviolationaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAccessViolationAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_OPUS_CORE_STATUS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_OCT1010_CORE_STATUS;

void  register_tOCTVC1_MAIN_OCT1010_CORE_STATUS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[0],
			{ "ulCoreStatus", "octvc1.main.oct1010_core_status.ulcorestatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_OCT1010_CORE_STATUS_ENUM), 0x0,
			"ulCoreStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[1],
			{ "ulProgramCounter", "octvc1.main.oct1010_core_status.ulprogramcounter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulProgramCounter",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[2],
			{ "ulAccessViolationAddress", "octvc1.main.oct1010_core_status.ulaccessviolationaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAccessViolationAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_OCT1010_CORE_STATUS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_OPUS_CORE_INFO;

void  register_tOCTVC1_MAIN_OPUS_CORE_INFO(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[0],
			{ "hProcess", "octvc1.main.opus_core_info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[1],
			{ "ulPhysicalCoreId", "octvc1.main.opus_core_info.ulphysicalcoreid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhysicalCoreId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[2],
			{ "ulProcessImageType", "octvc1.main.opus_core_info.ulprocessimagetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM), 0x0,
			"ulProcessImageType",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_OPUS_CORE_INFO.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_OCT1010_CORE_INFO;

void  register_tOCTVC1_MAIN_OCT1010_CORE_INFO(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[0],
			{ "hProcess", "octvc1.main.oct1010_core_info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[1],
			{ "hThread", "octvc1.main.oct1010_core_info.hthread",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hThread",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[2],
			{ "ulProcessImageType", "octvc1.main.oct1010_core_info.ulprocessimagetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM), 0x0,
			"ulProcessImageType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[3],
			{ "szProcessImageName", "octvc1.main.oct1010_core_info.szprocessimagename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szProcessImageName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_OCT1010_CORE_INFO.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[12];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC;

void  register_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[0],
			{ "ulEthPortEnableFlag", "octvc1.main.eth_port_config_dynamic.ulethportenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulEthPortEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[1],
			{ "MacAddress", "octvc1.main.eth_port_config_dynamic.macaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"MacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[2],
			{ "ulAcceptAllMacFlag", "octvc1.main.eth_port_config_dynamic.ulacceptallmacflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAcceptAllMacFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[3],
			{ "ulAcceptUnicastFlag", "octvc1.main.eth_port_config_dynamic.ulacceptunicastflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAcceptUnicastFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[4],
			{ "ulAcceptMulticastFlag", "octvc1.main.eth_port_config_dynamic.ulacceptmulticastflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAcceptMulticastFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[5],
			{ "ulAcceptBadCrcPktFlag", "octvc1.main.eth_port_config_dynamic.ulacceptbadcrcpktflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAcceptBadCrcPktFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[6],
			{ "ulAcceptLongPktFormatFlag", "octvc1.main.eth_port_config_dynamic.ulacceptlongpktformatflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAcceptLongPktFormatFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[7],
			{ "ulBroadcastForwardPort", "octvc1.main.eth_port_config_dynamic.ulbroadcastforwardport",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_ETH_PORT_ID_ENUM), 0x0,
			"ulBroadcastForwardPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[8],
			{ "ulMulticastForwardPort", "octvc1.main.eth_port_config_dynamic.ulmulticastforwardport",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_ETH_PORT_ID_ENUM), 0x0,
			"ulMulticastForwardPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[9],
			{ "ulUnicastForwardPort", "octvc1.main.eth_port_config_dynamic.ulunicastforwardport",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_ETH_PORT_ID_ENUM), 0x0,
			"ulUnicastForwardPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[10],
			{ "ulRxMirrorForwardPort", "octvc1.main.eth_port_config_dynamic.ulrxmirrorforwardport",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_ETH_PORT_ID_ENUM), 0x0,
			"ulRxMirrorForwardPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[11],
			{ "ulRestrictedApiFlag", "octvc1.main.eth_port_config_dynamic.ulrestrictedapiflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRestrictedApiFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC;

void  register_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[0],
			{ "ulInterfaceType", "octvc1.main.eth_port_config_static.ulinterfacetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_ETH_PORT_INTERFACE_TYPE_ENUM), 0x0,
			"ulInterfaceType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[1],
			{ "ulMode", "octvc1.main.eth_port_config_static.ulmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_ETH_MODE_ENUM), 0x0,
			"ulMode",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[2],
			{ "ulSpeed", "octvc1.main.eth_port_config_static.ulspeed",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSpeed",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[3],
			{ "ulFullDuplexFlag", "octvc1.main.eth_port_config_static.ulfullduplexflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulFullDuplexFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[4],
			{ "ulPhyAddress", "octvc1.main.eth_port_config_static.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[5],
			{ "ulPktQueuesByteSize", "octvc1.main.eth_port_config_static.ulpktqueuesbytesize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPktQueuesByteSize",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_ETH_PORT_STATS[25];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_ETH_PORT_STATS;

void  register_tOCTVC1_MAIN_ETH_PORT_STATS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[0],
			{ "ulRxPktErrorCnt", "octvc1.main.eth_port_stats.ulrxpkterrorcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxPktErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[1],
			{ "ulRxOddNibbleCnt", "octvc1.main.eth_port_stats.ulrxoddnibblecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxOddNibbleCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[2],
			{ "ulRxCrcErrorCnt", "octvc1.main.eth_port_stats.ulrxcrcerrorcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxCrcErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[3],
			{ "ulRxSfdAbsentCnt", "octvc1.main.eth_port_stats.ulrxsfdabsentcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxSfdAbsentCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[4],
			{ "ulRxShortFrameCnt", "octvc1.main.eth_port_stats.ulrxshortframecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxShortFrameCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[5],
			{ "ulRxLongFrameCnt", "octvc1.main.eth_port_stats.ulrxlongframecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxLongFrameCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[6],
			{ "ulRxFalseCarrierCnt", "octvc1.main.eth_port_stats.ulrxfalsecarriercnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxFalseCarrierCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[7],
			{ "ulTxFalseCarrierCnt", "octvc1.main.eth_port_stats.ultxfalsecarriercnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTxFalseCarrierCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[8],
			{ "ulRxMemOverflowCnt", "octvc1.main.eth_port_stats.ulrxmemoverflowcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxMemOverflowCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[9],
			{ "ulRxBufferOverflowCnt", "octvc1.main.eth_port_stats.ulrxbufferoverflowcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxBufferOverflowCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[10],
			{ "ulRxPauseFrameCnt", "octvc1.main.eth_port_stats.ulrxpauseframecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxPauseFrameCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[11],
			{ "ulTxPauseFrameCnt", "octvc1.main.eth_port_stats.ultxpauseframecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTxPauseFrameCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[12],
			{ "ulTxMemChecksum", "octvc1.main.eth_port_stats.ultxmemchecksum",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTxMemChecksum",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[13],
			{ "ulTxBufferUnderflowCnt", "octvc1.main.eth_port_stats.ultxbufferunderflowcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTxBufferUnderflowCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[14],
			{ "ulDefaultMacAddressUsedFlag", "octvc1.main.eth_port_stats.uldefaultmacaddressusedflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulDefaultMacAddressUsedFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[15],
			{ "ulTxLateCollisionCnt", "octvc1.main.eth_port_stats.ultxlatecollisioncnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTxLateCollisionCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[16],
			{ "ulTxExcessCollisionCnt", "octvc1.main.eth_port_stats.ultxexcesscollisioncnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTxExcessCollisionCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[17],
			{ "ulTxExcessDeferralCnt", "octvc1.main.eth_port_stats.ultxexcessdeferralcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTxExcessDeferralCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[18],
			{ "ulRxAlignmentErrorCnt", "octvc1.main.eth_port_stats.ulrxalignmenterrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxAlignmentErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[19],
			{ "ulRxJabberErrorCnt", "octvc1.main.eth_port_stats.ulrxjabbererrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxJabberErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[20],
			{ "ulRxLengthErrorCnt", "octvc1.main.eth_port_stats.ulrxlengtherrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxLengthErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[21],
			{ "ulRxOutOfRangeTypeCnt", "octvc1.main.eth_port_stats.ulrxoutofrangetypecnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxOutOfRangeTypeCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[22],
			{ "ulRxWatchdogErrorCnt", "octvc1.main.eth_port_stats.ulrxwatchdogerrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxWatchdogErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[23],
			{ "ulRxIPv4HeaderErrorCnt", "octvc1.main.eth_port_stats.ulrxipv4headererrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxIPv4HeaderErrorCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_ETH_PORT_STATS[24],
			{ "ulRxIPv6HeaderErrorCnt", "octvc1.main.eth_port_stats.ulrxipv6headererrorcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRxIPv6HeaderErrorCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_ETH_PORT_STATS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR;

void  register_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[0],
			{ "szFileName", "octvc1.main.file_system_file_cursor.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[1],
			{ "ulGetMode", "octvc1.main.file_system_file_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_LOG_ENTRY[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_LOG_ENTRY;

void  register_tOCTVC1_MAIN_LOG_ENTRY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_LOG_ENTRY[0],
			{ "ulLogSeqNumber", "octvc1.main.log_entry.ullogseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLogSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_LOG_ENTRY[1],
			{ "ulLogTimestamp", "octvc1.main.log_entry.ullogtimestamp",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLogTimestamp",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_LOG_ENTRY[2],
			{ "ulLogReserved0", "octvc1.main.log_entry.ullogreserved0",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLogReserved0",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_LOG_ENTRY[3],
			{ "ulLogReserved1", "octvc1.main.log_entry.ullogreserved1",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLogReserved1",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_LOG_ENTRY[4],
			{ "achLogMsg", "octvc1.main.log_entry.achlogmsg",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLogMsg",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_LOG_ENTRY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_FILE_CURSOR[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_FILE_CURSOR;

void  register_tOCTVC1_MAIN_FILE_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_FILE_CURSOR[0],
			{ "szFileName", "octvc1.main.file_cursor.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_FILE_CURSOR[1],
			{ "ulGetMode", "octvc1.main.file_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_FILE_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

/****************************************************************************
	Event Registered 
 ****************************************************************************/

int ahf_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT;

void  register_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT[0],
			{ "BufferId", "octvc1.main.module.tracing.buffer_full.bufferid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"BufferId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT;

void  register_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT[0],
			{ "ulCoreUseMask", "octvc1.main.device.opus_core.exec_report.ulcoreusemask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulCoreUseMask",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT[1],
			{ "ulCoreHaltMask", "octvc1.main.device.opus_core.exec_report.ulcorehaltmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulCoreHaltMask",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT;

void  register_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT[0],
			{ "ulBank", "octvc1.main.gpio.bank.change.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT[1],
			{ "ulPortValue", "octvc1.main.gpio.bank.change.ulportvalue",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPortValue",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT;

void  register_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT[0],
			{ "ulPhyAddress", "octvc1.main.mdio.phy.change.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT[1],
			{ "ulEvents", "octvc1.main.mdio.phy.change.ulevents",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulEvents",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT;

void  register_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[0],
			{ "hProcess", "octvc1.main.process.cpu_usage.report.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[1],
			{ "ulProcessImageType", "octvc1.main.process.cpu_usage.report.ulprocessimagetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM), 0x0,
			"ulProcessImageType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[2],
			{ "ulProcessCpuUsagePercent", "octvc1.main.process.cpu_usage.report.ulprocesscpuusagepercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulProcessCpuUsagePercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[3],
			{ "ulNumThread", "octvc1.main.process.cpu_usage.report.ulnumthread",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumThread",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.failover_done.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[1],
			{ "ulDurationMs", "octvc1.main.redundancy_server.mgw.failover_done.uldurationms",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulDurationMs",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[2],
			{ "FailoverStatus", "octvc1.main.redundancy_server.mgw.failover_done.failoverstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM), 0x0,
			"FailoverStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[3],
			{ "ulFailoverReturnCode", "octvc1.main.redundancy_server.mgw.failover_done.ulfailoverreturncode",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"ulFailoverReturnCode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

/****************************************************************************
	CMD/RSP Registered 
 ****************************************************************************/

int ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD;

void  register_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[0],
			{ "ulEventMask", "octvc1.main.module.evt.modify.uleventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[1],
			{ "ulUserEventId", "octvc1.main.module.evt.modify.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[2],
			{ "hEventDestObj", "octvc1.main.module.evt.modify.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[3],
			{ "ulEventDestObjPort", "octvc1.main.module.evt.modify.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[4],
			{ "ulEventDestObjFifoId", "octvc1.main.module.evt.modify.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP;

void  register_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[0],
			{ "ulEventMask", "octvc1.main.module.evt.info.uleventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[1],
			{ "ulUserEventId", "octvc1.main.module.evt.info.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[2],
			{ "hEventDestObj", "octvc1.main.module.evt.info.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[3],
			{ "ulEventDestObjPort", "octvc1.main.module.evt.info.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[4],
			{ "ulEventDestObjFifoId", "octvc1.main.module.evt.info.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD;

void  register_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[0],
			{ "ulTracingMode", "octvc1.main.module.tracing.start.ultracingmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_TRACING_MODE_ENUM), 0x0,
			"ulTracingMode",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[1],
			{ "ulTracingType", "octvc1.main.module.tracing.start.ultracingtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_TRACING_TYPE_ENUM), 0x0,
			"ulTracingType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[2],
			{ "ulNumBuffer", "octvc1.main.module.tracing.start.ulnumbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[3],
			{ "aBufferId", "octvc1.main.module.tracing.start.abufferid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aBufferId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[0],
			{ "ulFormat", "octvc1.main.buffer.open.ulformat",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_BUFFER_FORMAT_ENUM), 0x0,
			"ulFormat",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[1],
			{ "ulByteLength", "octvc1.main.buffer.open.ulbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[2],
			{ "szBufferName", "octvc1.main.buffer.open.szbuffername",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szBufferName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.open.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP[1],
			{ "ulAllocatedByteLength", "octvc1.main.buffer.open.ulallocatedbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAllocatedByteLength",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD[0],
			{ "hBuffer", "octvc1.main.buffer.close.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.close.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD[0],
			{ "hBuffer", "octvc1.main.buffer.info.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.info.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[1],
			{ "ulFormat", "octvc1.main.buffer.info.ulformat",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_BUFFER_FORMAT_ENUM), 0x0,
			"ulFormat",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[2],
			{ "szBufferName", "octvc1.main.buffer.info.szbuffername",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szBufferName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[3],
			{ "ulUsedByteLength", "octvc1.main.buffer.info.ulusedbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUsedByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[4],
			{ "ulAllocatedByteLength", "octvc1.main.buffer.info.ulallocatedbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAllocatedByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[5],
			{ "ulDependencyCount", "octvc1.main.buffer.info.uldependencycount",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDependencyCount",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_LIST_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD[0],
			{ "ObjectCursor", "octvc1.main.buffer.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_LIST_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_LIST_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP[0],
			{ "ObjectCursor", "octvc1.main.buffer.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP[1],
			{ "ObjectList", "octvc1.main.buffer.list.objectlist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_LIST_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[0],
			{ "hBuffer", "octvc1.main.buffer.modify.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[1],
			{ "ulFormat", "octvc1.main.buffer.modify.ulformat",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_BUFFER_FORMAT_ENUM), 0x0,
			"ulFormat",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[2],
			{ "ulUsedByteSize", "octvc1.main.buffer.modify.ulusedbytesize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUsedByteSize",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.modify.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[0],
			{ "hBuffer", "octvc1.main.buffer.write.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[1],
			{ "ulWriteByteLength", "octvc1.main.buffer.write.ulwritebytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulWriteByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[2],
			{ "ulWriteByteOffset", "octvc1.main.buffer.write.ulwritebyteoffset",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulWriteByteOffset",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[3],
			{ "abyWriteData", "octvc1.main.buffer.write.abywritedata",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyWriteData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.write.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP[1],
			{ "ulNumByteWritten", "octvc1.main.buffer.write.ulnumbytewritten",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumByteWritten",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_READ_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[0],
			{ "hBuffer", "octvc1.main.buffer.read.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[1],
			{ "ulMaxReadByteLength", "octvc1.main.buffer.read.ulmaxreadbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxReadByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[2],
			{ "ulReadByteOffset", "octvc1.main.buffer.read.ulreadbyteoffset",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReadByteOffset",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_READ_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_READ_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.read.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[1],
			{ "ulDoneFlag", "octvc1.main.buffer.read.uldoneflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulDoneFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[2],
			{ "ulNumByteRead", "octvc1.main.buffer.read.ulnumbyteread",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumByteRead",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[3],
			{ "abyData", "octvc1.main.buffer.read.abydata",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_READ_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD;

void  register_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD[0],
			{ "szBufferName", "octvc1.main.buffer.info_by_name.szbuffername",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szBufferName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP;

void  register_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[0],
			{ "hBuffer", "octvc1.main.buffer.info_by_name.hbuffer",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hBuffer",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[1],
			{ "ulFormat", "octvc1.main.buffer.info_by_name.ulformat",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_BUFFER_FORMAT_ENUM), 0x0,
			"ulFormat",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[2],
			{ "szBufferName", "octvc1.main.buffer.info_by_name.szbuffername",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szBufferName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[3],
			{ "ulUsedByteLength", "octvc1.main.buffer.info_by_name.ulusedbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUsedByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[4],
			{ "ulAllocatedByteLength", "octvc1.main.buffer.info_by_name.ulallocatedbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAllocatedByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[5],
			{ "ulDependencyCount", "octvc1.main.buffer.info_by_name.uldependencycount",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDependencyCount",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEVICE_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[0],
			{ "ulDeviceType", "octvc1.main.device.info.uldevicetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTDEV_DEVICES_TYPE_ENUM), 0x0,
			"ulDeviceType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[1],
			{ "abyDeviceInfo", "octvc1.main.device.info.abydeviceinfo",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyDeviceInfo",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[2],
			{ "abyUserInfo", "octvc1.main.device.info.abyuserinfo",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyUserInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEVICE_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP;

void  register_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP[0],
			{ "aCoreStatus", "octvc1.main.device.opus_core.status.acorestatus",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aCoreStatus",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP;

void  register_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP[0],
			{ "aCoreInfo", "octvc1.main.device.opus_core.info.acoreinfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aCoreInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[12];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[0],
			{ "ulOCT1010VersionId", "octvc1.main.oct1010.info.uloct1010versionid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulOCT1010VersionId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[1],
			{ "szOCT1010Version", "octvc1.main.oct1010.info.szoct1010version",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szOCT1010Version",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[2],
			{ "ulSerialNumber", "octvc1.main.oct1010.info.ulserialnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSerialNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[3],
			{ "ulProjectNumber", "octvc1.main.oct1010.info.ulprojectnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulProjectNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[4],
			{ "aOCT1010MacAddress", "octvc1.main.oct1010.info.aoct1010macaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"aOCT1010MacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[5],
			{ "ulOCT1010IDVersionId", "octvc1.main.oct1010.info.uloct1010idversionid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulOCT1010IDVersionId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[6],
			{ "szOCT1010IDVersion", "octvc1.main.oct1010.info.szoct1010idversion",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szOCT1010IDVersion",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[7],
			{ "ulTdmNumStream", "octvc1.main.oct1010.info.ultdmnumstream",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTdmNumStream",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[8],
			{ "ulTdmStreamFrequency", "octvc1.main.oct1010.info.ultdmstreamfrequency",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_TDM_STREAM_FREQ_ENUM), 0x0,
			"ulTdmStreamFrequency",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[9],
			{ "aMacAddress", "octvc1.main.oct1010.info.amacaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"aMacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[10],
			{ "aulUserInfo", "octvc1.main.oct1010.info.auluserinfo",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"aulUserInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_STATS_CMD;

void  register_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD[0],
			{ "ulResetStatsFlag", "octvc1.main.oct1010.stats.ulresetstatsflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulResetStatsFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_STATS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_STATS_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[0],
			{ "ulOCT1010MonitorNumber", "octvc1.main.oct1010.stats.uloct1010monitornumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulOCT1010MonitorNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[1],
			{ "ulTdmCpyOutOfBandwidthCnt", "octvc1.main.oct1010.stats.ultdmcpyoutofbandwidthcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTdmCpyOutOfBandwidthCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[2],
			{ "ulTdmTxTimeslotPtrOutOfSyncCnt", "octvc1.main.oct1010.stats.ultdmtxtimeslotptroutofsynccnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTdmTxTimeslotPtrOutOfSyncCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[3],
			{ "ulTdmTimestampIncrementErrorCnt", "octvc1.main.oct1010.stats.ultdmtimestampincrementerrorcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulTdmTimestampIncrementErrorCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_STATS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP[0],
			{ "aCoreStatus", "octvc1.main.oct1010.core.status.acorestatus",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aCoreStatus",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP[0],
			{ "aCoreInfo", "octvc1.main.oct1010.core.info.acoreinfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aCoreInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[0],
			{ "ulOct1010IdType", "octvc1.main.oct1010.oct1010id.info.uloct1010idtype",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulOct1010IdType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[1],
			{ "szOct1010IdType", "octvc1.main.oct1010.oct1010id.info.szoct1010idtype",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szOct1010IdType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[2],
			{ "ulTdmOutputEnableSupportFlag", "octvc1.main.oct1010.oct1010id.info.ultdmoutputenablesupportflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTdmOutputEnableSupportFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[3],
			{ "ulTdmOutputEnableDeviceFlag", "octvc1.main.oct1010.oct1010id.info.ultdmoutputenabledeviceflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTdmOutputEnableDeviceFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_ETH_STATS_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_ETH_STATS_CMD;

void  register_tOCTVC1_MAIN_MSG_ETH_STATS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_ETH_STATS_CMD[0],
			{ "ulResetStatsFlag", "octvc1.main.eth.stats.ulresetstatsflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulResetStatsFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_ETH_STATS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_ETH_STATS_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_ETH_STATS_RSP;

void  register_tOCTVC1_MAIN_MSG_ETH_STATS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_ETH_STATS_RSP[0],
			{ "aStats", "octvc1.main.eth.stats.astats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aStats",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_ETH_STATS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD;

void  register_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD[0],
			{ "aDynamic", "octvc1.main.eth.port_config.modify.adynamic",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aDynamic",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP;

void  register_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP[0],
			{ "aDynamic", "octvc1.main.eth.port_config.info.adynamic",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aDynamic",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP[1],
			{ "aStatic", "octvc1.main.eth.port_config.info.astatic",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aStatic",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REGISTER_READ_RSP;

void  register_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP[0],
			{ "ulTdmTimestampReg", "octvc1.main.register.read.ultdmtimestampreg",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTdmTimestampReg",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP[1],
			{ "ulNanoSecondCounterReg", "octvc1.main.register.read.ulnanosecondcounterreg",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNanoSecondCounterReg",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REGISTER_READ_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_OPEN_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD[0],
			{ "szFileName", "octvc1.main.file.open.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD[1],
			{ "ulAccessMode", "octvc1.main.file.open.ulaccessmode",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulAccessMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_OPEN_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_OPEN_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP[0],
			{ "hFile", "octvc1.main.file.open.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_OPEN_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_CLOSE_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD[0],
			{ "hFile", "octvc1.main.file.close.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_CLOSE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_WRITE_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[0],
			{ "hFile", "octvc1.main.file.write.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[1],
			{ "ulNumByteToWrite", "octvc1.main.file.write.ulnumbytetowrite",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumByteToWrite",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[2],
			{ "abyData", "octvc1.main.file.write.abydata",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_WRITE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_WRITE_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP[0],
			{ "ulNumByteWritten", "octvc1.main.file.write.ulnumbytewritten",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumByteWritten",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_WRITE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_READ_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_READ_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[0],
			{ "hFile", "octvc1.main.file.read.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[1],
			{ "ulMaxNumByteToRead", "octvc1.main.file.read.ulmaxnumbytetoread",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMaxNumByteToRead",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_READ_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_READ_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_READ_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_READ_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_READ_RSP[0],
			{ "ulNumByteRead", "octvc1.main.file.read.ulnumbyteread",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumByteRead",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_READ_RSP[1],
			{ "abyData", "octvc1.main.file.read.abydata",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_READ_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_INFO_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD[0],
			{ "hFile", "octvc1.main.file.info.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[0],
			{ "hFile", "octvc1.main.file.info.hfile",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFile",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[1],
			{ "szFileName", "octvc1.main.file.info.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[2],
			{ "ulAccessMode", "octvc1.main.file.info.ulaccessmode",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulAccessMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_LIST_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_LIST_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_LIST_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_LIST_CMD[0],
			{ "ObjectCursor", "octvc1.main.file.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_LIST_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_LIST_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_LIST_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_LIST_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_LIST_RSP[0],
			{ "ObjectCursor", "octvc1.main.file.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_LIST_RSP[1],
			{ "ObjectList", "octvc1.main.file.list.objectlist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_LIST_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP[0],
			{ "ulMaxFileEntry", "octvc1.main.file_system.info.ulmaxfileentry",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMaxFileEntry",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD[0],
			{ "ObjectGet", "octvc1.main.file_system.file.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP[0],
			{ "ObjectGet", "octvc1.main.file_system.file.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP[1],
			{ "ulAccessMode", "octvc1.main.file_system.file.info.ulaccessmode",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulAccessMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD;

void  register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD[0],
			{ "szFileName", "octvc1.main.file_system.file.delete.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP;

void  register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP[0],
			{ "szFileName", "octvc1.main.file_system.file.delete.szfilename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szFileName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD;

void  register_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD[0],
			{ "ulGetNewestFlag", "octvc1.main.log.entry.read.ulgetnewestflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulGetNewestFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP;

void  register_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP[0],
			{ "ulNumLogEntry", "octvc1.main.log.entry.read.ulnumlogentry",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumLogEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP[1],
			{ "aLogEntry", "octvc1.main.log.entry.read.alogentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aLogEntry",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_LICENSING_INFO_CMD;

void  register_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD[0],
			{ "ObjectGet", "octvc1.main.licensing.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_LICENSING_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_LICENSING_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[0],
			{ "ObjectGet", "octvc1.main.licensing.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[1],
			{ "ulFeatureType", "octvc1.main.licensing.info.ulfeaturetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_API_LICENSING_FEATURE_TYPE_ENUM), 0x0,
			"ulFeatureType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[2],
			{ "ulManagedFlag", "octvc1.main.licensing.info.ulmanagedflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulManagedFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[3],
			{ "ulLicenseValue", "octvc1.main.licensing.info.ullicensevalue",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLicenseValue",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[4],
			{ "ulCurrentCount", "octvc1.main.licensing.info.ulcurrentcount",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulCurrentCount",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_LICENSING_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD;

void  register_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD[0],
			{ "ulBank", "octvc1.main.gpio.bank.read.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP;

void  register_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP[0],
			{ "ulBank", "octvc1.main.gpio.bank.read.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP[1],
			{ "ulValue", "octvc1.main.gpio.bank.read.ulvalue",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulValue",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD;

void  register_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD[0],
			{ "ulBank", "octvc1.main.gpio.bank.write.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD[1],
			{ "ulValue", "octvc1.main.gpio.bank.write.ulvalue",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulValue",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP;

void  register_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP[0],
			{ "ulBank", "octvc1.main.gpio.bank.write.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD;

void  register_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD[0],
			{ "ulBank", "octvc1.main.gpio.bank.monitor.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD[1],
			{ "ulMonitor", "octvc1.main.gpio.bank.monitor.ulmonitor",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMonitor",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP;

void  register_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP[0],
			{ "ulBank", "octvc1.main.gpio.bank.monitor.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD;

void  register_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[0],
			{ "ulBank", "octvc1.main.gpio.bank.config.modify.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[1],
			{ "ulDirection", "octvc1.main.gpio.bank.config.modify.uldirection",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDirection",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[2],
			{ "ulTriStateHigh", "octvc1.main.gpio.bank.config.modify.ultristatehigh",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTriStateHigh",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP;

void  register_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP[0],
			{ "ulBank", "octvc1.main.gpio.bank.config.modify.ulbank",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBank",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[13];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_SPI_ACCESS_CMD;

void  register_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[0],
			{ "ulChipSelectPin", "octvc1.main.spi.access.ulchipselectpin",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulChipSelectPin",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[1],
			{ "ulClockPin", "octvc1.main.spi.access.ulclockpin",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulClockPin",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[2],
			{ "ulDataOutPin", "octvc1.main.spi.access.uldataoutpin",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDataOutPin",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[3],
			{ "ulDataInPin", "octvc1.main.spi.access.uldatainpin",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDataInPin",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[4],
			{ "ulDivider", "octvc1.main.spi.access.uldivider",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDivider",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[5],
			{ "ulSlaveSelectId", "octvc1.main.spi.access.ulslaveselectid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSlaveSelectId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[6],
			{ "ulClockFrequency", "octvc1.main.spi.access.ulclockfrequency",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulClockFrequency",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[7],
			{ "ulClockPolarity", "octvc1.main.spi.access.ulclockpolarity",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_SPI_CLOCK_POLARITY_ENUM), 0x0,
			"ulClockPolarity",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[8],
			{ "ulClockPhase", "octvc1.main.spi.access.ulclockphase",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_SPI_CLOCK_PHASE_ENUM), 0x0,
			"ulClockPhase",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[9],
			{ "ulReadByteCnt", "octvc1.main.spi.access.ulreadbytecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulReadByteCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[10],
			{ "ulWriteByteCnt", "octvc1.main.spi.access.ulwritebytecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulWriteByteCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[11],
			{ "aulWriteData", "octvc1.main.spi.access.aulwritedata",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulWriteData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_SPI_ACCESS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_SPI_ACCESS_RSP;

void  register_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP[0],
			{ "aulReadData", "octvc1.main.spi.access.aulreaddata",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulReadData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_SPI_ACCESS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD;

void  register_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD[0],
			{ "ulPhyAddress", "octvc1.main.mdio.phy.read.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD[1],
			{ "ulRegisterAddress", "octvc1.main.mdio.phy.read.ulregisteraddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRegisterAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP;

void  register_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP[0],
			{ "ulPhyAddress", "octvc1.main.mdio.phy.read.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP[1],
			{ "ulReadData", "octvc1.main.mdio.phy.read.ulreaddata",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReadData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD;

void  register_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[0],
			{ "ulPhyAddress", "octvc1.main.mdio.phy.write.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[1],
			{ "ulRegisterAddress", "octvc1.main.mdio.phy.write.ulregisteraddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRegisterAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[2],
			{ "ulWriteData", "octvc1.main.mdio.phy.write.ulwritedata",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulWriteData",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP;

void  register_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP[0],
			{ "ulPhyAddress", "octvc1.main.mdio.phy.write.ulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPhyAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD;

void  register_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD[0],
			{ "aulPhyAddress", "octvc1.main.mdio.phy.monitor.aulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulPhyAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP;

void  register_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP[0],
			{ "aulPhyAddress", "octvc1.main.mdio.phy.monitor.aulphyaddress",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulPhyAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CMD;

void  register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD[0],
			{ "hProcess", "octvc1.main.process.info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP[0],
			{ "hProcess", "octvc1.main.process.info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP[1],
			{ "szProcessImageName", "octvc1.main.process.info.szprocessimagename",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"szProcessImageName",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_LIST_CMD;

void  register_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD[0],
			{ "ObjectCursor", "octvc1.main.process.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_LIST_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_LIST_RSP;

void  register_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP[0],
			{ "ObjectCursor", "octvc1.main.process.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP[1],
			{ "ObjectList", "octvc1.main.process.list.objectlist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_LIST_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD;

void  register_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[0],
			{ "hProcess", "octvc1.main.process.cpu_usage.monitor.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[1],
			{ "ulAlarmThresholdHighPercent", "octvc1.main.process.cpu_usage.monitor.ulalarmthresholdhighpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulAlarmThresholdHighPercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[2],
			{ "ulAlarmThresholdLowPercent", "octvc1.main.process.cpu_usage.monitor.ulalarmthresholdlowpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulAlarmThresholdLowPercent",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP;

void  register_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP[0],
			{ "hProcess", "octvc1.main.process.cpu_usage.monitor.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP[1],
			{ "ulProcessImageType", "octvc1.main.process.cpu_usage.monitor.ulprocessimagetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM), 0x0,
			"ulProcessImageType",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD;

void  register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD[0],
			{ "hProcess", "octvc1.main.process.cpu_usage.info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[9];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP;

void  register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[0],
			{ "hProcess", "octvc1.main.process.cpu_usage.info.hprocess",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hProcess",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[1],
			{ "ulProcessImageType", "octvc1.main.process.cpu_usage.info.ulprocessimagetype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_PROCESS_TYPE_ENUM), 0x0,
			"ulProcessImageType",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[2],
			{ "ulAlarmThresholdHighPercent", "octvc1.main.process.cpu_usage.info.ulalarmthresholdhighpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulAlarmThresholdHighPercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[3],
			{ "ulAlarmThresholdLowPercent", "octvc1.main.process.cpu_usage.info.ulalarmthresholdlowpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulAlarmThresholdLowPercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[4],
			{ "ulProcessCpuUsagePercent", "octvc1.main.process.cpu_usage.info.ulprocesscpuusagepercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulProcessCpuUsagePercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[5],
			{ "ulProcessCpuUsageMinPercent", "octvc1.main.process.cpu_usage.info.ulprocesscpuusageminpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulProcessCpuUsageMinPercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[6],
			{ "ulProcessCpuUsageMaxPercent", "octvc1.main.process.cpu_usage.info.ulprocesscpuusagemaxpercent",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulProcessCpuUsageMaxPercent",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[7],
			{ "ulNumThread", "octvc1.main.process.cpu_usage.info.ulnumthread",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumThread",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[0],
			{ "hDestObj", "octvc1.main.debug_forward.open.hdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[1],
			{ "ulDestObjPort", "octvc1.main.debug_forward.open.uldestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[2],
			{ "ulDestObjFifoId", "octvc1.main.debug_forward.open.uldestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDestObjFifoId",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[3],
			{ "DestMacAddress", "octvc1.main.debug_forward.open.destmacaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"DestMacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[4],
			{ "SrcMacAddress", "octvc1.main.debug_forward.open.srcmacaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"SrcMacAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP[0],
			{ "hForward", "octvc1.main.debug_forward.open.hforward",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hForward",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP[1],
			{ "ulFifoId", "octvc1.main.debug_forward.open.ulfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD[0],
			{ "hForward", "octvc1.main.debug_forward.close.hforward",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hForward",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP[0],
			{ "hForward", "octvc1.main.debug_forward.close.hforward",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hForward",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD[0],
			{ "ObjectGet", "octvc1.main.debug_forward.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP[0],
			{ "ObjectGet", "octvc1.main.debug_forward.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD[0],
			{ "ulMaxNumServerMgw", "octvc1.main.redundancy_server.start.ulmaxnumservermgw",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMaxNumServerMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD[1],
			{ "ulForceApiResourceCleanUpFlag", "octvc1.main.redundancy_server.start.ulforceapiresourcecleanupflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulForceApiResourceCleanUpFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[8];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[0],
			{ "ulMaxNumSystemMgw", "octvc1.main.redundancy_server.info.ulmaxnumsystemmgw",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMaxNumSystemMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[1],
			{ "ulMaxNumServerMgw", "octvc1.main.redundancy_server.info.ulmaxnumservermgw",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMaxNumServerMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[2],
			{ "ulMgwCnt", "octvc1.main.redundancy_server.info.ulmgwcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulMgwCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[3],
			{ "State", "octvc1.main.redundancy_server.info.state",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_STATE_ENUM), 0x0,
			"State",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[4],
			{ "hFailoverMgw", "octvc1.main.redundancy_server.info.hfailovermgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hFailoverMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[5],
			{ "FailoverStatus", "octvc1.main.redundancy_server.info.failoverstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM), 0x0,
			"FailoverStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[6],
			{ "ulFailoverReturnCode", "octvc1.main.redundancy_server.info.ulfailoverreturncode",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"ulFailoverReturnCode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.add.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.add.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.remove.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.remove.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD[0],
			{ "ObjectCursor", "octvc1.main.redundancy_server.mgw.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP[0],
			{ "ObjectCursor", "octvc1.main.redundancy_server.mgw.list.objectcursor",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectCursor",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP[1],
			{ "ObjectList", "octvc1.main.redundancy_server.mgw.list.objectlist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.info.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.info.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[1],
			{ "FailoverStatus", "octvc1.main.redundancy_server.mgw.info.failoverstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_MAIN_REDUNDANCY_SERVER_FAILOVER_MGW_STATUS_ENUM), 0x0,
			"FailoverStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[2],
			{ "ulFailoverReturnCode", "octvc1.main.redundancy_server.mgw.info.ulfailoverreturncode",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"ulFailoverReturnCode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.failover.execute.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP;

void  register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP[0],
			{ "hMgw", "octvc1.main.redundancy_server.mgw.failover.execute.hmgw",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"hMgw",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};


int ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT2200_STATS_CMD;

void  register_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD[0],
			{ "ulResetStatsFlag", "octvc1.main.oct2200.stats.ulresetstatsflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulResetStatsFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT2200_STATS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_MAIN_MSG_OCT2200_STATS_RSP;

void  register_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP[0],
			{ "ulOCT2200MonitorNumber", "octvc1.main.oct2200.stats.uloct2200monitornumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulOCT2200MonitorNumber",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_MAIN_MSG_OCT2200_STATS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

/****************************************************************************
	COMMON dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_MAIN_LICENSING_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_LICENSING_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_LICENSING_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_LICENSING_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_LICENSING_CURSOR);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_LICENSING_CURSOR[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LICENSING_CURSOR, szFeatureName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LICENSING_CURSOR, szFeatureName);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_LICENSING_CURSOR[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LICENSING_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_LICENSING_CURSOR[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LICENSING_CURSOR, ulGetMode);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_THREAD_CPU_USAGE(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_THREAD_CPU_USAGE)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_THREAD_CPU_USAGE (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_THREAD_CPU_USAGE));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_THREAD_CPU_USAGE);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_THREAD_CPU_USAGE, hThread), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_THREAD_CPU_USAGE, hThread);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_THREAD_CPU_USAGE, ulCpuUsagePercent), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_THREAD_CPU_USAGE[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_THREAD_CPU_USAGE, ulCpuUsagePercent);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_OPUS_CORE_STATUS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_OPUS_CORE_STATUS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_OPUS_CORE_STATUS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_OPUS_CORE_STATUS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_OPUS_CORE_STATUS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulCoreStatus), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulCoreStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulProgramCounter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulProgramCounter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulFailureMask), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulFailureMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulAccessViolationAddress), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_STATUS[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_STATUS, ulAccessViolationAddress);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_OCT1010_CORE_STATUS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_OCT1010_CORE_STATUS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_OCT1010_CORE_STATUS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_OCT1010_CORE_STATUS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_OCT1010_CORE_STATUS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulCoreStatus), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulCoreStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulProgramCounter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulProgramCounter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulAccessViolationAddress), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_STATUS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_STATUS, ulAccessViolationAddress);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_OPUS_CORE_INFO(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_OPUS_CORE_INFO)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_OPUS_CORE_INFO (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_OPUS_CORE_INFO));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_OPUS_CORE_INFO);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, hProcess),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, hProcess), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, ulPhysicalCoreId), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, ulPhysicalCoreId);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, ulProcessImageType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OPUS_CORE_INFO[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OPUS_CORE_INFO, ulProcessImageType);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_OCT1010_CORE_INFO(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_OCT1010_CORE_INFO)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_OCT1010_CORE_INFO (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_OCT1010_CORE_INFO));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_OCT1010_CORE_INFO);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hProcess),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hProcess), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hThread),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hThread), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[1], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, hThread);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, ulProcessImageType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, ulProcessImageType);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_OCT1010_CORE_INFO[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, szProcessImageName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_OCT1010_CORE_INFO, szProcessImageName);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulEthPortEnableFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulEthPortEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulEthPortEnableFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulEthPortEnableFlag);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[1], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","MacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptAllMacFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptAllMacFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptAllMacFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptAllMacFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptUnicastFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptUnicastFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptUnicastFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptUnicastFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptMulticastFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptMulticastFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptMulticastFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptMulticastFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptBadCrcPktFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptBadCrcPktFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptBadCrcPktFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptBadCrcPktFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptLongPktFormatFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptLongPktFormatFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptLongPktFormatFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulAcceptLongPktFormatFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulBroadcastForwardPort),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulBroadcastForwardPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[7], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulBroadcastForwardPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulMulticastForwardPort),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulMulticastForwardPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[8], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulMulticastForwardPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulUnicastForwardPort),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulUnicastForwardPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[9], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulUnicastForwardPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRxMirrorForwardPort),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRxMirrorForwardPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[10], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRxMirrorForwardPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRestrictedApiFlag),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRestrictedApiFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRestrictedApiFlag), temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC, ulRestrictedApiFlag);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulInterfaceType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulInterfaceType);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulSpeed), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulSpeed);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulFullDuplexFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulFullDuplexFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulFullDuplexFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulPhyAddress), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulPhyAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulPktQueuesByteSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC, ulPktQueuesByteSize);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_ETH_PORT_STATS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_ETH_PORT_STATS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_ETH_PORT_STATS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_ETH_PORT_STATS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_ETH_PORT_STATS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxPktErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxPktErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxOddNibbleCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxOddNibbleCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxCrcErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxCrcErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxSfdAbsentCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxSfdAbsentCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxShortFrameCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxShortFrameCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxLongFrameCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxLongFrameCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxFalseCarrierCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxFalseCarrierCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxFalseCarrierCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxFalseCarrierCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxMemOverflowCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxMemOverflowCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxBufferOverflowCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxBufferOverflowCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxPauseFrameCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxPauseFrameCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxPauseFrameCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxPauseFrameCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[12], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxMemChecksum), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[12], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxMemChecksum);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[13], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxBufferUnderflowCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[13], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxBufferUnderflowCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[14], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulDefaultMacAddressUsedFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[14], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulDefaultMacAddressUsedFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulDefaultMacAddressUsedFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[15], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxLateCollisionCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[15], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxLateCollisionCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[16], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxExcessCollisionCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[16], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxExcessCollisionCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[17], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxExcessDeferralCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[17], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulTxExcessDeferralCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[18], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxAlignmentErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[18], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxAlignmentErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[19], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxJabberErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[19], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxJabberErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[20], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxLengthErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[20], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxLengthErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[21], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxOutOfRangeTypeCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[21], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxOutOfRangeTypeCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[22], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxWatchdogErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[22], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxWatchdogErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[23], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxIPv4HeaderErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[23], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxIPv4HeaderErrorCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[24], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxIPv6HeaderErrorCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_ETH_PORT_STATS[24], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_ETH_PORT_STATS, ulRxIPv6HeaderErrorCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR, szFileName);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR, ulGetMode);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_LOG_ENTRY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_LOG_ENTRY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_LOG_ENTRY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_LOG_ENTRY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_LOG_ENTRY);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogSeqNumber), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogSeqNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogTimestamp), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogTimestamp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogReserved0), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogReserved0);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogReserved1), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, ulLogReserved1);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_LOG_ENTRY[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, achLogMsg), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_LOG_ENTRY, achLogMsg);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_MAIN_FILE_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_FILE_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_FILE_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_FILE_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_MAIN_FILE_CURSOR);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_FILE_CURSOR[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_CURSOR, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_CURSOR, szFileName);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_FILE_CURSOR[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_FILE_CURSOR[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_FILE_CURSOR, ulGetMode);

	}


	return offset;

};

/****************************************************************************
	Event dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT, BufferId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT[0], tvb, offset,
			4,"ulCoreUseMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_OPUS_CORE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value && 
					( vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_OPUS_CORE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT, ulCoreUseMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT[1], tvb, offset,
			4,"ulCoreHaltMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_OPUS_CORE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value && 
					( vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_OPUS_CORE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_OPUS_CORE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT, ulCoreHaltMask);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT, ulBank);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT, ulPortValue);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT, ulPhyAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT[1], tvb, offset,
			4,"ulEvents: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_EVT_PHY_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_EVT_PHY_MASK[i].value && 
					( vals_tOCTVC1_MAIN_EVT_PHY_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_EVT_PHY_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_EVT_PHY_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_EVT_PHY_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT, ulEvents);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT, ulProcessImageType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT, ulProcessCpuUsagePercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT, ulNumThread);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT, hMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT, ulDurationMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT, FailoverStatus);

		{
		int ulRc = tvb_get_ntohl( tvb, offset );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT[3], tvb, offset,
			4, "","ulFailoverReturnCode: %s (0x%08X)", 
			dissect_OCTVC1_Return_Code(ulRc), ulRc );
		}
			offset += 4;
	}


	return 0;

};


/****************************************************************************
	CMD/RSP dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[0], tvb, offset,
			4,"ulEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_EVT_MASK[i].value && 
					( vals_tOCTVC1_MAIN_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD, ulEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD, ulUserEventId);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[0], tvb, offset,
			4,"ulEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_EVT_MASK[i].value && 
					( vals_tOCTVC1_MAIN_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP, ulEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP, ulUserEventId);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD, ulTracingMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD, ulTracingType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD, ulNumBuffer);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD, aBufferId), "aBufferId");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD[3], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD, ulFormat);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD, ulByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD, szBufferName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD, szBufferName);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP, ulAllocatedByteLength);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD, hBuffer),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD, hBuffer);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP, hBuffer);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD, hBuffer),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD, hBuffer);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, ulFormat);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, szBufferName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, szBufferName);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, ulUsedByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, ulAllocatedByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP, ulDependencyCount);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP, ObjectList), "ObjectList:tOCTVC1_LIST_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_LIST_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, hBuffer),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, ulFormat),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[1], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, ulFormat);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, ulUsedByteSize),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD[2], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD, ulUsedByteSize);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP, hBuffer);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, hBuffer),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, ulWriteByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, ulWriteByteOffset);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, abyWriteData), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD, abyWriteData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP, ulNumByteWritten);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_READ_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_READ_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD, hBuffer),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_MAIN_BUFFER_MAX_DATA_BYTE_SIZE)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD, ulMaxReadByteLength),temp_data, "cOCTVC1_MAIN_BUFFER_MAX_DATA_BYTE_SIZE (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[1], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD, ulMaxReadByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_CMD, ulReadByteOffset);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_READ_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_READ_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, ulDoneFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, ulDoneFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, ulNumByteRead);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, abyData), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_READ_RSP, abyData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD, szBufferName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD, szBufferName);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, hBuffer);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, ulFormat);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, szBufferName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, szBufferName);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, ulUsedByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, ulAllocatedByteLength);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP, ulDependencyCount);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP, ulDeviceType);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP, abyDeviceInfo), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP, abyDeviceInfo);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP, abyUserInfo), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP, abyUserInfo);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP, aCoreStatus), "aCoreStatus:tOCTVC1_MAIN_OPUS_CORE_STATUS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<24; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_OPUS_CORE_STATUS), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_OPUS_CORE_STATUS( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP, aCoreInfo), "aCoreInfo:tOCTVC1_MAIN_OPUS_CORE_INFO");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<24; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_OPUS_CORE_INFO), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_OPUS_CORE_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulOCT1010VersionId);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, szOCT1010Version), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, szOCT1010Version);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulSerialNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulProjectNumber);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, aOCT1010MacAddress), "aOCT1010MacAddress:tOCTVC1_MAC_ADDRESS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[4], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","[%d]: %02x:%02x:%02x:%02x:%02x:%02x", i, 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulOCT1010IDVersionId);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, szOCT1010IDVersion), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, szOCT1010IDVersion);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulTdmNumStream);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, ulTdmStreamFrequency);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, aMacAddress), "aMacAddress:tOCTVC1_MAC_ADDRESS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[9], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","[%d]: %02x:%02x:%02x:%02x:%02x:%02x", i, 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

			}
		}
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, aulUserInfo), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP, aulUserInfo);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD, ulResetStatsFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD, ulResetStatsFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP, ulOCT1010MonitorNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP, ulTdmCpyOutOfBandwidthCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP, ulTdmTxTimeslotPtrOutOfSyncCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP, ulTdmTimestampIncrementErrorCnt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP, aCoreStatus), "aCoreStatus:tOCTVC1_MAIN_OCT1010_CORE_STATUS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<15; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_OCT1010_CORE_STATUS), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_OCT1010_CORE_STATUS( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP, aCoreInfo), "aCoreInfo:tOCTVC1_MAIN_OCT1010_CORE_INFO");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<15; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_OCT1010_CORE_INFO), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_OCT1010_CORE_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, ulOct1010IdType);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, szOct1010IdType), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, szOct1010IdType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, ulTdmOutputEnableSupportFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, ulTdmOutputEnableSupportFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, ulTdmOutputEnableDeviceFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP, ulTdmOutputEnableDeviceFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_ETH_STATS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_ETH_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_STATS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_ETH_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_STATS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_ETH_STATS_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_STATS_CMD, ulResetStatsFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_STATS_CMD, ulResetStatsFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_ETH_STATS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_ETH_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_STATS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_ETH_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_STATS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_STATS_RSP, aStats), "aStats:tOCTVC1_MAIN_ETH_PORT_STATS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = 0;
		ExtraVal.pszValue = "0";
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_ETH_PORT_STATS), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_ETH_PORT_STATS( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD, aDynamic), "aDynamic:tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP, aDynamic), "aDynamic:tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = 0;
		ExtraVal.pszValue = "0";
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP, aStatic), "aStatic:tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REGISTER_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REGISTER_READ_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REGISTER_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REGISTER_READ_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REGISTER_READ_RSP, ulTdmTimestampReg);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REGISTER_READ_RSP, ulNanoSecondCounterReg);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_OPEN_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_OPEN_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD, szFileName);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD[1], tvb, offset,
			4,"ulAccessMode: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value && 
					( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_OPEN_CMD, ulAccessMode);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_OPEN_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_OPEN_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_OPEN_RSP, hFile);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD, hFile),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD, hFile);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_WRITE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_WRITE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD, hFile),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD, hFile);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD, ulNumByteToWrite);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD, abyData), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_CMD, abyData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_WRITE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_WRITE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_WRITE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_WRITE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_WRITE_RSP, ulNumByteWritten);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_READ_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_READ_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_READ_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_READ_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_READ_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_CMD, hFile),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_CMD, hFile);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_MAIN_FILE_MAX_DATA_BYTE_SIZE)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_CMD, ulMaxNumByteToRead),temp_data, "cOCTVC1_MAIN_FILE_MAX_DATA_BYTE_SIZE (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_CMD[1], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_CMD, ulMaxNumByteToRead);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_READ_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_READ_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_READ_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_READ_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_RSP, ulNumByteRead);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_READ_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_RSP, abyData), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_READ_RSP, abyData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_CMD, hFile),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_INFO_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_CMD, hFile);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_RSP, hFile);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_RSP, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_RSP, szFileName);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_INFO_RSP[2], tvb, offset,
			4,"ulAccessMode: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value && 
					( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_INFO_RSP, ulAccessMode);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_LIST_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_LIST_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_LIST_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_LIST_CMD, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_LIST_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_LIST_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_LIST_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_LIST_RSP, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_LIST_RSP, ObjectList), "ObjectList:tOCTVC1_LIST_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_LIST_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP, ulMaxFileEntry);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD, ObjectGet), "ObjectGet:tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP, ObjectGet), "ObjectGet:tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP[1], tvb, offset,
			4,"ulAccessMode: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value && 
					( vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_MAIN_FILE_OPEN_MODE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP, ulAccessMode);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD, szFileName);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP, szFileName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP, szFileName);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD, ulGetNewestFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD, ulGetNewestFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP, ulNumLogEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP, aLogEntry), "aLogEntry:tOCTVC1_MAIN_LOG_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<5; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_MAIN_LOG_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_LOG_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD, ObjectGet), "ObjectGet:tOCTVC1_MAIN_LICENSING_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_LICENSING_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ObjectGet), "ObjectGet:tOCTVC1_MAIN_LICENSING_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_MAIN_LICENSING_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ulFeatureType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ulManagedFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ulManagedFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ulLicenseValue);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP, ulCurrentCount);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD, ulBank);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP, ulBank);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP, ulValue);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD, ulBank);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD, ulValue);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP, ulBank);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD, ulBank);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD, ulMonitor);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP, ulBank);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD, ulBank);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD, ulDirection);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD, ulTriStateHigh);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP, ulBank);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulChipSelectPin);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulClockPin);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulDataOutPin);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulDataInPin);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulDivider);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulSlaveSelectId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulClockFrequency);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulClockPolarity);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulClockPhase);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulReadByteCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, ulWriteByteCnt);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD, aulWriteData), "aulWriteData");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<16; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD[11], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP, aulReadData), "aulReadData");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<16; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP[0], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD, ulPhyAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD, ulRegisterAddress);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP, ulPhyAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP, ulReadData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD, ulPhyAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD, ulRegisterAddress);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD, ulWriteData);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP, ulPhyAddress);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD, aulPhyAddress), "aulPhyAddress");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_INDEX_INVALID)
		{		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD, aulPhyAddress),temp_data, "cOCTVC1_INDEX_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD[0], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
		}
				offset+=4;
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP, aulPhyAddress), "aulPhyAddress");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP[0], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD, hProcess),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD, hProcess);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP, hProcess);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP, szProcessImageName), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP, szProcessImageName);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP, ObjectList), "ObjectList:tOCTVC1_LIST_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_LIST_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD, ulAlarmThresholdHighPercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD, ulAlarmThresholdLowPercent);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP, ulProcessImageType);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD, hProcess);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, hProcess);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulProcessImageType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulAlarmThresholdHighPercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulAlarmThresholdLowPercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulProcessCpuUsagePercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulProcessCpuUsageMinPercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulProcessCpuUsageMaxPercent);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP, ulNumThread);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD, hDestObj), "hDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD, ulDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_FIFO_ID_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD, ulDestObjFifoId),temp_data, "cOCTVC1_FIFO_ID_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[2], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD, ulDestObjFifoId);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[3], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","DestMacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD[4], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","SrcMacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP, hForward), "hForward:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP, ulFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD, hForward), "hForward:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP, hForward), "hForward:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD[0], tvb, offset,
			4, temp_data);
		if( (unsigned int)temp_data < 1) 
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD, ulMaxNumServerMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD, ulForceApiResourceCleanUpFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD, ulForceApiResourceCleanUpFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, ulMaxNumSystemMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, ulMaxNumServerMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, ulMgwCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, State);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, hFailoverMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP, FailoverStatus);

		{
		int ulRc = tvb_get_ntohl( tvb, offset );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP[6], tvb, offset,
			4, "","ulFailoverReturnCode: %s (0x%08X)", 
			dissect_OCTVC1_Return_Code(ulRc), ulRc );
		}
			offset += 4;
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD, hMgw),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD, hMgw),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP, ObjectCursor), "ObjectCursor:tOCTVC1_CURSOR_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP, ObjectList), "ObjectList:tOCTVC1_LIST_HANDLE_OBJECT_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_LIST_HANDLE_OBJECT_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP, hMgw);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP, FailoverStatus);

		{
		int ulRc = tvb_get_ntohl( tvb, offset );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP[2], tvb, offset,
			4, "","ulFailoverReturnCode: %s (0x%08X)", 
			dissect_OCTVC1_Return_Code(ulRc), ulRc );
		}
			offset += 4;
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD, hMgw),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_HANDLE_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP, hMgw),temp_data, "cOCTVC1_HANDLE_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP[0], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP, hMgw);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD, ulResetStatsFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD, ulResetStatsFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP, ulOCT2200MonitorNumber);

	}


	return 0;

};

/****************************************************************************
	MODULE REGISTERED EXPORTED FUNCTION
 ****************************************************************************/

void ws_register_OCTVC1_MAIN(void)
{
	/****************************************************************************
		Register Common struct
	****************************************************************************/
	register_tOCTVC1_MAIN_LICENSING_CURSOR(); 
	register_tOCTVC1_MAIN_THREAD_CPU_USAGE(); 
	register_tOCTVC1_MAIN_OPUS_CORE_STATUS(); 
	register_tOCTVC1_MAIN_OCT1010_CORE_STATUS(); 
	register_tOCTVC1_MAIN_OPUS_CORE_INFO(); 
	register_tOCTVC1_MAIN_OCT1010_CORE_INFO(); 
	register_tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC(); 
	register_tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC(); 
	register_tOCTVC1_MAIN_ETH_PORT_STATS(); 
	register_tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR(); 
	register_tOCTVC1_MAIN_LOG_ENTRY(); 
	register_tOCTVC1_MAIN_FILE_CURSOR(); 

	/****************************************************************************
		CMD/RSP Registered 
	****************************************************************************/
	register_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD(); 
	register_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP(); 
	register_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD(); 	
	register_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD(); 
	register_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP(); 
	register_tOCTVC1_MAIN_MSG_ETH_STATS_CMD(); 
	register_tOCTVC1_MAIN_MSG_ETH_STATS_RSP(); 
	register_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD(); 
	register_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP(); 
	register_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_READ_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_READ_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_INFO_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_LIST_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_LIST_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP(); 
	register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD(); 
	register_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP(); 
	register_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD(); 
	register_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP(); 
	register_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD(); 
	register_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD(); 
	register_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP(); 
	register_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD(); 
	register_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP(); 
	register_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD(); 
	register_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP(); 
	register_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD(); 
	register_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP(); 
	register_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD(); 
	register_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP(); 
	register_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD(); 
	register_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP(); 
	register_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD(); 
	register_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP(); 
	register_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD(); 
	register_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD(); 
	register_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP(); 
	register_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD(); 
	register_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP(); 

	/****************************************************************************
		Event Registered 
	****************************************************************************/
	register_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT(); 
	register_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT(); 
	register_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT(); 
	register_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT(); 
	register_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT(); 
	register_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT(); 
	
}

/****************************************************************************
	MODULE DISSECTOR FUNCTIONS
 ****************************************************************************/
int ws_dissect_OCTVC1_MAIN_CMD( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID: return dissect_tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID: return dissect_tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID: return 0; break;						
			case cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_READ_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_READ_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEVICE_INFO_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_DEVICE_RESET_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_RESET_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_ETH_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_ETH_STATS_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID: return dissect_tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_REGISTER_READ_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_FILE_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_OPEN_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_CLOSE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_WRITE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_WRITE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_READ_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_READ_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_LIST_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_LOG_ERASE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID: return dissect_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_LICENSING_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_SPI_ACCESS_CID: return dissect_tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT2200_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}
int ws_dissect_OCTVC1_MAIN_RSP( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CID: return dissect_tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MODULE_START_TRACING_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CID: return 0; break;						
			case cOCTVC1_MAIN_MSG_BUFFER_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_CLOSE_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_MODIFY_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_WRITE_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_READ_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_READ_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CID: return dissect_tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEVICE_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEVICE_RESET_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CID: return dissect_tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CID: return dissect_tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_RESET_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_OCT1010_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CID: return dissect_tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_ETH_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_ETH_STATS_RSP( tvb, pinfo, tree, 0 ); break;			
			case cOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CID: return dissect_tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REGISTER_READ_CID: return dissect_tOCTVC1_MAIN_MSG_REGISTER_READ_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_OPEN_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_CLOSE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_FILE_WRITE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_WRITE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_READ_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_READ_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_LIST_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CID: return dissect_tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_LOG_ERASE_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CID: return dissect_tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_LICENSING_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_READ_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CID: return dissect_tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_SPI_ACCESS_CID: return dissect_tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_READ_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CID: return dissect_tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_LIST_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CID: return 0; break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP( tvb, pinfo, tree, 0 ); break;			
			case cOCTVC1_MAIN_MSG_OCT2200_STATS_CID: return dissect_tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}
int ws_dissect_OCTVC1_MAIN_EVT( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EID: return dissect_tOCTVC1_MAIN_MSG_MODULE_TRACING_BUFFER_FULL_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MODULE_TRACING_STOP_EID: return 0; break;
			case cOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EID: return dissect_tOCTVC1_MAIN_MSG_DEVICE_OPUS_CORE_EXEC_REPORT_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EID: return dissect_tOCTVC1_MAIN_MSG_GPIO_BANK_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EID: return dissect_tOCTVC1_MAIN_MSG_MDIO_PHY_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EID: return dissect_tOCTVC1_MAIN_MSG_PROCESS_CPU_USAGE_REPORT_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EID: return dissect_tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_MGW_FAILOVER_DONE_EVT( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}

/****************************************************************************
	MODULE DISSECTOR EXPORTED FUNCTION
 ****************************************************************************/

int ws_dissect_OCTVC1_MAIN( guint8 message_type, guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if (message_type == cOCTVC1_MSG_TYPE_RESPONSE)
		return ws_dissect_OCTVC1_MAIN_RSP( CID, tvb, pinfo, tree);
	if (message_type == cOCTVC1_MSG_TYPE_COMMAND)
		return ws_dissect_OCTVC1_MAIN_CMD( CID, tvb, pinfo, tree);
	if (message_type == cOCTVC1_MSG_TYPE_NOTIFICATION )
		return ws_dissect_OCTVC1_MAIN_EVT( CID, tvb, pinfo, tree);
	else
		return 1;

}

