/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_module_net.c

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contain the wireshark module dissector related functions

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Release: Octasic Application Development Framework OCTADF-01.00.01-B497 (2014/01/09)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

/*****************************  INCLUDE FILES  *******************************/

#include <config.h>
#include <epan/packet.h>
#include "../../../include/oct_ws_macro.h"
#include "../include/module.h"
#include "../include/octvc1_common.h"

#include <net/octvc1_net_evt.h>


/****************************************************************************
	MODULE API ENUMERATION STRING VALUES
 ****************************************************************************/

const value_string  vals_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM[] = 
 {
	{ cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE, "cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_RTP_PAYLOAD_TYPE" },
	{ cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_PKT_ENCODING_TYPE, "cOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM_PKT_ENCODING_TYPE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM[] = 
 {
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_NONE, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_NONE" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_TENTATIVE, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_TENTATIVE" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_VALID, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_VALID" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_INVALID, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM_INVALID" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM[] = 
 {
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV4_DAD_PASSED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV4_DAD_PASSED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV4_DAD_FAILED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV4_DAD_FAILED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_DAD_PASSED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_DAD_PASSED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_DAD_FAILED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_DAD_FAILED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_AUTO_CONFIG_PREFIX_FOUND, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_AUTO_CONFIG_PREFIX_FOUND" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_PREFER_EXPIRED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_PREFER_EXPIRED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_VALID_EXPIRED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_VALID_EXPIRED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_ROUTER_ADVERTISEMENT, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_ROUTER_ADVERTISEMENT" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_USER_REMOVED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_USER_REMOVED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_USER_ADDED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_IPV6_PREFIX_USER_ADDED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_LEASE_EXPIRED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_LEASE_EXPIRED" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_RENEW_REQUEST_SENT, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_RENEW_REQUEST_SENT" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_REBIND_REQUEST_SENT, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_REBIND_REQUEST_SENT" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_OFFER_REQUEST_SENT, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_OFFER_REQUEST_SENT" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_ADDR_LEASED, "cOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM_DHCPV4_ADDR_LEASED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM[] = 
 {
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_PROBE, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_PROBE" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_REQUEST, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_REQUEST" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_REPLY, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_ARP_REPLY" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_GARP_REQUEST, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_GARP_REQUEST" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_GARP_REPLY, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_GARP_REPLY" },
	{ cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_NEIGHBOR_ADVERTISEMENT, "cOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM_NEIGHBOR_ADVERTISEMENT" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_ICMP_ENUM[] = 
 {
	{ cOCTVC1_NET_ICMP_ENUM_OK, "cOCTVC1_NET_ICMP_ENUM_OK" },
	{ cOCTVC1_NET_ICMP_ENUM_NO_REPLY, "cOCTVC1_NET_ICMP_ENUM_NO_REPLY" },
	{ cOCTVC1_NET_ICMP_ENUM_DEST_UNREACHABLE, "cOCTVC1_NET_ICMP_ENUM_DEST_UNREACHABLE" },
	{ cOCTVC1_NET_ICMP_ENUM_TIME_EXCEEDED, "cOCTVC1_NET_ICMP_ENUM_TIME_EXCEEDED" },
	{ cOCTVC1_NET_ICMP_ENUM_UNKNOWN_ERROR, "cOCTVC1_NET_ICMP_ENUM_UNKNOWN_ERROR" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[] = 
 {
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_NONE, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_NONE" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_DEST_UNREACHABLE, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_DEST_UNREACHABLE" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_TIME_EXCEEDED, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_TIME_EXCEEDED" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_UNKNOWN_ERROR, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_UNKNOWN_ERROR" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_REDIRECT, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ICMP_REDIRECT" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ADDR_STATUS_CHANGE, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ADDR_STATUS_CHANGE" },
	{ cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ADDR_DUPLICATE_FOUND, "cOCTVC1_NET_LOCAL_HOST_EVT_MASK_ADDR_DUPLICATE_FOUND" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LINK_EVT_MASK[] = 
 {
	{ cOCTVC1_NET_LINK_EVT_MASK_NONE, "cOCTVC1_NET_LINK_EVT_MASK_NONE" },
	{ cOCTVC1_NET_LINK_EVT_MASK_GATEWAY_STATUS_CHANGE, "cOCTVC1_NET_LINK_EVT_MASK_GATEWAY_STATUS_CHANGE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM[] = 
 {
	{ cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_TENTATIVE, "cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_TENTATIVE" },
	{ cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_REACHABLE, "cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_REACHABLE" },
	{ cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_UNREACHABLE, "cOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM_UNREACHABLE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_EVT_MASK[] = 
 {
	{ cOCTVC1_NET_RTP_EVT_MASK_NONE, "cOCTVC1_NET_RTP_EVT_MASK_NONE" },
	{ cOCTVC1_NET_RTP_EVT_MASK_RX_ALARM, "cOCTVC1_NET_RTP_EVT_MASK_RX_ALARM" },
	{ cOCTVC1_NET_RTP_EVT_MASK_TX_STATE_CHANGE, "cOCTVC1_NET_RTP_EVT_MASK_TX_STATE_CHANGE" },
	{ cOCTVC1_NET_RTP_EVT_MASK_REMOTE_AUTO_DETECT, "cOCTVC1_NET_RTP_EVT_MASK_REMOTE_AUTO_DETECT" },
	{ cOCTVC1_NET_RTP_EVT_MASK_ALL, "cOCTVC1_NET_RTP_EVT_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RX_PKT_FILTER_ENUM[] = 
 {
	{ cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE, "cOCTVC1_NET_RX_PKT_FILTER_ENUM_NONE" },
	{ cOCTVC1_NET_RX_PKT_FILTER_ENUM_SRCIPUDP, "cOCTVC1_NET_RX_PKT_FILTER_ENUM_SRCIPUDP" },
	{ cOCTVC1_NET_RX_PKT_FILTER_ENUM_SSRC, "cOCTVC1_NET_RX_PKT_FILTER_ENUM_SSRC" },
	{ cOCTVC1_NET_RX_PKT_FILTER_ENUM_SRCIPUDP_SSRC, "cOCTVC1_NET_RX_PKT_FILTER_ENUM_SRCIPUDP_SSRC" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTCP_EVT_MASK[] = 
 {
	{ cOCTVC1_NET_RTCP_EVT_MASK_NONE, "cOCTVC1_NET_RTCP_EVT_MASK_NONE" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_ERROR, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_ERROR" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_COMPOUND, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_COMPOUND" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_SR, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_SR" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_RR, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_RR" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_SDES, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_SDES" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_BYE, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_BYE" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_APP, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_APP" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_FEEDBACK_MSG, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_FEEDBACK_MSG" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_UNKNOWN, "cOCTVC1_NET_RTCP_EVT_MASK_PKT_TYPE_UNKNOWN" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_SSRC_CHANGE_LOCAL, "cOCTVC1_NET_RTCP_EVT_MASK_SSRC_CHANGE_LOCAL" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_SSRC_CHANGE_REMOTE, "cOCTVC1_NET_RTCP_EVT_MASK_SSRC_CHANGE_REMOTE" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_REMOTE_MEMBER_DETECTED, "cOCTVC1_NET_RTCP_EVT_MASK_REMOTE_MEMBER_DETECTED" },
	{ cOCTVC1_NET_RTCP_EVT_MASK_ALL, "cOCTVC1_NET_RTCP_EVT_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_EVT_MASK[] = 
 {
	{ cOCTVC1_NET_SRTP_EVT_MASK_NONE, "cOCTVC1_NET_SRTP_EVT_MASK_NONE" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_MASTER_RE_KEY_THRESHOLD_REACHED, "cOCTVC1_NET_SRTP_EVT_MASK_MASTER_RE_KEY_THRESHOLD_REACHED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_MASTER_KEY_EXPIRED, "cOCTVC1_NET_SRTP_EVT_MASK_MASTER_KEY_EXPIRED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_MASTER_KEY_CHANGE_DETECTED, "cOCTVC1_NET_SRTP_EVT_MASK_MASTER_KEY_CHANGE_DETECTED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_REPLAY_ATTACK_DETECTED, "cOCTVC1_NET_SRTP_EVT_MASK_REPLAY_ATTACK_DETECTED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_UNAUTH_PKT_DETECTED, "cOCTVC1_NET_SRTP_EVT_MASK_UNAUTH_PKT_DETECTED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_UNKNOWN_MKI_RECEIVED, "cOCTVC1_NET_SRTP_EVT_MASK_UNKNOWN_MKI_RECEIVED" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_SESSION_SSRC_VIOLATION, "cOCTVC1_NET_SRTP_EVT_MASK_SESSION_SSRC_VIOLATION" },
	{ cOCTVC1_NET_SRTP_EVT_MASK_ALL, "cOCTVC1_NET_SRTP_EVT_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[] = 
 {
	{ cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE, "cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_NONE" },
	{ cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_SSRC, "cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_SSRC" },
	{ cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_INITIAL_SEQ_NUMBER, "cOCTVC1_NET_RTP_FORCED_PARAMETER_MASK_INITIAL_SEQ_NUMBER" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTCP_PKT_TYPE_ENUM[] = 
 {
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_COMPOUND, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_COMPOUND" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_COMPOUND_WITH_ERROR, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_COMPOUND_WITH_ERROR" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_RR, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_RR" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_SR, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_SR" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_SDES, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_SDES" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_BYE, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_BYE" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_APP, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_APP" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_FEEDBACK_MSG, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_FEEDBACK_MSG" },
	{ cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_UNKNOWN, "cOCTVC1_NET_RTCP_PKT_TYPE_ENUM_UNKNOWN" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_SENDER_STATE_ENUM[] = 
 {
	{ cOCTVC1_NET_RTP_SENDER_STATE_ENUM_PENDING, "cOCTVC1_NET_RTP_SENDER_STATE_ENUM_PENDING" },
	{ cOCTVC1_NET_RTP_SENDER_STATE_ENUM_INACTIVE, "cOCTVC1_NET_RTP_SENDER_STATE_ENUM_INACTIVE" },
	{ cOCTVC1_NET_RTP_SENDER_STATE_ENUM_ACTIVE, "cOCTVC1_NET_RTP_SENDER_STATE_ENUM_ACTIVE" },
	{ cOCTVC1_NET_RTP_SENDER_STATE_ENUM_UNRESOLVED, "cOCTVC1_NET_RTP_SENDER_STATE_ENUM_UNRESOLVED" },
	{ cOCTVC1_NET_RTP_SENDER_STATE_ENUM_PAUSED, "cOCTVC1_NET_RTP_SENDER_STATE_ENUM_PAUSED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_OPERATION_MODE_ENUM[] = 
 {
	{ cOCTVC1_NET_OPERATION_MODE_ENUM_ENDPOINT, "cOCTVC1_NET_OPERATION_MODE_ENUM_ENDPOINT" },
	{ cOCTVC1_NET_OPERATION_MODE_ENUM_RTP_ONLY, "cOCTVC1_NET_OPERATION_MODE_ENUM_RTP_ONLY" },
	{ cOCTVC1_NET_OPERATION_MODE_ENUM_FULL_TRANSLATOR, "cOCTVC1_NET_OPERATION_MODE_ENUM_FULL_TRANSLATOR" },
	{ cOCTVC1_NET_OPERATION_MODE_ENUM_HALF_TRANSLATOR, "cOCTVC1_NET_OPERATION_MODE_ENUM_HALF_TRANSLATOR" },
	{ cOCTVC1_NET_OPERATION_MODE_ENUM_RECOVER_NTP_FROM_RTP_TS, "cOCTVC1_NET_OPERATION_MODE_ENUM_RECOVER_NTP_FROM_RTP_TS" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM[] = 
 {
	{ cOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM_DISCONNECTED, "cOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM_DISCONNECTED" },
	{ cOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM_CONNECTED, "cOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM_CONNECTED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RX_ALARM_MASK[] = 
 {
	{ cOCTVC1_NET_RX_ALARM_MASK_NONE, "cOCTVC1_NET_RX_ALARM_MASK_NONE" },
	{ cOCTVC1_NET_RX_ALARM_MASK_THRESH_FRACTION_LOST, "cOCTVC1_NET_RX_ALARM_MASK_THRESH_FRACTION_LOST" },
	{ cOCTVC1_NET_RX_ALARM_MASK_THRESH_JITTER, "cOCTVC1_NET_RX_ALARM_MASK_THRESH_JITTER" },
	{ cOCTVC1_NET_RX_ALARM_MASK_THRESH_RTT, "cOCTVC1_NET_RX_ALARM_MASK_THRESH_RTT" },
	{ cOCTVC1_NET_RX_ALARM_MASK_THRESH_CUMUL_PKT_LOST, "cOCTVC1_NET_RX_ALARM_MASK_THRESH_CUMUL_PKT_LOST" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_STREAM_TYPE_ENUM_SENDER, "cOCTVC1_NET_SRTP_STREAM_TYPE_ENUM_SENDER" },
	{ cOCTVC1_NET_SRTP_STREAM_TYPE_ENUM_RECEIVER, "cOCTVC1_NET_SRTP_STREAM_TYPE_ENUM_RECEIVER" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM_MKI, "cOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM_MKI" },
	{ cOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM_FROM_TO, "cOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM_FROM_TO" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_NULL, "cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_NULL" },
	{ cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM, "cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_CM" },
	{ cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_F8, "cOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM_AES_F8" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_NULL, "cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_NULL" },
	{ cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1, "cOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM_HMAC_SHA1" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_STREAM_STATE_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_INVALID, "cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_INVALID" },
	{ cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_INACTIVE, "cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_INACTIVE" },
	{ cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_ACTIVE, "cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_ACTIVE" },
	{ cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_ERROR, "cOCTVC1_NET_SRTP_STREAM_STATE_ENUM_ERROR" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_KEY_STATE_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_KEY_STATE_ENUM_INVALID, "cOCTVC1_NET_SRTP_KEY_STATE_ENUM_INVALID" },
	{ cOCTVC1_NET_SRTP_KEY_STATE_ENUM_INACTIVE, "cOCTVC1_NET_SRTP_KEY_STATE_ENUM_INACTIVE" },
	{ cOCTVC1_NET_SRTP_KEY_STATE_ENUM_ACTIVE, "cOCTVC1_NET_SRTP_KEY_STATE_ENUM_ACTIVE" },
	{ cOCTVC1_NET_SRTP_KEY_STATE_ENUM_ACTIVE_THRESHOLD_REACH, "cOCTVC1_NET_SRTP_KEY_STATE_ENUM_ACTIVE_THRESHOLD_REACH" },
	{ cOCTVC1_NET_SRTP_KEY_STATE_ENUM_EXPIRE, "cOCTVC1_NET_SRTP_KEY_STATE_ENUM_EXPIRE" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128, "cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_128" },
	{ cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_192, "cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_192" },
	{ cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_256, "cOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM_256" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM[] = 
 {
	{ cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_0, "cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_0" },
	{ cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112, "cOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM_112" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_SRTP_SERVICE_MASK[] = 
 {
	{ cOCTVC1_NET_SRTP_SERVICE_MASK_NONE, "cOCTVC1_NET_SRTP_SERVICE_MASK_NONE" },
	{ cOCTVC1_NET_SRTP_SERVICE_MASK_CONFIDENTIALITY, "cOCTVC1_NET_SRTP_SERVICE_MASK_CONFIDENTIALITY" },
	{ cOCTVC1_NET_SRTP_SERVICE_MASK_AUTHENTICATION, "cOCTVC1_NET_SRTP_SERVICE_MASK_AUTHENTICATION" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK[] = 
 {
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_NONE, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_NONE" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_RTP, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_RTP" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_RTCP, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_RTCP" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_T38, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_T38" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_CNAME, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_REMOTE_CNAME" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_STREAM_CONFIG_SENDER, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_STREAM_CONFIG_SENDER" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_KEY_ENTRY_SENDER, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_KEY_ENTRY_SENDER" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_STREAM_CONFIG_RECEIVER, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_STREAM_CONFIG_RECEIVER" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_KEY_ENTRY_RECEIVER, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_SRTP_KEY_ENTRY_RECEIVER" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_RTP, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_RTP" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_RTCP, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_RTCP" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_T38, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_LOCAL_T38" },
	{ cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_ALL, "cOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK[] = 
 {
	{ cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_NONE, "cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_NONE" },
	{ cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_PLI, "cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_PLI" },
	{ cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_FIR, "cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_FIR" },
	{ cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_ALL, "cOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_ETHERTYPE_ENCODING_ENUM[] = 
 {
	{ cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II, "cOCTVC1_NET_ETHERTYPE_ENCODING_ENUM_ETH_II" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM[] = 
 {
	{ cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_RTP, "cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_RTP" },
	{ cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_RTCP, "cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_RTCP" },
	{ cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_T38_UDPTL, "cOCTVC1_NET_RTP_MEMBER_STREAM_IDX_ENUM_T38_UDPTL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK[] = 
 {
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_NONE, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_NONE" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_RTP, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_RTP" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_RTCP, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_RTCP" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_T38_UDPTL, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_STREAM_T38_UDPTL" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_CNAME_LOCAL, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_CNAME_LOCAL" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_CNAME_REMOTE, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_CNAME_REMOTE" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_ALL, "cOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK[] = 
 {
	{ cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_NONE, "cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_NONE" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_TX_PKT_ENABLE_FLAG, "cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_TX_PKT_ENABLE_FLAG" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_RX_PKT_FILTER, "cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_RX_PKT_FILTER" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_PKT_HEADER, "cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_PKT_HEADER" },
	{ cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_ALL, "cOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK_ALL" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM[] = 
 {
	{ cOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM_DHCP, "cOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM_DHCP" },
	{ cOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM_DISABLED, "cOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM_DISABLED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM[] = 
 {
	{ cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_STATELESS, "cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_STATELESS" },
	{ cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_STATEFUL, "cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_STATEFUL" },
	{ cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_DISABLED, "cOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM_DISABLED" },
	{ 0,		NULL }
 };

const value_string  vals_tOCTVC1_NET_REMOTE_ADDRESS_ENUM[] = 
 {
	{ cOCTVC1_NET_REMOTE_ADDRESS_ENUM_RTP, "cOCTVC1_NET_REMOTE_ADDRESS_ENUM_RTP" },
	{ cOCTVC1_NET_REMOTE_ADDRESS_ENUM_RTCP, "cOCTVC1_NET_REMOTE_ADDRESS_ENUM_RTCP" },
	{ cOCTVC1_NET_REMOTE_ADDRESS_ENUM_T38_UDPTL, "cOCTVC1_NET_REMOTE_ADDRESS_ENUM_T38_UDPTL" },
	{ 0,		NULL }
 };

/****************************************************************************
	COMMON Registered 
 ****************************************************************************/

int ahf_tOCTVC1_NET_IP_CURSOR[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_IP_CURSOR;

void  register_tOCTVC1_NET_IP_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_IP_CURSOR[0],
			{ "hLink", "octvc1.net.ip_cursor.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_IP_CURSOR[1],
			{ "IpAddress", "octvc1.net.ip_cursor.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_IP_CURSOR[2],
			{ "ulGetMode", "octvc1.net.ip_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_IP_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_RTP_PROFILE_ENTRY;

void  register_tOCTVC1_NET_RTP_PROFILE_ENTRY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[0],
			{ "ulRtpPayloadType", "octvc1.net.rtp_profile_entry.ulrtppayloadtype",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtpPayloadType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[1],
			{ "ulPktEncodingType", "octvc1.net.rtp_profile_entry.ulpktencodingtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVOCNET_PKT_D_TYPE_ENUM), 0x0,
			"ulPktEncodingType",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_RTP_PROFILE_ENTRY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY;

void  register_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY[0],
			{ "ulModifyType", "octvc1.net.rtp_profile_modify_entry.ulmodifytype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENUM), 0x0,
			"ulModifyType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY[1],
			{ "Entry", "octvc1.net.rtp_profile_modify_entry.entry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Entry",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[14];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_SRTP_KEY_ENTRY;

void  register_tOCTVC1_NET_SRTP_KEY_ENTRY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[0],
			{ "ulMasterKeyBitSize", "octvc1.net.srtp_key_entry.ulmasterkeybitsize",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM), 0x0,
			"ulMasterKeyBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[1],
			{ "abyMasterKey", "octvc1.net.srtp_key_entry.abymasterkey",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyMasterKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[2],
			{ "ulMasterSaltBitSize", "octvc1.net.srtp_key_entry.ulmastersaltbitsize",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_SALT_KEY_BIT_SIZE_ENUM), 0x0,
			"ulMasterSaltBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[3],
			{ "abyMasterSalt", "octvc1.net.srtp_key_entry.abymastersalt",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyMasterSalt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[4],
			{ "ulKeyDerivationRateLog2", "octvc1.net.srtp_key_entry.ulkeyderivationratelog2",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulKeyDerivationRateLog2",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[5],
			{ "aulRtpMasterKeyMaxLifeTime", "octvc1.net.srtp_key_entry.aulrtpmasterkeymaxlifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulRtpMasterKeyMaxLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[6],
			{ "aulRtpMasterKeyFromLifeTime", "octvc1.net.srtp_key_entry.aulrtpmasterkeyfromlifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulRtpMasterKeyFromLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[7],
			{ "aulRtpMasterKeyToLifeTime", "octvc1.net.srtp_key_entry.aulrtpmasterkeytolifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulRtpMasterKeyToLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[8],
			{ "aulRtpReKeyEventThreshold", "octvc1.net.srtp_key_entry.aulrtprekeyeventthreshold",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulRtpReKeyEventThreshold",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[9],
			{ "ulRtcpMasterKeyMaxLifeTime", "octvc1.net.srtp_key_entry.ulrtcpmasterkeymaxlifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtcpMasterKeyMaxLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[10],
			{ "ulRtcpMasterKeyFromLifeTime", "octvc1.net.srtp_key_entry.ulrtcpmasterkeyfromlifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtcpMasterKeyFromLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[11],
			{ "ulRtcpMasterKeyToLifeTime", "octvc1.net.srtp_key_entry.ulrtcpmasterkeytolifetime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtcpMasterKeyToLifeTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[12],
			{ "ulRtcpReKeyEventThreshold", "octvc1.net.srtp_key_entry.ulrtcprekeyeventthreshold",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtcpReKeyEventThreshold",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[13],
			{ "abyMkiValue", "octvc1.net.srtp_key_entry.abymkivalue",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyMkiValue",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_SRTP_KEY_ENTRY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[10];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_SRTP_STREAM_CONFIG;

void  register_tOCTVC1_NET_SRTP_STREAM_CONFIG(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[0],
			{ "ulCryptoTransform", "octvc1.net.srtp_stream_config.ulcryptotransform",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_CRYPTO_TRANSFORM_ENUM), 0x0,
			"ulCryptoTransform",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[1],
			{ "ulAuthTransform", "octvc1.net.srtp_stream_config.ulauthtransform",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_AUTH_TRANSFORM_ENUM), 0x0,
			"ulAuthTransform",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[2],
			{ "ulAuthTagBitSize", "octvc1.net.srtp_stream_config.ulauthtagbitsize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAuthTagBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[3],
			{ "ulMkiByteSize", "octvc1.net.srtp_stream_config.ulmkibytesize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMkiByteSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[4],
			{ "ulSessionCryptoKeyBitSize", "octvc1.net.srtp_stream_config.ulsessioncryptokeybitsize",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_KEY_BIT_SIZE_ENUM), 0x0,
			"ulSessionCryptoKeyBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[5],
			{ "ulSessionSaltKeyBitSize", "octvc1.net.srtp_stream_config.ulsessionsaltkeybitsize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSessionSaltKeyBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[6],
			{ "ulSessionAuthKeyBitSize", "octvc1.net.srtp_stream_config.ulsessionauthkeybitsize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSessionAuthKeyBitSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[7],
			{ "ulInitialRoc", "octvc1.net.srtp_stream_config.ulinitialroc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulInitialRoc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[8],
			{ "ulSrtpServiceMask", "octvc1.net.srtp_stream_config.ulsrtpservicemask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulSrtpServiceMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[9],
			{ "ulSrtcpServiceMask", "octvc1.net.srtp_stream_config.ulsrtcpservicemask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulSrtcpServiceMask",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_SRTP_STREAM_CONFIG.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_SRTP_KEY_STATS[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_SRTP_KEY_STATS;

void  register_tOCTVC1_NET_SRTP_KEY_STATS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_STATS[0],
			{ "ulKeyState", "octvc1.net.srtp_key_stats.ulkeystate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_KEY_STATE_ENUM), 0x0,
			"ulKeyState",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_STATS[1],
			{ "aulSrtpPacketCnt", "octvc1.net.srtp_key_stats.aulsrtppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulSrtpPacketCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_KEY_STATS[2],
			{ "ulSrtcpPacketCnt", "octvc1.net.srtp_key_stats.ulsrtcppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSrtcpPacketCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_SRTP_KEY_STATS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_SRTP_STREAM_STATS[13];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_SRTP_STREAM_STATS;

void  register_tOCTVC1_NET_SRTP_STREAM_STATS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[0],
			{ "ulSrtpState", "octvc1.net.srtp_stream_stats.ulsrtpstate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_STATE_ENUM), 0x0,
			"ulSrtpState",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[1],
			{ "ulSsrc", "octvc1.net.srtp_stream_stats.ulssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[2],
			{ "ulLastRoc", "octvc1.net.srtp_stream_stats.ullastroc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLastRoc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[3],
			{ "ulLastSeq", "octvc1.net.srtp_stream_stats.ullastseq",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLastSeq",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[4],
			{ "ulLastSrtcpIndex", "octvc1.net.srtp_stream_stats.ullastsrtcpindex",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLastSrtcpIndex",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[5],
			{ "aulTotalSrtpPktCnt", "octvc1.net.srtp_stream_stats.aultotalsrtppktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulTotalSrtpPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[6],
			{ "aulTotalSrtcpPktCnt", "octvc1.net.srtp_stream_stats.aultotalsrtcppktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulTotalSrtcpPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[7],
			{ "ulUnAuthPktCnt", "octvc1.net.srtp_stream_stats.ulunauthpktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulUnAuthPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[8],
			{ "ulReplayPktCnt", "octvc1.net.srtp_stream_stats.ulreplaypktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulReplayPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[9],
			{ "ulReKeyCnt", "octvc1.net.srtp_stream_stats.ulrekeycnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulReKeyCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[10],
			{ "ulActiveKeyIdx", "octvc1.net.srtp_stream_stats.ulactivekeyidx",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulActiveKeyIdx",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[11],
			{ "ulSrtpKeyNum", "octvc1.net.srtp_stream_stats.ulsrtpkeynum",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSrtpKeyNum",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_SRTP_STREAM_STATS[12],
			{ "aSrtpKeyStats", "octvc1.net.srtp_stream_stats.asrtpkeystats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aSrtpKeyStats",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_SRTP_STREAM_STATS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_CONFIG_STATIC[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_CONFIG_STATIC;

void  register_tOCTVC1_NET_CONFIG_STATIC(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_CONFIG_STATIC[0],
			{ "ulMaxRtpMember", "octvc1.net.config_static.ulmaxrtpmember",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxRtpMember",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CONFIG_STATIC[1],
			{ "ulMaxRtpSession", "octvc1.net.config_static.ulmaxrtpsession",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CONFIG_STATIC[2],
			{ "ulMaxLocalIpHost", "octvc1.net.config_static.ulmaxlocaliphost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxLocalIpHost",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_CONFIG_STATIC.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_RTP_MEMBER_CONN_INFO;

void  register_tOCTVC1_NET_RTP_MEMBER_CONN_INFO(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[0],
			{ "ulConnectionState", "octvc1.net.rtp_member_conn_info.ulconnectionstate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTP_MEMBER_CONN_STATE_ENUM), 0x0,
			"ulConnectionState",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[1],
			{ "hConnectedRtpSession", "octvc1.net.rtp_member_conn_info.hconnectedrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hConnectedRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[2],
			{ "ulConnectedMemberId", "octvc1.net.rtp_member_conn_info.ulconnectedmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulConnectedMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_RTP_MEMBER_CONN_INFO.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_RTCP_SENDER_STATS[10];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_RTCP_SENDER_STATS;

void  register_tOCTVC1_NET_RTCP_SENDER_STATS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[0],
			{ "aulSentPktCnt", "octvc1.net.rtcp_sender_stats.aulsentpktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulSentPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[1],
			{ "aulSentByteCnt", "octvc1.net.rtcp_sender_stats.aulsentbytecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulSentByteCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[2],
			{ "aulNtpTimestamp", "octvc1.net.rtcp_sender_stats.aulntptimestamp",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"aulNtpTimestamp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[3],
			{ "ulRtpTimestamp", "octvc1.net.rtcp_sender_stats.ulrtptimestamp",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtpTimestamp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[4],
			{ "ulSenderSsrc", "octvc1.net.rtcp_sender_stats.ulsenderssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[5],
			{ "ulSenderStartTime", "octvc1.net.rtcp_sender_stats.ulsenderstarttime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderStartTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[6],
			{ "ulSenderReportCnt", "octvc1.net.rtcp_sender_stats.ulsenderreportcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSenderReportCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[7],
			{ "ulSenderState", "octvc1.net.rtcp_sender_stats.ulsenderstate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTP_SENDER_STATE_ENUM), 0x0,
			"ulSenderState",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[8],
			{ "ulLastSenderReportTime", "octvc1.net.rtcp_sender_stats.ullastsenderreporttime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLastSenderReportTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_SENDER_STATS[9],
			{ "ulSsrcChangeCnt", "octvc1.net.rtcp_sender_stats.ulssrcchangecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSsrcChangeCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_RTCP_SENDER_STATS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[14];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_RTCP_RECEIVER_STATS;

void  register_tOCTVC1_NET_RTCP_RECEIVER_STATS(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[0],
			{ "ulHighestSeqNumber", "octvc1.net.rtcp_receiver_stats.ulhighestseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighestSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[1],
			{ "ulCumulativeLostCnt", "octvc1.net.rtcp_receiver_stats.ulcumulativelostcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulCumulativeLostCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[2],
			{ "ulFractionLost", "octvc1.net.rtcp_receiver_stats.ulfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[3],
			{ "ulInterArrivalJitter", "octvc1.net.rtcp_receiver_stats.ulinterarrivaljitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulInterArrivalJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[4],
			{ "ulMaxFractionLost", "octvc1.net.rtcp_receiver_stats.ulmaxfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[5],
			{ "ulMaxInterArrivalJitter", "octvc1.net.rtcp_receiver_stats.ulmaxinterarrivaljitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxInterArrivalJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[6],
			{ "ulAverageFractionLost", "octvc1.net.rtcp_receiver_stats.ulaveragefractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAverageFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[7],
			{ "ulAverageInterArrivalJitter", "octvc1.net.rtcp_receiver_stats.ulaverageinterarrivaljitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAverageInterArrivalJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[8],
			{ "ulReceiverStartTime", "octvc1.net.rtcp_receiver_stats.ulreceiverstarttime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReceiverStartTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[9],
			{ "ulReceiverReportCnt", "octvc1.net.rtcp_receiver_stats.ulreceiverreportcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulReceiverReportCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[10],
			{ "ulLastReceiverReportTime", "octvc1.net.rtcp_receiver_stats.ullastreceiverreporttime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLastReceiverReportTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[11],
			{ "ulRemoteSenderSsrc", "octvc1.net.rtcp_receiver_stats.ulremotesenderssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteSenderSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[12],
			{ "ulAlarmRxThreshold", "octvc1.net.rtcp_receiver_stats.ulalarmrxthreshold",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulAlarmRxThreshold",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[13],
			{ "ulAlarmRxThresholdCnt", "octvc1.net.rtcp_receiver_stats.ulalarmrxthresholdcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulAlarmRxThresholdCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_RTCP_RECEIVER_STATS.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_VLAN_TAG[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_VLAN_TAG;

void  register_tOCTVC1_NET_VLAN_TAG(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_VLAN_TAG[0],
			{ "ulPriority", "octvc1.net.vlan_tag.ulpriority",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPriority",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_VLAN_TAG[1],
			{ "ulVlanId", "octvc1.net.vlan_tag.ulvlanid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulVlanId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_VLAN_TAG.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_HEADER_INFO_ETHERNET;

void  register_tOCTVC1_NET_HEADER_INFO_ETHERNET(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[0],
			{ "ulEthertypeEncoding", "octvc1.net.header_info_ethernet.ulethertypeencoding",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_ETHERTYPE_ENCODING_ENUM), 0x0,
			"ulEthertypeEncoding",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[1],
			{ "ulEthertype", "octvc1.net.header_info_ethernet.ulethertype",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEthertype",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[2],
			{ "LocalMacAddress", "octvc1.net.header_info_ethernet.localmacaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"LocalMacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[3],
			{ "RemoteMacAddress", "octvc1.net.header_info_ethernet.remotemacaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteMacAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_HEADER_INFO_ETHERNET.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_HEADER_INFO_VLAN[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_HEADER_INFO_VLAN;

void  register_tOCTVC1_NET_HEADER_INFO_VLAN(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_VLAN[0],
			{ "ulNumVlanTag", "octvc1.net.header_info_vlan.ulnumvlantag",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumVlanTag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_VLAN[1],
			{ "aVlanTag", "octvc1.net.header_info_vlan.avlantag",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aVlanTag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_HEADER_INFO_VLAN.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_HEADER_INFO_IP[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_HEADER_INFO_IP;

void  register_tOCTVC1_NET_HEADER_INFO_IP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[0],
			{ "ulIpVersion", "octvc1.net.header_info_ip.ulipversion",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_IP_VERSION_ENUM), 0x0,
			"ulIpVersion",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[1],
			{ "ulTypeOfService", "octvc1.net.header_info_ip.ultypeofservice",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTypeOfService",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[2],
			{ "ulTimeToLive", "octvc1.net.header_info_ip.ultimetolive",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTimeToLive",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[3],
			{ "ulIpv6FlowLabel", "octvc1.net.header_info_ip.ulipv6flowlabel",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6FlowLabel",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[4],
			{ "LocalIpAddress", "octvc1.net.header_info_ip.localipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"LocalIpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_IP[5],
			{ "RemoteIpAddress", "octvc1.net.header_info_ip.remoteipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteIpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_HEADER_INFO_IP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_HEADER_INFO_UDP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_HEADER_INFO_UDP;

void  register_tOCTVC1_NET_HEADER_INFO_UDP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_UDP[0],
			{ "ulLocalUdpPort", "octvc1.net.header_info_udp.ullocaludpport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalUdpPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_INFO_UDP[1],
			{ "ulRemoteUdpPort", "octvc1.net.header_info_udp.ulremoteudpport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteUdpPort",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_HEADER_INFO_UDP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_HEADER_IPUDP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_HEADER_IPUDP;

void  register_tOCTVC1_NET_HEADER_IPUDP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_HEADER_IPUDP[0],
			{ "Ethernet", "octvc1.net.header_ipudp.ethernet",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Ethernet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_IPUDP[1],
			{ "Vlan", "octvc1.net.header_ipudp.vlan",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Vlan",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_IPUDP[2],
			{ "Ip", "octvc1.net.header_ipudp.ip",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Ip",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_HEADER_IPUDP[3],
			{ "Udp", "octvc1.net.header_ipudp.udp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Udp",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_HEADER_IPUDP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_CACHE_ENTRY_CURSOR;

void  register_tOCTVC1_NET_CACHE_ENTRY_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[0],
			{ "hLink", "octvc1.net.cache_entry_cursor.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[1],
			{ "Vlan", "octvc1.net.cache_entry_cursor.vlan",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Vlan",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[2],
			{ "IpAddress", "octvc1.net.cache_entry_cursor.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[3],
			{ "ulGetMode", "octvc1.net.cache_entry_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_CACHE_ENTRY_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_ETH_LINK_CACHE_ENTRY;

void  register_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[0],
			{ "hLink", "octvc1.net.eth_link_cache_entry.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[1],
			{ "Vlan", "octvc1.net.eth_link_cache_entry.vlan",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Vlan",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[2],
			{ "IpAddress", "octvc1.net.eth_link_cache_entry.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[3],
			{ "MacAddress", "octvc1.net.eth_link_cache_entry.macaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"MacAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[4],
			{ "ulStaticFlag", "octvc1.net.eth_link_cache_entry.ulstaticflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulStaticFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[5],
			{ "ulReachableFlag", "octvc1.net.eth_link_cache_entry.ulreachableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulReachableFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_ETH_LINK_CACHE_ENTRY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_LINK_GATEWAY_INFO;

void  register_tOCTVC1_NET_LINK_GATEWAY_INFO(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[0],
			{ "IpAddress", "octvc1.net.link_gateway_info.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[1],
			{ "ulLifetimeSec", "octvc1.net.link_gateway_info.ullifetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLifetimeSec",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_LINK_GATEWAY_INFO.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_LINK_IPV6_PREFIX;

void  register_tOCTVC1_NET_LINK_IPV6_PREFIX(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[0],
			{ "IpAddress", "octvc1.net.link_ipv6_prefix.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[1],
			{ "ulBitLength", "octvc1.net.link_ipv6_prefix.ulbitlength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulBitLength",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_LINK_IPV6_PREFIX.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_LINK_IPV6_PREFIX_INFO;

void  register_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[0],
			{ "IPv6Prefix", "octvc1.net.link_ipv6_prefix_info.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[1],
			{ "ulOnLinkFlag", "octvc1.net.link_ipv6_prefix_info.ulonlinkflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulOnLinkFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[2],
			{ "ulAddrAutoConfigFlag", "octvc1.net.link_ipv6_prefix_info.uladdrautoconfigflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAddrAutoConfigFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[3],
			{ "ulValidLifetimeSec", "octvc1.net.link_ipv6_prefix_info.ulvalidlifetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulValidLifetimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[4],
			{ "ulPreferredLifetimeSec", "octvc1.net.link_ipv6_prefix_info.ulpreferredlifetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPreferredLifetimeSec",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_LINK_IPV6_PREFIX_INFO.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_IPV6_PREFIX_CURSOR;

void  register_tOCTVC1_NET_IPV6_PREFIX_CURSOR(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[0],
			{ "hLink", "octvc1.net.ipv6_prefix_cursor.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[1],
			{ "IPv6Prefix", "octvc1.net.ipv6_prefix_cursor.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[2],
			{ "ulGetMode", "octvc1.net.ipv6_prefix_cursor.ulgetmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_OBJECT_CURSOR_ENUM), 0x0,
			"ulGetMode",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_IPV6_PREFIX_CURSOR.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[11];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_ETH_LINK_CONFIG_IPV4;

void  register_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[0],
			{ "ulEnableFlag", "octvc1.net.eth_link_config_ipv4.ulenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[1],
			{ "ulAddrAutoconfigMode", "octvc1.net.eth_link_config_ipv4.uladdrautoconfigmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_IPV4_ADDR_AUTOCONFIG_MODE_ENUM), 0x0,
			"ulAddrAutoconfigMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[2],
			{ "ulNDPBaseReachableTimeMs", "octvc1.net.eth_link_config_ipv4.ulndpbasereachabletimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNDPBaseReachableTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[3],
			{ "ulARPRefreshTimeMs", "octvc1.net.eth_link_config_ipv4.ularprefreshtimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulARPRefreshTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[4],
			{ "ulARPReplyTimeMs", "octvc1.net.eth_link_config_ipv4.ularpreplytimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulARPReplyTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[5],
			{ "ulARPUnusedTimeMs", "octvc1.net.eth_link_config_ipv4.ularpunusedtimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulARPUnusedTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[6],
			{ "ulARPReqCreateCnt", "octvc1.net.eth_link_config_ipv4.ularpreqcreatecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulARPReqCreateCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[7],
			{ "ulARPReqRefreshCnt", "octvc1.net.eth_link_config_ipv4.ularpreqrefreshcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulARPReqRefreshCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[8],
			{ "ulARPReqRefreshBroadcastCnt", "octvc1.net.eth_link_config_ipv4.ularpreqrefreshbroadcastcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulARPReqRefreshBroadcastCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[9],
			{ "ulARPReqDupAddrCnt", "octvc1.net.eth_link_config_ipv4.ularpreqdupaddrcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulARPReqDupAddrCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[10],
			{ "ulGARPRequestCnt", "octvc1.net.eth_link_config_ipv4.ulgarprequestcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulGARPRequestCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_ETH_LINK_CONFIG_IPV4.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[11];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_ETH_LINK_CONFIG_IPV6;

void  register_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[0],
			{ "ulEnableFlag", "octvc1.net.eth_link_config_ipv6.ulenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[1],
			{ "ulCreateLoopbackEntryFlag", "octvc1.net.eth_link_config_ipv6.ulcreateloopbackentryflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulCreateLoopbackEntryFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[2],
			{ "ulAddrAutoconfigMode", "octvc1.net.eth_link_config_ipv6.uladdrautoconfigmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_IPV6_ADDR_AUTOCONFIG_MODE_ENUM), 0x0,
			"ulAddrAutoconfigMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[3],
			{ "ulNDPBaseReachableTimeMs", "octvc1.net.eth_link_config_ipv6.ulndpbasereachabletimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNDPBaseReachableTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[4],
			{ "ulNDPRetransTimeMs", "octvc1.net.eth_link_config_ipv6.ulndpretranstimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNDPRetransTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[5],
			{ "ulNDPUnusedTimeMs", "octvc1.net.eth_link_config_ipv6.ulndpunusedtimems",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNDPUnusedTimeMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[6],
			{ "ulNDPSolicitCreateCnt", "octvc1.net.eth_link_config_ipv6.ulndpsolicitcreatecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNDPSolicitCreateCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[7],
			{ "ulNDPSolicitDupAddrCnt", "octvc1.net.eth_link_config_ipv6.ulndpsolicitdupaddrcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNDPSolicitDupAddrCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[8],
			{ "ulNDPSolicitProbeCnt", "octvc1.net.eth_link_config_ipv6.ulndpsolicitprobecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNDPSolicitProbeCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[9],
			{ "ulNDPSolicitProbeMulticastCnt", "octvc1.net.eth_link_config_ipv6.ulndpsolicitprobemulticastcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNDPSolicitProbeMulticastCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[10],
			{ "ulNDPSolicitRouterCnt", "octvc1.net.eth_link_config_ipv6.ulndpsolicitroutercnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNDPSolicitRouterCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_ETH_LINK_CONFIG_IPV6.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ;

void  register_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[0],
			{ "ulEnableFlag", "octvc1.net.eth_link_config_eth_802_1pq.ulenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[1],
			{ "ulDefaultUserPriority", "octvc1.net.eth_link_config_eth_802_1pq.uldefaultuserpriority",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDefaultUserPriority",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[2],
			{ "ulVlanId", "octvc1.net.eth_link_config_eth_802_1pq.ulvlanid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulVlanId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_EUI64_INTERFACE_ID[1];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_EUI64_INTERFACE_ID;

void  register_tOCTVC1_NET_EUI64_INTERFACE_ID(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_EUI64_INTERFACE_ID[0],
			{ "ausInterfaceId", "octvc1.net.eui64_interface_id.ausinterfaceid",
			FT_UINT16,BASE_HEX, NULL, 0x0,
			"ausInterfaceId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_EUI64_INTERFACE_ID.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM;

void  register_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[0],
			{ "ulEnableFlag", "octvc1.net.custom_member_ipudp_stream.ulenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[1],
			{ "ulTxPktEnableFlag", "octvc1.net.custom_member_ipudp_stream.ultxpktenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTxPktEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[2],
			{ "ulRxPktFilter", "octvc1.net.custom_member_ipudp_stream.ulrxpktfilter",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RX_PKT_FILTER_ENUM), 0x0,
			"ulRxPktFilter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[3],
			{ "Header", "octvc1.net.custom_member_ipudp_stream.header",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Header",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY;

void  register_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY[0],
			{ "ulModifyMask", "octvc1.net.custom_member_ipudp_stream_modify.ulmodifymask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulModifyMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY[1],
			{ "Modify", "octvc1.net.custom_member_ipudp_stream_modify.modify",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"Modify",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

/****************************************************************************
	Event Registered 
 ****************************************************************************/

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtcp_pkt.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.rtcp_pkt.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[2],
			{ "ulPktType", "octvc1.net.rtp_session.member.rtcp_pkt.ulpkttype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTCP_PKT_TYPE_ENUM), 0x0,
			"ulPktType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[3],
			{ "ulPktByteLength", "octvc1.net.rtp_session.member.rtcp_pkt.ulpktbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPktByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[4],
			{ "abyRtcpPkt", "octvc1.net.rtp_session.member.rtcp_pkt.abyrtcppkt",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyRtcpPkt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtcp_remote_detected.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.rtcp_remote_detected.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[2],
			{ "ulCnameLength", "octvc1.net.rtp_session.member.rtcp_remote_detected.ulcnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[3],
			{ "achCname", "octvc1.net.rtp_session.member.rtcp_remote_detected.achcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achCname",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtcp_ssrc_change.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.rtcp_ssrc_change.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[2],
			{ "ulLocalFlag", "octvc1.net.rtp_session.member.rtcp_ssrc_change.ullocalflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulLocalFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[3],
			{ "ulPreviousSsrc", "octvc1.net.rtp_session.member.rtcp_ssrc_change.ulpreviousssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPreviousSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[4],
			{ "ulNewSsrc", "octvc1.net.rtp_session.member.rtcp_ssrc_change.ulnewssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNewSsrc",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[8];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[2],
			{ "ulLocalFlag", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.ullocalflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulLocalFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[3],
			{ "ulRoundTripTime", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.ulroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[4],
			{ "ulMaxRoundTripTime", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.ulmaxroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[5],
			{ "ulAverageRoundTripTime", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.ulaverageroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAverageRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[6],
			{ "StatsReceiver", "octvc1.net.rtp_session.member.rtcp_receiver_alarm.statsreceiver",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"StatsReceiver",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtcp_sender_state_change.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.rtcp_sender_state_change.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[2],
			{ "ulLocalFlag", "octvc1.net.rtp_session.member.rtcp_sender_state_change.ullocalflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulLocalFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[3],
			{ "ulPreviousSenderState", "octvc1.net.rtp_session.member.rtcp_sender_state_change.ulprevioussenderstate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTP_SENDER_STATE_ENUM), 0x0,
			"ulPreviousSenderState",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[4],
			{ "ulNewSenderState", "octvc1.net.rtp_session.member.rtcp_sender_state_change.ulnewsenderstate",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_RTP_SENDER_STATE_ENUM), 0x0,
			"ulNewSenderState",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.remote_auto_detect.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.remote_auto_detect.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[2],
			{ "ulRemoteAddress", "octvc1.net.rtp_session.member.remote_auto_detect.ulremoteaddress",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_REMOTE_ADDRESS_ENUM), 0x0,
			"ulRemoteAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[3],
			{ "RemoteUdpAddress", "octvc1.net.rtp_session.member.remote_auto_detect.remoteudpaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[3],
			{ "ActiveSrtpKey", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.activesrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ActiveSrtpKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[4],
			{ "aulSrtpPacketCnt", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.aulsrtppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulSrtpPacketCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[5],
			{ "ulSrtcpPacketCnt", "octvc1.net.rtp_session.member.srtp.master_re_key_threshold_reached.ulsrtcppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSrtcpPacketCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.master_key_expired.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.master_key_expired.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.master_key_expired.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[3],
			{ "ActiveSrtpKey", "octvc1.net.rtp_session.member.srtp.master_key_expired.activesrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ActiveSrtpKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[4],
			{ "aulSrtpPacketCnt", "octvc1.net.rtp_session.member.srtp.master_key_expired.aulsrtppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulSrtpPacketCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[5],
			{ "ulSrtcpPacketCnt", "octvc1.net.rtp_session.member.srtp.master_key_expired.ulsrtcppacketcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulSrtcpPacketCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[3],
			{ "ulKeyChangeReason", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.ulkeychangereason",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_KEY_CHANGE_REASON_ENUM), 0x0,
			"ulKeyChangeReason",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[4],
			{ "ActiveSrtpKey", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.activesrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ActiveSrtpKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[5],
			{ "PreviousSrtpKey", "octvc1.net.rtp_session.member.srtp.master_key_change_detected.previoussrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"PreviousSrtpKey",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.replay_attack_detected.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.replay_attack_detected.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.replay_attack_detected.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.unauth_pkt_detected.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.unauth_pkt_detected.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.unauth_pkt_detected.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.unknown_mki_received.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.unknown_mki_received.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.unknown_mki_received.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[3],
			{ "ulUnknownMkiByteSize", "octvc1.net.rtp_session.member.srtp.unknown_mki_received.ulunknownmkibytesize",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUnknownMkiByteSize",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[4],
			{ "abyUnknownMkiValue", "octvc1.net.rtp_session.member.srtp.unknown_mki_received.abyunknownmkivalue",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyUnknownMkiValue",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp.ssrc_violation_detected.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[1],
			{ "ulMemberId", "octvc1.net.rtp_session.member.srtp.ssrc_violation_detected.ulmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[2],
			{ "ulSrtpStreamType", "octvc1.net.rtp_session.member.srtp.ssrc_violation_detected.ulsrtpstreamtype",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_SRTP_STREAM_TYPE_ENUM), 0x0,
			"ulSrtpStreamType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[3],
			{ "ulSsrc", "octvc1.net.rtp_session.member.srtp.ssrc_violation_detected.ulssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSsrc",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[0],
			{ "hLocalHost", "octvc1.net.local_host.icmp.alarm.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[1],
			{ "RemoteIpAddr", "octvc1.net.local_host.icmp.alarm.remoteipaddr",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteIpAddr",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[2],
			{ "ulAlarmType", "octvc1.net.local_host.icmp.alarm.ulalarmtype",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAlarmType",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[3],
			{ "ulAlarmCode", "octvc1.net.local_host.icmp.alarm.ulalarmcode",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAlarmCode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[4],
			{ "ulPktHeaderByteLength", "octvc1.net.local_host.icmp.alarm.ulpktheaderbytelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPktHeaderByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[5],
			{ "abyPktHeader", "octvc1.net.local_host.icmp.alarm.abypktheader",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyPktHeader",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[6];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[0],
			{ "hLocalHost", "octvc1.net.local_host.icmp.redirect.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[1],
			{ "ulRedirectCode", "octvc1.net.local_host.icmp.redirect.ulredirectcode",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRedirectCode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[2],
			{ "NewGatewayIpAddress", "octvc1.net.local_host.icmp.redirect.newgatewayipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"NewGatewayIpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[3],
			{ "PrevGatewayIpAddress", "octvc1.net.local_host.icmp.redirect.prevgatewayipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"PrevGatewayIpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[4],
			{ "DestinationIpAddress", "octvc1.net.local_host.icmp.redirect.destinationipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"DestinationIpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[8];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[0],
			{ "hLink", "octvc1.net.local_host.addr.status_change.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[1],
			{ "hLocalHost", "octvc1.net.local_host.addr.status_change.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[2],
			{ "IpAddress", "octvc1.net.local_host.addr.status_change.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[3],
			{ "ulAddrAutoConfigFlag", "octvc1.net.local_host.addr.status_change.uladdrautoconfigflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAddrAutoConfigFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[4],
			{ "ulPreviousAddrStatus", "octvc1.net.local_host.addr.status_change.ulpreviousaddrstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM), 0x0,
			"ulPreviousAddrStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[5],
			{ "ulNewAddrStatus", "octvc1.net.local_host.addr.status_change.ulnewaddrstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM), 0x0,
			"ulNewAddrStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[6],
			{ "ulStatusChangeCause", "octvc1.net.local_host.addr.status_change.ulstatuschangecause",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_CHANGE_CAUSE_ENUM), 0x0,
			"ulStatusChangeCause",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[0],
			{ "hLocalHost", "octvc1.net.local_host.addr.duplicate_found.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[1],
			{ "IpAddress", "octvc1.net.local_host.addr.duplicate_found.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[2],
			{ "ulDuplicateSource", "octvc1.net.local_host.addr.duplicate_found.ulduplicatesource",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_DUPLICATE_SOURCE_ENUM), 0x0,
			"ulDuplicateSource",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT;

void  register_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[0],
			{ "hEthLink", "octvc1.net.link.gateway.status_change.hethlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEthLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[1],
			{ "IpAddress", "octvc1.net.link.gateway.status_change.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[2],
			{ "ulPreviousStatus", "octvc1.net.link.gateway.status_change.ulpreviousstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM), 0x0,
			"ulPreviousStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[3],
			{ "ulNewStatus", "octvc1.net.link.gateway.status_change.ulnewstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LINK_GATEWAY_STATUS_ENUM), 0x0,
			"ulNewStatus",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

/****************************************************************************
	CMD/RSP Registered 
 ****************************************************************************/

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[22];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[0],
			{ "hLocalHost", "octvc1.net.rtp_session.open.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[1],
			{ "ulRtpEventMask", "octvc1.net.rtp_session.open.ulrtpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRtpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[2],
			{ "ulRtcpEventMask", "octvc1.net.rtp_session.open.ulrtcpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRtcpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[3],
			{ "ulSrtpEventMask", "octvc1.net.rtp_session.open.ulsrtpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulSrtpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[4],
			{ "ulUserEventId", "octvc1.net.rtp_session.open.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[5],
			{ "ulInitialOperationMode", "octvc1.net.rtp_session.open.ulinitialoperationmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_OPERATION_MODE_ENUM), 0x0,
			"ulInitialOperationMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[6],
			{ "ulSenderMaxPendingTimeSec", "octvc1.net.rtp_session.open.ulsendermaxpendingtimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderMaxPendingTimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[7],
			{ "ulSenderMaxInactiveTimeSec", "octvc1.net.rtp_session.open.ulsendermaxinactivetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderMaxInactiveTimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[8],
			{ "ulRtcpEnableFlag", "octvc1.net.rtp_session.open.ulrtcpenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRtcpEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[9],
			{ "ulRtcpVideoFeedbackEnableFlagMask", "octvc1.net.rtp_session.open.ulrtcpvideofeedbackenableflagmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRtcpVideoFeedbackEnableFlagMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[10],
			{ "ulRtpSessionBandwidth", "octvc1.net.rtp_session.open.ulrtpsessionbandwidth",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtpSessionBandwidth",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[11],
			{ "ulHighFractionLost", "octvc1.net.rtp_session.open.ulhighfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[12],
			{ "ulHighCumulativePacketLost", "octvc1.net.rtp_session.open.ulhighcumulativepacketlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighCumulativePacketLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[13],
			{ "ulHighJitter", "octvc1.net.rtp_session.open.ulhighjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[14],
			{ "ulHighRoundTripTime", "octvc1.net.rtp_session.open.ulhighroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[15],
			{ "ulLowFractionLost", "octvc1.net.rtp_session.open.ullowfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[16],
			{ "ulLowJitter", "octvc1.net.rtp_session.open.ullowjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[17],
			{ "ulLowRoundTripTime", "octvc1.net.rtp_session.open.ullowroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[18],
			{ "hEventDestObj", "octvc1.net.rtp_session.open.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[19],
			{ "ulEventDestObjPort", "octvc1.net.rtp_session.open.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[20],
			{ "ulEventDestObjFifoId", "octvc1.net.rtp_session.open.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.open.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP[1],
			{ "ulFifoId", "octvc1.net.rtp_session.open.ulfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.close.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.close.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[9];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[1],
			{ "ulHighFractionLost", "octvc1.net.rtp_session.modify.ulhighfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[2],
			{ "ulHighCumulativePacketLost", "octvc1.net.rtp_session.modify.ulhighcumulativepacketlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighCumulativePacketLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[3],
			{ "ulHighJitter", "octvc1.net.rtp_session.modify.ulhighjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[4],
			{ "ulHighRoundTripTime", "octvc1.net.rtp_session.modify.ulhighroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[5],
			{ "ulLowFractionLost", "octvc1.net.rtp_session.modify.ullowfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[6],
			{ "ulLowJitter", "octvc1.net.rtp_session.modify.ullowjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[7],
			{ "ulLowRoundTripTime", "octvc1.net.rtp_session.modify.ullowroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowRoundTripTime",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD[0],
			{ "ObjectGet", "octvc1.net.rtp_session.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[23];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[0],
			{ "ObjectGet", "octvc1.net.rtp_session.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[1],
			{ "hLocalHost", "octvc1.net.rtp_session.info.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[2],
			{ "ulFifoId", "octvc1.net.rtp_session.info.ulfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulFifoId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[3],
			{ "ulRtpEventMask", "octvc1.net.rtp_session.info.ulrtpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRtpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[4],
			{ "ulRtcpEventMask", "octvc1.net.rtp_session.info.ulrtcpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRtcpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[5],
			{ "ulSrtpEventMask", "octvc1.net.rtp_session.info.ulsrtpeventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulSrtpEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[6],
			{ "ulUserEventId", "octvc1.net.rtp_session.info.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[7],
			{ "ulInitialOperationMode", "octvc1.net.rtp_session.info.ulinitialoperationmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_OPERATION_MODE_ENUM), 0x0,
			"ulInitialOperationMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[8],
			{ "ulSenderMaxPendingTimeSec", "octvc1.net.rtp_session.info.ulsendermaxpendingtimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderMaxPendingTimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[9],
			{ "ulSenderMaxInactiveTimeSec", "octvc1.net.rtp_session.info.ulsendermaxinactivetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderMaxInactiveTimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[10],
			{ "ulRtcpEnableFlag", "octvc1.net.rtp_session.info.ulrtcpenableflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRtcpEnableFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[11],
			{ "ulRtpSessionBandwidth", "octvc1.net.rtp_session.info.ulrtpsessionbandwidth",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRtpSessionBandwidth",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[12],
			{ "ulHighFractionLost", "octvc1.net.rtp_session.info.ulhighfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[13],
			{ "ulHighCumulativePacketLost", "octvc1.net.rtp_session.info.ulhighcumulativepacketlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighCumulativePacketLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[14],
			{ "ulHighJitter", "octvc1.net.rtp_session.info.ulhighjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[15],
			{ "ulHighRoundTripTime", "octvc1.net.rtp_session.info.ulhighroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulHighRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[16],
			{ "ulLowFractionLost", "octvc1.net.rtp_session.info.ullowfractionlost",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowFractionLost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[17],
			{ "ulLowJitter", "octvc1.net.rtp_session.info.ullowjitter",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowJitter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[18],
			{ "ulLowRoundTripTime", "octvc1.net.rtp_session.info.ullowroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLowRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[19],
			{ "hEventDestObj", "octvc1.net.rtp_session.info.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[20],
			{ "ulEventDestObjPort", "octvc1.net.rtp_session.info.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[21],
			{ "ulEventDestObjFifoId", "octvc1.net.rtp_session.info.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD[0],
			{ "ObjectGet", "octvc1.net.rtp_session.stats.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[11];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[0],
			{ "ObjectGet", "octvc1.net.rtp_session.stats.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[1],
			{ "ulNumMember", "octvc1.net.rtp_session.stats.ulnummember",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumMember",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[2],
			{ "ulNumSender", "octvc1.net.rtp_session.stats.ulnumsender",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumSender",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[3],
			{ "ulSessionStartTime", "octvc1.net.rtp_session.stats.ulsessionstarttime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSessionStartTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[4],
			{ "ulRxByePktCnt", "octvc1.net.rtp_session.stats.ulrxbyepktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxByePktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[5],
			{ "ulRxSenderJoinCnt", "octvc1.net.rtp_session.stats.ulrxsenderjoincnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxSenderJoinCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[6],
			{ "ulRxMemberJoinCnt", "octvc1.net.rtp_session.stats.ulrxmemberjoincnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRxMemberJoinCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[7],
			{ "ulErrCollisionCnt", "octvc1.net.rtp_session.stats.ulerrcollisioncnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulErrCollisionCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[8],
			{ "ulErrLoopCnt", "octvc1.net.rtp_session.stats.ulerrloopcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulErrLoopCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[9],
			{ "ulErrRtcpPktInvalidCnt", "octvc1.net.rtp_session.stats.ulerrrtcppktinvalidcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulErrRtcpPktInvalidCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.rtcp.pause.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD[1],
			{ "ulTxRtcpPauseFlag", "octvc1.net.rtp_session.rtcp.pause.ultxrtcppauseflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTxRtcpPauseFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.rtcp.pause.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[32];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.activate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[1],
			{ "hTerm", "octvc1.net.rtp_session.member.activate.hterm",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hTerm",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[2],
			{ "ulRxPktFilter", "octvc1.net.rtp_session.member.activate.ulrxpktfilter",
			FT_UINT32,BASE_DEC, VALS(vals_tOCTVC1_NET_RX_PKT_FILTER_ENUM), 0x0,
			"ulRxPktFilter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[3],
			{ "ulLocalUdpPortRtp", "octvc1.net.rtp_session.member.activate.ullocaludpportrtp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[4],
			{ "ulLocalUdpPortRtcp", "octvc1.net.rtp_session.member.activate.ullocaludpportrtcp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[5],
			{ "ulLocalUdpPortT38", "octvc1.net.rtp_session.member.activate.ullocaludpportt38",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[6],
			{ "ulLocalCnameLength", "octvc1.net.rtp_session.member.activate.ullocalcnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[7],
			{ "achLocalCname", "octvc1.net.rtp_session.member.activate.achlocalcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLocalCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[8],
			{ "ulLocalForcedRtpParmMask", "octvc1.net.rtp_session.member.activate.ullocalforcedrtpparmmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulLocalForcedRtpParmMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[9],
			{ "ulLocalForcedSsrc", "octvc1.net.rtp_session.member.activate.ullocalforcedssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalForcedSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[10],
			{ "ulLocalForcedInitialSeqNumber", "octvc1.net.rtp_session.member.activate.ullocalforcedinitialseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalForcedInitialSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[11],
			{ "ulRemoteAutoDetectFlag", "octvc1.net.rtp_session.member.activate.ulremoteautodetectflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRemoteAutoDetectFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[12],
			{ "RemoteUdpAddressRtp", "octvc1.net.rtp_session.member.activate.remoteudpaddressrtp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[13],
			{ "RemoteUdpAddressRtcp", "octvc1.net.rtp_session.member.activate.remoteudpaddressrtcp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[14],
			{ "RemoteUdpAddressT38", "octvc1.net.rtp_session.member.activate.remoteudpaddresst38",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[15],
			{ "ulRemoteCnameLength", "octvc1.net.rtp_session.member.activate.ulremotecnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[16],
			{ "achRemoteCname", "octvc1.net.rtp_session.member.activate.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[17],
			{ "ulRemoteForcedRtpParmMask", "octvc1.net.rtp_session.member.activate.ulremoteforcedrtpparmmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRemoteForcedRtpParmMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[18],
			{ "ulRemoteForcedSsrc", "octvc1.net.rtp_session.member.activate.ulremoteforcedssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteForcedSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[19],
			{ "ulRemoteForcedInitialSeqNumber", "octvc1.net.rtp_session.member.activate.ulremoteforcedinitialseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteForcedInitialSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[20],
			{ "ulIpv4TimeToLive", "octvc1.net.rtp_session.member.activate.ulipv4timetolive",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv4TimeToLive",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[21],
			{ "ulIpv4TypeOfService", "octvc1.net.rtp_session.member.activate.ulipv4typeofservice",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv4TypeOfService",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[22],
			{ "ulIpv6HopLimit", "octvc1.net.rtp_session.member.activate.ulipv6hoplimit",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6HopLimit",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[23],
			{ "ulIpv6FlowLabel", "octvc1.net.rtp_session.member.activate.ulipv6flowlabel",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6FlowLabel",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[24],
			{ "ulIpv6TrafficClass", "octvc1.net.rtp_session.member.activate.ulipv6trafficclass",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6TrafficClass",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[25],
			{ "ulNumProfEntry", "octvc1.net.rtp_session.member.activate.ulnumprofentry",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[26],
			{ "aRtpProfEntry", "octvc1.net.rtp_session.member.activate.artpprofentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[27],
			{ "SenderSrtp", "octvc1.net.rtp_session.member.activate.sendersrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[28],
			{ "SenderSrtpKey", "octvc1.net.rtp_session.member.activate.sendersrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtpKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[29],
			{ "ReceiverSrtp", "octvc1.net.rtp_session.member.activate.receiversrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[30],
			{ "ReceiverSrtpKey", "octvc1.net.rtp_session.member.activate.receiversrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtpKey",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.activate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.activate.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[2],
			{ "ulLocalSsrc", "octvc1.net.rtp_session.member.activate.ullocalssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[3],
			{ "ulLocalInitialSeqNumber", "octvc1.net.rtp_session.member.activate.ullocalinitialseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalInitialSeqNumber",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.deactivate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.deactivate.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.deactivate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.deactivate.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.pause.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.pause.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[2],
			{ "ulTxRtpPauseFlag", "octvc1.net.rtp_session.member.pause.ultxrtppauseflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTxRtpPauseFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.pause.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.pause.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[20];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[2],
			{ "ulModifyMask", "octvc1.net.rtp_session.member.modify.ulmodifymask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulModifyMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[3],
			{ "ulRemoteAutoDetectFlag", "octvc1.net.rtp_session.member.modify.ulremoteautodetectflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRemoteAutoDetectFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[4],
			{ "ulLocalUdpPortRtp", "octvc1.net.rtp_session.member.modify.ullocaludpportrtp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[5],
			{ "ulLocalUdpPortRtcp", "octvc1.net.rtp_session.member.modify.ullocaludpportrtcp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[6],
			{ "ulLocalUdpPortT38", "octvc1.net.rtp_session.member.modify.ullocaludpportt38",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[7],
			{ "RemoteUdpAddressRtp", "octvc1.net.rtp_session.member.modify.remoteudpaddressrtp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[8],
			{ "RemoteUdpAddressRtcp", "octvc1.net.rtp_session.member.modify.remoteudpaddressrtcp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[9],
			{ "RemoteUdpAddressT38", "octvc1.net.rtp_session.member.modify.remoteudpaddresst38",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[10],
			{ "ulRemoteCnameLength", "octvc1.net.rtp_session.member.modify.ulremotecnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[11],
			{ "achRemoteCname", "octvc1.net.rtp_session.member.modify.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[12],
			{ "ulRemoteForcedRtpParmMask", "octvc1.net.rtp_session.member.modify.ulremoteforcedrtpparmmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulRemoteForcedRtpParmMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[13],
			{ "ulRemoteForcedSsrc", "octvc1.net.rtp_session.member.modify.ulremoteforcedssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteForcedSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[14],
			{ "ulRemoteForcedInitialSeqNumber", "octvc1.net.rtp_session.member.modify.ulremoteforcedinitialseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteForcedInitialSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[15],
			{ "SenderSrtp", "octvc1.net.rtp_session.member.modify.sendersrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[16],
			{ "SenderSrtpKey", "octvc1.net.rtp_session.member.modify.sendersrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtpKey",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[17],
			{ "ReceiverSrtp", "octvc1.net.rtp_session.member.modify.receiversrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[18],
			{ "ReceiverSrtpKey", "octvc1.net.rtp_session.member.modify.receiversrtpkey",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtpKey",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[0],
			{ "ulForceFlag", "octvc1.net.rtp_session.member.connect.ulforceflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulForceFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[1],
			{ "ulRecoverNtpFromRtpTsFlag", "octvc1.net.rtp_session.member.connect.ulrecoverntpfromrtptsflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRecoverNtpFromRtpTsFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[2],
			{ "hRtpSession", "octvc1.net.rtp_session.member.connect.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[3],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.connect.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[4],
			{ "hRtpSessionAssociated", "octvc1.net.rtp_session.member.connect.hrtpsessionassociated",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSessionAssociated",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[5],
			{ "ulLocalMemberIdAssociated", "octvc1.net.rtp_session.member.connect.ullocalmemberidassociated",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberIdAssociated",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.connect.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.connect.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[2],
			{ "RtpMemberPrevConnInfo", "octvc1.net.rtp_session.member.connect.rtpmemberprevconninfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"RtpMemberPrevConnInfo",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[3],
			{ "hRtpSessionAssociated", "octvc1.net.rtp_session.member.connect.hrtpsessionassociated",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSessionAssociated",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[4],
			{ "ulLocalMemberIdAssociated", "octvc1.net.rtp_session.member.connect.ullocalmemberidassociated",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberIdAssociated",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[5],
			{ "RtpMemberPrevConnInfoAssociated", "octvc1.net.rtp_session.member.connect.rtpmemberprevconninfoassociated",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"RtpMemberPrevConnInfoAssociated",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.disconnect.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.disconnect.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.disconnect.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.disconnect.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP[2],
			{ "RtpMemberPrevConnInfo", "octvc1.net.rtp_session.member.disconnect.rtpmemberprevconninfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"RtpMemberPrevConnInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[30];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[1],
			{ "ulOperationMode", "octvc1.net.rtp_session.member.info.uloperationmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_OPERATION_MODE_ENUM), 0x0,
			"ulOperationMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[2],
			{ "ulTxRtpPauseFlag", "octvc1.net.rtp_session.member.info.ultxrtppauseflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTxRtpPauseFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[3],
			{ "ulTxRtcpPauseFlag", "octvc1.net.rtp_session.member.info.ultxrtcppauseflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulTxRtcpPauseFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[4],
			{ "hTerm", "octvc1.net.rtp_session.member.info.hterm",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hTerm",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[5],
			{ "hDestObj", "octvc1.net.rtp_session.member.info.hdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[6],
			{ "ulDestObjPort", "octvc1.net.rtp_session.member.info.uldestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[7],
			{ "ulRxPktFilter", "octvc1.net.rtp_session.member.info.ulrxpktfilter",
			FT_UINT32,BASE_DEC, VALS(vals_tOCTVC1_NET_RX_PKT_FILTER_ENUM), 0x0,
			"ulRxPktFilter",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[8],
			{ "ulDestObjFifoId", "octvc1.net.rtp_session.member.info.uldestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulDestObjFifoId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[9],
			{ "ulLocalUdpPortRtp", "octvc1.net.rtp_session.member.info.ullocaludpportrtp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[10],
			{ "ulLocalUdpPortRtcp", "octvc1.net.rtp_session.member.info.ullocaludpportrtcp",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[11],
			{ "ulLocalUdpPortT38", "octvc1.net.rtp_session.member.info.ullocaludpportt38",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalUdpPortT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[12],
			{ "ulLocalCnameLength", "octvc1.net.rtp_session.member.info.ullocalcnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[13],
			{ "achLocalCname", "octvc1.net.rtp_session.member.info.achlocalcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLocalCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[14],
			{ "ulRemoteAutoDetectFlag", "octvc1.net.rtp_session.member.info.ulremoteautodetectflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulRemoteAutoDetectFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[15],
			{ "ulValidRemoteFlag", "octvc1.net.rtp_session.member.info.ulvalidremoteflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulValidRemoteFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[16],
			{ "RemoteUdpAddressRtp", "octvc1.net.rtp_session.member.info.remoteudpaddressrtp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[17],
			{ "RemoteUdpAddressRtcp", "octvc1.net.rtp_session.member.info.remoteudpaddressrtcp",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressRtcp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[18],
			{ "RemoteUdpAddressT38", "octvc1.net.rtp_session.member.info.remoteudpaddresst38",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteUdpAddressT38",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[19],
			{ "ulRemoteCnameLength", "octvc1.net.rtp_session.member.info.ulremotecnamelength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteCnameLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[20],
			{ "achRemoteCname", "octvc1.net.rtp_session.member.info.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[21],
			{ "ulIpv4TimeToLive", "octvc1.net.rtp_session.member.info.ulipv4timetolive",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv4TimeToLive",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[22],
			{ "ulIpv4TypeOfService", "octvc1.net.rtp_session.member.info.ulipv4typeofservice",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv4TypeOfService",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[23],
			{ "ulIpv6HopLimit", "octvc1.net.rtp_session.member.info.ulipv6hoplimit",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6HopLimit",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[24],
			{ "ulIpv6FlowLabel", "octvc1.net.rtp_session.member.info.ulipv6flowlabel",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6FlowLabel",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[25],
			{ "ulIpv6TrafficClass", "octvc1.net.rtp_session.member.info.ulipv6trafficclass",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulIpv6TrafficClass",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[26],
			{ "ulNumProfEntry", "octvc1.net.rtp_session.member.info.ulnumprofentry",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[27],
			{ "aRtpProfEntry", "octvc1.net.rtp_session.member.info.artpprofentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[28],
			{ "RtpMemberConnInfo", "octvc1.net.rtp_session.member.info.rtpmemberconninfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"RtpMemberConnInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.local.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.local.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[1],
			{ "ulRemoteMemberId", "octvc1.net.rtp_session.member.local.stats.ulremotememberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRemoteMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[2],
			{ "aulReceivedPktCnt", "octvc1.net.rtp_session.member.local.stats.aulreceivedpktcnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulReceivedPktCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[3],
			{ "aulReceivedByteCnt", "octvc1.net.rtp_session.member.local.stats.aulreceivedbytecnt",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"aulReceivedByteCnt",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[4],
			{ "SenderStats", "octvc1.net.rtp_session.member.local.stats.senderstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderStats",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[5],
			{ "ReceiverStats", "octvc1.net.rtp_session.member.local.stats.receiverstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverStats",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.remote.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.remote.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[1],
			{ "ulRoundTripTime", "octvc1.net.rtp_session.member.remote.stats.ulroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[2],
			{ "ulMaxRoundTripTime", "octvc1.net.rtp_session.member.remote.stats.ulmaxroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulMaxRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[3],
			{ "ulAverageRoundTripTime", "octvc1.net.rtp_session.member.remote.stats.ulaverageroundtriptime",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulAverageRoundTripTime",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[4],
			{ "SenderStats", "octvc1.net.rtp_session.member.remote.stats.senderstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderStats",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[5],
			{ "ReceiverStats", "octvc1.net.rtp_session.member.remote.stats.receiverstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverStats",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.srtp.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[10];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.srtp.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[1],
			{ "SenderSrtp", "octvc1.net.rtp_session.member.srtp.info.sendersrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[2],
			{ "ulSenderSrtpKeyActiveIdx", "octvc1.net.rtp_session.member.srtp.info.ulsendersrtpkeyactiveidx",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderSrtpKeyActiveIdx",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[3],
			{ "ulSenderSrtpKeyNum", "octvc1.net.rtp_session.member.srtp.info.ulsendersrtpkeynum",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderSrtpKeyNum",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[4],
			{ "aSenderSrtpKeyList", "octvc1.net.rtp_session.member.srtp.info.asendersrtpkeylist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aSenderSrtpKeyList",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[5],
			{ "ReceiverSrtp", "octvc1.net.rtp_session.member.srtp.info.receiversrtp",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtp",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[6],
			{ "ulReceiverSrtpKeyActiveIdx", "octvc1.net.rtp_session.member.srtp.info.ulreceiversrtpkeyactiveidx",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReceiverSrtpKeyActiveIdx",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[7],
			{ "ulReceiverSrtpKeyNum", "octvc1.net.rtp_session.member.srtp.info.ulreceiversrtpkeynum",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReceiverSrtpKeyNum",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[8],
			{ "aReceiverSrtpKeyList", "octvc1.net.rtp_session.member.srtp.info.areceiversrtpkeylist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aReceiverSrtpKeyList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.srtp.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.member.srtp.stats.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP[1],
			{ "SenderSrtpStats", "octvc1.net.rtp_session.member.srtp.stats.sendersrtpstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SenderSrtpStats",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP[2],
			{ "ReceiverSrtpStats", "octvc1.net.rtp_session.member.srtp.stats.receiversrtpstats",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ReceiverSrtpStats",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[9];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp_key_list.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.srtp_key_list.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[2],
			{ "ulSenderSrtpKeyActiveIdx", "octvc1.net.rtp_session.member.srtp_key_list.modify.ulsendersrtpkeyactiveidx",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderSrtpKeyActiveIdx",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[3],
			{ "ulSenderSrtpKeyNum", "octvc1.net.rtp_session.member.srtp_key_list.modify.ulsendersrtpkeynum",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulSenderSrtpKeyNum",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[4],
			{ "aSenderSrtpKeyList", "octvc1.net.rtp_session.member.srtp_key_list.modify.asendersrtpkeylist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aSenderSrtpKeyList",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[5],
			{ "ulReceiverSrtpKeyActiveIdx", "octvc1.net.rtp_session.member.srtp_key_list.modify.ulreceiversrtpkeyactiveidx",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReceiverSrtpKeyActiveIdx",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[6],
			{ "ulReceiverSrtpKeyNum", "octvc1.net.rtp_session.member.srtp_key_list.modify.ulreceiversrtpkeynum",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulReceiverSrtpKeyNum",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[7],
			{ "aReceiverSrtpKeyList", "octvc1.net.rtp_session.member.srtp_key_list.modify.areceiversrtpkeylist",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aReceiverSrtpKeyList",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.srtp_key_list.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.srtp_key_list.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[5];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[2],
			{ "ulNumEntry", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.ulnumentry",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[3],
			{ "aEntry", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.aentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aEntry",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.member.rtp_profile_entry.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[13];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.custom_member_ipudp.activate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[1],
			{ "hTerm", "octvc1.net.rtp_session.custom_member_ipudp.activate.hterm",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hTerm",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[2],
			{ "aStream", "octvc1.net.rtp_session.custom_member_ipudp.activate.astream",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aStream",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[3],
			{ "ulLocalForcedRtpParmMask", "octvc1.net.rtp_session.custom_member_ipudp.activate.ullocalforcedrtpparmmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulLocalForcedRtpParmMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[4],
			{ "ulLocalForcedSsrc", "octvc1.net.rtp_session.custom_member_ipudp.activate.ullocalforcedssrc",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalForcedSsrc",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[5],
			{ "ulLocalForcedInitialSeqNumber", "octvc1.net.rtp_session.custom_member_ipudp.activate.ullocalforcedinitialseqnumber",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalForcedInitialSeqNumber",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[6],
			{ "ulNumRtpProfEntry", "octvc1.net.rtp_session.custom_member_ipudp.activate.ulnumrtpprofentry",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[7],
			{ "aRtpProfEntry", "octvc1.net.rtp_session.custom_member_ipudp.activate.artpprofentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[8],
			{ "ulLocalCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.activate.ullocalcnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[9],
			{ "achLocalCname", "octvc1.net.rtp_session.custom_member_ipudp.activate.achlocalcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLocalCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[10],
			{ "ulRemoteCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.activate.ulremotecnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRemoteCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[11],
			{ "achRemoteCname", "octvc1.net.rtp_session.custom_member_ipudp.activate.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.custom_member_ipudp.activate.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.custom_member_ipudp.activate.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[9];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[0],
			{ "hRtpSession", "octvc1.net.rtp_session.custom_member_ipudp.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.custom_member_ipudp.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[2],
			{ "ulModifyMask", "octvc1.net.rtp_session.custom_member_ipudp.modify.ulmodifymask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulModifyMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[3],
			{ "aStream", "octvc1.net.rtp_session.custom_member_ipudp.modify.astream",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aStream",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[4],
			{ "ulLocalCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.modify.ullocalcnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[5],
			{ "achLocalCname", "octvc1.net.rtp_session.custom_member_ipudp.modify.achlocalcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLocalCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[6],
			{ "ulRemoteCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.modify.ulremotecnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRemoteCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[7],
			{ "achRemoteCname", "octvc1.net.rtp_session.custom_member_ipudp.modify.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP[0],
			{ "hRtpSession", "octvc1.net.rtp_session.custom_member_ipudp.modify.hrtpsession",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hRtpSession",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP[1],
			{ "ulLocalMemberId", "octvc1.net.rtp_session.custom_member_ipudp.modify.ullocalmemberid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulLocalMemberId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.custom_member_ipudp.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[11];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP;

void  register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[0],
			{ "SubObjectIdGet", "octvc1.net.rtp_session.custom_member_ipudp.info.subobjectidget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"SubObjectIdGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[1],
			{ "ulOperationMode", "octvc1.net.rtp_session.custom_member_ipudp.info.uloperationmode",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_OPERATION_MODE_ENUM), 0x0,
			"ulOperationMode",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[2],
			{ "hTerm", "octvc1.net.rtp_session.custom_member_ipudp.info.hterm",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hTerm",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[3],
			{ "aStream", "octvc1.net.rtp_session.custom_member_ipudp.info.astream",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aStream",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[4],
			{ "ulNumRtpProfEntry", "octvc1.net.rtp_session.custom_member_ipudp.info.ulnumrtpprofentry",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulNumRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[5],
			{ "aRtpProfEntry", "octvc1.net.rtp_session.custom_member_ipudp.info.artpprofentry",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"aRtpProfEntry",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[6],
			{ "ulLocalCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.info.ullocalcnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulLocalCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[7],
			{ "achLocalCname", "octvc1.net.rtp_session.custom_member_ipudp.info.achlocalcname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achLocalCname",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[8],
			{ "ulRemoteCnameByteLength", "octvc1.net.rtp_session.custom_member_ipudp.info.ulremotecnamebytelength",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulRemoteCnameByteLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[9],
			{ "achRemoteCname", "octvc1.net.rtp_session.custom_member_ipudp.info.achremotecname",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"achRemoteCname",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[12];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[0],
			{ "IpAddress", "octvc1.net.local_host.open.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[1],
			{ "NetworkMask", "octvc1.net.local_host.open.networkmask",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"NetworkMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[2],
			{ "ulAddrAutoConfigFlag", "octvc1.net.local_host.open.uladdrautoconfigflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAddrAutoConfigFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[3],
			{ "ulMuteOnAddrExpireFlag", "octvc1.net.local_host.open.ulmuteonaddrexpireflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulMuteOnAddrExpireFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[4],
			{ "hLink", "octvc1.net.local_host.open.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[5],
			{ "ulUserEventId", "octvc1.net.local_host.open.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[6],
			{ "ulEventMask", "octvc1.net.local_host.open.uleventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[7],
			{ "ulEventThrottle", "octvc1.net.local_host.open.uleventthrottle",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventThrottle",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[8],
			{ "hEventDestObj", "octvc1.net.local_host.open.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[9],
			{ "ulEventDestObjPort", "octvc1.net.local_host.open.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[10],
			{ "ulEventDestObjFifoId", "octvc1.net.local_host.open.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP[0],
			{ "hLocalHost", "octvc1.net.local_host.open.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP[1],
			{ "ulAddrStatus", "octvc1.net.local_host.open.uladdrstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM), 0x0,
			"ulAddrStatus",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD[0],
			{ "hLocalHost", "octvc1.net.local_host.close.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP[0],
			{ "hLocalHost", "octvc1.net.local_host.close.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD[0],
			{ "ObjectGet", "octvc1.net.local_host.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[13];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[0],
			{ "ObjectGet", "octvc1.net.local_host.info.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[1],
			{ "ulAddrAutoConfigFlag", "octvc1.net.local_host.info.uladdrautoconfigflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAddrAutoConfigFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[2],
			{ "IpAddress", "octvc1.net.local_host.info.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[3],
			{ "NetworkMask", "octvc1.net.local_host.info.networkmask",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"NetworkMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[4],
			{ "hLink", "octvc1.net.local_host.info.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[5],
			{ "ulAddrStatus", "octvc1.net.local_host.info.uladdrstatus",
			FT_UINT32,BASE_HEX, VALS(vals_tOCTVC1_NET_LOCAL_HOST_ADDR_STATUS_ENUM), 0x0,
			"ulAddrStatus",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[6],
			{ "ulUserEventId", "octvc1.net.local_host.info.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[7],
			{ "ulEventThrottle", "octvc1.net.local_host.info.uleventthrottle",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventThrottle",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[8],
			{ "ulEventMask", "octvc1.net.local_host.info.uleventmask",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ulEventMask",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[9],
			{ "hEventDestObj", "octvc1.net.local_host.info.heventdestobj",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hEventDestObj",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[10],
			{ "ulEventDestObjPort", "octvc1.net.local_host.info.uleventdestobjport",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjPort",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[11],
			{ "ulEventDestObjFifoId", "octvc1.net.local_host.info.uleventdestobjfifoid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulEventDestObjFifoId",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD[0],
			{ "ObjectGet", "octvc1.net.local_host.stats.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD[1],
			{ "ulResetStatsFlag", "octvc1.net.local_host.stats.ulresetstatsflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulResetStatsFlag",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP[0],
			{ "ObjectGet", "octvc1.net.local_host.stats.objectget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"ObjectGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP[1],
			{ "ulApiEventCnt", "octvc1.net.local_host.stats.ulapieventcnt",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulApiEventCnt",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[8];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[0],
			{ "hLocalHost", "octvc1.net.local_host.icmp_ping.send.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[1],
			{ "RemoteIpAddress", "octvc1.net.local_host.icmp_ping.send.remoteipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"RemoteIpAddress",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[2],
			{ "ulTimeout", "octvc1.net.local_host.icmp_ping.send.ultimeout",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTimeout",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[3],
			{ "ulTimeToLive", "octvc1.net.local_host.icmp_ping.send.ultimetolive",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulTimeToLive",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[4],
			{ "ulUserEventId", "octvc1.net.local_host.icmp_ping.send.ulusereventid",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulUserEventId",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[5],
			{ "ulPayloadLength", "octvc1.net.local_host.icmp_ping.send.ulpayloadlength",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPayloadLength",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[6],
			{ "abyPayload", "octvc1.net.local_host.icmp_ping.send.abypayload",
			FT_BYTES, BASE_NONE, NULL, 0x0,
			"abyPayload",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP[0],
			{ "hLocalHost", "octvc1.net.local_host.icmp_ping.send.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[4];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[0],
			{ "hLocalHost", "octvc1.net.local_host.addr_validate.start.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[1],
			{ "ulProbeIntervalMs", "octvc1.net.local_host.addr_validate.start.ulprobeintervalms",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulProbeIntervalMs",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[2],
			{ "ulNumProbe", "octvc1.net.local_host.addr_validate.start.ulnumprobe",
			FT_UINT32,BASE_DEC, NULL, 0x0,
			"ulNumProbe",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP;

void  register_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP[0],
			{ "hLocalHost", "octvc1.net.local_host.addr_validate.start.hlocalhost",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLocalHost",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD;

void  register_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[0],
			{ "hLink", "octvc1.net.link.gateway.add.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[1],
			{ "IpAddress", "octvc1.net.link.gateway.add.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP;

void  register_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[0],
			{ "hLink", "octvc1.net.link.gateway.add.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[1],
			{ "IpAddress", "octvc1.net.link.gateway.add.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD;

void  register_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[0],
			{ "hLink", "octvc1.net.link.gateway.remove.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[1],
			{ "IpAddress", "octvc1.net.link.gateway.remove.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP;

void  register_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[0],
			{ "hLink", "octvc1.net.link.gateway.remove.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[1],
			{ "IpAddress", "octvc1.net.link.gateway.remove.ipaddress",
			FT_STRING, BASE_NONE, NULL, 0x0,
			"IpAddress",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD;

void  register_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD[0],
			{ "GatewayGet", "octvc1.net.link.gateway.info.gatewayget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"GatewayGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP;

void  register_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP[0],
			{ "GatewayGet", "octvc1.net.link.gateway.info.gatewayget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"GatewayGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[7];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD;

void  register_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[0],
			{ "hLink", "octvc1.net.link.ipv6_prefix.add.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[1],
			{ "IPv6Prefix", "octvc1.net.link.ipv6_prefix.add.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[2],
			{ "ulOnLinkFlag", "octvc1.net.link.ipv6_prefix.add.ulonlinkflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulOnLinkFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[3],
			{ "ulAddrAutoConfigFlag", "octvc1.net.link.ipv6_prefix.add.uladdrautoconfigflag",
			FT_BOOLEAN, BASE_NONE, NULL, 0x0,
			"ulAddrAutoConfigFlag",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[4],
			{ "ulValidLifetimeSec", "octvc1.net.link.ipv6_prefix.add.ulvalidlifetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulValidLifetimeSec",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[5],
			{ "ulPreferredLifetimeSec", "octvc1.net.link.ipv6_prefix.add.ulpreferredlifetimesec",
			FT_UINT32,BASE_HEX, NULL, 0x0,
			"ulPreferredLifetimeSec",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP;

void  register_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP[0],
			{ "hLink", "octvc1.net.link.ipv6_prefix.add.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP[1],
			{ "IPv6Prefix", "octvc1.net.link.ipv6_prefix.add.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD;

void  register_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD[0],
			{ "hLink", "octvc1.net.link.ipv6_prefix.remove.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD[1],
			{ "IPv6Prefix", "octvc1.net.link.ipv6_prefix.remove.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP;

void  register_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP[0],
			{ "hLink", "octvc1.net.link.ipv6_prefix.remove.hlink",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"hLink",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP[1],
			{ "IPv6Prefix", "octvc1.net.link.ipv6_prefix.remove.ipv6prefix",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6Prefix",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD[2];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD;

void  register_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD[0],
			{ "IPv6PrefixGet", "octvc1.net.link.ipv6_prefix.info.ipv6prefixget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6PrefixGet",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};

int ahf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP[3];
tWS_ENTITY_HANDLE ws_htOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP;

void  register_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP(void)
{
	static hf_register_info hf[] =
	{
		{
			&ahf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP[0],
			{ "IPv6PrefixGet", "octvc1.net.link.ipv6_prefix.info.ipv6prefixget",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6PrefixGet",HFILL }

		},
		{
			&ahf_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP[1],
			{ "IPv6PrefixInfo", "octvc1.net.link.ipv6_prefix.info.ipv6prefixinfo",
			FT_NONE, BASE_NONE, NULL, 0x0,
			"IPv6PrefixInfo",HFILL }

		},
	};

	static gint* ett[] =
	{
		&ws_htOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP.ett
	};

	proto_register_field_array( proto_octvc1_ctrl, hf, array_length(hf) );

};


/****************************************************************************
	COMMON dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_NET_IP_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_IP_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_IP_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_IP_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_IP_CURSOR);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_IP_CURSOR, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_IP_CURSOR[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_IP_CURSOR[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_IP_CURSOR[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_IP_CURSOR[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_IP_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_IP_CURSOR[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_IP_CURSOR, ulGetMode);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_RTP_PROFILE_ENTRY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_ENTRY, ulRtpPayloadType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_ENTRY, ulRtpPayloadType);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_ENTRY, ulPktEncodingType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_ENTRY[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_ENTRY, ulPktEncodingType);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY, ulModifyType), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY, ulModifyType);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY, Entry), "Entry:tOCTVC1_NET_RTP_PROFILE_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_SRTP_KEY_ENTRY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_SRTP_KEY_ENTRY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulMasterKeyBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulMasterKeyBitSize);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMasterKey), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMasterKey);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulMasterSaltBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulMasterSaltBitSize);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMasterSalt), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMasterSalt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulKeyDerivationRateLog2), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[4], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 24 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..24)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulKeyDerivationRateLog2);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyMaxLifeTime), "aulRtpMasterKeyMaxLifeTime");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyMaxLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[5], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyFromLifeTime), "aulRtpMasterKeyFromLifeTime");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyFromLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[6], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyToLifeTime), "aulRtpMasterKeyToLifeTime");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpMasterKeyToLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[7], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpReKeyEventThreshold), "aulRtpReKeyEventThreshold");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, aulRtpReKeyEventThreshold), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[8], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyMaxLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[9], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 0x7FFFFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..0x7FFFFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyMaxLifeTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyFromLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[10], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 0x7FFFFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..0x7FFFFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyFromLifeTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyToLifeTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[11], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 0x7FFFFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..0x7FFFFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpMasterKeyToLifeTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[12], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpReKeyEventThreshold), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[12], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 0x7FFFFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..0x7FFFFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, ulRtcpReKeyEventThreshold);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_ENTRY[13], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMkiValue), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_ENTRY, abyMkiValue);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_SRTP_STREAM_CONFIG)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_SRTP_STREAM_CONFIG (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_SRTP_STREAM_CONFIG));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_SRTP_STREAM_CONFIG);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulCryptoTransform), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulCryptoTransform);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulAuthTransform), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulAuthTransform);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulAuthTagBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[2], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 160 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..160)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulAuthTagBitSize);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulMkiByteSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[3], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 4 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..4)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulMkiByteSize);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionCryptoKeyBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionCryptoKeyBitSize);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionSaltKeyBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[5], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 112 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..112)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionSaltKeyBitSize);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionAuthKeyBitSize), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[6], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 512 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..512)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSessionAuthKeyBitSize);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulInitialRoc), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulInitialRoc);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[8], tvb, offset,
			4,"ulSrtpServiceMask:%s (0x%08x)", pExtValue->pszValue, temp_data);
		}else{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[8], tvb, offset,
			4,"ulSrtpServiceMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_SRTP_SERVICE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value && 
					( vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_SRTP_SERVICE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSrtpServiceMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[9], tvb, offset,
			4,"ulSrtcpServiceMask:%s (0x%08x)", pExtValue->pszValue, temp_data);
		}else{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_CONFIG[9], tvb, offset,
			4,"ulSrtcpServiceMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_SRTP_SERVICE_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value && 
					( vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_SRTP_SERVICE_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_SRTP_SERVICE_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_CONFIG, ulSrtcpServiceMask);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_SRTP_KEY_STATS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_SRTP_KEY_STATS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_SRTP_KEY_STATS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_SRTP_KEY_STATS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_SRTP_KEY_STATS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, ulKeyState), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, ulKeyState);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, aulSrtpPacketCnt), "aulSrtpPacketCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, aulSrtpPacketCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[1], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, ulSrtcpPacketCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_KEY_STATS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_KEY_STATS, ulSrtcpPacketCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_SRTP_STREAM_STATS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_SRTP_STREAM_STATS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_SRTP_STREAM_STATS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_SRTP_STREAM_STATS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_SRTP_STREAM_STATS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSrtpState), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSrtpState);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSsrc), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastRoc), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastRoc);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastSeq), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastSeq);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastSrtcpIndex), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulLastSrtcpIndex);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, aulTotalSrtpPktCnt), "aulTotalSrtpPktCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, aulTotalSrtpPktCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[5], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, aulTotalSrtcpPktCnt), "aulTotalSrtcpPktCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, aulTotalSrtcpPktCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[6], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulUnAuthPktCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulUnAuthPktCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulReplayPktCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulReplayPktCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulReKeyCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulReKeyCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulActiveKeyIdx), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulActiveKeyIdx);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSrtpKeyNum), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_SRTP_STREAM_STATS[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, ulSrtpKeyNum);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_SRTP_STREAM_STATS, aSrtpKeyStats), "aSrtpKeyStats:tOCTVC1_NET_SRTP_KEY_STATS");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_SRTP_KEY_STATS), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_STATS( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
			}
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_CONFIG_STATIC(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_CONFIG_STATIC)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_CONFIG_STATIC (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_CONFIG_STATIC));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_CONFIG_STATIC);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxRtpMember), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxRtpMember);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxRtpSession), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxRtpSession);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxLocalIpHost), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_CONFIG_STATIC[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CONFIG_STATIC, ulMaxLocalIpHost);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_RTP_MEMBER_CONN_INFO(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_RTP_MEMBER_CONN_INFO)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_RTP_MEMBER_CONN_INFO (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_RTP_MEMBER_CONN_INFO));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_RTP_MEMBER_CONN_INFO);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_MEMBER_CONN_INFO, ulConnectionState), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTP_MEMBER_CONN_INFO, ulConnectionState);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_MEMBER_CONN_INFO, hConnectedRtpSession), "hConnectedRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTP_MEMBER_CONN_INFO, ulConnectedMemberId), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTP_MEMBER_CONN_INFO[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTP_MEMBER_CONN_INFO, ulConnectedMemberId);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_RTCP_SENDER_STATS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_RTCP_SENDER_STATS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_RTCP_SENDER_STATS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_RTCP_SENDER_STATS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_RTCP_SENDER_STATS);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulSentPktCnt), "aulSentPktCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulSentPktCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[0], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulSentByteCnt), "aulSentByteCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulSentByteCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[1], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulNtpTimestamp), "aulNtpTimestamp");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, aulNtpTimestamp), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[2], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulRtpTimestamp), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulRtpTimestamp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderSsrc), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderStartTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderStartTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderReportCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderReportCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderState), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSenderState);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulLastSenderReportTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulLastSenderReportTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSsrcChangeCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_SENDER_STATS[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_SENDER_STATS, ulSsrcChangeCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_RTCP_RECEIVER_STATS(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_RTCP_RECEIVER_STATS)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_RTCP_RECEIVER_STATS (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_RTCP_RECEIVER_STATS));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_RTCP_RECEIVER_STATS);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulHighestSeqNumber), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulHighestSeqNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulCumulativeLostCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulCumulativeLostCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulFractionLost), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulInterArrivalJitter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulInterArrivalJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulMaxFractionLost), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulMaxFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulMaxInterArrivalJitter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulMaxInterArrivalJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAverageFractionLost), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAverageFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAverageInterArrivalJitter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAverageInterArrivalJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulReceiverStartTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulReceiverStartTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulReceiverReportCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulReceiverReportCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulLastReceiverReportTime), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulLastReceiverReportTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulRemoteSenderSsrc), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulRemoteSenderSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[12], tvb, offset,
			4,"ulAlarmRxThreshold:%s (0x%08x)", pExtValue->pszValue, temp_data);
		}else{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[12], tvb, offset,
			4,"ulAlarmRxThreshold: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RX_ALARM_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RX_ALARM_MASK[i].value && 
					( vals_tOCTVC1_NET_RX_ALARM_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RX_ALARM_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RX_ALARM_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RX_ALARM_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAlarmRxThreshold);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[13], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAlarmRxThresholdCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_RTCP_RECEIVER_STATS[13], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_RTCP_RECEIVER_STATS, ulAlarmRxThresholdCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_VLAN_TAG(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_VLAN_TAG)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_VLAN_TAG (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_VLAN_TAG));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_VLAN_TAG);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_VLAN_TAG[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_VLAN_TAG, ulPriority), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_VLAN_TAG[0], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 7 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..7)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_VLAN_TAG, ulPriority);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_VLAN_TAG[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_VLAN_TAG, ulVlanId), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_VLAN_TAG[1], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 4095 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..4095)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_VLAN_TAG, ulVlanId);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_HEADER_INFO_ETHERNET(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_HEADER_INFO_ETHERNET)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_HEADER_INFO_ETHERNET (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_HEADER_INFO_ETHERNET));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_HEADER_INFO_ETHERNET);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_ETHERNET, ulEthertypeEncoding), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_ETHERNET, ulEthertypeEncoding);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_ETHERNET, ulEthertype), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[1], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 0xFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..0xFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_ETHERNET, ulEthertype);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[2], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","LocalMacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_ETHERNET[3], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","RemoteMacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_HEADER_INFO_VLAN(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_HEADER_INFO_VLAN)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_HEADER_INFO_VLAN (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_HEADER_INFO_VLAN));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_HEADER_INFO_VLAN);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_VLAN[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_VLAN, ulNumVlanTag), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_VLAN[0], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > cOCTVC1_NET_MAX_VLAN_TAG ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..cOCTVC1_NET_MAX_VLAN_TAG)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_VLAN, ulNumVlanTag);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_VLAN, aVlanTag), "aVlanTag:tOCTVC1_NET_VLAN_TAG");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_VLAN_TAG), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_VLAN_TAG( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
			}
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_HEADER_INFO_IP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_HEADER_INFO_IP)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_HEADER_INFO_IP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_HEADER_INFO_IP));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_HEADER_INFO_IP);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulIpVersion), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[0], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulIpVersion);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulTypeOfService), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[1], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulTypeOfService);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulTimeToLive), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[2], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 1) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulTimeToLive);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulIpv6FlowLabel), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[3], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 1048575 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..1048575)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_IP, ulIpv6FlowLabel);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","LocalIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","LocalIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","LocalIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[5], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[5], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_IP[5], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_HEADER_INFO_UDP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_HEADER_INFO_UDP)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_HEADER_INFO_UDP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_HEADER_INFO_UDP));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_HEADER_INFO_UDP);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_UDP[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_UDP, ulLocalUdpPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_UDP[0], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0x0000) || ( (unsigned int)temp_data > 0xFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0x0000..0xFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_UDP, ulLocalUdpPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_UDP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_UDP, ulRemoteUdpPort), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_HEADER_INFO_UDP[1], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0x0000) || ( (unsigned int)temp_data > 0xFFFF ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0x0000..0xFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_HEADER_INFO_UDP, ulRemoteUdpPort);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_HEADER_IPUDP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_HEADER_IPUDP)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_HEADER_IPUDP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_HEADER_IPUDP));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_HEADER_IPUDP);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_IPUDP, Ethernet), "Ethernet:tOCTVC1_NET_HEADER_INFO_ETHERNET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_ETHERNET( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_IPUDP, Vlan), "Vlan:tOCTVC1_NET_HEADER_INFO_VLAN");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_VLAN( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_IPUDP, Ip), "Ip:tOCTVC1_NET_HEADER_INFO_IP");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_IP( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_HEADER_IPUDP, Udp), "Udp:tOCTVC1_NET_HEADER_INFO_UDP");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_UDP( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_CACHE_ENTRY_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_CACHE_ENTRY_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_CACHE_ENTRY_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_CACHE_ENTRY_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_CACHE_ENTRY_CURSOR);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_CACHE_ENTRY_CURSOR, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_CACHE_ENTRY_CURSOR, Vlan), "Vlan:tOCTVC1_NET_HEADER_INFO_VLAN");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_VLAN( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CACHE_ENTRY_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_CACHE_ENTRY_CURSOR[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CACHE_ENTRY_CURSOR, ulGetMode);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_ETH_LINK_CACHE_ENTRY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, Vlan), "Vlan:tOCTVC1_NET_HEADER_INFO_VLAN");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_INFO_VLAN( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulMac0, ulMac1;
			unsigned int	offs = offset;
			ulMac0 = tvb_get_ntohl( tvb, offs );
			offs += 4;
			ulMac1 = tvb_get_ntohl( tvb, offs );
		ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[3], tvb, offset,
			sizeof(tOCTVC1_MAC_ADDRESS), "","MacAddress: %02x:%02x:%02x:%02x:%02x:%02x", 
			(( ulMac0 & 0x0000FF00 ) >> 8 ),
			( ulMac0 & 0x000000FF ),
			(( ulMac1 & 0xFF000000 ) >> 24 ),
			(( ulMac1 & 0x00FF0000 ) >> 16 ),
			(( ulMac1 & 0x0000FF00 ) >> 8 ),
			( ulMac1 & 0x000000FF ) );
		}
		offset += sizeof(tOCTVC1_MAC_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulStaticFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulStaticFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulStaticFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulReachableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulReachableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CACHE_ENTRY, ulReachableFlag);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_LINK_GATEWAY_INFO(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_LINK_GATEWAY_INFO)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_LINK_GATEWAY_INFO (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_LINK_GATEWAY_INFO));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_LINK_GATEWAY_INFO);
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_GATEWAY_INFO, ulLifetimeSec), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_LINK_GATEWAY_INFO[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_GATEWAY_INFO, ulLifetimeSec);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_LINK_IPV6_PREFIX(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_LINK_IPV6_PREFIX (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX);
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX, ulBitLength), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX, ulBitLength);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_LINK_IPV6_PREFIX_INFO (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulOnLinkFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulOnLinkFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulOnLinkFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulAddrAutoConfigFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulAddrAutoConfigFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulAddrAutoConfigFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_NET_INFINITE)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulValidLifetimeSec),temp_data, "cOCTVC1_NET_INFINITE (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulValidLifetimeSec), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[3], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulValidLifetimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_NET_INFINITE)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulPreferredLifetimeSec),temp_data, "cOCTVC1_NET_INFINITE (0x%08x)",temp_data);
		}else {
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulPreferredLifetimeSec), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO[4], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_LINK_IPV6_PREFIX_INFO, ulPreferredLifetimeSec);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_IPV6_PREFIX_CURSOR(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_IPV6_PREFIX_CURSOR)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_IPV6_PREFIX_CURSOR (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_IPV6_PREFIX_CURSOR));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_IPV6_PREFIX_CURSOR);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_IPV6_PREFIX_CURSOR, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_IPV6_PREFIX_CURSOR, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_IPV6_PREFIX_CURSOR, ulGetMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_IPV6_PREFIX_CURSOR[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_IPV6_PREFIX_CURSOR, ulGetMode);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_ETH_LINK_CONFIG_IPV4 (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulAddrAutoconfigMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulAddrAutoconfigMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulNDPBaseReachableTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulNDPBaseReachableTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPRefreshTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPRefreshTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReplyTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReplyTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPUnusedTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPUnusedTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqCreateCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqCreateCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqRefreshCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqRefreshCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqRefreshBroadcastCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqRefreshBroadcastCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqDupAddrCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[9], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 15 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..15)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulARPReqDupAddrCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulGARPRequestCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV4, ulGARPRequestCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_ETH_LINK_CONFIG_IPV6 (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulCreateLoopbackEntryFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulCreateLoopbackEntryFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulCreateLoopbackEntryFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulAddrAutoconfigMode), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulAddrAutoconfigMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPBaseReachableTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPBaseReachableTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPRetransTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPRetransTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPUnusedTimeMs), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPUnusedTimeMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitCreateCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitCreateCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitDupAddrCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitDupAddrCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitProbeCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitProbeCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitProbeMulticastCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitProbeMulticastCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitRouterCnt), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_IPV6, ulNDPSolicitRouterCnt);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulDefaultUserPriority), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulDefaultUserPriority);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulVlanId), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ, ulVlanId);

	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_EUI64_INTERFACE_ID(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_EUI64_INTERFACE_ID)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_EUI64_INTERFACE_ID (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_EUI64_INTERFACE_ID));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_EUI64_INTERFACE_ID);
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_EUI64_INTERFACE_ID, ausInterfaceId), "ausInterfaceId");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		temp_data = tvb_get_ntohs( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(sub_tree, ahf_tOCTVC1_NET_EUI64_INTERFACE_ID[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_EUI64_INTERFACE_ID, ausInterfaceId), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_EUI64_INTERFACE_ID[0], tvb, offset,
			2, temp_data, "[%d]: 0x%04x", i, temp_data );
		}
				offset+=2;
			}
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_boolean_format_value(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulTxPktEnableFlag), temp_data, "%s (0x%x)", pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulTxPktEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulTxPktEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulRxPktFilter), temp_data, "%s (0x%x)",pExtValue->pszValue, temp_data );
		}else
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, ulRxPktFilter);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM, Header), "Header:tOCTVC1_NET_HEADER_IPUDP");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_HEADER_IPUDP( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
	}


	return offset;

};


unsigned int  dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset, tWS_EXTRA_VALUE *pExtValue )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		bytes = sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY);
		temp_data = tvb_get_ntohl( tvb, offset );
		if( pExtValue && (pExtValue->lValue == temp_data ) )
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY[0], tvb, offset,
			4,"ulModifyMask:%s (0x%08x)", pExtValue->pszValue, temp_data);
		}else{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY[0], tvb, offset,
			4,"ulModifyMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK[i].value && 
					( vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_CUSTOM_MEMBER_STREAM_MODIFY_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY, ulModifyMask);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY, Modify), "Modify:tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM( tvb, pinfo, sub_tree2, offset, pExtValue );
		}
	}


	return offset;

};

/****************************************************************************
	Event dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, ulPktType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, ulPktByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, abyRtcpPkt), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT, abyRtcpPkt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT, ulCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT, achCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT, achCname);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, ulLocalFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, ulLocalFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, ulPreviousSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT, ulNewSsrc);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulLocalFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulLocalFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulMaxRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, ulAverageRoundTripTime);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT, StatsReceiver), "StatsReceiver:tOCTVC1_NET_RTCP_RECEIVER_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTCP_RECEIVER_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, ulLocalFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, ulLocalFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, ulPreviousSenderState);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT, ulNewSenderState);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT, ulRemoteAddress);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddress: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, ulSrtpStreamType);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, ActiveSrtpKey), "ActiveSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, aulSrtpPacketCnt), "aulSrtpPacketCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[4], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT, ulSrtcpPacketCnt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, ulSrtpStreamType);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, ActiveSrtpKey), "ActiveSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, aulSrtpPacketCnt), "aulSrtpPacketCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[4], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT, ulSrtcpPacketCnt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, ulSrtpStreamType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, ulKeyChangeReason);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, ActiveSrtpKey), "ActiveSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT, PreviousSrtpKey), "PreviousSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT, ulSrtpStreamType);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT, ulSrtpStreamType);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, ulSrtpStreamType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, ulUnknownMkiByteSize);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, abyUnknownMkiValue), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT, abyUnknownMkiValue);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT, ulMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT, ulSrtpStreamType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT, ulSsrc);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddr: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddr: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddr: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, ulAlarmType);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, ulAlarmCode);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, ulPktHeaderByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, abyPktHeader), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT, abyPktHeader);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT, ulRedirectCode);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NewGatewayIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NewGatewayIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NewGatewayIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","PrevGatewayIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","PrevGatewayIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","PrevGatewayIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","DestinationIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","DestinationIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT[4], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","DestinationIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, ulAddrAutoConfigFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, ulAddrAutoConfigFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, ulPreviousAddrStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, ulNewAddrStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT, ulStatusChangeCause);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT, ulDuplicateSource);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT)-sizeof(tOCTVC1_EVENT_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT, hEthLink), "hEthLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT, ulPreviousStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT, ulNewStatus);

	}


	return 0;

};

/****************************************************************************
	CMD/RSP dissectors 
 ****************************************************************************/


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[1], tvb, offset,
			4,"ulRtpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[2], tvb, offset,
			4,"ulRtcpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTCP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTCP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtcpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[3], tvb, offset,
			4,"ulSrtpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_SRTP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_SRTP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulSrtpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulUserEventId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulInitialOperationMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulSenderMaxPendingTimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulSenderMaxInactiveTimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[8], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtcpEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtcpEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[9], tvb, offset,
			4,"ulRtcpVideoFeedbackEnableFlagMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK[i].value && 
					( vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_VIDEO_RTCP_FB_MSG_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtcpVideoFeedbackEnableFlagMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulRtpSessionBandwidth);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulHighFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[12], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulHighCumulativePacketLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[13], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulHighJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[14], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulHighRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[15], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulLowFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[16], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulLowJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[17], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulLowRoundTripTime);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[19], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_FIFO_ID_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[20], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulEventDestObjFifoId),temp_data, "cOCTVC1_FIFO_ID_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD[20], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP, ulFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulHighFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulHighCumulativePacketLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulHighJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulHighRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulLowFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulLowJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD, ulLowRoundTripTime);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulFifoId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[3], tvb, offset,
			4,"ulRtpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulRtpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[4], tvb, offset,
			4,"ulRtcpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTCP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTCP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTCP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulRtcpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[5], tvb, offset,
			4,"ulSrtpEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_SRTP_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_SRTP_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_SRTP_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulSrtpEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulUserEventId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulInitialOperationMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulSenderMaxPendingTimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulSenderMaxInactiveTimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulRtcpEnableFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulRtcpEnableFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulRtpSessionBandwidth);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[12], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulHighFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[13], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulHighCumulativePacketLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[14], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulHighJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[15], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulHighRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[16], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulLowFractionLost);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[17], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulLowJitter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[18], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulLowRoundTripTime);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[20], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP[21], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulNumMember);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulNumSender);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulSessionStartTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulRxByePktCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulRxSenderJoinCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulRxMemberJoinCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulErrCollisionCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulErrLoopCnt);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP, ulErrRtcpPktInvalidCnt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD, ulTxRtcpPauseFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD, ulTxRtcpPauseFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, hTerm), "hTerm:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRxPktFilter);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortRtp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[3], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 65535 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..65535)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortRtp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortRtcp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[4], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 65535 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..65535)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortRtcp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortT38),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[5], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalUdpPortT38);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[6], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, achLocalCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, achLocalCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[8], tvb, offset,
			4,"ulLocalForcedRtpParmMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalForcedRtpParmMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalForcedSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulLocalForcedInitialSeqNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteAutoDetectFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteAutoDetectFlag);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[12], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[12], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[12], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[13], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[13], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[13], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[14], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[14], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[14], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[15], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[16], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, achRemoteCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[17], tvb, offset,
			4,"ulRemoteForcedRtpParmMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteForcedRtpParmMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[18], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteForcedSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[19], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulRemoteForcedInitialSeqNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[20], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 1) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulIpv4TimeToLive);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[21], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulIpv4TypeOfService);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[22], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 1) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulIpv6HopLimit);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[23], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 1048575 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..1048575)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulIpv6FlowLabel);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[24], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 255 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..255)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulIpv6TrafficClass);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD[25], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 8 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..8)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ulNumProfEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, aRtpProfEntry), "aRtpProfEntry:tOCTVC1_NET_RTP_PROFILE_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, SenderSrtp), "SenderSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, SenderSrtpKey), "SenderSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ReceiverSrtp), "ReceiverSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD, ReceiverSrtpKey), "ReceiverSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP, ulLocalSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP, ulLocalInitialSeqNumber);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD, ulTxRtpPauseFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD, ulTxRtpPauseFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[2], tvb, offset,
			4,"ulModifyMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_SESSION_MODIFY_MEMBER_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulModifyMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteAutoDetectFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteAutoDetectFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[4], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortRtp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[4], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 65535 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..65535)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortRtp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortRtcp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[5], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 65535 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..65535)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortRtcp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortT38),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[6], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulLocalUdpPortT38);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[7], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[7], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[7], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[8], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[8], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[8], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[9], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[9], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[9], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, achRemoteCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[12], tvb, offset,
			4,"ulRemoteForcedRtpParmMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteForcedRtpParmMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[13], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteForcedSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD[14], tvb, offset,
			4, temp_data);
		if( (unsigned int)temp_data > 0xFFFF) 
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (..0xFFFF)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ulRemoteForcedInitialSeqNumber);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, SenderSrtp), "SenderSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, SenderSrtpKey), "SenderSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ReceiverSrtp), "ReceiverSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD, ReceiverSrtpKey), "ReceiverSrtpKey:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[0], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulForceFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulForceFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulRecoverNtpFromRtpTsFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulRecoverNtpFromRtpTsFlag);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = cOCTVC1_HANDLE_INVALID;
		ExtraVal.pszValue = "cOCTVC1_HANDLE_INVALID";
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulLocalMemberId);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, hRtpSessionAssociated), "hRtpSessionAssociated:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = cOCTVC1_HANDLE_INVALID;
		ExtraVal.pszValue = "cOCTVC1_HANDLE_INVALID";
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD, ulLocalMemberIdAssociated);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, ulLocalMemberId);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, RtpMemberPrevConnInfo), "RtpMemberPrevConnInfo:tOCTVC1_NET_RTP_MEMBER_CONN_INFO");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_MEMBER_CONN_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, hRtpSessionAssociated), "hRtpSessionAssociated:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, ulLocalMemberIdAssociated);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP, RtpMemberPrevConnInfoAssociated), "RtpMemberPrevConnInfoAssociated:tOCTVC1_NET_RTP_MEMBER_CONN_INFO");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_MEMBER_CONN_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = cOCTVC1_HANDLE_INVALID;
		ExtraVal.pszValue = "cOCTVC1_HANDLE_INVALID";
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP, ulLocalMemberId);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP, RtpMemberPrevConnInfo), "RtpMemberPrevConnInfo:tOCTVC1_NET_RTP_MEMBER_CONN_INFO");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_MEMBER_CONN_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulOperationMode);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulTxRtpPauseFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulTxRtpPauseFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulTxRtcpPauseFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulTxRtcpPauseFlag);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, hTerm), "hTerm:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, hDestObj), "hDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulRxPktFilter);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulDestObjFifoId);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortRtp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[9], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortRtp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortRtcp),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[10], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortRtcp);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_UDP_PORT_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortT38),temp_data, "cOCTVC1_UDP_PORT_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[11], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalUdpPortT38);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[12], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulLocalCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[13], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, achLocalCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, achLocalCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[14], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulRemoteAutoDetectFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulRemoteAutoDetectFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[15], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulValidRemoteFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulValidRemoteFlag);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[16], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[16], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[16], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[17], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[17], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[17], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressRtcp: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 16;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[18], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: %d.%d.%d.%d:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), ulUdpPort );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3,ulUdpPort;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulUdpPort = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[18], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]:%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF ), ulUdpPort ); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[18], tvb, offset,
				sizeof(tOCTVC1_UDP_ADDRESS), "","RemoteUdpAddressT38: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_UDP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[19], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulRemoteCnameLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[20], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, achRemoteCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[21], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulIpv4TimeToLive);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[22], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulIpv4TypeOfService);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[23], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulIpv6HopLimit);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[24], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulIpv6FlowLabel);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[25], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulIpv6TrafficClass);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP[26], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, ulNumProfEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, aRtpProfEntry), "aRtpProfEntry:tOCTVC1_NET_RTP_PROFILE_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP, RtpMemberConnInfo), "RtpMemberConnInfo:tOCTVC1_NET_RTP_MEMBER_CONN_INFO");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_MEMBER_CONN_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, ulRemoteMemberId);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, aulReceivedPktCnt), "aulReceivedPktCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[2], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, aulReceivedByteCnt), "aulReceivedByteCnt");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<2; i++ )
			{
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint_format(sub_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP[3], tvb, offset,
			4, temp_data, "[%d]: 0x%08x", i, temp_data );
		}
				offset+=4;
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, SenderStats), "SenderStats:tOCTVC1_NET_RTCP_SENDER_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTCP_SENDER_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP, ReceiverStats), "ReceiverStats:tOCTVC1_NET_RTCP_RECEIVER_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTCP_RECEIVER_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, ulRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, ulMaxRoundTripTime);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, ulAverageRoundTripTime);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, SenderStats), "SenderStats:tOCTVC1_NET_RTCP_SENDER_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTCP_SENDER_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP, ReceiverStats), "ReceiverStats:tOCTVC1_NET_RTCP_RECEIVER_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTCP_RECEIVER_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, SenderSrtp), "SenderSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, ulSenderSrtpKeyActiveIdx);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, ulSenderSrtpKeyNum);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, aSenderSrtpKeyList), "aSenderSrtpKeyList:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, ReceiverSrtp), "ReceiverSrtp:tOCTVC1_NET_SRTP_STREAM_CONFIG");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_CONFIG( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, ulReceiverSrtpKeyActiveIdx);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, ulReceiverSrtpKeyNum);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP, aReceiverSrtpKeyList), "aReceiverSrtpKeyList:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP, SenderSrtpStats), "SenderSrtpStats:tOCTVC1_NET_SRTP_STREAM_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP, ReceiverSrtpStats), "ReceiverSrtpStats:tOCTVC1_NET_SRTP_STREAM_STATS");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_STREAM_STATS( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = cOCTVC1_HANDLE_INVALID;
		ExtraVal.pszValue = "cOCTVC1_HANDLE_INVALID";
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulSenderSrtpKeyActiveIdx),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[2], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulSenderSrtpKeyActiveIdx);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulSenderSrtpKeyNum),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[3], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 1) || ( (unsigned int)temp_data > 4 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..4)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulSenderSrtpKeyNum);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, aSenderSrtpKeyList), "aSenderSrtpKeyList:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulReceiverSrtpKeyActiveIdx),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[5], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulReceiverSrtpKeyActiveIdx);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_DO_NOT_MODIFY)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulReceiverSrtpKeyNum),temp_data, "cOCTVC1_DO_NOT_MODIFY (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD[6], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 1) || ( (unsigned int)temp_data > 4 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (1..4)]" );
		}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, ulReceiverSrtpKeyNum);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD, aReceiverSrtpKeyList), "aReceiverSrtpKeyList:tOCTVC1_NET_SRTP_KEY_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<4; i++ )
			{
		{
			proto_tree*	sub_tree2;
			tWS_EXTRA_VALUE ExtraVal;
		ExtraVal.lValue = cOCTVC1_DO_NOT_MODIFY;
		ExtraVal.pszValue = "cOCTVC1_DO_NOT_MODIFY";
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_SRTP_KEY_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_SRTP_KEY_ENTRY( tvb, pinfo, sub_tree2, offset, &ExtraVal );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD, ulNumEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD, aEntry), "aEntry:tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, hTerm), "hTerm:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, aStream), "aStream:tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<3; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[3], tvb, offset,
			4,"ulLocalForcedRtpParmMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value && 
					( vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_RTP_FORCED_PARAMETER_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulLocalForcedRtpParmMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulLocalForcedSsrc);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulLocalForcedInitialSeqNumber);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulNumRtpProfEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, aRtpProfEntry), "aRtpProfEntry:tOCTVC1_NET_RTP_PROFILE_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulLocalCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, achLocalCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, achLocalCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, ulRemoteCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD[11], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD, achRemoteCname);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, ulLocalMemberId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[2], tvb, offset,
			4,"ulModifyMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK[i].value && 
					( vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_CUSTOM_MEMBER_MODIFY_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, ulModifyMask);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, aStream), "aStream:tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<3; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, ulLocalCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[5], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, achLocalCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, achLocalCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, ulRemoteCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD, achRemoteCname);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP, hRtpSession), "hRtpSession:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP, ulLocalMemberId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, SubObjectIdGet), "SubObjectIdGet:tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET_SUB_OBJECT_ID( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, ulOperationMode);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, hTerm), "hTerm:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, aStream), "aStream:tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<3; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, ulNumRtpProfEntry);

		ti = proto_tree_add_text(field_tree, tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, aRtpProfEntry), "aRtpProfEntry:tOCTVC1_NET_RTP_PROFILE_ENTRY");
		{
			int i, ofs=offset;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i<8; i++ )
			{
		{
			proto_tree*	sub_tree2;
			ti = proto_tree_add_text(sub_tree, tvb, offset,
				sizeof(tOCTVC1_NET_RTP_PROFILE_ENTRY), "[%d]:", i);
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_RTP_PROFILE_ENTRY( tvb, pinfo, sub_tree2, offset, NULL );
		}
			}
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, ulLocalCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[7], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, achLocalCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, achLocalCname);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[8], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, ulRemoteCnameByteLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP[9], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, achRemoteCname), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP, achRemoteCname);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[0], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulAddrAutoConfigFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulAddrAutoConfigFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulMuteOnAddrExpireFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulMuteOnAddrExpireFlag);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulUserEventId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[6], tvb, offset,
			4,"ulEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulEventMask);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulEventThrottle);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[9], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		if( temp_data == cOCTVC1_FIFO_ID_INVALID)
		{		ti = proto_tree_add_uint_format_value(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[10], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulEventDestObjFifoId),temp_data, "cOCTVC1_FIFO_ID_INVALID (0x%08x)",temp_data);
		}else {
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD[10], tvb, offset,
			4, temp_data);
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP, ulAddrStatus);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulAddrAutoConfigFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulAddrAutoConfigFlag);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[2], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[3], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","NetworkMask: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulAddrStatus);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[6], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulUserEventId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[7], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulEventThrottle);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_none_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[8], tvb, offset,
			4,"ulEventMask: (0x%08x)", temp_data);
		if(temp_data)
		{
			int i;
			proto_tree*	sub_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			for( i=0; i< mWS_COUNTOF(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK); i++ )
			{
				if( ( vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value && 
					( vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value & temp_data ) == 
					 vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value))
					proto_tree_add_text(sub_tree, tvb, offset,4,"%s",
					decode_enumerated_bitfield(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK[i].value, 0xFFFFFFFF, (4*8),
				VALS(vals_tOCTVC1_NET_LOCAL_HOST_EVT_MASK),"%s"));
			}
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulEventMask);

		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, hEventDestObj), "hEventDestObj:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[10], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulEventDestObjPort);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP[11], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP, ulEventDestObjFifoId);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD[1], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD, ulResetStatsFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD, ulResetStatsFlag);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP, ObjectGet), "ObjectGet:tOCTVC1_CURSOR_HANDLE_GET");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_CURSOR_HANDLE_GET( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP, ulApiEventCnt);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","RemoteIpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[2], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, ulTimeout);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[3], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, ulTimeToLive);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, ulUserEventId);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, ulPayloadLength);

		ti = proto_tree_add_item(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD[6], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, abyPayload), FALSE);

		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD, abyPayload);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[1], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD, ulProbeIntervalMs);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD[2], tvb, offset,
			4, temp_data);
		if( ( (unsigned int)temp_data < 0) || ( (unsigned int)temp_data > 15 ) )
		{
			proto_item_set_expert_flags(ti, PI_MALFORMED, PI_ERROR);
			proto_item_append_text(ti," [Out of range - (0..15)]" );
		}
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD, ulNumProbe);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP, hLocalHost), "hLocalHost:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		{
		int ulVers;
			unsigned int	offs = offset;
			ulVers = tvb_get_ntohl( tvb, offs );
			if( ulVers == cOCTVC1_IP_VERSION_ENUM_4 )
			{ 	unsigned int ulIp0;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: %d.%d.%d.%d",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ) );
			}else if( ulVers == cOCTVC1_IP_VERSION_ENUM_6 )
			{ 	unsigned int ulIp0,ulIp1,ulIp2,ulIp3;
				offs += 4;
				ulIp0 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp1 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp2 = tvb_get_ntohl( tvb, offs );
				offs += 4;
				ulIp3 = tvb_get_ntohl( tvb, offs );
				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: [%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X:%02X%02X]",
			(( ulIp0 & 0xFF000000 ) >> 24 ),
			(( ulIp0 & 0x00FF0000 ) >> 16 ),
			(( ulIp0 & 0x0000FF00 ) >> 8 ),
			( ulIp0 & 0x000000FF ), 
			(( ulIp1 & 0xFF000000 ) >> 24 ),
			(( ulIp1 & 0x00FF0000 ) >> 16 ),
			(( ulIp1 & 0x0000FF00 ) >> 8 ),
			( ulIp1 & 0x000000FF ), 
			(( ulIp2 & 0xFF000000 ) >> 24 ),
			(( ulIp2 & 0x00FF0000 ) >> 16 ),
			(( ulIp2 & 0x0000FF00 ) >> 8 ),
			( ulIp2 & 0x000000FF ), 
			(( ulIp3 & 0xFF000000 ) >> 24 ),
			(( ulIp3 & 0x00FF0000 ) >> 16 ),
			(( ulIp3 & 0x0000FF00 ) >> 8 ),
			( ulIp3 & 0x000000FF )); 
			}else 
			{				ti = proto_tree_add_string_format(field_tree, ahf_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP[1], tvb, offset,
				sizeof(tOCTVC1_IP_ADDRESS), "","IpAddress: Unknowned IP format(%d)",ulVers );
			}
		}
		offset += sizeof(tOCTVC1_IP_ADDRESS);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD, GatewayGet), "GatewayGet:tOCTVC1_NET_IP_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_IP_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP, GatewayGet), "GatewayGet:tOCTVC1_NET_IP_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_IP_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, NULL );
		}
		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[2], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulOnLinkFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulOnLinkFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_boolean(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[3], tvb, offset,
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulAddrAutoConfigFlag), temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulAddrAutoConfigFlag);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[4], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulValidLifetimeSec);

		temp_data = tvb_get_ntohl( tvb, offset );
		{
		ti = proto_tree_add_uint(field_tree, ahf_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD[5], tvb, offset,
			4, temp_data);
		}
		offset += mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD, ulPreferredLifetimeSec);

	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP, hLink), "hLink:tOCTVC1_HANDLE");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_HANDLE( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP, IPv6Prefix), "IPv6Prefix:tOCTVC1_NET_LINK_IPV6_PREFIX");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD, IPv6PrefixGet), "IPv6PrefixGet:tOCTVC1_NET_IPV6_PREFIX_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_IPV6_PREFIX_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


unsigned int  dissect_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP(tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree, unsigned int offset )
{
	proto_tree *field_tree = tree;
	unsigned int offset_0 = offset;
	gint bytes = tvb_length_remaining(tvb, offset);
	if (bytes < (gint)(sizeof(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER)))
	{
		proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP (%d byte%s) - Malformated packet...expected(%ld)",
			bytes, plurality(bytes, "", "s"),
			sizeof(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP)-sizeof(tOCTVC1_MSG_HEADER));
		return 1;
	}
	else
	{
		int  temp_data = 0;
		proto_item *ti;
		ti = proto_tree_add_text(tree, tvb, offset, bytes,
			"tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP (%d byte%s)", bytes, plurality(bytes, "", "s"));

		field_tree = proto_item_add_subtree(ti, ett_octvc1_msg_type);
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP, IPv6PrefixGet), "IPv6PrefixGet:tOCTVC1_NET_IPV6_PREFIX_CURSOR");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_IPV6_PREFIX_CURSOR( tvb, pinfo, sub_tree2, offset, NULL );
		}
		ti = proto_tree_add_text(field_tree, tvb, offset, 
			mWS_FIELDSIZE(tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP, IPv6PrefixInfo), "IPv6PrefixInfo:tOCTVC1_NET_LINK_IPV6_PREFIX_INFO");
		{
			proto_tree*	sub_tree2;
			sub_tree2 = proto_item_add_subtree(ti, ett_octvc1_msg_type);
			offset = dissect_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO( tvb, pinfo, sub_tree2, offset, NULL );
		}
	}


	return 0;

};


/****************************************************************************
	MODULE REGISTERED EXPORTED FUNCTION
 ****************************************************************************/

void ws_register_OCTVC1_NET(void)
{
	/****************************************************************************
		Register Common struct
	****************************************************************************/
	register_tOCTVC1_NET_IP_CURSOR(); 
	register_tOCTVC1_NET_RTP_PROFILE_ENTRY(); 
	register_tOCTVC1_NET_RTP_PROFILE_MODIFY_ENTRY(); 
	register_tOCTVC1_NET_SRTP_KEY_ENTRY(); 
	register_tOCTVC1_NET_SRTP_STREAM_CONFIG(); 
	register_tOCTVC1_NET_SRTP_KEY_STATS(); 
	register_tOCTVC1_NET_SRTP_STREAM_STATS(); 
	register_tOCTVC1_NET_CONFIG_STATIC(); 
	register_tOCTVC1_NET_RTP_MEMBER_CONN_INFO(); 
	register_tOCTVC1_NET_RTCP_SENDER_STATS(); 
	register_tOCTVC1_NET_RTCP_RECEIVER_STATS(); 
	register_tOCTVC1_NET_VLAN_TAG(); 
	register_tOCTVC1_NET_HEADER_INFO_ETHERNET(); 
	register_tOCTVC1_NET_HEADER_INFO_VLAN(); 
	register_tOCTVC1_NET_HEADER_INFO_IP(); 
	register_tOCTVC1_NET_HEADER_INFO_UDP(); 
	register_tOCTVC1_NET_HEADER_IPUDP(); 
	register_tOCTVC1_NET_CACHE_ENTRY_CURSOR(); 
	register_tOCTVC1_NET_ETH_LINK_CACHE_ENTRY(); 
	register_tOCTVC1_NET_LINK_GATEWAY_INFO(); 
	register_tOCTVC1_NET_LINK_IPV6_PREFIX(); 
	register_tOCTVC1_NET_LINK_IPV6_PREFIX_INFO(); 
	register_tOCTVC1_NET_IPV6_PREFIX_CURSOR(); 
	register_tOCTVC1_NET_ETH_LINK_CONFIG_IPV4(); 
	register_tOCTVC1_NET_ETH_LINK_CONFIG_IPV6(); 
	register_tOCTVC1_NET_ETH_LINK_CONFIG_ETH_802_1PQ(); 
	register_tOCTVC1_NET_EUI64_INTERFACE_ID(); 
	register_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM(); 
	register_tOCTVC1_NET_CUSTOM_MEMBER_IPUDP_STREAM_MODIFY(); 

	/****************************************************************************
		CMD/RSP Registered 
	****************************************************************************/
	register_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP(); 
	register_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD(); 
	register_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP(); 

	/****************************************************************************
		Event Registered 
	****************************************************************************/
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT(); 
	register_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT(); 
	register_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT(); 
	register_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT(); 

}

/****************************************************************************
	MODULE DISSECTOR FUNCTIONS
 ****************************************************************************/
int ws_dissect_OCTVC1_NET_CMD( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_NET_MSG_RTP_SESSION_OPEN_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_INFO_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_STATS_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CMD( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CMD( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}
int ws_dissect_OCTVC1_NET_RSP( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_NET_MSG_RTP_SESSION_OPEN_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_OPEN_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_CLOSE_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_CLOSE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_RTCP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_DEACTIVATE_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_PAUSE_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_CONNECT_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_DISCONNECT_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_LOCAL_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_REMOTE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_MEMBER_SRTP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_STATS_MEMBER_SRTP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_SRTP_KEY_LIST_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_MEMBER_RTP_PROFILE_ENTRY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_ACTIVATE_CUSTOM_MEMBER_IPUDP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MODIFY_CUSTOM_MEMBER_IPUDP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_CID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_INFO_CUSTOM_MEMBER_IPUDP_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_OPEN_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_OPEN_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_CLOSE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_INFO_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_INFO_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_STATS_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_STATS_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_SEND_ICMP_PING_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_CID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_START_ADDR_VALIDATE_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_ADD_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_ADD_GATEWAY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_REMOVE_GATEWAY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_INFO_GATEWAY_CID: return dissect_tOCTVC1_NET_MSG_LINK_INFO_GATEWAY_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_ADD_IPV6_PREFIX_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_REMOVE_IPV6_PREFIX_RSP( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_CID: return dissect_tOCTVC1_NET_MSG_LINK_INFO_IPV6_PREFIX_RSP( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}
int ws_dissect_OCTVC1_NET_EVT( guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if( tree )
	{
		switch( CID ) {
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_PKT_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_REMOTE_DETECTED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SSRC_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_RECEIVER_ALARM_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_RTCP_SENDER_STATE_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_REMOTE_AUTO_DETECT_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_RE_KEY_THRESHOLD_REACHED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_EXPIRED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_MASTER_KEY_CHANGE_DETECTED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_REPLAY_ATTACK_DETECTED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNAUTH_PKT_DETECTED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_UNKNOWN_MKI_RECEIVED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EID: return dissect_tOCTVC1_NET_MSG_RTP_SESSION_MEMBER_SRTP_SSRC_VIOLATION_DETECTED_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_ALARM_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ICMP_REDIRECT_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_STATUS_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EID: return dissect_tOCTVC1_NET_MSG_LOCAL_HOST_ADDR_DUPLICATE_FOUND_EVT( tvb, pinfo, tree, 0 ); break;
			case cOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EID: return dissect_tOCTVC1_NET_MSG_LINK_GATEWAY_STATUS_CHANGE_EVT( tvb, pinfo, tree, 0 ); break;
			default: return 1;
		}
	}
	return 0;

}

/****************************************************************************
	MODULE DISSECTOR EXPORTED FUNCTION
 ****************************************************************************/

int ws_dissect_OCTVC1_NET( guint8 message_type, guint32 CID, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree )
{
	if (message_type == cOCTVC1_MSG_TYPE_RESPONSE)
		return ws_dissect_OCTVC1_NET_RSP( CID, tvb, pinfo, tree);
	if (message_type == cOCTVC1_MSG_TYPE_COMMAND)
		return ws_dissect_OCTVC1_NET_CMD( CID, tvb, pinfo, tree);
	if (message_type == cOCTVC1_MSG_TYPE_NOTIFICATION )
		return ws_dissect_OCTVC1_NET_EVT( CID, tvb, pinfo, tree);
	else
		return 1;

}

