/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: OCTVC1_GSM_DEFAULT.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description: Contains the event definition of the GSM API.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Octasic_Revision: $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/

#ifndef __OCTVC1_GSM_DEFAULT_H__
#define __OCTVC1_GSM_DEFAULT_H__


/*****************************  INCLUDE FILES  *******************************/
#include "octvc1_gsm_api.h"

/*****************************  COMMAND DEFAULT *****************************/

/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TRXId */
   0, /* byu3TN_u5SAPI */
   0, /* bySubchannelNum */
   0, /* byPad */
   0, /* usFrameNumberMsb */
   0, /* usFrameNumberLsb */
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0, /* aPadding[475] */
       0, /* aPadding[476] */
       0, /* aPadding[477] */
       0, /* aPadding[478] */
       0  /* aPadding[479] */
   }
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_EMPTY_FRAME_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byU2Pad_u6TRXId */
   0, /* byU3TN_u5SAPI */
   0, /* bySubchannelNum */
   0, /* byPad */
   0, /* usFrameNumberMSB */
   0, /* usFrameNumberLSB */
   0, /* usDataLength */
   { /* ausDataContents */
       0, /* ausDataContents[0] */
       0, /* ausDataContents[1] */
       0, /* ausDataContents[2] */
       0, /* ausDataContents[3] */
       0, /* ausDataContents[4] */
       0, /* ausDataContents[5] */
       0, /* ausDataContents[6] */
       0, /* ausDataContents[7] */
       0, /* ausDataContents[8] */
       0, /* ausDataContents[9] */
       0, /* ausDataContents[10] */
       0, /* ausDataContents[11] */
       0, /* ausDataContents[12] */
       0, /* ausDataContents[13] */
       0, /* ausDataContents[14] */
       0, /* ausDataContents[15] */
       0, /* ausDataContents[16] */
       0, /* ausDataContents[17] */
       0, /* ausDataContents[18] */
       0, /* ausDataContents[19] */
       0, /* ausDataContents[20] */
       0, /* ausDataContents[21] */
       0, /* ausDataContents[22] */
       0, /* ausDataContents[23] */
       0, /* ausDataContents[24] */
       0, /* ausDataContents[25] */
       0, /* ausDataContents[26] */
       0, /* ausDataContents[27] */
       0, /* ausDataContents[28] */
       0, /* ausDataContents[29] */
       0, /* ausDataContents[30] */
       0, /* ausDataContents[31] */
       0, /* ausDataContents[32] */
       0, /* ausDataContents[33] */
       0, /* ausDataContents[34] */
       0, /* ausDataContents[35] */
       0, /* ausDataContents[36] */
       0, /* ausDataContents[37] */
       0, /* ausDataContents[38] */
       0, /* ausDataContents[39] */
       0, /* ausDataContents[40] */
       0, /* ausDataContents[41] */
       0, /* ausDataContents[42] */
       0, /* ausDataContents[43] */
       0, /* ausDataContents[44] */
       0, /* ausDataContents[45] */
       0, /* ausDataContents[46] */
       0, /* ausDataContents[47] */
       0, /* ausDataContents[48] */
       0, /* ausDataContents[49] */
       0, /* ausDataContents[50] */
       0, /* ausDataContents[51] */
       0, /* ausDataContents[52] */
       0, /* ausDataContents[53] */
       0, /* ausDataContents[54] */
       0, /* ausDataContents[55] */
       0, /* ausDataContents[56] */
       0, /* ausDataContents[57] */
       0, /* ausDataContents[58] */
       0, /* ausDataContents[59] */
       0, /* ausDataContents[60] */
       0, /* ausDataContents[61] */
       0, /* ausDataContents[62] */
       0, /* ausDataContents[63] */
       0, /* ausDataContents[64] */
       0, /* ausDataContents[65] */
       0, /* ausDataContents[66] */
       0, /* ausDataContents[67] */
       0, /* ausDataContents[68] */
       0, /* ausDataContents[69] */
       0, /* ausDataContents[70] */
       0, /* ausDataContents[71] */
       0, /* ausDataContents[72] */
       0, /* ausDataContents[73] */
       0, /* ausDataContents[74] */
       0, /* ausDataContents[75] */
       0, /* ausDataContents[76] */
       0, /* ausDataContents[77] */
       0, /* ausDataContents[78] */
       0, /* ausDataContents[79] */
       0, /* ausDataContents[80] */
       0, /* ausDataContents[81] */
       0, /* ausDataContents[82] */
       0, /* ausDataContents[83] */
       0, /* ausDataContents[84] */
       0, /* ausDataContents[85] */
       0, /* ausDataContents[86] */
       0, /* ausDataContents[87] */
       0, /* ausDataContents[88] */
       0, /* ausDataContents[89] */
       0, /* ausDataContents[90] */
       0, /* ausDataContents[91] */
       0, /* ausDataContents[92] */
       0, /* ausDataContents[93] */
       0, /* ausDataContents[94] */
       0, /* ausDataContents[95] */
       0, /* ausDataContents[96] */
       0, /* ausDataContents[97] */
       0, /* ausDataContents[98] */
       0, /* ausDataContents[99] */
       0, /* ausDataContents[100] */
       0, /* ausDataContents[101] */
       0, /* ausDataContents[102] */
       0, /* ausDataContents[103] */
       0, /* ausDataContents[104] */
       0, /* ausDataContents[105] */
       0, /* ausDataContents[106] */
       0, /* ausDataContents[107] */
       0, /* ausDataContents[108] */
       0, /* ausDataContents[109] */
       0, /* ausDataContents[110] */
       0, /* ausDataContents[111] */
       0, /* ausDataContents[112] */
       0, /* ausDataContents[113] */
       0, /* ausDataContents[114] */
       0, /* ausDataContents[115] */
       0, /* ausDataContents[116] */
       0, /* ausDataContents[117] */
       0, /* ausDataContents[118] */
       0, /* ausDataContents[119] */
       0, /* ausDataContents[120] */
       0, /* ausDataContents[121] */
       0, /* ausDataContents[122] */
       0, /* ausDataContents[123] */
       0, /* ausDataContents[124] */
       0, /* ausDataContents[125] */
       0, /* ausDataContents[126] */
       0, /* ausDataContents[127] */
       0, /* ausDataContents[128] */
       0, /* ausDataContents[129] */
       0, /* ausDataContents[130] */
       0, /* ausDataContents[131] */
       0, /* ausDataContents[132] */
       0, /* ausDataContents[133] */
       0, /* ausDataContents[134] */
       0, /* ausDataContents[135] */
       0, /* ausDataContents[136] */
       0, /* ausDataContents[137] */
       0, /* ausDataContents[138] */
       0, /* ausDataContents[139] */
       0, /* ausDataContents[140] */
       0, /* ausDataContents[141] */
       0, /* ausDataContents[142] */
       0, /* ausDataContents[143] */
       0, /* ausDataContents[144] */
       0, /* ausDataContents[145] */
       0, /* ausDataContents[146] */
       0, /* ausDataContents[147] */
       0, /* ausDataContents[148] */
       0, /* ausDataContents[149] */
       0, /* ausDataContents[150] */
       0, /* ausDataContents[151] */
       0, /* ausDataContents[152] */
       0, /* ausDataContents[153] */
       0, /* ausDataContents[154] */
       0, /* ausDataContents[155] */
       0, /* ausDataContents[156] */
       0, /* ausDataContents[157] */
       0, /* ausDataContents[158] */
       0, /* ausDataContents[159] */
       0, /* ausDataContents[160] */
       0, /* ausDataContents[161] */
       0, /* ausDataContents[162] */
       0, /* ausDataContents[163] */
       0, /* ausDataContents[164] */
       0, /* ausDataContents[165] */
       0, /* ausDataContents[166] */
       0, /* ausDataContents[167] */
       0, /* ausDataContents[168] */
       0, /* ausDataContents[169] */
       0, /* ausDataContents[170] */
       0, /* ausDataContents[171] */
       0, /* ausDataContents[172] */
       0, /* ausDataContents[173] */
       0, /* ausDataContents[174] */
       0, /* ausDataContents[175] */
       0, /* ausDataContents[176] */
       0, /* ausDataContents[177] */
       0, /* ausDataContents[178] */
       0, /* ausDataContents[179] */
       0, /* ausDataContents[180] */
       0, /* ausDataContents[181] */
       0, /* ausDataContents[182] */
       0, /* ausDataContents[183] */
       0, /* ausDataContents[184] */
       0, /* ausDataContents[185] */
       0, /* ausDataContents[186] */
       0, /* ausDataContents[187] */
       0, /* ausDataContents[188] */
       0, /* ausDataContents[189] */
       0, /* ausDataContents[190] */
       0, /* ausDataContents[191] */
       0, /* ausDataContents[192] */
       0, /* ausDataContents[193] */
       0, /* ausDataContents[194] */
       0, /* ausDataContents[195] */
       0, /* ausDataContents[196] */
       0, /* ausDataContents[197] */
       0, /* ausDataContents[198] */
       0, /* ausDataContents[199] */
       0, /* ausDataContents[200] */
       0, /* ausDataContents[201] */
       0, /* ausDataContents[202] */
       0, /* ausDataContents[203] */
       0, /* ausDataContents[204] */
       0, /* ausDataContents[205] */
       0, /* ausDataContents[206] */
       0, /* ausDataContents[207] */
       0, /* ausDataContents[208] */
       0, /* ausDataContents[209] */
       0, /* ausDataContents[210] */
       0, /* ausDataContents[211] */
       0, /* ausDataContents[212] */
       0, /* ausDataContents[213] */
       0, /* ausDataContents[214] */
       0, /* ausDataContents[215] */
       0, /* ausDataContents[216] */
       0, /* ausDataContents[217] */
       0, /* ausDataContents[218] */
       0, /* ausDataContents[219] */
       0, /* ausDataContents[220] */
       0, /* ausDataContents[221] */
       0, /* ausDataContents[222] */
       0, /* ausDataContents[223] */
       0, /* ausDataContents[224] */
       0, /* ausDataContents[225] */
       0, /* ausDataContents[226] */
       0, /* ausDataContents[227] */
       0, /* ausDataContents[228] */
       0, /* ausDataContents[229] */
       0, /* ausDataContents[230] */
       0, /* ausDataContents[231] */
       0, /* ausDataContents[232] */
       0, /* ausDataContents[233] */
       0, /* ausDataContents[234] */
       0, /* ausDataContents[235] */
       0, /* ausDataContents[236] */
       0, /* ausDataContents[237] */
       0, /* ausDataContents[238] */
       0, /* ausDataContents[239] */
       0, /* ausDataContents[240] */
       0, /* ausDataContents[241] */
       0, /* ausDataContents[242] */
       0, /* ausDataContents[243] */
       0, /* ausDataContents[244] */
       0, /* ausDataContents[245] */
       0, /* ausDataContents[246] */
       0, /* ausDataContents[247] */
       0, /* ausDataContents[248] */
       0, /* ausDataContents[249] */
       0, /* ausDataContents[250] */
       0, /* ausDataContents[251] */
       0, /* ausDataContents[252] */
       0, /* ausDataContents[253] */
       0, /* ausDataContents[254] */
       0, /* ausDataContents[255] */
       0, /* ausDataContents[256] */
       0, /* ausDataContents[257] */
       0, /* ausDataContents[258] */
       0, /* ausDataContents[259] */
       0, /* ausDataContents[260] */
       0, /* ausDataContents[261] */
       0, /* ausDataContents[262] */
       0, /* ausDataContents[263] */
       0, /* ausDataContents[264] */
       0, /* ausDataContents[265] */
       0, /* ausDataContents[266] */
       0, /* ausDataContents[267] */
       0, /* ausDataContents[268] */
       0, /* ausDataContents[269] */
       0, /* ausDataContents[270] */
       0, /* ausDataContents[271] */
       0, /* ausDataContents[272] */
       0, /* ausDataContents[273] */
       0, /* ausDataContents[274] */
       0, /* ausDataContents[275] */
       0, /* ausDataContents[276] */
       0, /* ausDataContents[277] */
       0, /* ausDataContents[278] */
       0, /* ausDataContents[279] */
       0, /* ausDataContents[280] */
       0, /* ausDataContents[281] */
       0, /* ausDataContents[282] */
       0, /* ausDataContents[283] */
       0, /* ausDataContents[284] */
       0, /* ausDataContents[285] */
       0, /* ausDataContents[286] */
       0, /* ausDataContents[287] */
       0, /* ausDataContents[288] */
       0, /* ausDataContents[289] */
       0, /* ausDataContents[290] */
       0, /* ausDataContents[291] */
       0, /* ausDataContents[292] */
       0, /* ausDataContents[293] */
       0, /* ausDataContents[294] */
       0, /* ausDataContents[295] */
       0, /* ausDataContents[296] */
       0, /* ausDataContents[297] */
       0, /* ausDataContents[298] */
       0, /* ausDataContents[299] */
       0, /* ausDataContents[300] */
       0, /* ausDataContents[301] */
       0, /* ausDataContents[302] */
       0, /* ausDataContents[303] */
       0, /* ausDataContents[304] */
       0, /* ausDataContents[305] */
       0, /* ausDataContents[306] */
       0, /* ausDataContents[307] */
       0, /* ausDataContents[308] */
       0, /* ausDataContents[309] */
       0, /* ausDataContents[310] */
       0, /* ausDataContents[311] */
       0, /* ausDataContents[312] */
       0, /* ausDataContents[313] */
       0, /* ausDataContents[314] */
       0, /* ausDataContents[315] */
       0, /* ausDataContents[316] */
       0, /* ausDataContents[317] */
       0, /* ausDataContents[318] */
       0, /* ausDataContents[319] */
       0, /* ausDataContents[320] */
       0, /* ausDataContents[321] */
       0, /* ausDataContents[322] */
       0, /* ausDataContents[323] */
       0, /* ausDataContents[324] */
       0, /* ausDataContents[325] */
       0, /* ausDataContents[326] */
       0, /* ausDataContents[327] */
       0, /* ausDataContents[328] */
       0, /* ausDataContents[329] */
       0, /* ausDataContents[330] */
       0, /* ausDataContents[331] */
       0, /* ausDataContents[332] */
       0, /* ausDataContents[333] */
       0, /* ausDataContents[334] */
       0, /* ausDataContents[335] */
       0, /* ausDataContents[336] */
       0, /* ausDataContents[337] */
       0, /* ausDataContents[338] */
       0, /* ausDataContents[339] */
       0, /* ausDataContents[340] */
       0, /* ausDataContents[341] */
       0, /* ausDataContents[342] */
       0, /* ausDataContents[343] */
       0, /* ausDataContents[344] */
       0, /* ausDataContents[345] */
       0, /* ausDataContents[346] */
       0, /* ausDataContents[347] */
       0, /* ausDataContents[348] */
       0, /* ausDataContents[349] */
       0, /* ausDataContents[350] */
       0, /* ausDataContents[351] */
       0, /* ausDataContents[352] */
       0, /* ausDataContents[353] */
       0, /* ausDataContents[354] */
       0, /* ausDataContents[355] */
       0, /* ausDataContents[356] */
       0, /* ausDataContents[357] */
       0, /* ausDataContents[358] */
       0, /* ausDataContents[359] */
       0, /* ausDataContents[360] */
       0, /* ausDataContents[361] */
       0, /* ausDataContents[362] */
       0, /* ausDataContents[363] */
       0, /* ausDataContents[364] */
       0, /* ausDataContents[365] */
       0, /* ausDataContents[366] */
       0, /* ausDataContents[367] */
       0, /* ausDataContents[368] */
       0, /* ausDataContents[369] */
       0, /* ausDataContents[370] */
       0, /* ausDataContents[371] */
       0, /* ausDataContents[372] */
       0, /* ausDataContents[373] */
       0, /* ausDataContents[374] */
       0, /* ausDataContents[375] */
       0, /* ausDataContents[376] */
       0, /* ausDataContents[377] */
       0, /* ausDataContents[378] */
       0, /* ausDataContents[379] */
       0, /* ausDataContents[380] */
       0, /* ausDataContents[381] */
       0, /* ausDataContents[382] */
       0, /* ausDataContents[383] */
       0, /* ausDataContents[384] */
       0, /* ausDataContents[385] */
       0, /* ausDataContents[386] */
       0, /* ausDataContents[387] */
       0, /* ausDataContents[388] */
       0, /* ausDataContents[389] */
       0, /* ausDataContents[390] */
       0, /* ausDataContents[391] */
       0, /* ausDataContents[392] */
       0, /* ausDataContents[393] */
       0, /* ausDataContents[394] */
       0, /* ausDataContents[395] */
       0, /* ausDataContents[396] */
       0, /* ausDataContents[397] */
       0, /* ausDataContents[398] */
       0, /* ausDataContents[399] */
       0, /* ausDataContents[400] */
       0, /* ausDataContents[401] */
       0, /* ausDataContents[402] */
       0, /* ausDataContents[403] */
       0, /* ausDataContents[404] */
       0, /* ausDataContents[405] */
       0, /* ausDataContents[406] */
       0, /* ausDataContents[407] */
       0, /* ausDataContents[408] */
       0, /* ausDataContents[409] */
       0, /* ausDataContents[410] */
       0, /* ausDataContents[411] */
       0, /* ausDataContents[412] */
       0, /* ausDataContents[413] */
       0, /* ausDataContents[414] */
       0, /* ausDataContents[415] */
       0, /* ausDataContents[416] */
       0, /* ausDataContents[417] */
       0, /* ausDataContents[418] */
       0, /* ausDataContents[419] */
       0, /* ausDataContents[420] */
       0, /* ausDataContents[421] */
       0, /* ausDataContents[422] */
       0, /* ausDataContents[423] */
       0, /* ausDataContents[424] */
       0, /* ausDataContents[425] */
       0, /* ausDataContents[426] */
       0, /* ausDataContents[427] */
       0, /* ausDataContents[428] */
       0, /* ausDataContents[429] */
       0, /* ausDataContents[430] */
       0, /* ausDataContents[431] */
       0, /* ausDataContents[432] */
       0, /* ausDataContents[433] */
       0, /* ausDataContents[434] */
       0, /* ausDataContents[435] */
       0, /* ausDataContents[436] */
       0, /* ausDataContents[437] */
       0, /* ausDataContents[438] */
       0, /* ausDataContents[439] */
       0, /* ausDataContents[440] */
       0, /* ausDataContents[441] */
       0, /* ausDataContents[442] */
       0, /* ausDataContents[443] */
       0, /* ausDataContents[444] */
       0, /* ausDataContents[445] */
       0, /* ausDataContents[446] */
       0, /* ausDataContents[447] */
       0, /* ausDataContents[448] */
       0, /* ausDataContents[449] */
       0, /* ausDataContents[450] */
       0, /* ausDataContents[451] */
       0, /* ausDataContents[452] */
       0, /* ausDataContents[453] */
       0, /* ausDataContents[454] */
       0, /* ausDataContents[455] */
       0, /* ausDataContents[456] */
       0, /* ausDataContents[457] */
       0, /* ausDataContents[458] */
       0, /* ausDataContents[459] */
       0, /* ausDataContents[460] */
       0, /* ausDataContents[461] */
       0, /* ausDataContents[462] */
       0, /* ausDataContents[463] */
       0, /* ausDataContents[464] */
       0, /* ausDataContents[465] */
       0, /* ausDataContents[466] */
       0, /* ausDataContents[467] */
       0, /* ausDataContents[468] */
       0, /* ausDataContents[469] */
       0, /* ausDataContents[470] */
       0, /* ausDataContents[471] */
       0, /* ausDataContents[472] */
       0, /* ausDataContents[473] */
       0, /* ausDataContents[474] */
       0, /* ausDataContents[475] */
       0, /* ausDataContents[476] */
       0  /* ausDataContents[477] */
   }
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_REQUEST_DATA_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TrxId */
   0, /* byu5Pad_u3TimeslotNumber */
   0, /* byChannelType */
   0, /* byPayloadType */
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0, /* aPadding[475] */
       0, /* aPadding[476] */
       0, /* aPadding[477] */
       0, /* aPadding[478] */
       0, /* aPadding[479] */
       0, /* aPadding[480] */
       0, /* aPadding[481] */
       0, /* aPadding[482] */
       0  /* aPadding[483] */
   }
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONNECT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TrxId */
   0, /* byu5Pad_u3TimeslotNumber */
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0  /* aPadding[475] */
   }
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_DISCONNECT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TRX_STATUS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TRX_STATUS_CMD buf_tOCTVC1_GSM_MSG_TRX_STATUS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TRX_STATUS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TRX_STATUS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usu2Pad_u6TRXId_u8Pad */
};

const tOCTVC1_GSM_MSG_TRX_STATUS_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_CMD =
    &buf_tOCTVC1_GSM_MSG_TRX_STATUS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TRX_STATUS_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TRX_STATUS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD buf_tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usu2Pad_u6TRXId_u5Pad_u3TN */
};

const tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD =
    &buf_tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TRX_STATUS_TIMESLOT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TRX_RESET_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TRX_RESET_CMD buf_tOCTVC1_GSM_MSG_TRX_RESET_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TRX_RESET_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TRX_RESET_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* usu2Pad_u6TRXId_u8Pad */
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0, /* aPadding[475] */
       0, /* aPadding[476] */
       0, /* aPadding[477] */
       0, /* aPadding[478] */
       0, /* aPadding[479] */
       0, /* aPadding[480] */
       0, /* aPadding[481] */
       0, /* aPadding[482] */
       0, /* aPadding[483] */
       0, /* aPadding[484] */
       0  /* aPadding[485] */
   }
};

const tOCTVC1_GSM_MSG_TRX_RESET_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_RESET_CMD =
    &buf_tOCTVC1_GSM_MSG_TRX_RESET_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TRX_RESET_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_RESET_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TRX_RESET_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TRX_RESET_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0  /* aPadding[461] */
   }
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_RESET_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD buf_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TRXId */
   0, /* byu2Pad_u3TN_u3Dir */
   0, /* bySubchannelNum */
   0, /* byu3Pad_u5SAPI */
   0, /* byTimingAdvance */
   0, /* byPad */
   0, /* byBSIC */
   0, /* byu1CMIPhase_u7InitRate */
   0, /* byu4Rate1_u4Rate2 */
   0, /* byu4Rate3_u4Rate4 */
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0  /* aPadding[475] */
   }
};

const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD =
    &buf_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_ACTIVATE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD buf_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TRXId */
   0, /* byu2Pad_u3TN_u3Dir */
   0, /* bySubchannelNum */
   0  /* byu3Pad_u5SAPI */
};

const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD =
    &buf_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_LOGICAL_CHANNEL_DEACTIVATE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TRXId */
   0, /* byu2Pad_u3TN_u3Dir */
   0, /* bySubchannelNum */
   0, /* byuCipherId */
   0, /* usKC0 */
   0, /* usKC1 */
   0, /* usKC2 */
   0  /* usKC3 */
};

const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD =
    &buf_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PHYSICAL_CHANNEL_CONFIGURE_CIPHERING_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD buf_tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0, /* aPadding[349] */
       0, /* aPadding[350] */
       0, /* aPadding[351] */
       0, /* aPadding[352] */
       0, /* aPadding[353] */
       0, /* aPadding[354] */
       0, /* aPadding[355] */
       0, /* aPadding[356] */
       0, /* aPadding[357] */
       0, /* aPadding[358] */
       0, /* aPadding[359] */
       0, /* aPadding[360] */
       0, /* aPadding[361] */
       0, /* aPadding[362] */
       0, /* aPadding[363] */
       0, /* aPadding[364] */
       0, /* aPadding[365] */
       0, /* aPadding[366] */
       0, /* aPadding[367] */
       0, /* aPadding[368] */
       0, /* aPadding[369] */
       0, /* aPadding[370] */
       0, /* aPadding[371] */
       0, /* aPadding[372] */
       0, /* aPadding[373] */
       0, /* aPadding[374] */
       0, /* aPadding[375] */
       0, /* aPadding[376] */
       0, /* aPadding[377] */
       0, /* aPadding[378] */
       0, /* aPadding[379] */
       0, /* aPadding[380] */
       0, /* aPadding[381] */
       0, /* aPadding[382] */
       0, /* aPadding[383] */
       0, /* aPadding[384] */
       0, /* aPadding[385] */
       0, /* aPadding[386] */
       0, /* aPadding[387] */
       0, /* aPadding[388] */
       0, /* aPadding[389] */
       0, /* aPadding[390] */
       0, /* aPadding[391] */
       0, /* aPadding[392] */
       0, /* aPadding[393] */
       0, /* aPadding[394] */
       0, /* aPadding[395] */
       0, /* aPadding[396] */
       0, /* aPadding[397] */
       0, /* aPadding[398] */
       0, /* aPadding[399] */
       0, /* aPadding[400] */
       0, /* aPadding[401] */
       0, /* aPadding[402] */
       0, /* aPadding[403] */
       0, /* aPadding[404] */
       0, /* aPadding[405] */
       0, /* aPadding[406] */
       0, /* aPadding[407] */
       0, /* aPadding[408] */
       0, /* aPadding[409] */
       0, /* aPadding[410] */
       0, /* aPadding[411] */
       0, /* aPadding[412] */
       0, /* aPadding[413] */
       0, /* aPadding[414] */
       0, /* aPadding[415] */
       0, /* aPadding[416] */
       0, /* aPadding[417] */
       0, /* aPadding[418] */
       0, /* aPadding[419] */
       0, /* aPadding[420] */
       0, /* aPadding[421] */
       0, /* aPadding[422] */
       0, /* aPadding[423] */
       0, /* aPadding[424] */
       0, /* aPadding[425] */
       0, /* aPadding[426] */
       0, /* aPadding[427] */
       0, /* aPadding[428] */
       0, /* aPadding[429] */
       0, /* aPadding[430] */
       0, /* aPadding[431] */
       0, /* aPadding[432] */
       0, /* aPadding[433] */
       0, /* aPadding[434] */
       0, /* aPadding[435] */
       0, /* aPadding[436] */
       0, /* aPadding[437] */
       0, /* aPadding[438] */
       0, /* aPadding[439] */
       0, /* aPadding[440] */
       0, /* aPadding[441] */
       0, /* aPadding[442] */
       0, /* aPadding[443] */
       0, /* aPadding[444] */
       0, /* aPadding[445] */
       0, /* aPadding[446] */
       0, /* aPadding[447] */
       0, /* aPadding[448] */
       0, /* aPadding[449] */
       0, /* aPadding[450] */
       0, /* aPadding[451] */
       0, /* aPadding[452] */
       0, /* aPadding[453] */
       0, /* aPadding[454] */
       0, /* aPadding[455] */
       0, /* aPadding[456] */
       0, /* aPadding[457] */
       0, /* aPadding[458] */
       0, /* aPadding[459] */
       0, /* aPadding[460] */
       0, /* aPadding[461] */
       0, /* aPadding[462] */
       0, /* aPadding[463] */
       0, /* aPadding[464] */
       0, /* aPadding[465] */
       0, /* aPadding[466] */
       0, /* aPadding[467] */
       0, /* aPadding[468] */
       0, /* aPadding[469] */
       0, /* aPadding[470] */
       0, /* aPadding[471] */
       0, /* aPadding[472] */
       0, /* aPadding[473] */
       0, /* aPadding[474] */
       0, /* aPadding[475] */
       0, /* aPadding[476] */
       0, /* aPadding[477] */
       0, /* aPadding[478] */
       0, /* aPadding[479] */
       0, /* aPadding[480] */
       0, /* aPadding[481] */
       0, /* aPadding[482] */
       0, /* aPadding[483] */
       0, /* aPadding[484] */
       0, /* aPadding[485] */
       0, /* aPadding[486] */
       0  /* aPadding[487] */
   }
};

const tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD =
    &buf_tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_HARDWARE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD buf_tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* byu2Pad_u6TRXId */
   0  /* byu5Pad_u3TN */
};

const tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD =
    &buf_tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TRX_REQUEST_TIMESLOT_MEASUREMENT_REPORT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD buf_tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TEST_START_ETSI_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usTodo */
};

const tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD =
    &buf_tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TEST_START_ETSI_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_ETSI_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TEST_START_FCC_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TEST_START_FCC_CMD buf_tOCTVC1_GSM_MSG_TEST_START_FCC_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TEST_START_FCC_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TEST_START_FCC_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usTodo */
};

const tOCTVC1_GSM_MSG_TEST_START_FCC_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_FCC_CMD =
    &buf_tOCTVC1_GSM_MSG_TEST_START_FCC_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TEST_START_FCC_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_FCC_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TEST_START_FCC_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TEST_START_FCC_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD buf_tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TEST_END_ETSI_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usTodo */
};

const tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD =
    &buf_tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TEST_END_ETSI_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_ETSI_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TEST_END_FCC_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TEST_END_FCC_CMD buf_tOCTVC1_GSM_MSG_TEST_END_FCC_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TEST_END_FCC_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TEST_END_FCC_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0  /* usTodo */
};

const tOCTVC1_GSM_MSG_TEST_END_FCC_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_FCC_CMD =
    &buf_tOCTVC1_GSM_MSG_TEST_END_FCC_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TEST_END_FCC_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_FCC_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TEST_END_FCC_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TEST_END_FCC_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD buf_tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   (cOCTVC1_GSM_EVT_MASK_MESSAGE|cOCTVC1_GSM_EVT_MASK_ERROR), /* ulEventMask */
   0, /* ulUserEventId */
   { /* hEventDestObj */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   0, /* ulEventDestObjPort */
   0  /* ulEventDestObjFifoId */
};

const tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD =
    &buf_tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_MODIFY_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD buf_tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_MODULE_INFO_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD =
    &buf_tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_MODULE_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_MODULE_INFO_CMD buf_tOCTVC1_GSM_MSG_MODULE_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_MODULE_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_MODULE_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   }
};

const tOCTVC1_GSM_MSG_MODULE_INFO_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_CMD =
    &buf_tOCTVC1_GSM_MSG_MODULE_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_MODULE_INFO_CMD *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_MODULE_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_MODULE_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hProcessUnit */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   },
   cOCTVC1_DO_NOT_MODIFY, /* ulUserEventId */
   (cOCTVC1_GSM_EVT_MASK_MESSAGE|cOCTVC1_GSM_EVT_MASK_ERROR), /* ulEventMask */
   (cOCTVC1_GSM_EVT_MASK_MESSAGE|cOCTVC1_GSM_EVT_MASK_ERROR)  /* ulDebugFwdEventMask */
};

const tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD =
    &buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_MODIFY_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* hProcessUnit */
       { /* aulHandle */
           cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
           0, /* aulHandle[1] */
           0  /* aulHandle[2] */
       }
   }
};

const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD =
    &buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_EVT_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD buf_tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_TRX_CONFIGURE_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   0, /* u6TrxId_u4band_u1H_u5TSC */
   0, /* ARFCN */
   0, /* BCCH_ARFCN */
   0, /* HSN */
   0, /* MAIO */
   0, /* HoppingListLength */
   { /* ausHoppingList */
       0, /* ausHoppingList[0] */
       0, /* ausHoppingList[1] */
       0, /* ausHoppingList[2] */
       0, /* ausHoppingList[3] */
       0, /* ausHoppingList[4] */
       0, /* ausHoppingList[5] */
       0, /* ausHoppingList[6] */
       0, /* ausHoppingList[7] */
       0, /* ausHoppingList[8] */
       0, /* ausHoppingList[9] */
       0, /* ausHoppingList[10] */
       0, /* ausHoppingList[11] */
       0, /* ausHoppingList[12] */
       0, /* ausHoppingList[13] */
       0, /* ausHoppingList[14] */
       0, /* ausHoppingList[15] */
       0, /* ausHoppingList[16] */
       0, /* ausHoppingList[17] */
       0, /* ausHoppingList[18] */
       0, /* ausHoppingList[19] */
       0, /* ausHoppingList[20] */
       0, /* ausHoppingList[21] */
       0, /* ausHoppingList[22] */
       0, /* ausHoppingList[23] */
       0, /* ausHoppingList[24] */
       0, /* ausHoppingList[25] */
       0, /* ausHoppingList[26] */
       0, /* ausHoppingList[27] */
       0, /* ausHoppingList[28] */
       0, /* ausHoppingList[29] */
       0, /* ausHoppingList[30] */
       0, /* ausHoppingList[31] */
       0, /* ausHoppingList[32] */
       0, /* ausHoppingList[33] */
       0, /* ausHoppingList[34] */
       0, /* ausHoppingList[35] */
       0, /* ausHoppingList[36] */
       0, /* ausHoppingList[37] */
       0, /* ausHoppingList[38] */
       0, /* ausHoppingList[39] */
       0, /* ausHoppingList[40] */
       0, /* ausHoppingList[41] */
       0, /* ausHoppingList[42] */
       0, /* ausHoppingList[43] */
       0, /* ausHoppingList[44] */
       0, /* ausHoppingList[45] */
       0, /* ausHoppingList[46] */
       0, /* ausHoppingList[47] */
       0, /* ausHoppingList[48] */
       0, /* ausHoppingList[49] */
       0, /* ausHoppingList[50] */
       0, /* ausHoppingList[51] */
       0, /* ausHoppingList[52] */
       0, /* ausHoppingList[53] */
       0, /* ausHoppingList[54] */
       0, /* ausHoppingList[55] */
       0, /* ausHoppingList[56] */
       0, /* ausHoppingList[57] */
       0, /* ausHoppingList[58] */
       0, /* ausHoppingList[59] */
       0, /* ausHoppingList[60] */
       0, /* ausHoppingList[61] */
       0, /* ausHoppingList[62] */
       0  /* ausHoppingList[63] */
   },
   { /* aPadding */
       0, /* aPadding[0] */
       0, /* aPadding[1] */
       0, /* aPadding[2] */
       0, /* aPadding[3] */
       0, /* aPadding[4] */
       0, /* aPadding[5] */
       0, /* aPadding[6] */
       0, /* aPadding[7] */
       0, /* aPadding[8] */
       0, /* aPadding[9] */
       0, /* aPadding[10] */
       0, /* aPadding[11] */
       0, /* aPadding[12] */
       0, /* aPadding[13] */
       0, /* aPadding[14] */
       0, /* aPadding[15] */
       0, /* aPadding[16] */
       0, /* aPadding[17] */
       0, /* aPadding[18] */
       0, /* aPadding[19] */
       0, /* aPadding[20] */
       0, /* aPadding[21] */
       0, /* aPadding[22] */
       0, /* aPadding[23] */
       0, /* aPadding[24] */
       0, /* aPadding[25] */
       0, /* aPadding[26] */
       0, /* aPadding[27] */
       0, /* aPadding[28] */
       0, /* aPadding[29] */
       0, /* aPadding[30] */
       0, /* aPadding[31] */
       0, /* aPadding[32] */
       0, /* aPadding[33] */
       0, /* aPadding[34] */
       0, /* aPadding[35] */
       0, /* aPadding[36] */
       0, /* aPadding[37] */
       0, /* aPadding[38] */
       0, /* aPadding[39] */
       0, /* aPadding[40] */
       0, /* aPadding[41] */
       0, /* aPadding[42] */
       0, /* aPadding[43] */
       0, /* aPadding[44] */
       0, /* aPadding[45] */
       0, /* aPadding[46] */
       0, /* aPadding[47] */
       0, /* aPadding[48] */
       0, /* aPadding[49] */
       0, /* aPadding[50] */
       0, /* aPadding[51] */
       0, /* aPadding[52] */
       0, /* aPadding[53] */
       0, /* aPadding[54] */
       0, /* aPadding[55] */
       0, /* aPadding[56] */
       0, /* aPadding[57] */
       0, /* aPadding[58] */
       0, /* aPadding[59] */
       0, /* aPadding[60] */
       0, /* aPadding[61] */
       0, /* aPadding[62] */
       0, /* aPadding[63] */
       0, /* aPadding[64] */
       0, /* aPadding[65] */
       0, /* aPadding[66] */
       0, /* aPadding[67] */
       0, /* aPadding[68] */
       0, /* aPadding[69] */
       0, /* aPadding[70] */
       0, /* aPadding[71] */
       0, /* aPadding[72] */
       0, /* aPadding[73] */
       0, /* aPadding[74] */
       0, /* aPadding[75] */
       0, /* aPadding[76] */
       0, /* aPadding[77] */
       0, /* aPadding[78] */
       0, /* aPadding[79] */
       0, /* aPadding[80] */
       0, /* aPadding[81] */
       0, /* aPadding[82] */
       0, /* aPadding[83] */
       0, /* aPadding[84] */
       0, /* aPadding[85] */
       0, /* aPadding[86] */
       0, /* aPadding[87] */
       0, /* aPadding[88] */
       0, /* aPadding[89] */
       0, /* aPadding[90] */
       0, /* aPadding[91] */
       0, /* aPadding[92] */
       0, /* aPadding[93] */
       0, /* aPadding[94] */
       0, /* aPadding[95] */
       0, /* aPadding[96] */
       0, /* aPadding[97] */
       0, /* aPadding[98] */
       0, /* aPadding[99] */
       0, /* aPadding[100] */
       0, /* aPadding[101] */
       0, /* aPadding[102] */
       0, /* aPadding[103] */
       0, /* aPadding[104] */
       0, /* aPadding[105] */
       0, /* aPadding[106] */
       0, /* aPadding[107] */
       0, /* aPadding[108] */
       0, /* aPadding[109] */
       0, /* aPadding[110] */
       0, /* aPadding[111] */
       0, /* aPadding[112] */
       0, /* aPadding[113] */
       0, /* aPadding[114] */
       0, /* aPadding[115] */
       0, /* aPadding[116] */
       0, /* aPadding[117] */
       0, /* aPadding[118] */
       0, /* aPadding[119] */
       0, /* aPadding[120] */
       0, /* aPadding[121] */
       0, /* aPadding[122] */
       0, /* aPadding[123] */
       0, /* aPadding[124] */
       0, /* aPadding[125] */
       0, /* aPadding[126] */
       0, /* aPadding[127] */
       0, /* aPadding[128] */
       0, /* aPadding[129] */
       0, /* aPadding[130] */
       0, /* aPadding[131] */
       0, /* aPadding[132] */
       0, /* aPadding[133] */
       0, /* aPadding[134] */
       0, /* aPadding[135] */
       0, /* aPadding[136] */
       0, /* aPadding[137] */
       0, /* aPadding[138] */
       0, /* aPadding[139] */
       0, /* aPadding[140] */
       0, /* aPadding[141] */
       0, /* aPadding[142] */
       0, /* aPadding[143] */
       0, /* aPadding[144] */
       0, /* aPadding[145] */
       0, /* aPadding[146] */
       0, /* aPadding[147] */
       0, /* aPadding[148] */
       0, /* aPadding[149] */
       0, /* aPadding[150] */
       0, /* aPadding[151] */
       0, /* aPadding[152] */
       0, /* aPadding[153] */
       0, /* aPadding[154] */
       0, /* aPadding[155] */
       0, /* aPadding[156] */
       0, /* aPadding[157] */
       0, /* aPadding[158] */
       0, /* aPadding[159] */
       0, /* aPadding[160] */
       0, /* aPadding[161] */
       0, /* aPadding[162] */
       0, /* aPadding[163] */
       0, /* aPadding[164] */
       0, /* aPadding[165] */
       0, /* aPadding[166] */
       0, /* aPadding[167] */
       0, /* aPadding[168] */
       0, /* aPadding[169] */
       0, /* aPadding[170] */
       0, /* aPadding[171] */
       0, /* aPadding[172] */
       0, /* aPadding[173] */
       0, /* aPadding[174] */
       0, /* aPadding[175] */
       0, /* aPadding[176] */
       0, /* aPadding[177] */
       0, /* aPadding[178] */
       0, /* aPadding[179] */
       0, /* aPadding[180] */
       0, /* aPadding[181] */
       0, /* aPadding[182] */
       0, /* aPadding[183] */
       0, /* aPadding[184] */
       0, /* aPadding[185] */
       0, /* aPadding[186] */
       0, /* aPadding[187] */
       0, /* aPadding[188] */
       0, /* aPadding[189] */
       0, /* aPadding[190] */
       0, /* aPadding[191] */
       0, /* aPadding[192] */
       0, /* aPadding[193] */
       0, /* aPadding[194] */
       0, /* aPadding[195] */
       0, /* aPadding[196] */
       0, /* aPadding[197] */
       0, /* aPadding[198] */
       0, /* aPadding[199] */
       0, /* aPadding[200] */
       0, /* aPadding[201] */
       0, /* aPadding[202] */
       0, /* aPadding[203] */
       0, /* aPadding[204] */
       0, /* aPadding[205] */
       0, /* aPadding[206] */
       0, /* aPadding[207] */
       0, /* aPadding[208] */
       0, /* aPadding[209] */
       0, /* aPadding[210] */
       0, /* aPadding[211] */
       0, /* aPadding[212] */
       0, /* aPadding[213] */
       0, /* aPadding[214] */
       0, /* aPadding[215] */
       0, /* aPadding[216] */
       0, /* aPadding[217] */
       0, /* aPadding[218] */
       0, /* aPadding[219] */
       0, /* aPadding[220] */
       0, /* aPadding[221] */
       0, /* aPadding[222] */
       0, /* aPadding[223] */
       0, /* aPadding[224] */
       0, /* aPadding[225] */
       0, /* aPadding[226] */
       0, /* aPadding[227] */
       0, /* aPadding[228] */
       0, /* aPadding[229] */
       0, /* aPadding[230] */
       0, /* aPadding[231] */
       0, /* aPadding[232] */
       0, /* aPadding[233] */
       0, /* aPadding[234] */
       0, /* aPadding[235] */
       0, /* aPadding[236] */
       0, /* aPadding[237] */
       0, /* aPadding[238] */
       0, /* aPadding[239] */
       0, /* aPadding[240] */
       0, /* aPadding[241] */
       0, /* aPadding[242] */
       0, /* aPadding[243] */
       0, /* aPadding[244] */
       0, /* aPadding[245] */
       0, /* aPadding[246] */
       0, /* aPadding[247] */
       0, /* aPadding[248] */
       0, /* aPadding[249] */
       0, /* aPadding[250] */
       0, /* aPadding[251] */
       0, /* aPadding[252] */
       0, /* aPadding[253] */
       0, /* aPadding[254] */
       0, /* aPadding[255] */
       0, /* aPadding[256] */
       0, /* aPadding[257] */
       0, /* aPadding[258] */
       0, /* aPadding[259] */
       0, /* aPadding[260] */
       0, /* aPadding[261] */
       0, /* aPadding[262] */
       0, /* aPadding[263] */
       0, /* aPadding[264] */
       0, /* aPadding[265] */
       0, /* aPadding[266] */
       0, /* aPadding[267] */
       0, /* aPadding[268] */
       0, /* aPadding[269] */
       0, /* aPadding[270] */
       0, /* aPadding[271] */
       0, /* aPadding[272] */
       0, /* aPadding[273] */
       0, /* aPadding[274] */
       0, /* aPadding[275] */
       0, /* aPadding[276] */
       0, /* aPadding[277] */
       0, /* aPadding[278] */
       0, /* aPadding[279] */
       0, /* aPadding[280] */
       0, /* aPadding[281] */
       0, /* aPadding[282] */
       0, /* aPadding[283] */
       0, /* aPadding[284] */
       0, /* aPadding[285] */
       0, /* aPadding[286] */
       0, /* aPadding[287] */
       0, /* aPadding[288] */
       0, /* aPadding[289] */
       0, /* aPadding[290] */
       0, /* aPadding[291] */
       0, /* aPadding[292] */
       0, /* aPadding[293] */
       0, /* aPadding[294] */
       0, /* aPadding[295] */
       0, /* aPadding[296] */
       0, /* aPadding[297] */
       0, /* aPadding[298] */
       0, /* aPadding[299] */
       0, /* aPadding[300] */
       0, /* aPadding[301] */
       0, /* aPadding[302] */
       0, /* aPadding[303] */
       0, /* aPadding[304] */
       0, /* aPadding[305] */
       0, /* aPadding[306] */
       0, /* aPadding[307] */
       0, /* aPadding[308] */
       0, /* aPadding[309] */
       0, /* aPadding[310] */
       0, /* aPadding[311] */
       0, /* aPadding[312] */
       0, /* aPadding[313] */
       0, /* aPadding[314] */
       0, /* aPadding[315] */
       0, /* aPadding[316] */
       0, /* aPadding[317] */
       0, /* aPadding[318] */
       0, /* aPadding[319] */
       0, /* aPadding[320] */
       0, /* aPadding[321] */
       0, /* aPadding[322] */
       0, /* aPadding[323] */
       0, /* aPadding[324] */
       0, /* aPadding[325] */
       0, /* aPadding[326] */
       0, /* aPadding[327] */
       0, /* aPadding[328] */
       0, /* aPadding[329] */
       0, /* aPadding[330] */
       0, /* aPadding[331] */
       0, /* aPadding[332] */
       0, /* aPadding[333] */
       0, /* aPadding[334] */
       0, /* aPadding[335] */
       0, /* aPadding[336] */
       0, /* aPadding[337] */
       0, /* aPadding[338] */
       0, /* aPadding[339] */
       0, /* aPadding[340] */
       0, /* aPadding[341] */
       0, /* aPadding[342] */
       0, /* aPadding[343] */
       0, /* aPadding[344] */
       0, /* aPadding[345] */
       0, /* aPadding[346] */
       0, /* aPadding[347] */
       0, /* aPadding[348] */
       0  /* aPadding[349] */
   }
};

const tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD =
    &buf_tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD *g_pOctDef_tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_TRX_CONFIGURE_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectCursor */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD =
    &buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_LIST_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   }
};

const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD =
    &buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_INFO_CMD; \
    }


/*--------------------------------------------------------------------------
    tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD
----------------------------------------------------------------------------*/
#ifdef OCTVC1_OPT_DECLARE_DEFAULTS

const tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD =
{
   { /* Header */
       ((sizeof(tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD)<<cOCTVC1_MSG_LENGTH_BIT_OFFSET)&cOCTVC1_MSG_LENGTH_BIT_MASK), /* ulLength */
       0, /* ulTransactionId */
       ((cOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CID<<cOCTVC1_MSG_ID_BIT_OFFSET)&cOCTVC1_MSG_ID_BIT_MASK), /* ul_Type_R_CmdId */
       0, /* ulSessionId */
       0, /* ulReturnCode */
       0  /* ulUserInfo */
   },
   { /* ObjectGet */
       { /* hObject */
           { /* aulHandle */
               cOCTVC1_HANDLE_INVALID, /* aulHandle[0] */
               0, /* aulHandle[1] */
               0  /* aulHandle[2] */
           }
       },
       cOCTVC1_OBJECT_CURSOR_ENUM_FIRST  /* ulGetMode */
   },
   0  /* ulResetStatsFlag */
};

const tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD =
    &buf_tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD;

#else /* OCTVC1_OPT_DECLARE_DEFAULTS */
extern const tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD;
#endif /* OCTVC1_OPT_DECLARE_DEFAULTS */

#define mOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD_DEF(pSt) \
    { \
        *pSt = *g_pOctDef_tOCTVC1_GSM_MSG_PROCESS_UNIT_STATS_CMD; \
    }


#endif /* __OCTVC1_GSM_DEFAULT_H__ */

