/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_main_api_swap.h	

Copyright (c) 2014 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.	

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_MAIN_API_SWAP_H__
#define __OCTVC1_MAIN_API_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_main_api.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_LICENSING_CURSOR_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_LICENSING_CURSOR * pOCTVC1_MAIN_LICENSING_CURSOR = (_f_pParms); \
	((tOCTVC1_MAIN_LICENSING_CURSOR *)pOCTVC1_MAIN_LICENSING_CURSOR)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LICENSING_CURSOR *)pOCTVC1_MAIN_LICENSING_CURSOR)->ulGetMode); \
}
#else
#define mOCTVC1_MAIN_LICENSING_CURSOR_SWAP( pOCTVC1_MAIN_LICENSING_CURSOR )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_THREAD_CPU_USAGE_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_THREAD_CPU_USAGE * pOCTVC1_MAIN_THREAD_CPU_USAGE = (_f_pParms); \
	((tOCTVC1_MAIN_THREAD_CPU_USAGE *)pOCTVC1_MAIN_THREAD_CPU_USAGE)->hThread = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_THREAD_CPU_USAGE *)pOCTVC1_MAIN_THREAD_CPU_USAGE)->hThread); \
	((tOCTVC1_MAIN_THREAD_CPU_USAGE *)pOCTVC1_MAIN_THREAD_CPU_USAGE)->ulCpuUsagePercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_THREAD_CPU_USAGE *)pOCTVC1_MAIN_THREAD_CPU_USAGE)->ulCpuUsagePercent); \
}
#else
#define mOCTVC1_MAIN_THREAD_CPU_USAGE_SWAP( pOCTVC1_MAIN_THREAD_CPU_USAGE )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_OPUS_CORE_STATUS_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_OPUS_CORE_STATUS * pOCTVC1_MAIN_OPUS_CORE_STATUS = (_f_pParms); \
	((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulCoreStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulCoreStatus); \
	((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulProgramCounter = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulProgramCounter); \
	((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulFailureMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulFailureMask); \
	((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulAccessViolationAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_STATUS *)pOCTVC1_MAIN_OPUS_CORE_STATUS)->ulAccessViolationAddress); \
}
#else
#define mOCTVC1_MAIN_OPUS_CORE_STATUS_SWAP( pOCTVC1_MAIN_OPUS_CORE_STATUS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_OCT1010_CORE_STATUS_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_OCT1010_CORE_STATUS * pOCTVC1_MAIN_OCT1010_CORE_STATUS = (_f_pParms); \
	((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulCoreStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulCoreStatus); \
	((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulProgramCounter = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulProgramCounter); \
	((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulAccessViolationAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_STATUS *)pOCTVC1_MAIN_OCT1010_CORE_STATUS)->ulAccessViolationAddress); \
}
#else
#define mOCTVC1_MAIN_OCT1010_CORE_STATUS_SWAP( pOCTVC1_MAIN_OCT1010_CORE_STATUS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_OPUS_CORE_INFO_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_OPUS_CORE_INFO * pOCTVC1_MAIN_OPUS_CORE_INFO = (_f_pParms); \
	((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->hProcess); \
	((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->ulPhysicalCoreId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->ulPhysicalCoreId); \
	((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->ulProcessImageType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OPUS_CORE_INFO *)pOCTVC1_MAIN_OPUS_CORE_INFO)->ulProcessImageType); \
}
#else
#define mOCTVC1_MAIN_OPUS_CORE_INFO_SWAP( pOCTVC1_MAIN_OPUS_CORE_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_OCT1010_CORE_INFO_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_OCT1010_CORE_INFO * pOCTVC1_MAIN_OCT1010_CORE_INFO = (_f_pParms); \
	((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->hProcess); \
	((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->hThread = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->hThread); \
	((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->ulProcessImageType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_OCT1010_CORE_INFO *)pOCTVC1_MAIN_OCT1010_CORE_INFO)->ulProcessImageType); \
}
#else
#define mOCTVC1_MAIN_OCT1010_CORE_INFO_SWAP( pOCTVC1_MAIN_OCT1010_CORE_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC * pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC = (_f_pParms); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulEthPortEnableFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulEthPortEnableFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptAllMacFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptAllMacFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptUnicastFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptUnicastFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptMulticastFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptMulticastFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptBadCrcPktFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptBadCrcPktFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptLongPktFormatFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulAcceptLongPktFormatFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulBroadcastForwardPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulBroadcastForwardPort); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulMulticastForwardPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulMulticastForwardPort); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulUnicastForwardPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulUnicastForwardPort); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulRxMirrorForwardPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulRxMirrorForwardPort); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulRestrictedApiFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC)->ulRestrictedApiFlag); \
}
#else
#define mOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC_SWAP( pOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC * pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC = (_f_pParms); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulInterfaceType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulInterfaceType); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulMode); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulSpeed = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulSpeed); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulFullDuplexFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulFullDuplexFlag); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulPhyAddress); \
	((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulPktQueuesByteSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC *)pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC)->ulPktQueuesByteSize); \
}
#else
#define mOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC_SWAP( pOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_ETH_PORT_STATS_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_ETH_PORT_STATS * pOCTVC1_MAIN_ETH_PORT_STATS = (_f_pParms); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxPktErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxPktErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxOddNibbleCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxOddNibbleCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxCrcErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxCrcErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxSfdAbsentCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxSfdAbsentCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxShortFrameCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxShortFrameCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxLongFrameCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxLongFrameCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxFalseCarrierCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxFalseCarrierCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxFalseCarrierCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxFalseCarrierCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxMemOverflowCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxMemOverflowCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxBufferOverflowCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxBufferOverflowCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxPauseFrameCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxPauseFrameCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxPauseFrameCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxPauseFrameCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxMemChecksum = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxMemChecksum); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxBufferUnderflowCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxBufferUnderflowCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulDefaultMacAddressUsedFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulDefaultMacAddressUsedFlag); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxLateCollisionCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxLateCollisionCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxExcessCollisionCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxExcessCollisionCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxExcessDeferralCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulTxExcessDeferralCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxAlignmentErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxAlignmentErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxJabberErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxJabberErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxLengthErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxLengthErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxOutOfRangeTypeCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxOutOfRangeTypeCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxWatchdogErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxWatchdogErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxIPv4HeaderErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxIPv4HeaderErrorCnt); \
	((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxIPv6HeaderErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_ETH_PORT_STATS *)pOCTVC1_MAIN_ETH_PORT_STATS)->ulRxIPv6HeaderErrorCnt); \
}
#else
#define mOCTVC1_MAIN_ETH_PORT_STATS_SWAP( pOCTVC1_MAIN_ETH_PORT_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR * pOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR = (_f_pParms); \
	((tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR *)pOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR *)pOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR)->ulGetMode); \
}
#else
#define mOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR_SWAP( pOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_LOG_ENTRY_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_LOG_ENTRY * pOCTVC1_MAIN_LOG_ENTRY = (_f_pParms); \
	((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogSeqNumber = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogSeqNumber); \
	((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogTimestamp = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogTimestamp); \
	((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogReserved0 = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogReserved0); \
	((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogReserved1 = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_LOG_ENTRY *)pOCTVC1_MAIN_LOG_ENTRY)->ulLogReserved1); \
}
#else
#define mOCTVC1_MAIN_LOG_ENTRY_SWAP( pOCTVC1_MAIN_LOG_ENTRY )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_FILE_CURSOR_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_FILE_CURSOR * pOCTVC1_MAIN_FILE_CURSOR = (_f_pParms); \
	((tOCTVC1_MAIN_FILE_CURSOR *)pOCTVC1_MAIN_FILE_CURSOR)->ulGetMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_FILE_CURSOR *)pOCTVC1_MAIN_FILE_CURSOR)->ulGetMode); \
}
#else
#define mOCTVC1_MAIN_FILE_CURSOR_SWAP( pOCTVC1_MAIN_FILE_CURSOR )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD)->hForward ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP)->hForward ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_CLOSE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD)->ObjectGet ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_GET_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP)->ObjectGet ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_RESET_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD * pOCTVC1_MAIN_MSG_DEVICE_RESET_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_RESET_CMD *)pOCTVC1_MAIN_MSG_DEVICE_RESET_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_RESET_CMD_SWAP( pOCTVC1_MAIN_MSG_DEVICE_RESET_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_RESET_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_RESET_RSP * pOCTVC1_MAIN_MSG_DEVICE_RESET_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_RESET_RSP *)pOCTVC1_MAIN_MSG_DEVICE_RESET_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_RESET_RSP_SWAP( pOCTVC1_MAIN_MSG_DEVICE_RESET_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD * pOCTVC1_MAIN_MSG_DEVICE_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_INFO_CMD *)pOCTVC1_MAIN_MSG_DEVICE_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_DEVICE_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP * pOCTVC1_MAIN_MSG_DEVICE_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP *)pOCTVC1_MAIN_MSG_DEVICE_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP *)pOCTVC1_MAIN_MSG_DEVICE_INFO_RSP)->ulDeviceType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEVICE_INFO_RSP *)pOCTVC1_MAIN_MSG_DEVICE_INFO_RSP)->ulDeviceType); \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_DEVICE_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD * pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD *)pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD_SWAP( pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP * pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP *)pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP; \
	for( jOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP=0; \
		jOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP<(cOCTVC1_MAIN_MAX_CORE_NUMBER);jOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP++ ) \
	{ mOCTVC1_MAIN_OPUS_CORE_STATUS_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP *)pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP)->aCoreStatus[jOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP_SWAP( pOCTVC1_MAIN_MSG_DEVICE_STATUS_OPUS_CORE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD * pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD *)pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD_SWAP( pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP * pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP *)pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP; \
	for( jOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP=0; \
		jOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP<(cOCTVC1_MAIN_MAX_CORE_NUMBER);jOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP++ ) \
	{ mOCTVC1_MAIN_OPUS_CORE_INFO_SWAP( &((tOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP *)pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP)->aCoreInfo[jOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP_SWAP( pOCTVC1_MAIN_MSG_DEVICE_INFO_OPUS_CORE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)->ulMaxNumServerMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)->ulMaxNumServerMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)->ulForceApiResourceCleanUpFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD)->ulForceApiResourceCleanUpFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_START_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_STOP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMaxNumSystemMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMaxNumSystemMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMaxNumServerMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMaxNumServerMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMgwCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulMgwCnt); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->State = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->State); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->hFailoverMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->hFailoverMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->FailoverStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->FailoverStatus); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulFailoverReturnCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP)->ulFailoverReturnCode); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_ADD_MGW_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_REMOVE_MGW_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_LIST_MGW_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->hMgw); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->FailoverStatus = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->FailoverStatus); \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->ulFailoverReturnCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP)->ulFailoverReturnCode); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_INFO_MGW_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_OPEN_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_OPEN_CMD * pOCTVC1_MAIN_MSG_FILE_OPEN_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_OPEN_CMD *)pOCTVC1_MAIN_MSG_FILE_OPEN_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_OPEN_CMD *)pOCTVC1_MAIN_MSG_FILE_OPEN_CMD)->ulAccessMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_OPEN_CMD *)pOCTVC1_MAIN_MSG_FILE_OPEN_CMD)->ulAccessMode); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_OPEN_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_OPEN_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_OPEN_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_OPEN_RSP * pOCTVC1_MAIN_MSG_FILE_OPEN_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_OPEN_RSP *)pOCTVC1_MAIN_MSG_FILE_OPEN_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_OPEN_RSP *)pOCTVC1_MAIN_MSG_FILE_OPEN_RSP)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_OPEN_RSP *)pOCTVC1_MAIN_MSG_FILE_OPEN_RSP)->hFile); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_OPEN_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_OPEN_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_CLOSE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD * pOCTVC1_MAIN_MSG_FILE_CLOSE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD *)pOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD *)pOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_CLOSE_CMD *)pOCTVC1_MAIN_MSG_FILE_CLOSE_CMD)->hFile); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_CLOSE_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_CLOSE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_CLOSE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_CLOSE_RSP * pOCTVC1_MAIN_MSG_FILE_CLOSE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_CLOSE_RSP *)pOCTVC1_MAIN_MSG_FILE_CLOSE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_CLOSE_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_CLOSE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD * pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP * pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_DELETE_FILE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_WRITE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_WRITE_CMD * pOCTVC1_MAIN_MSG_FILE_WRITE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *)pOCTVC1_MAIN_MSG_FILE_WRITE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *)pOCTVC1_MAIN_MSG_FILE_WRITE_CMD)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *)pOCTVC1_MAIN_MSG_FILE_WRITE_CMD)->hFile); \
	((tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *)pOCTVC1_MAIN_MSG_FILE_WRITE_CMD)->ulNumByteToWrite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_WRITE_CMD *)pOCTVC1_MAIN_MSG_FILE_WRITE_CMD)->ulNumByteToWrite); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_WRITE_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_WRITE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_WRITE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_WRITE_RSP * pOCTVC1_MAIN_MSG_FILE_WRITE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_WRITE_RSP *)pOCTVC1_MAIN_MSG_FILE_WRITE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_WRITE_RSP *)pOCTVC1_MAIN_MSG_FILE_WRITE_RSP)->ulNumByteWritten = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_WRITE_RSP *)pOCTVC1_MAIN_MSG_FILE_WRITE_RSP)->ulNumByteWritten); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_WRITE_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_WRITE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_READ_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_READ_CMD * pOCTVC1_MAIN_MSG_FILE_READ_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_READ_CMD *)pOCTVC1_MAIN_MSG_FILE_READ_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_READ_CMD *)pOCTVC1_MAIN_MSG_FILE_READ_CMD)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_READ_CMD *)pOCTVC1_MAIN_MSG_FILE_READ_CMD)->hFile); \
	((tOCTVC1_MAIN_MSG_FILE_READ_CMD *)pOCTVC1_MAIN_MSG_FILE_READ_CMD)->ulMaxNumByteToRead = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_READ_CMD *)pOCTVC1_MAIN_MSG_FILE_READ_CMD)->ulMaxNumByteToRead); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_READ_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_READ_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_READ_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_READ_RSP * pOCTVC1_MAIN_MSG_FILE_READ_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_READ_RSP *)pOCTVC1_MAIN_MSG_FILE_READ_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_READ_RSP *)pOCTVC1_MAIN_MSG_FILE_READ_RSP)->ulNumByteRead = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_READ_RSP *)pOCTVC1_MAIN_MSG_FILE_READ_RSP)->ulNumByteRead); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_READ_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_READ_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_INFO_CMD * pOCTVC1_MAIN_MSG_FILE_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_INFO_CMD *)pOCTVC1_MAIN_MSG_FILE_INFO_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_INFO_CMD *)pOCTVC1_MAIN_MSG_FILE_INFO_CMD)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_INFO_CMD *)pOCTVC1_MAIN_MSG_FILE_INFO_CMD)->hFile); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_INFO_RSP * pOCTVC1_MAIN_MSG_FILE_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_INFO_RSP)->hFile = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_INFO_RSP)->hFile); \
	((tOCTVC1_MAIN_MSG_FILE_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_INFO_RSP)->ulAccessMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_INFO_RSP)->ulAccessMode); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_LIST_CMD * pOCTVC1_MAIN_MSG_FILE_LIST_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_LIST_CMD *)pOCTVC1_MAIN_MSG_FILE_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_FILE_LIST_CMD *)pOCTVC1_MAIN_MSG_FILE_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_LIST_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_LIST_RSP * pOCTVC1_MAIN_MSG_FILE_LIST_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_LIST_RSP *)pOCTVC1_MAIN_MSG_FILE_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_FILE_LIST_RSP *)pOCTVC1_MAIN_MSG_FILE_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_FILE_LIST_RSP *)pOCTVC1_MAIN_MSG_FILE_LIST_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_LIST_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD * pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP * pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP)->ulMaxFileEntry = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP)->ulMaxFileEntry); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD * pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD)->Header ); }  \
	{ mOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD)->ObjectGet ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP * pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)->Header ); }  \
	{ mOCTVC1_MAIN_FILE_SYSTEM_FILE_CURSOR_SWAP( &((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)->ObjectGet ); }  \
	((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)->ulAccessMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP *)pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP)->ulAccessMode); \
}
#else
#define mOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP_SWAP( pOCTVC1_MAIN_MSG_FILE_SYSTEM_INFO_FILE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD * pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)->ulGetNewestFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD)->ulGetNewestFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD_SWAP( pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP * pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)->ulNumLogEntry = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)->ulNumLogEntry); \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP; \
	for( jOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP=0; \
		jOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP<(5);jOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP++ ) \
	{ mOCTVC1_MAIN_LOG_ENTRY_SWAP( &((tOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP *)pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP)->aLogEntry[jOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP_SWAP( pOCTVC1_MAIN_MSG_LOG_READ_ENTRY_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LOG_ERASE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LOG_ERASE_CMD * pOCTVC1_MAIN_MSG_LOG_ERASE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LOG_ERASE_CMD *)pOCTVC1_MAIN_MSG_LOG_ERASE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LOG_ERASE_CMD_SWAP( pOCTVC1_MAIN_MSG_LOG_ERASE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LOG_ERASE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LOG_ERASE_RSP * pOCTVC1_MAIN_MSG_LOG_ERASE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LOG_ERASE_RSP *)pOCTVC1_MAIN_MSG_LOG_ERASE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LOG_ERASE_RSP_SWAP( pOCTVC1_MAIN_MSG_LOG_ERASE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD * pOCTVC1_MAIN_MSG_LICENSING_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_CMD)->Header ); }  \
	{ mOCTVC1_MAIN_LICENSING_CURSOR_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_CMD *)pOCTVC1_MAIN_MSG_LICENSING_INFO_CMD)->ObjectGet ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP * pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->Header ); }  \
	{ mOCTVC1_MAIN_LICENSING_CURSOR_SWAP( &((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ObjectGet ); }  \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulFeatureType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulFeatureType); \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulManagedFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulManagedFlag); \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulLicenseValue = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulLicenseValue); \
	((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulCurrentCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_LICENSING_INFO_RSP *)pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP)->ulCurrentCount); \
}
#else
#define mOCTVC1_MAIN_MSG_LICENSING_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_LICENSING_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_RESET_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD * pOCTVC1_MAIN_MSG_OCT1010_RESET_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_RESET_CMD *)pOCTVC1_MAIN_MSG_OCT1010_RESET_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_RESET_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_RESET_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_RESET_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_RESET_RSP * pOCTVC1_MAIN_MSG_OCT1010_RESET_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_RESET_RSP *)pOCTVC1_MAIN_MSG_OCT1010_RESET_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_RESET_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_RESET_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD * pOCTVC1_MAIN_MSG_OCT1010_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_CMD *)pOCTVC1_MAIN_MSG_OCT1010_INFO_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP * pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulOCT1010VersionId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulOCT1010VersionId); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulSerialNumber = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulSerialNumber); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulProjectNumber = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulProjectNumber); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulOCT1010IDVersionId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulOCT1010IDVersionId); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulTdmNumStream = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulTdmNumStream); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulTdmStreamFrequency = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP)->ulTdmStreamFrequency); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_STATS_CMD * pOCTVC1_MAIN_MSG_ETH_STATS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_STATS_CMD *)pOCTVC1_MAIN_MSG_ETH_STATS_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_ETH_STATS_CMD *)pOCTVC1_MAIN_MSG_ETH_STATS_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_ETH_STATS_CMD *)pOCTVC1_MAIN_MSG_ETH_STATS_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_STATS_CMD_SWAP( pOCTVC1_MAIN_MSG_ETH_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_STATS_RSP * pOCTVC1_MAIN_MSG_ETH_STATS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_STATS_RSP *)pOCTVC1_MAIN_MSG_ETH_STATS_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_ETH_STATS_RSP; \
	for( jOCTVC1_MAIN_MSG_ETH_STATS_RSP=0; \
		jOCTVC1_MAIN_MSG_ETH_STATS_RSP<(cOCTVC1_MAIN_ETH_MAX_NUM_PORT);jOCTVC1_MAIN_MSG_ETH_STATS_RSP++ ) \
	{ mOCTVC1_MAIN_ETH_PORT_STATS_SWAP( &((tOCTVC1_MAIN_MSG_ETH_STATS_RSP *)pOCTVC1_MAIN_MSG_ETH_STATS_RSP)->aStats[jOCTVC1_MAIN_MSG_ETH_STATS_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_STATS_RSP_SWAP( pOCTVC1_MAIN_MSG_ETH_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD * pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD *)pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD_SWAP( pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP * pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP *)pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP; \
	for( jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP=0; \
		jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP<(cOCTVC1_MAIN_ETH_MAX_NUM_PORT);jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP++ ) \
	{ mOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC_SWAP( &((tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP *)pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP)->aDynamic[jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP] ); }} \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP; \
	for( jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP=0; \
		jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP<(cOCTVC1_MAIN_ETH_MAX_NUM_PORT);jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP++ ) \
	{ mOCTVC1_MAIN_ETH_PORT_CONFIG_STATIC_SWAP( &((tOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP *)pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP)->aStatic[jOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP_SWAP( pOCTVC1_MAIN_MSG_ETH_INFO_PORT_CONFIG_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD * pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD *)pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD; \
	for( jOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD=0; \
		jOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD<(cOCTVC1_MAIN_ETH_MAX_NUM_PORT);jOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD++ ) \
	{ mOCTVC1_MAIN_ETH_PORT_CONFIG_DYNAMIC_SWAP( &((tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD *)pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD)->aDynamic[jOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD_SWAP( pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP * pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP *)pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP_SWAP( pOCTVC1_MAIN_MSG_ETH_MODIFY_PORT_CONFIG_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REGISTER_READ_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REGISTER_READ_CMD * pOCTVC1_MAIN_MSG_REGISTER_READ_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REGISTER_READ_CMD *)pOCTVC1_MAIN_MSG_REGISTER_READ_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_REGISTER_READ_CMD_SWAP( pOCTVC1_MAIN_MSG_REGISTER_READ_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REGISTER_READ_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REGISTER_READ_RSP * pOCTVC1_MAIN_MSG_REGISTER_READ_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REGISTER_READ_RSP *)pOCTVC1_MAIN_MSG_REGISTER_READ_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REGISTER_READ_RSP *)pOCTVC1_MAIN_MSG_REGISTER_READ_RSP)->ulTdmTimestampReg = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REGISTER_READ_RSP *)pOCTVC1_MAIN_MSG_REGISTER_READ_RSP)->ulTdmTimestampReg); \
	((tOCTVC1_MAIN_MSG_REGISTER_READ_RSP *)pOCTVC1_MAIN_MSG_REGISTER_READ_RSP)->ulNanoSecondCounterReg = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REGISTER_READ_RSP *)pOCTVC1_MAIN_MSG_REGISTER_READ_RSP)->ulNanoSecondCounterReg); \
}
#else
#define mOCTVC1_MAIN_MSG_REGISTER_READ_RSP_SWAP( pOCTVC1_MAIN_MSG_REGISTER_READ_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD * pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP * pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulOct1010IdType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulOct1010IdType); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulTdmOutputEnableSupportFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulTdmOutputEnableSupportFlag); \
	((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulTdmOutputEnableDeviceFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP)->ulTdmOutputEnableDeviceFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_OCT1010ID_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD * pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD *)pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP * pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP; \
	for( jOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP=0; \
		jOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP<(cOCTDEV_DEVICES_OCT1010_MAX_CORE_NUMBER);jOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP++ ) \
	{ mOCTVC1_MAIN_OCT1010_CORE_STATUS_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP)->aCoreStatus[jOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_STATUS_CORE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD * pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD *)pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP * pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP)->Header ); }  \
	{ tOCT_UINT32 jOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP; \
	for( jOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP=0; \
		jOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP<(cOCTDEV_DEVICES_OCT1010_MAX_CORE_NUMBER);jOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP++ ) \
	{ mOCTVC1_MAIN_OCT1010_CORE_INFO_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP *)pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP)->aCoreInfo[jOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP] ); }} \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_INFO_CORE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD * pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulBank); \
	((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulDirection = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulDirection); \
	((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulTriStateHigh = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD)->ulTriStateHigh); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD_SWAP( pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP * pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP *)pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP)->ulBank); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP_SWAP( pOCTVC1_MAIN_MSG_GPIO_MODIFY_BANK_CONFIG_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD * pOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD)->ulBank); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD_SWAP( pOCTVC1_MAIN_MSG_GPIO_READ_BANK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP * pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)->ulBank); \
	((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)->ulValue = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP)->ulValue); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP_SWAP( pOCTVC1_MAIN_MSG_GPIO_READ_BANK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD * pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)->ulBank); \
	((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)->ulValue = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD)->ulValue); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD_SWAP( pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP * pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP)->ulBank); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP_SWAP( pOCTVC1_MAIN_MSG_GPIO_WRITE_BANK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_SPI_ACCESS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD * pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulChipSelectPin = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulChipSelectPin); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPin = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPin); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDataOutPin = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDataOutPin); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDataInPin = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDataInPin); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDivider = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulDivider); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulSlaveSelectId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulSlaveSelectId); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockFrequency = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockFrequency); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPolarity = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPolarity); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPhase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulClockPhase); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulReadByteCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulReadByteCnt); \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulWriteByteCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->ulWriteByteCnt); \
	{ tOCT_UINT32 iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD; \
	for( iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD=0; \
		iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD<(cOCTVC1_MAIN_SPI_ACCESS_TRANSFER_MAX_LENGTH);iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD++ ) \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->aulWriteData[iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_CMD *)pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD)->aulWriteData[iOCTVC1_MAIN_MSG_SPI_ACCESS_CMD]);}\
}
#else
#define mOCTVC1_MAIN_MSG_SPI_ACCESS_CMD_SWAP( pOCTVC1_MAIN_MSG_SPI_ACCESS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_SPI_ACCESS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP * pOCTVC1_MAIN_MSG_SPI_ACCESS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP *)pOCTVC1_MAIN_MSG_SPI_ACCESS_RSP)->Header ); }  \
	{ tOCT_UINT32 iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP; \
	for( iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP=0; \
		iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP<(cOCTVC1_MAIN_SPI_ACCESS_TRANSFER_MAX_LENGTH);iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP++ ) \
	((tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP *)pOCTVC1_MAIN_MSG_SPI_ACCESS_RSP)->aulReadData[iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_SPI_ACCESS_RSP *)pOCTVC1_MAIN_MSG_SPI_ACCESS_RSP)->aulReadData[iOCTVC1_MAIN_MSG_SPI_ACCESS_RSP]);}\
}
#else
#define mOCTVC1_MAIN_MSG_SPI_ACCESS_RSP_SWAP( pOCTVC1_MAIN_MSG_SPI_ACCESS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD * pOCTVC1_MAIN_MSG_PROCESS_LIST_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD *)pOCTVC1_MAIN_MSG_PROCESS_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_LIST_CMD *)pOCTVC1_MAIN_MSG_PROCESS_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_LIST_CMD_SWAP( pOCTVC1_MAIN_MSG_PROCESS_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP * pOCTVC1_MAIN_MSG_PROCESS_LIST_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP *)pOCTVC1_MAIN_MSG_PROCESS_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP *)pOCTVC1_MAIN_MSG_PROCESS_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_LIST_RSP *)pOCTVC1_MAIN_MSG_PROCESS_LIST_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_LIST_RSP_SWAP( pOCTVC1_MAIN_MSG_PROCESS_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD * pOCTVC1_MAIN_MSG_PROCESS_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CMD)->hProcess); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_PROCESS_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP * pOCTVC1_MAIN_MSG_PROCESS_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_RSP)->hProcess); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_PROCESS_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD * pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)->ulPhyAddress); \
	((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)->ulRegisterAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD)->ulRegisterAddress); \
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD_SWAP( pOCTVC1_MAIN_MSG_MDIO_READ_PHY_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP * pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)->ulPhyAddress); \
	((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)->ulReadData = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP)->ulReadData); \
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP_SWAP( pOCTVC1_MAIN_MSG_MDIO_READ_PHY_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD * pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulPhyAddress); \
	((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulRegisterAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulRegisterAddress); \
	((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulWriteData = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD)->ulWriteData); \
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD_SWAP( pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP * pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP)->ulPhyAddress = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP)->ulPhyAddress); \
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP_SWAP( pOCTVC1_MAIN_MSG_MDIO_WRITE_PHY_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD * pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventMask); \
	((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulUserEventId); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->hEventDestObj ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjPort); \
	((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD)->ulEventDestObjFifoId); \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD_SWAP( pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP * pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP_SWAP( pOCTVC1_MAIN_MSG_MODULE_MODIFY_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD * pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)->ulBank); \
	((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)->ulMonitor = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD)->ulMonitor); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD_SWAP( pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP * pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP)->ulBank = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP *)pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP)->ulBank); \
}
#else
#define mOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP_SWAP( pOCTVC1_MAIN_MSG_GPIO_MONITOR_BANK_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD * pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)->Header ); }  \
	{ tOCT_UINT32 iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD; \
	for( iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD=0; \
		iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD<(2);iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD++ ) \
	((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)->aulPhyAddress[iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD)->aulPhyAddress[iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD]);}\
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD_SWAP( pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP * pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP)->Header ); }  \
	{ tOCT_UINT32 iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP; \
	for( iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP=0; \
		iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP<(2);iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP++ ) \
	((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP)->aulPhyAddress[iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP *)pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP)->aulPhyAddress[iOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP]);}\
}
#else
#define mOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP_SWAP( pOCTVC1_MAIN_MSG_MDIO_MONITOR_PHY_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD * pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->hProcess); \
	((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->ulAlarmThresholdHighPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->ulAlarmThresholdHighPercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->ulAlarmThresholdLowPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD)->ulAlarmThresholdLowPercent); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD_SWAP( pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP * pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)->hProcess); \
	((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)->ulProcessImageType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP)->ulProcessImageType); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP_SWAP( pOCTVC1_MAIN_MSG_PROCESS_MONITOR_CPU_USAGE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD * pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD)->hProcess); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD_SWAP( pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP * pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->hProcess); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessImageType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessImageType); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulAlarmThresholdHighPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulAlarmThresholdHighPercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulAlarmThresholdLowPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulAlarmThresholdLowPercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsagePercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsagePercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsageMinPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsageMinPercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsageMaxPercent = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulProcessCpuUsageMaxPercent); \
	((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulNumThread = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP *)pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP)->ulNumThread); \
}
#else
#define mOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP_SWAP( pOCTVC1_MAIN_MSG_PROCESS_INFO_CPU_USAGE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD * pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)->ulFormat = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)->ulFormat); \
	((tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)->ulByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD)->ulByteLength); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_OPEN_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP * pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)->ulAllocatedByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP *)pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP)->ulAllocatedByteLength); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_OPEN_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD * pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP * pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulFormat = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulFormat); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulUsedByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulUsedByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulAllocatedByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulAllocatedByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulDependencyCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP)->ulDependencyCount); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_INFO_BY_NAME_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD * pOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD)->hBuffer); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_CLOSE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP * pOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP)->hBuffer); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_CLOSE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD * pOCTVC1_MAIN_MSG_BUFFER_INFO_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD *)pOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD *)pOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_CMD *)pOCTVC1_MAIN_MSG_BUFFER_INFO_CMD)->hBuffer); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP * pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulFormat = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulFormat); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulUsedByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulUsedByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulAllocatedByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulAllocatedByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulDependencyCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_INFO_RSP *)pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP)->ulDependencyCount); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_INFO_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD * pOCTVC1_MAIN_MSG_BUFFER_LIST_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD *)pOCTVC1_MAIN_MSG_BUFFER_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_LIST_CMD *)pOCTVC1_MAIN_MSG_BUFFER_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_LIST_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP * pOCTVC1_MAIN_MSG_BUFFER_LIST_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP *)pOCTVC1_MAIN_MSG_BUFFER_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP *)pOCTVC1_MAIN_MSG_BUFFER_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_LIST_RSP *)pOCTVC1_MAIN_MSG_BUFFER_LIST_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_LIST_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD * pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->ulFormat = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->ulFormat); \
	((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->ulUsedByteSize = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD)->ulUsedByteSize); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_MODIFY_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP * pOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP *)pOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP)->hBuffer); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_MODIFY_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD * pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->ulWriteByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->ulWriteByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->ulWriteByteOffset = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD)->ulWriteByteOffset); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_WRITE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP * pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)->ulNumByteWritten = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP *)pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP)->ulNumByteWritten); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_WRITE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_READ_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_READ_CMD * pOCTVC1_MAIN_MSG_BUFFER_READ_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->ulMaxReadByteLength = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->ulMaxReadByteLength); \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->ulReadByteOffset = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_CMD *)pOCTVC1_MAIN_MSG_BUFFER_READ_CMD)->ulReadByteOffset); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_READ_CMD_SWAP( pOCTVC1_MAIN_MSG_BUFFER_READ_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_BUFFER_READ_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_BUFFER_READ_RSP * pOCTVC1_MAIN_MSG_BUFFER_READ_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->hBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->hBuffer); \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->ulDoneFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->ulDoneFlag); \
	((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->ulNumByteRead = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_BUFFER_READ_RSP *)pOCTVC1_MAIN_MSG_BUFFER_READ_RSP)->ulNumByteRead); \
}
#else
#define mOCTVC1_MAIN_MSG_BUFFER_READ_RSP_SWAP( pOCTVC1_MAIN_MSG_BUFFER_READ_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD * pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulTracingMode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulTracingMode); \
	((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulTracingType = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulTracingType); \
	((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulNumBuffer = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->ulNumBuffer); \
	{ tOCT_UINT32 iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD; \
	for( iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD=0; \
		iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD<(cOCTVC1_MAIN_TRACING_START_MAX_NUM_BUFFER);iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD++ ) \
	((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->aBufferId[iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD)->aBufferId[iOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD]);}\
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD_SWAP( pOCTVC1_MAIN_MSG_MODULE_START_TRACING_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP * pOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP *)pOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP_SWAP( pOCTVC1_MAIN_MSG_MODULE_START_TRACING_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD * pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD *)pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD_SWAP( pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP * pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP *)pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP_SWAP( pOCTVC1_MAIN_MSG_MODULE_STOP_TRACING_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->hDestObj ); }  \
	((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->ulDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->ulDestObjPort); \
	((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->ulDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD)->ulDestObjFifoId); \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP * pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)->Header ); }  \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)->hForward ); }  \
	((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)->ulFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP *)pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP)->ulFifoId); \
}
#else
#define mOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP_SWAP( pOCTVC1_MAIN_MSG_DEBUG_FORWARD_OPEN_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD * pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD)->Header ); }  \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD_SWAP( pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP * pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventMask = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventMask); \
	((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulUserEventId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulUserEventId); \
	{ mOCTVC1_HANDLE_SWAP( &((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->hEventDestObj ); }  \
	((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjPort = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjPort); \
	((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjFifoId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP *)pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP)->ulEventDestObjFifoId); \
}
#else
#define mOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP_SWAP( pOCTVC1_MAIN_MSG_MODULE_INFO_EVT_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP * pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP)->hMgw = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP *)pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP)->hMgw); \
}
#else
#define mOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP_SWAP( pOCTVC1_MAIN_MSG_REDUNDANCY_SERVER_EXECUTE_MGW_FAILOVER_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD * pOCTVC1_MAIN_MSG_OCT1010_STATS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT1010_STATS_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_STATS_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT1010_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT1010_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP * pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulOCT1010MonitorNumber = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulOCT1010MonitorNumber); \
	((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmCpyOutOfBandwidthCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmCpyOutOfBandwidthCnt); \
	((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmTxTimeslotPtrOutOfSyncCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmTxTimeslotPtrOutOfSyncCnt); \
	((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmTimestampIncrementErrorCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT1010_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP)->ulTdmTimestampIncrementErrorCnt); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT1010_STATS_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT1010_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT2200_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD * pOCTVC1_MAIN_MSG_OCT2200_STATS_CMD = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT2200_STATS_CMD *)pOCTVC1_MAIN_MSG_OCT2200_STATS_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT2200_STATS_CMD_SWAP( pOCTVC1_MAIN_MSG_OCT2200_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_MAIN_MSG_OCT2200_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP * pOCTVC1_MAIN_MSG_OCT2200_STATS_RSP = (_f_pParms); \
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT2200_STATS_RSP)->Header ); }  \
	((tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT2200_STATS_RSP)->ulOCT2200MonitorNumber = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_MAIN_MSG_OCT2200_STATS_RSP *)pOCTVC1_MAIN_MSG_OCT2200_STATS_RSP)->ulOCT2200MonitorNumber); \
}
#else
#define mOCTVC1_MAIN_MSG_OCT2200_STATS_RSP_SWAP( pOCTVC1_MAIN_MSG_OCT2200_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_MAIN_API_SWAP_H__ */
